#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1370
#define LARGE_STATE_COUNT 34
#define SYMBOL_COUNT 453
#define ALIAS_COUNT 0
#define TOKEN_COUNT 184
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 12
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 13

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    anon_sym_char = 21,
    anon_sym_wchar = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_wstring = 25,
    anon_sym_LT = 26,
    anon_sym_GT = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_bin_number = 45,
    aux_sym_oct_number_token1 = 46,
    aux_sym_oct_number_token2 = 47,
    anon_sym_0 = 48,
    aux_sym_dec_number_token1 = 49,
    sym_hex_number = 50,
    anon_sym_DOT = 51,
    aux_sym_floating_pt_literal_token1 = 52,
    aux_sym_fixed_pt_literal_token1 = 53,
    sym_escape_sequence = 54,
    anon_sym_DQUOTE = 55,
    aux_sym_string_literal_token1 = 56,
    anon_sym_L = 57,
    anon_sym_SQUOTE = 58,
    aux_sym_char_literal_token1 = 59,
    anon_sym_TRUE = 60,
    anon_sym_FALSE = 61,
    anon_sym_POUNDdefine = 62,
    aux_sym_preproc_define_token1 = 63,
    aux_sym_preproc_call_token1 = 64,
    sym_preproc_directive = 65,
    sym_preproc_arg = 66,
    aux_sym_preproc_include_token1 = 67,
    sym_system_lib_path = 68,
    anon_sym_exception = 69,
    anon_sym_LBRACE = 70,
    anon_sym_RBRACE = 71,
    anon_sym_local = 72,
    anon_sym_abstract = 73,
    anon_sym_interface = 74,
    anon_sym_COLON = 75,
    anon_sym_SEMI = 76,
    anon_sym_void = 77,
    anon_sym_in = 78,
    anon_sym_out = 79,
    anon_sym_inout = 80,
    anon_sym_raises = 81,
    anon_sym_readonly = 82,
    anon_sym_attribute = 83,
    anon_sym_getraises = 84,
    anon_sym_setraises = 85,
    anon_sym_bitset = 86,
    anon_sym_bitfield = 87,
    anon_sym_bitmask = 88,
    anon_sym_ATannotation = 89,
    anon_sym_default = 90,
    anon_sym_AT = 91,
    anon_sym_SLASH_SLASH_AT = 92,
    aux_sym_extend_annotation_appl_token1 = 93,
    anon_sym_EQ = 94,
    anon_sym_id = 95,
    anon_sym_autoid = 96,
    anon_sym_SEQUENTIAL = 97,
    anon_sym_HASH = 98,
    anon_sym_optional = 99,
    anon_sym_position = 100,
    anon_sym_value = 101,
    anon_sym_extensibility = 102,
    anon_sym_FINAL = 103,
    anon_sym_APPENDABLE = 104,
    anon_sym_MUTABLE = 105,
    anon_sym_final = 106,
    anon_sym_appendable = 107,
    anon_sym_mutable = 108,
    anon_sym_key = 109,
    anon_sym_must_understand = 110,
    anon_sym_default_literal = 111,
    anon_sym_range = 112,
    anon_sym_min = 113,
    anon_sym_max = 114,
    anon_sym_unit = 115,
    anon_sym_bit_bound = 116,
    anon_sym_external = 117,
    anon_sym_nested = 118,
    anon_sym_verbatim = 119,
    anon_sym_c = 120,
    anon_sym_c_PLUS_PLUS = 121,
    anon_sym_java = 122,
    anon_sym_idl = 123,
    anon_sym_BEGIN_FILE = 124,
    anon_sym_BEFORE_DECLARATION = 125,
    anon_sym_BEGIN_DECLARATION = 126,
    anon_sym_END_DECLARATION = 127,
    anon_sym_AFTER_DECLARATION = 128,
    anon_sym_END_FILE = 129,
    anon_sym_service = 130,
    anon_sym_CORBA = 131,
    anon_sym_DDS = 132,
    anon_sym_oneway = 133,
    anon_sym_ami = 134,
    anon_sym_module = 135,
    anon_sym_typename = 136,
    anon_sym_valuetype = 137,
    anon_sym_eventtype = 138,
    anon_sym_struct = 139,
    anon_sym_union = 140,
    anon_sym_enum = 141,
    anon_sym_const = 142,
    anon_sym_alias = 143,
    anon_sym_custom = 144,
    anon_sym_truncatable = 145,
    anon_sym_supports = 146,
    anon_sym_public = 147,
    anon_sym_private = 148,
    anon_sym_factory = 149,
    anon_sym_typedef = 150,
    anon_sym_LBRACK = 151,
    anon_sym_RBRACK = 152,
    anon_sym_ATdefault_literal = 153,
    anon_sym_ATignore_literal_names = 154,
    anon_sym_switch = 155,
    anon_sym_case = 156,
    anon_sym_typeid = 157,
    anon_sym_typeprefix = 158,
    anon_sym_import = 159,
    anon_sym_Object = 160,
    anon_sym_context = 161,
    sym_value_base_type = 162,
    anon_sym_component = 163,
    anon_sym_provides = 164,
    anon_sym_uses = 165,
    anon_sym_multiple = 166,
    anon_sym_home = 167,
    anon_sym_manages = 168,
    anon_sym_emits = 169,
    anon_sym_publishes = 170,
    anon_sym_consumes = 171,
    anon_sym_primarykey = 172,
    anon_sym_finder = 173,
    anon_sym_porttype = 174,
    anon_sym_port = 175,
    anon_sym_mirrorport = 176,
    anon_sym_connector = 177,
    anon_sym_native = 178,
    sym_identifier = 179,
    anon_sym_SLASH_SLASH = 180,
    aux_sym_comment_token1 = 181,
    anon_sym_SLASH_STAR = 182,
    aux_sym_comment_token2 = 183,
    sym_specification = 184,
    sym_signed_short_int = 185,
    sym_signed_long_int = 186,
    sym_signed_longlong_int = 187,
    sym_unsigned_int = 188,
    sym_fixed_pt_const_type = 189,
    sym_integer_type = 190,
    sym_signed_int = 191,
    sym_unsigned_short_int = 192,
    sym_unsigned_long_int = 193,
    sym_unsigned_longlong_int = 194,
    sym_floating_pt_type = 195,
    sym_char_type = 196,
    sym_scoped_name = 197,
    sym_string_type = 198,
    sym_type_spec = 199,
    sym_simple_type_spec = 200,
    sym_base_type_spec = 201,
    sym_any_type = 202,
    sym_fixed_pt_type = 203,
    sym_template_type_spec = 204,
    sym_sequence_type = 205,
    sym_map_type = 206,
    sym_positive_int_const = 207,
    sym_const_expr = 208,
    sym_or_expr = 209,
    sym_xor_expr = 210,
    sym_and_expr = 211,
    sym_shift_expr = 212,
    sym_add_expr = 213,
    sym_mult_expr = 214,
    sym_unary_expr = 215,
    sym_primary_expr = 216,
    sym_unary_operator = 217,
    sym_literal = 218,
    sym_integer_literal = 219,
    sym_integer_sign = 220,
    sym_oct_number = 221,
    sym_dec_number = 222,
    sym_floating_pt_literal = 223,
    sym_fixed_pt_literal = 224,
    sym_string_literal = 225,
    sym_wide_string_literal = 226,
    sym_char_literal = 227,
    sym_wide_character_literal = 228,
    sym_boolean_literal = 229,
    sym_preproc_define = 230,
    sym_preproc_call = 231,
    sym_preproc_include = 232,
    sym_system_lib_string = 233,
    sym_except_dcl = 234,
    sym_interface_dcl = 235,
    sym_interface_kind = 236,
    sym_interface_forward_dcl = 237,
    sym_interface_def = 238,
    sym_interface_header = 239,
    sym_interface_inheritance_spec = 240,
    sym_interface_name = 241,
    sym_interface_body = 242,
    sym_export = 243,
    sym_op_dcl = 244,
    sym_op_type_spec = 245,
    sym_parameter_dcls = 246,
    sym_param_dcl = 247,
    sym_param_attribute = 248,
    sym_raises_expr = 249,
    sym_attr_dcl = 250,
    sym_readonly_attr_spec = 251,
    sym_readonly_attr_declarator = 252,
    sym_attr_spec = 253,
    sym_attr_declarator = 254,
    sym_attr_raises_expr = 255,
    sym_get_excep_expr = 256,
    sym_set_excep_expr = 257,
    sym_exception_list = 258,
    sym_bitset_dcl = 259,
    sym_bitfield = 260,
    sym_bitfield_spec = 261,
    sym_destination_type = 262,
    sym_bitmask_dcl = 263,
    sym_bit_value = 264,
    sym_annotation_dcl = 265,
    sym_annotation_body = 266,
    sym_annotation_member = 267,
    sym_annotation_member_type = 268,
    sym_any_const_type = 269,
    sym_annotation_appl = 270,
    sym_extend_annotation_appl = 271,
    sym_annotation_appl_custom_body = 272,
    sym_annotation_appl_params = 273,
    sym_annotation_appl_param = 274,
    sym_annotation_appl_builtin_body = 275,
    sym_annotation_appl_id = 276,
    sym_annotation_appl_autoid = 277,
    sym_autoid_kind = 278,
    sym_annotation_appl_optional = 279,
    sym_annotation_appl_position = 280,
    sym_annotation_appl_value = 281,
    sym_annotation_appl_extensibility = 282,
    sym_extensibility_kind = 283,
    sym_annotation_appl_final = 284,
    sym_annotation_appl_appendable = 285,
    sym_annotation_appl_mutable = 286,
    sym_annotation_appl_key = 287,
    sym_annotation_appl_must_understand = 288,
    sym_annotation_appl_default_literal = 289,
    sym_annotation_appl_default = 290,
    sym_annotation_appl_range = 291,
    sym_min_expr = 292,
    sym_max_expr = 293,
    sym_annotation_appl_min = 294,
    sym_annotation_appl_max = 295,
    sym_annotation_appl_unit = 296,
    sym_annotation_appl_bit_bound = 297,
    sym_annotation_appl_external = 298,
    sym_annotation_appl_nested = 299,
    sym_annotation_appl_verbatim = 300,
    sym_verbatim_language = 301,
    sym_placement_kind = 302,
    sym_annotation_appl_service = 303,
    sym_service_platform = 304,
    sym_annotation_appl_oneway = 305,
    sym_annotation_appl_ami = 306,
    sym_template_module_dcl = 307,
    sym_formal_parameters = 308,
    sym_formal_parameter = 309,
    sym_formal_parameter_type = 310,
    sym_tpl_definition = 311,
    sym_template_module_inst = 312,
    sym_actual_parameters = 313,
    sym_actual_parameter = 314,
    sym_template_module_ref = 315,
    sym_formal_parameter_names = 316,
    sym_value_dcl = 317,
    sym_value_def = 318,
    sym_value_kind = 319,
    sym_value_header = 320,
    sym_value_inheritance_spec = 321,
    sym_value_inheritance = 322,
    sym_value_supports = 323,
    sym_value_name = 324,
    sym_value_element = 325,
    sym_state_member = 326,
    sym_init_dcl = 327,
    sym_init_param_dcls = 328,
    sym_init_param_dcl = 329,
    sym_value_forward_dcl = 330,
    sym_typedef_dcl = 331,
    sym_type_declarator = 332,
    sym_any_declarators = 333,
    sym_any_declarator = 334,
    sym_simple_declarator = 335,
    sym_declarator = 336,
    sym_declarators = 337,
    sym_array_declarator = 338,
    sym_fixed_array_size = 339,
    sym_enum_dcl = 340,
    sym_enumerator = 341,
    sym_enum_modifier = 342,
    sym_enum_anno = 343,
    sym_union_dcl = 344,
    sym_union_forward_dcl = 345,
    sym_union_def = 346,
    sym_case = 347,
    sym_case_label = 348,
    sym_element_spec = 349,
    sym_switch_type_spec = 350,
    sym_type_id_dcl = 351,
    sym_type_prefix_dcl = 352,
    sym_import_dcl = 353,
    sym_imported_scope = 354,
    sym_object_type = 355,
    sym_op_oneway_dcl = 356,
    sym_in_parameter_dcls = 357,
    sym_in_param_dcl = 358,
    sym_op_with_context = 359,
    sym_context_expr = 360,
    sym_value_box_def = 361,
    sym_value_abs_def = 362,
    sym_component_dcl = 363,
    sym_component_forward_dcl = 364,
    sym_component_def = 365,
    sym_component_header = 366,
    sym_component_inheritance_spec = 367,
    sym_component_body = 368,
    sym_component_export = 369,
    sym_provides_dcl = 370,
    sym_interface_type = 371,
    sym_uses_dcl = 372,
    sym_home_dcl = 373,
    sym_home_header = 374,
    sym_home_inheritance_spec = 375,
    sym_home_body = 376,
    sym_home_export = 377,
    sym_factory_dcl = 378,
    sym_factory_param_dcls = 379,
    sym_factory_param_dcl = 380,
    sym_supported_interface_spec = 381,
    sym_emits_dcl = 382,
    sym_publishes_dcl = 383,
    sym_consumes_dcl = 384,
    sym_primary_key_spec = 385,
    sym_finder_dcl = 386,
    sym_event_dcl = 387,
    sym_event_forward_dcl = 388,
    sym_event_abs_def = 389,
    sym_event_def = 390,
    sym_event_header = 391,
    sym_porttype_dcl = 392,
    sym_porttype_forward_dcl = 393,
    sym_porttype_def = 394,
    sym_port_body = 395,
    sym_port_ref = 396,
    sym_port_export = 397,
    sym_port_dcl = 398,
    sym_connector_dcl = 399,
    sym_connector_header = 400,
    sym_connector_inherit_spec = 401,
    sym_connector_export = 402,
    sym_definition = 403,
    sym_type_dcl = 404,
    sym_constr_type_dcl = 405,
    sym_native_dcl = 406,
    sym_module_dcl = 407,
    sym_struct_dcl = 408,
    sym_struct_forward_dcl = 409,
    sym_struct_def = 410,
    sym_member = 411,
    sym_default = 412,
    sym_const_dcl = 413,
    sym_const_type = 414,
    sym_comment = 415,
    aux_sym_specification_repeat1 = 416,
    aux_sym_string_literal_repeat1 = 417,
    aux_sym_char_literal_repeat1 = 418,
    aux_sym_except_dcl_repeat1 = 419,
    aux_sym_interface_dcl_repeat1 = 420,
    aux_sym_interface_inheritance_spec_repeat1 = 421,
    aux_sym_interface_body_repeat1 = 422,
    aux_sym_parameter_dcls_repeat1 = 423,
    aux_sym_raises_expr_repeat1 = 424,
    aux_sym_readonly_attr_declarator_repeat1 = 425,
    aux_sym_bitset_dcl_repeat1 = 426,
    aux_sym_bitfield_repeat1 = 427,
    aux_sym_bitmask_dcl_repeat1 = 428,
    aux_sym_annotation_dcl_repeat1 = 429,
    aux_sym_annotation_appl_params_repeat1 = 430,
    aux_sym_template_module_dcl_repeat1 = 431,
    aux_sym_formal_parameters_repeat1 = 432,
    aux_sym_actual_parameters_repeat1 = 433,
    aux_sym_formal_parameter_names_repeat1 = 434,
    aux_sym_value_def_repeat1 = 435,
    aux_sym_value_inheritance_spec_repeat1 = 436,
    aux_sym_init_param_dcls_repeat1 = 437,
    aux_sym_any_declarators_repeat1 = 438,
    aux_sym_declarators_repeat1 = 439,
    aux_sym_array_declarator_repeat1 = 440,
    aux_sym_enum_dcl_repeat1 = 441,
    aux_sym_enumerator_repeat1 = 442,
    aux_sym_union_def_repeat1 = 443,
    aux_sym_case_repeat1 = 444,
    aux_sym_in_parameter_dcls_repeat1 = 445,
    aux_sym_context_expr_repeat1 = 446,
    aux_sym_component_body_repeat1 = 447,
    aux_sym_home_body_repeat1 = 448,
    aux_sym_factory_param_dcls_repeat1 = 449,
    aux_sym_port_body_repeat1 = 450,
    aux_sym_connector_dcl_repeat1 = 451,
    aux_sym_module_dcl_repeat1 = 452,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [anon_sym_char] = "char",
    [anon_sym_wchar] = "wchar",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_wstring] = "wstring",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_bin_number] = "bin_number",
    [aux_sym_oct_number_token1] = "oct_number_token1",
    [aux_sym_oct_number_token2] = "oct_number_token2",
    [anon_sym_0] = "0",
    [aux_sym_dec_number_token1] = "dec_number_token1",
    [sym_hex_number] = "hex_number",
    [anon_sym_DOT] = ".",
    [aux_sym_floating_pt_literal_token1] = "floating_pt_literal_token1",
    [aux_sym_fixed_pt_literal_token1] = "fixed_pt_literal_token1",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_L] = "L",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [anon_sym_id] = "id",
    [anon_sym_autoid] = "autoid",
    [anon_sym_SEQUENTIAL] = "SEQUENTIAL",
    [anon_sym_HASH] = "HASH",
    [anon_sym_optional] = "optional",
    [anon_sym_position] = "position",
    [anon_sym_value] = "value",
    [anon_sym_extensibility] = "extensibility",
    [anon_sym_FINAL] = "FINAL",
    [anon_sym_APPENDABLE] = "APPENDABLE",
    [anon_sym_MUTABLE] = "MUTABLE",
    [anon_sym_final] = "final",
    [anon_sym_appendable] = "appendable",
    [anon_sym_mutable] = "mutable",
    [anon_sym_key] = "key",
    [anon_sym_must_understand] = "must_understand",
    [anon_sym_default_literal] = "default_literal",
    [anon_sym_range] = "range",
    [anon_sym_min] = "min",
    [anon_sym_max] = "max",
    [anon_sym_unit] = "unit",
    [anon_sym_bit_bound] = "bit_bound",
    [anon_sym_external] = "external",
    [anon_sym_nested] = "nested",
    [anon_sym_verbatim] = "verbatim",
    [anon_sym_c] = "c",
    [anon_sym_c_PLUS_PLUS] = "c++",
    [anon_sym_java] = "java",
    [anon_sym_idl] = "idl",
    [anon_sym_BEGIN_FILE] = "BEGIN_FILE",
    [anon_sym_BEFORE_DECLARATION] = "BEFORE_DECLARATION",
    [anon_sym_BEGIN_DECLARATION] = "BEGIN_DECLARATION",
    [anon_sym_END_DECLARATION] = "END_DECLARATION",
    [anon_sym_AFTER_DECLARATION] = "AFTER_DECLARATION",
    [anon_sym_END_FILE] = "END_FILE",
    [anon_sym_service] = "service",
    [anon_sym_CORBA] = "CORBA",
    [anon_sym_DDS] = "DDS",
    [anon_sym_oneway] = "oneway",
    [anon_sym_ami] = "ami",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_ATdefault_literal] = "@default_literal",
    [anon_sym_ATignore_literal_names] = "@ignore_literal_names",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_char_type] = "char_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_integer_literal] = "integer_literal",
    [sym_integer_sign] = "integer_sign",
    [sym_oct_number] = "oct_number",
    [sym_dec_number] = "dec_number",
    [sym_floating_pt_literal] = "floating_pt_literal",
    [sym_fixed_pt_literal] = "fixed_pt_literal",
    [sym_string_literal] = "string_literal",
    [sym_wide_string_literal] = "wide_string_literal",
    [sym_char_literal] = "char_literal",
    [sym_wide_character_literal] = "wide_character_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_enum_modifier] = "enum_modifier",
    [sym_enum_anno] = "enum_anno",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_dcl_repeat1] = "interface_dcl_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [anon_sym_char] = anon_sym_char,
    [anon_sym_wchar] = anon_sym_wchar,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_bin_number] = sym_bin_number,
    [aux_sym_oct_number_token1] = aux_sym_oct_number_token1,
    [aux_sym_oct_number_token2] = aux_sym_oct_number_token2,
    [anon_sym_0] = anon_sym_0,
    [aux_sym_dec_number_token1] = aux_sym_dec_number_token1,
    [sym_hex_number] = sym_hex_number,
    [anon_sym_DOT] = anon_sym_DOT,
    [aux_sym_floating_pt_literal_token1] = aux_sym_floating_pt_literal_token1,
    [aux_sym_fixed_pt_literal_token1] = aux_sym_fixed_pt_literal_token1,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [anon_sym_id] = anon_sym_id,
    [anon_sym_autoid] = anon_sym_autoid,
    [anon_sym_SEQUENTIAL] = anon_sym_SEQUENTIAL,
    [anon_sym_HASH] = anon_sym_HASH,
    [anon_sym_optional] = anon_sym_optional,
    [anon_sym_position] = anon_sym_position,
    [anon_sym_value] = anon_sym_value,
    [anon_sym_extensibility] = anon_sym_extensibility,
    [anon_sym_FINAL] = anon_sym_FINAL,
    [anon_sym_APPENDABLE] = anon_sym_APPENDABLE,
    [anon_sym_MUTABLE] = anon_sym_MUTABLE,
    [anon_sym_final] = anon_sym_final,
    [anon_sym_appendable] = anon_sym_appendable,
    [anon_sym_mutable] = anon_sym_mutable,
    [anon_sym_key] = anon_sym_key,
    [anon_sym_must_understand] = anon_sym_must_understand,
    [anon_sym_default_literal] = anon_sym_default_literal,
    [anon_sym_range] = anon_sym_range,
    [anon_sym_min] = anon_sym_min,
    [anon_sym_max] = anon_sym_max,
    [anon_sym_unit] = anon_sym_unit,
    [anon_sym_bit_bound] = anon_sym_bit_bound,
    [anon_sym_external] = anon_sym_external,
    [anon_sym_nested] = anon_sym_nested,
    [anon_sym_verbatim] = anon_sym_verbatim,
    [anon_sym_c] = anon_sym_c,
    [anon_sym_c_PLUS_PLUS] = anon_sym_c_PLUS_PLUS,
    [anon_sym_java] = anon_sym_java,
    [anon_sym_idl] = anon_sym_idl,
    [anon_sym_BEGIN_FILE] = anon_sym_BEGIN_FILE,
    [anon_sym_BEFORE_DECLARATION] = anon_sym_BEFORE_DECLARATION,
    [anon_sym_BEGIN_DECLARATION] = anon_sym_BEGIN_DECLARATION,
    [anon_sym_END_DECLARATION] = anon_sym_END_DECLARATION,
    [anon_sym_AFTER_DECLARATION] = anon_sym_AFTER_DECLARATION,
    [anon_sym_END_FILE] = anon_sym_END_FILE,
    [anon_sym_service] = anon_sym_service,
    [anon_sym_CORBA] = anon_sym_CORBA,
    [anon_sym_DDS] = anon_sym_DDS,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_ami] = anon_sym_ami,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_ATdefault_literal] = anon_sym_ATdefault_literal,
    [anon_sym_ATignore_literal_names] = anon_sym_ATignore_literal_names,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_char_type] = sym_char_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_integer_literal] = sym_integer_literal,
    [sym_integer_sign] = sym_integer_sign,
    [sym_oct_number] = sym_oct_number,
    [sym_dec_number] = sym_dec_number,
    [sym_floating_pt_literal] = sym_floating_pt_literal,
    [sym_fixed_pt_literal] = sym_fixed_pt_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_wide_string_literal] = sym_wide_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_wide_character_literal] = sym_wide_character_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_enum_modifier] = sym_enum_modifier,
    [sym_enum_anno] = sym_enum_anno,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_dcl_repeat1] = aux_sym_interface_dcl_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_char] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wchar] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_bin_number] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_oct_number_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_oct_number_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_0] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_dec_number_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_hex_number] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_floating_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_fixed_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_id] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEQUENTIAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_HASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_optional] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_position] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_value] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extensibility] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FINAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_APPENDABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_MUTABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_final] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_appendable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mutable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_key] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_must_understand] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_range] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_min] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_max] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unit] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bit_bound] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_external] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_nested] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_verbatim] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c_PLUS_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_java] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_idl] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEFORE_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AFTER_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_service] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CORBA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DDS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ami] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATdefault_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATignore_literal_names] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_sign] = {
        .visible = true,
        .named = true,
    },
    [sym_oct_number] = {
        .visible = true,
        .named = true,
    },
    [sym_dec_number] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_character_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_modifier] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_anno] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enumerator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_text = 11,
    field_type = 12,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 5, .length = 2 },
    [6] = { .index = 7, .length = 2 },
    [7] = { .index = 9, .length = 1 },
    [8] = { .index = 10, .length = 2 },
    [9] = { .index = 12, .length = 3 },
    [10] = { .index = 15, .length = 4 },
    [11] = { .index = 19, .length = 4 },
    [12] = { .index = 23, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_text, 2 },
    [7] = { field_identifier, 1 },
    { field_type, 0 },
    [9] = { field_parent, 3 },
    [10] = { field_identifier, 2 },
    { field_type, 1 },
    [12] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [15] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [19] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [23] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 34,
    [35] = 35,
    [36] = 36,
    [37] = 37,
    [38] = 38,
    [39] = 39,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 59,
    [60] = 48,
    [61] = 61,
    [62] = 62,
    [63] = 63,
    [64] = 64,
    [65] = 65,
    [66] = 66,
    [67] = 65,
    [68] = 68,
    [69] = 68,
    [70] = 70,
    [71] = 65,
    [72] = 72,
    [73] = 65,
    [74] = 74,
    [75] = 68,
    [76] = 68,
    [77] = 68,
    [78] = 78,
    [79] = 79,
    [80] = 65,
    [81] = 81,
    [82] = 48,
    [83] = 83,
    [84] = 84,
    [85] = 85,
    [86] = 86,
    [87] = 86,
    [88] = 86,
    [89] = 86,
    [90] = 86,
    [91] = 91,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 119,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 126,
    [127] = 127,
    [128] = 128,
    [129] = 129,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 134,
    [135] = 135,
    [136] = 136,
    [137] = 137,
    [138] = 138,
    [139] = 139,
    [140] = 140,
    [141] = 141,
    [142] = 142,
    [143] = 143,
    [144] = 144,
    [145] = 145,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 153,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 158,
    [159] = 159,
    [160] = 91,
    [161] = 161,
    [162] = 162,
    [163] = 163,
    [164] = 164,
    [165] = 165,
    [166] = 166,
    [167] = 107,
    [168] = 109,
    [169] = 108,
    [170] = 110,
    [171] = 113,
    [172] = 114,
    [173] = 105,
    [174] = 103,
    [175] = 115,
    [176] = 176,
    [177] = 111,
    [178] = 120,
    [179] = 112,
    [180] = 126,
    [181] = 181,
    [182] = 182,
    [183] = 146,
    [184] = 117,
    [185] = 185,
    [186] = 186,
    [187] = 121,
    [188] = 128,
    [189] = 137,
    [190] = 124,
    [191] = 133,
    [192] = 192,
    [193] = 193,
    [194] = 144,
    [195] = 123,
    [196] = 134,
    [197] = 154,
    [198] = 149,
    [199] = 127,
    [200] = 200,
    [201] = 131,
    [202] = 145,
    [203] = 151,
    [204] = 152,
    [205] = 153,
    [206] = 155,
    [207] = 150,
    [208] = 148,
    [209] = 209,
    [210] = 156,
    [211] = 147,
    [212] = 122,
    [213] = 130,
    [214] = 125,
    [215] = 136,
    [216] = 135,
    [217] = 217,
    [218] = 218,
    [219] = 143,
    [220] = 142,
    [221] = 141,
    [222] = 222,
    [223] = 129,
    [224] = 140,
    [225] = 138,
    [226] = 132,
    [227] = 139,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 242,
    [244] = 244,
    [245] = 244,
    [246] = 246,
    [247] = 242,
    [248] = 244,
    [249] = 249,
    [250] = 249,
    [251] = 246,
    [252] = 246,
    [253] = 242,
    [254] = 242,
    [255] = 244,
    [256] = 249,
    [257] = 249,
    [258] = 244,
    [259] = 249,
    [260] = 260,
    [261] = 246,
    [262] = 246,
    [263] = 263,
    [264] = 264,
    [265] = 115,
    [266] = 266,
    [267] = 267,
    [268] = 268,
    [269] = 113,
    [270] = 120,
    [271] = 271,
    [272] = 272,
    [273] = 273,
    [274] = 274,
    [275] = 275,
    [276] = 276,
    [277] = 277,
    [278] = 278,
    [279] = 279,
    [280] = 280,
    [281] = 281,
    [282] = 282,
    [283] = 283,
    [284] = 284,
    [285] = 285,
    [286] = 286,
    [287] = 287,
    [288] = 288,
    [289] = 289,
    [290] = 290,
    [291] = 291,
    [292] = 292,
    [293] = 293,
    [294] = 294,
    [295] = 295,
    [296] = 296,
    [297] = 297,
    [298] = 298,
    [299] = 299,
    [300] = 300,
    [301] = 301,
    [302] = 302,
    [303] = 303,
    [304] = 304,
    [305] = 304,
    [306] = 306,
    [307] = 304,
    [308] = 304,
    [309] = 304,
    [310] = 91,
    [311] = 114,
    [312] = 312,
    [313] = 313,
    [314] = 120,
    [315] = 315,
    [316] = 115,
    [317] = 113,
    [318] = 318,
    [319] = 319,
    [320] = 320,
    [321] = 117,
    [322] = 319,
    [323] = 319,
    [324] = 324,
    [325] = 319,
    [326] = 112,
    [327] = 319,
    [328] = 109,
    [329] = 320,
    [330] = 324,
    [331] = 111,
    [332] = 103,
    [333] = 108,
    [334] = 320,
    [335] = 324,
    [336] = 320,
    [337] = 105,
    [338] = 324,
    [339] = 107,
    [340] = 320,
    [341] = 324,
    [342] = 110,
    [343] = 150,
    [344] = 122,
    [345] = 152,
    [346] = 151,
    [347] = 347,
    [348] = 126,
    [349] = 127,
    [350] = 142,
    [351] = 154,
    [352] = 130,
    [353] = 123,
    [354] = 143,
    [355] = 153,
    [356] = 144,
    [357] = 134,
    [358] = 139,
    [359] = 136,
    [360] = 131,
    [361] = 155,
    [362] = 133,
    [363] = 156,
    [364] = 135,
    [365] = 129,
    [366] = 140,
    [367] = 138,
    [368] = 128,
    [369] = 125,
    [370] = 148,
    [371] = 121,
    [372] = 141,
    [373] = 373,
    [374] = 149,
    [375] = 132,
    [376] = 147,
    [377] = 146,
    [378] = 137,
    [379] = 145,
    [380] = 124,
    [381] = 381,
    [382] = 382,
    [383] = 383,
    [384] = 384,
    [385] = 385,
    [386] = 384,
    [387] = 387,
    [388] = 113,
    [389] = 384,
    [390] = 384,
    [391] = 384,
    [392] = 115,
    [393] = 393,
    [394] = 394,
    [395] = 395,
    [396] = 396,
    [397] = 120,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 402,
    [403] = 403,
    [404] = 404,
    [405] = 405,
    [406] = 406,
    [407] = 407,
    [408] = 408,
    [409] = 409,
    [410] = 410,
    [411] = 411,
    [412] = 412,
    [413] = 413,
    [414] = 414,
    [415] = 415,
    [416] = 416,
    [417] = 417,
    [418] = 416,
    [419] = 417,
    [420] = 416,
    [421] = 417,
    [422] = 422,
    [423] = 417,
    [424] = 424,
    [425] = 425,
    [426] = 426,
    [427] = 427,
    [428] = 428,
    [429] = 429,
    [430] = 416,
    [431] = 91,
    [432] = 416,
    [433] = 433,
    [434] = 91,
    [435] = 417,
    [436] = 436,
    [437] = 437,
    [438] = 438,
    [439] = 115,
    [440] = 113,
    [441] = 115,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 445,
    [446] = 446,
    [447] = 447,
    [448] = 113,
    [449] = 449,
    [450] = 120,
    [451] = 451,
    [452] = 452,
    [453] = 453,
    [454] = 454,
    [455] = 455,
    [456] = 456,
    [457] = 457,
    [458] = 458,
    [459] = 459,
    [460] = 460,
    [461] = 461,
    [462] = 114,
    [463] = 463,
    [464] = 114,
    [465] = 120,
    [466] = 466,
    [467] = 467,
    [468] = 468,
    [469] = 469,
    [470] = 470,
    [471] = 471,
    [472] = 472,
    [473] = 473,
    [474] = 474,
    [475] = 475,
    [476] = 476,
    [477] = 477,
    [478] = 478,
    [479] = 479,
    [480] = 480,
    [481] = 481,
    [482] = 482,
    [483] = 483,
    [484] = 484,
    [485] = 485,
    [486] = 486,
    [487] = 487,
    [488] = 488,
    [489] = 110,
    [490] = 490,
    [491] = 107,
    [492] = 492,
    [493] = 493,
    [494] = 494,
    [495] = 103,
    [496] = 496,
    [497] = 497,
    [498] = 498,
    [499] = 105,
    [500] = 108,
    [501] = 501,
    [502] = 502,
    [503] = 109,
    [504] = 504,
    [505] = 111,
    [506] = 481,
    [507] = 507,
    [508] = 508,
    [509] = 112,
    [510] = 117,
    [511] = 511,
    [512] = 512,
    [513] = 513,
    [514] = 514,
    [515] = 515,
    [516] = 516,
    [517] = 517,
    [518] = 518,
    [519] = 519,
    [520] = 520,
    [521] = 110,
    [522] = 522,
    [523] = 107,
    [524] = 524,
    [525] = 103,
    [526] = 526,
    [527] = 527,
    [528] = 496,
    [529] = 485,
    [530] = 530,
    [531] = 484,
    [532] = 105,
    [533] = 108,
    [534] = 485,
    [535] = 484,
    [536] = 109,
    [537] = 111,
    [538] = 485,
    [539] = 484,
    [540] = 112,
    [541] = 117,
    [542] = 542,
    [543] = 543,
    [544] = 544,
    [545] = 545,
    [546] = 485,
    [547] = 547,
    [548] = 548,
    [549] = 549,
    [550] = 550,
    [551] = 484,
    [552] = 552,
    [553] = 524,
    [554] = 554,
    [555] = 555,
    [556] = 556,
    [557] = 557,
    [558] = 482,
    [559] = 559,
    [560] = 481,
    [561] = 522,
    [562] = 562,
    [563] = 563,
    [564] = 564,
    [565] = 565,
    [566] = 566,
    [567] = 482,
    [568] = 481,
    [569] = 569,
    [570] = 482,
    [571] = 571,
    [572] = 481,
    [573] = 482,
    [574] = 574,
    [575] = 575,
    [576] = 576,
    [577] = 577,
    [578] = 578,
    [579] = 579,
    [580] = 580,
    [581] = 581,
    [582] = 582,
    [583] = 583,
    [584] = 584,
    [585] = 585,
    [586] = 586,
    [587] = 587,
    [588] = 588,
    [589] = 578,
    [590] = 590,
    [591] = 579,
    [592] = 592,
    [593] = 581,
    [594] = 582,
    [595] = 595,
    [596] = 596,
    [597] = 597,
    [598] = 598,
    [599] = 584,
    [600] = 585,
    [601] = 578,
    [602] = 579,
    [603] = 581,
    [604] = 582,
    [605] = 584,
    [606] = 585,
    [607] = 607,
    [608] = 475,
    [609] = 578,
    [610] = 579,
    [611] = 611,
    [612] = 581,
    [613] = 582,
    [614] = 584,
    [615] = 615,
    [616] = 585,
    [617] = 617,
    [618] = 618,
    [619] = 486,
    [620] = 620,
    [621] = 621,
    [622] = 617,
    [623] = 623,
    [624] = 624,
    [625] = 625,
    [626] = 626,
    [627] = 621,
    [628] = 628,
    [629] = 629,
    [630] = 630,
    [631] = 631,
    [632] = 632,
    [633] = 633,
    [634] = 634,
    [635] = 585,
    [636] = 620,
    [637] = 584,
    [638] = 582,
    [639] = 581,
    [640] = 579,
    [641] = 578,
    [642] = 642,
    [643] = 643,
    [644] = 644,
    [645] = 645,
    [646] = 646,
    [647] = 647,
    [648] = 648,
    [649] = 649,
    [650] = 624,
    [651] = 651,
    [652] = 652,
    [653] = 653,
    [654] = 654,
    [655] = 655,
    [656] = 656,
    [657] = 657,
    [658] = 658,
    [659] = 659,
    [660] = 130,
    [661] = 132,
    [662] = 138,
    [663] = 663,
    [664] = 140,
    [665] = 141,
    [666] = 142,
    [667] = 667,
    [668] = 668,
    [669] = 143,
    [670] = 122,
    [671] = 147,
    [672] = 148,
    [673] = 150,
    [674] = 155,
    [675] = 153,
    [676] = 676,
    [677] = 152,
    [678] = 151,
    [679] = 145,
    [680] = 131,
    [681] = 127,
    [682] = 154,
    [683] = 683,
    [684] = 134,
    [685] = 685,
    [686] = 686,
    [687] = 133,
    [688] = 688,
    [689] = 124,
    [690] = 137,
    [691] = 139,
    [692] = 146,
    [693] = 693,
    [694] = 121,
    [695] = 144,
    [696] = 696,
    [697] = 126,
    [698] = 149,
    [699] = 699,
    [700] = 700,
    [701] = 156,
    [702] = 702,
    [703] = 617,
    [704] = 136,
    [705] = 705,
    [706] = 706,
    [707] = 135,
    [708] = 708,
    [709] = 129,
    [710] = 128,
    [711] = 711,
    [712] = 125,
    [713] = 123,
    [714] = 714,
    [715] = 715,
    [716] = 716,
    [717] = 717,
    [718] = 718,
    [719] = 719,
    [720] = 720,
    [721] = 130,
    [722] = 132,
    [723] = 138,
    [724] = 140,
    [725] = 141,
    [726] = 142,
    [727] = 143,
    [728] = 122,
    [729] = 147,
    [730] = 730,
    [731] = 148,
    [732] = 150,
    [733] = 155,
    [734] = 153,
    [735] = 735,
    [736] = 152,
    [737] = 737,
    [738] = 151,
    [739] = 739,
    [740] = 740,
    [741] = 145,
    [742] = 131,
    [743] = 127,
    [744] = 154,
    [745] = 134,
    [746] = 133,
    [747] = 747,
    [748] = 124,
    [749] = 749,
    [750] = 137,
    [751] = 139,
    [752] = 146,
    [753] = 753,
    [754] = 121,
    [755] = 144,
    [756] = 126,
    [757] = 757,
    [758] = 149,
    [759] = 156,
    [760] = 760,
    [761] = 136,
    [762] = 135,
    [763] = 763,
    [764] = 764,
    [765] = 765,
    [766] = 129,
    [767] = 128,
    [768] = 768,
    [769] = 125,
    [770] = 770,
    [771] = 123,
    [772] = 772,
    [773] = 773,
    [774] = 774,
    [775] = 775,
    [776] = 776,
    [777] = 777,
    [778] = 778,
    [779] = 779,
    [780] = 780,
    [781] = 781,
    [782] = 782,
    [783] = 783,
    [784] = 784,
    [785] = 785,
    [786] = 786,
    [787] = 787,
    [788] = 788,
    [789] = 789,
    [790] = 790,
    [791] = 791,
    [792] = 792,
    [793] = 793,
    [794] = 794,
    [795] = 795,
    [796] = 796,
    [797] = 797,
    [798] = 798,
    [799] = 799,
    [800] = 800,
    [801] = 800,
    [802] = 802,
    [803] = 800,
    [804] = 800,
    [805] = 805,
    [806] = 806,
    [807] = 807,
    [808] = 808,
    [809] = 809,
    [810] = 810,
    [811] = 811,
    [812] = 812,
    [813] = 813,
    [814] = 814,
    [815] = 815,
    [816] = 816,
    [817] = 817,
    [818] = 818,
    [819] = 819,
    [820] = 820,
    [821] = 821,
    [822] = 822,
    [823] = 823,
    [824] = 824,
    [825] = 825,
    [826] = 798,
    [827] = 827,
    [828] = 828,
    [829] = 829,
    [830] = 830,
    [831] = 805,
    [832] = 832,
    [833] = 807,
    [834] = 811,
    [835] = 835,
    [836] = 836,
    [837] = 837,
    [838] = 838,
    [839] = 798,
    [840] = 840,
    [841] = 841,
    [842] = 805,
    [843] = 843,
    [844] = 807,
    [845] = 845,
    [846] = 846,
    [847] = 811,
    [848] = 848,
    [849] = 849,
    [850] = 798,
    [851] = 851,
    [852] = 805,
    [853] = 807,
    [854] = 811,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 858,
    [859] = 859,
    [860] = 860,
    [861] = 798,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 868,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 873,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 878,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 882,
    [883] = 883,
    [884] = 884,
    [885] = 885,
    [886] = 811,
    [887] = 800,
    [888] = 888,
    [889] = 807,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 893,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 898,
    [899] = 899,
    [900] = 900,
    [901] = 901,
    [902] = 902,
    [903] = 903,
    [904] = 904,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 911,
    [912] = 912,
    [913] = 805,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 918,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 932,
    [933] = 933,
    [934] = 934,
    [935] = 935,
    [936] = 936,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 943,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 948,
    [949] = 949,
    [950] = 950,
    [951] = 951,
    [952] = 278,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 962,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 969,
    [970] = 970,
    [971] = 971,
    [972] = 972,
    [973] = 973,
    [974] = 974,
    [975] = 975,
    [976] = 976,
    [977] = 977,
    [978] = 978,
    [979] = 979,
    [980] = 980,
    [981] = 981,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 988,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 992,
    [993] = 993,
    [994] = 994,
    [995] = 995,
    [996] = 996,
    [997] = 997,
    [998] = 998,
    [999] = 999,
    [1000] = 1000,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 1004,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 1008,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 1028,
    [1029] = 1029,
    [1030] = 1030,
    [1031] = 1031,
    [1032] = 1032,
    [1033] = 1033,
    [1034] = 1034,
    [1035] = 1035,
    [1036] = 1036,
    [1037] = 1037,
    [1038] = 1038,
    [1039] = 1039,
    [1040] = 1040,
    [1041] = 1041,
    [1042] = 1042,
    [1043] = 930,
    [1044] = 1044,
    [1045] = 1045,
    [1046] = 1046,
    [1047] = 1047,
    [1048] = 1048,
    [1049] = 1049,
    [1050] = 1050,
    [1051] = 1051,
    [1052] = 1052,
    [1053] = 281,
    [1054] = 1054,
    [1055] = 1055,
    [1056] = 1056,
    [1057] = 1057,
    [1058] = 1058,
    [1059] = 1059,
    [1060] = 1060,
    [1061] = 1061,
    [1062] = 1062,
    [1063] = 1063,
    [1064] = 1064,
    [1065] = 1065,
    [1066] = 1066,
    [1067] = 1067,
    [1068] = 1068,
    [1069] = 1069,
    [1070] = 931,
    [1071] = 1071,
    [1072] = 1072,
    [1073] = 1073,
    [1074] = 1074,
    [1075] = 1075,
    [1076] = 1076,
    [1077] = 1077,
    [1078] = 931,
    [1079] = 1079,
    [1080] = 1080,
    [1081] = 1081,
    [1082] = 1082,
    [1083] = 1083,
    [1084] = 1084,
    [1085] = 1085,
    [1086] = 984,
    [1087] = 1087,
    [1088] = 933,
    [1089] = 932,
    [1090] = 938,
    [1091] = 937,
    [1092] = 934,
    [1093] = 943,
    [1094] = 945,
    [1095] = 946,
    [1096] = 948,
    [1097] = 1097,
    [1098] = 975,
    [1099] = 1035,
    [1100] = 1041,
    [1101] = 1049,
    [1102] = 1050,
    [1103] = 1065,
    [1104] = 1083,
    [1105] = 1085,
    [1106] = 1087,
    [1107] = 1107,
    [1108] = 1108,
    [1109] = 1107,
    [1110] = 1066,
    [1111] = 1061,
    [1112] = 1052,
    [1113] = 1113,
    [1114] = 1114,
    [1115] = 1115,
    [1116] = 931,
    [1117] = 1117,
    [1118] = 1118,
    [1119] = 1119,
    [1120] = 930,
    [1121] = 1056,
    [1122] = 984,
    [1123] = 1123,
    [1124] = 933,
    [1125] = 932,
    [1126] = 938,
    [1127] = 937,
    [1128] = 934,
    [1129] = 943,
    [1130] = 945,
    [1131] = 946,
    [1132] = 948,
    [1133] = 1097,
    [1134] = 975,
    [1135] = 1035,
    [1136] = 1041,
    [1137] = 1049,
    [1138] = 1050,
    [1139] = 1065,
    [1140] = 1083,
    [1141] = 1085,
    [1142] = 1087,
    [1143] = 1107,
    [1144] = 1066,
    [1145] = 1061,
    [1146] = 1052,
    [1147] = 1114,
    [1148] = 1148,
    [1149] = 1149,
    [1150] = 1150,
    [1151] = 1151,
    [1152] = 1152,
    [1153] = 930,
    [1154] = 1154,
    [1155] = 933,
    [1156] = 932,
    [1157] = 938,
    [1158] = 937,
    [1159] = 934,
    [1160] = 943,
    [1161] = 945,
    [1162] = 946,
    [1163] = 948,
    [1164] = 1097,
    [1165] = 975,
    [1166] = 1035,
    [1167] = 1041,
    [1168] = 1049,
    [1169] = 1050,
    [1170] = 1065,
    [1171] = 1083,
    [1172] = 1085,
    [1173] = 1087,
    [1174] = 1107,
    [1175] = 1066,
    [1176] = 1061,
    [1177] = 1052,
    [1178] = 1114,
    [1179] = 1179,
    [1180] = 931,
    [1181] = 1181,
    [1182] = 1182,
    [1183] = 1183,
    [1184] = 1184,
    [1185] = 933,
    [1186] = 932,
    [1187] = 938,
    [1188] = 937,
    [1189] = 934,
    [1190] = 943,
    [1191] = 945,
    [1192] = 946,
    [1193] = 948,
    [1194] = 1097,
    [1195] = 975,
    [1196] = 1035,
    [1197] = 1041,
    [1198] = 1049,
    [1199] = 1050,
    [1200] = 1065,
    [1201] = 1083,
    [1202] = 1085,
    [1203] = 1087,
    [1204] = 1107,
    [1205] = 1066,
    [1206] = 1061,
    [1207] = 1052,
    [1208] = 1114,
    [1209] = 931,
    [1210] = 930,
    [1211] = 931,
    [1212] = 1212,
    [1213] = 1213,
    [1214] = 1214,
    [1215] = 1215,
    [1216] = 1216,
    [1217] = 1217,
    [1218] = 1218,
    [1219] = 1219,
    [1220] = 1220,
    [1221] = 1056,
    [1222] = 1222,
    [1223] = 1223,
    [1224] = 1224,
    [1225] = 1225,
    [1226] = 1226,
    [1227] = 1227,
    [1228] = 1228,
    [1229] = 1229,
    [1230] = 1230,
    [1231] = 1231,
    [1232] = 1232,
    [1233] = 1233,
    [1234] = 1234,
    [1235] = 1235,
    [1236] = 1236,
    [1237] = 1237,
    [1238] = 1238,
    [1239] = 1239,
    [1240] = 1240,
    [1241] = 1241,
    [1242] = 1242,
    [1243] = 1243,
    [1244] = 1244,
    [1245] = 1245,
    [1246] = 1246,
    [1247] = 1097,
    [1248] = 1248,
    [1249] = 1249,
    [1250] = 1250,
    [1251] = 1251,
    [1252] = 1252,
    [1253] = 1253,
    [1254] = 1254,
    [1255] = 1255,
    [1256] = 1256,
    [1257] = 1257,
    [1258] = 1258,
    [1259] = 1259,
    [1260] = 1260,
    [1261] = 1261,
    [1262] = 1262,
    [1263] = 1263,
    [1264] = 1264,
    [1265] = 1265,
    [1266] = 1266,
    [1267] = 1267,
    [1268] = 1268,
    [1269] = 1269,
    [1270] = 1270,
    [1271] = 1271,
    [1272] = 1272,
    [1273] = 1273,
    [1274] = 1274,
    [1275] = 1275,
    [1276] = 1276,
    [1277] = 1277,
    [1278] = 1278,
    [1279] = 1279,
    [1280] = 1280,
    [1281] = 1281,
    [1282] = 1282,
    [1283] = 1283,
    [1284] = 1284,
    [1285] = 1285,
    [1286] = 1286,
    [1287] = 1287,
    [1288] = 1288,
    [1289] = 1289,
    [1290] = 1290,
    [1291] = 1291,
    [1292] = 1292,
    [1293] = 1293,
    [1294] = 1294,
    [1295] = 1295,
    [1296] = 1296,
    [1297] = 1297,
    [1298] = 1298,
    [1299] = 1299,
    [1300] = 1300,
    [1301] = 1301,
    [1302] = 1302,
    [1303] = 1303,
    [1304] = 1304,
    [1305] = 1305,
    [1306] = 1154,
    [1307] = 1152,
    [1308] = 1151,
    [1309] = 1150,
    [1310] = 1148,
    [1311] = 1119,
    [1312] = 1118,
    [1313] = 1117,
    [1314] = 1115,
    [1315] = 1084,
    [1316] = 971,
    [1317] = 1074,
    [1318] = 1081,
    [1319] = 1054,
    [1320] = 1154,
    [1321] = 1152,
    [1322] = 1151,
    [1323] = 1150,
    [1324] = 1148,
    [1325] = 1119,
    [1326] = 1118,
    [1327] = 1117,
    [1328] = 1115,
    [1329] = 1084,
    [1330] = 971,
    [1331] = 1074,
    [1332] = 1081,
    [1333] = 1054,
    [1334] = 1154,
    [1335] = 1152,
    [1336] = 1151,
    [1337] = 1150,
    [1338] = 1148,
    [1339] = 1119,
    [1340] = 1118,
    [1341] = 1117,
    [1342] = 1115,
    [1343] = 1084,
    [1344] = 971,
    [1345] = 1074,
    [1346] = 1081,
    [1347] = 1054,
    [1348] = 1154,
    [1349] = 1152,
    [1350] = 1151,
    [1351] = 1150,
    [1352] = 1148,
    [1353] = 1119,
    [1354] = 1118,
    [1355] = 1117,
    [1356] = 1115,
    [1357] = 1084,
    [1358] = 971,
    [1359] = 1074,
    [1360] = 1081,
    [1361] = 1054,
    [1362] = 1362,
    [1363] = 1363,
    [1364] = 1364,
    [1365] = 1114,
    [1366] = 1056,
    [1367] = 1056,
    [1368] = 1368,
    [1369] = 1369,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(805);
            ADVANCE_MAP(
                '"', 899,
                '#', 322,
                '%', 872,
                '&', 864,
                '\'', 905,
                '(', 873,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '.', 888,
                '/', 870,
                '0', 882,
                ':', 954,
                ';', 955,
                '<', 852,
                '=', 987,
                '>', 854,
                '@', 983,
                'A', 170,
                'B', 153,
                'C', 201,
                'D', 893,
                'E', 890,
                'F', 123,
                'H', 125,
                'L', 903,
                'M', 227,
                'O', 289,
                'S', 154,
                'T', 210,
                'V', 239,
                '[', 1082,
            );
            if(lookahead == '\\')
                SKIP(798);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'a')
                ADVANCE(292);
            if(lookahead == 'b')
                ADVANCE(442);
            if(lookahead == 'c')
                ADVANCE(1034);
            if(lookahead == 'd')
                ADVANCE(894);
            if(lookahead == 'e')
                ADVANCE(891);
            if(lookahead == 'f')
                ADVANCE(240);
            if(lookahead == 'g')
                ADVANCE(400);
            if(lookahead == 'h')
                ADVANCE(573);
            if(lookahead == 'i')
                ADVANCE(323);
            if(lookahead == 'j')
                ADVANCE(241);
            if(lookahead == 'k')
                ADVANCE(370);
            if(lookahead == 'l')
                ADVANCE(574);
            if(lookahead == 'm')
                ADVANCE(242);
            if(lookahead == 'n')
                ADVANCE(251);
            if(lookahead == 'o')
                ADVANCE(308);
            if(lookahead == 'p')
                ADVANCE(576);
            if(lookahead == 'r')
                ADVANCE(243);
            if(lookahead == 's')
                ADVANCE(343);
            if(lookahead == 't')
                ADVANCE(629);
            if(lookahead == 'u')
                ADVANCE(439);
            if(lookahead == 'v')
                ADVANCE(282);
            if(lookahead == 'w')
                ADVANCE(304);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(lookahead == '~')
                ADVANCE(875);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(884);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(95);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(95);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(96);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(96);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(98);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(82);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(84);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(93);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(93);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(86);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(86);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(77);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(77);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(74);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(74);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(75);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(75);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(76);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(76);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(85);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(94);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(94);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                SKIP(47);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(47);
            if(lookahead == '\r')
                SKIP(45);
            END_STATE();
        case 47:
            if(lookahead == '\n')
                ADVANCE(986);
            if(lookahead == '\r')
                ADVANCE(47);
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(982);
            if(lookahead == '\\')
                SKIP(46);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(47);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(103);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                SKIP(48);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(104);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                SKIP(50);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(52);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(54);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '"')
                ADVANCE(899);
            if(lookahead == '/')
                ADVANCE(900);
            if(lookahead == '\\')
                ADVANCE(57);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(901);
            if(lookahead != 0)
                ADVANCE(902);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                ADVANCE(896);
            if(lookahead == '\r')
                ADVANCE(895);
            if(lookahead == 'U')
                ADVANCE(795);
            if(lookahead == 'u')
                ADVANCE(791);
            if(lookahead == 'x')
                ADVANCE(789);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(898);
            if(lookahead != 0)
                ADVANCE(895);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\'')
                ADVANCE(905);
            if(lookahead == '/')
                ADVANCE(908);
            if(lookahead == '\\')
                ADVANCE(907);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(909);
            if(lookahead != 0)
                ADVANCE(906);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(59);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '\r')
                ADVANCE(63);
            if(lookahead == '/')
                ADVANCE(935);
            if(lookahead == '\\')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '\r')
                ADVANCE(64);
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '/')
                ADVANCE(935);
            if(lookahead == '\\')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(65);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(1537);
            if(lookahead == '\r')
                ADVANCE(1534);
            if(lookahead == '\\')
                ADVANCE(1535);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                ADVANCE(89);
            if(lookahead == '\r')
                ADVANCE(69);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(90);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                ADVANCE(89);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(90);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(97);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                SKIP(97);
            if(lookahead == '\r')
                SKIP(70);
            END_STATE();
        case 72:
            if(lookahead == '\r')
                ADVANCE(1539);
            if(lookahead == '\\')
                ADVANCE(1535);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 73:
            if(lookahead == ' ')
                ADVANCE(512);
            END_STATE();
        case 74:
            ADVANCE_MAP(
                '"', 899,
                '%', 872,
                '&', 864,
                '\'', 905,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '/', 871,
                '0', 882,
                ':', 954,
                ';', 955,
                '<', 122,
                '>', 854,
                'A', 170,
                'B', 153,
                'C', 201,
                'D', 146,
                'E', 192,
                'F', 123,
                'H', 125,
                'L', 903,
                'M', 227,
                'S', 154,
                'T', 210,
                '[', 1082,
            );
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'a')
                ADVANCE(683);
            if(lookahead == 'b')
                ADVANCE(464);
            if(lookahead == 'c')
                ADVANCE(245);
            if(lookahead == 'd')
                ADVANCE(407);
            if(lookahead == 'e')
                ADVANCE(520);
            if(lookahead == 'g')
                ADVANCE(400);
            if(lookahead == 'i')
                ADVANCE(561);
            if(lookahead == 'l')
                ADVANCE(599);
            if(lookahead == 'm')
                ADVANCE(267);
            if(lookahead == 'o')
                ADVANCE(307);
            if(lookahead == 'p')
                ADVANCE(605);
            if(lookahead == 'r')
                ADVANCE(285);
            if(lookahead == 's')
                ADVANCE(410);
            if(lookahead == 'u')
                ADVANCE(440);
            if(lookahead == 'v')
                ADVANCE(270);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(74);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(884);
            END_STATE();
        case 75:
            ADVANCE_MAP(
                '"', 899,
                '%', 872,
                '&', 864,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '/', 871,
                ':', 954,
                ';', 955,
                '<', 122,
                '>', 854,
                '@', 342,
            );
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(75);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 76:
            ADVANCE_MAP(
                '"', 899,
                '&', 864,
                ')', 874,
                '*', 869,
                ',', 857,
                '/', 88,
                ':', 953,
                ';', 955,
                '>', 853,
                'A', 169,
                'B', 153,
                'E', 192,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'c')
                ADVANCE(1033);
            if(lookahead == 'i')
                ADVANCE(335);
            if(lookahead == 'j')
                ADVANCE(241);
            if(lookahead == '|')
                ADVANCE(862);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(76);
            END_STATE();
        case 77:
            ADVANCE_MAP(
                '"', 899,
                '\'', 905,
                '(', 873,
                '+', 867,
                '-', 868,
                '/', 88,
                '0', 883,
                ':', 121,
                'F', 1129,
                'L', 904,
                'T', 1134,
            );
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == '~')
                ADVANCE(875);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(77);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(885);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 899,
                ')', 874,
                ',', 857,
                '/', 88,
                ':', 121,
                ';', 955,
                '<', 852,
                '>', 853,
            );
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 79:
            if(lookahead == '"')
                ADVANCE(899);
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == '\\')
                ADVANCE(57);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            END_STATE();
        case 80:
            ADVANCE_MAP(
                '%', 872,
                '&', 864,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '.', 888,
                '/', 871,
                ':', 953,
                ';', 955,
                '<', 122,
                '>', 854,
            );
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'i')
                ADVANCE(538);
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 's')
                ADVANCE(748);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(892);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(889);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            END_STATE();
        case 81:
            if(lookahead == '\'')
                ADVANCE(905);
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == '\\')
                ADVANCE(57);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            END_STATE();
        case 82:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1354);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 83:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == 'a')
                ADVANCE(290);
            if(lookahead == 'b')
                ADVANCE(463);
            if(lookahead == 'e')
                ADVANCE(539);
            if(lookahead == 'i')
                ADVANCE(570);
            if(lookahead == 'l')
                ADVANCE(580);
            if(lookahead == 's')
                ADVANCE(719);
            if(lookahead == 'u')
                ADVANCE(566);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            END_STATE();
        case 84:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(982);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 85:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(982);
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 86:
            if(lookahead == ')')
                ADVANCE(874);
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1347);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1191);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(86);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 87:
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1530);
            END_STATE();
        case 88:
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            END_STATE();
        case 89:
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead == '/')
                ADVANCE(91);
            if(lookahead == '\\')
                ADVANCE(68);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(89);
            if(lookahead != 0)
                ADVANCE(90);
            END_STATE();
        case 90:
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(90);
            END_STATE();
        case 91:
            if(lookahead == '*')
                ADVANCE(1541);
            if(lookahead == '/')
                ADVANCE(1529);
            if(lookahead != 0)
                ADVANCE(90);
            END_STATE();
        case 92:
            if(lookahead == '+')
                ADVANCE(1035);
            END_STATE();
        case 93:
            ADVANCE_MAP(
                ',', 857,
                '/', 88,
                ':', 954,
                ';', 955,
                '<', 852,
                '>', 853,
                'O', 1174,
                'V', 1139,
            );
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1218);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(93);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 94:
            if(lookahead == ',')
                ADVANCE(857);
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '<')
                ADVANCE(852);
            if(lookahead == '>')
                ADVANCE(853);
            if(lookahead == '\\')
                SKIP(44);
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 'p')
                ADVANCE(641);
            if(lookahead == 's')
                ADVANCE(748);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(94);
            END_STATE();
        case 95:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1175);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1277);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1353);
            if(lookahead == 'f')
                ADVANCE(1142);
            if(lookahead == 'i')
                ADVANCE(1336);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'n')
                ADVANCE(1150);
            if(lookahead == 'o')
                ADVANCE(1190);
            if(lookahead == 'p')
                ADVANCE(1411);
            if(lookahead == 'r')
                ADVANCE(1246);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 't')
                ADVANCE(1519);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1170);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(95);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 96:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1175);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1277);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1353);
            if(lookahead == 'f')
                ADVANCE(1143);
            if(lookahead == 'i')
                ADVANCE(1336);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'n')
                ADVANCE(1150);
            if(lookahead == 'o')
                ADVANCE(1190);
            if(lookahead == 'r')
                ADVANCE(1246);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 't')
                ADVANCE(1519);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1170);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(96);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 97:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(71);
            if(lookahead == 'a')
                ADVANCE(1175);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1277);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1353);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1336);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'n')
                ADVANCE(1150);
            if(lookahead == 'o')
                ADVANCE(1190);
            if(lookahead == 'r')
                ADVANCE(1246);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 't')
                ADVANCE(1519);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1170);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(97);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 98:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1163);
            if(lookahead == 'd')
                ADVANCE(1243);
            if(lookahead == 'e')
                ADVANCE(1354);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 99:
            if(lookahead == '/')
                ADVANCE(935);
            if(lookahead == '\\')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(434);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1278);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1354);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 't')
                ADVANCE(1521);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1278);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1352);
            if(lookahead == 'f')
                ADVANCE(1320);
            if(lookahead == 'i')
                ADVANCE(1368);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1217);
            if(lookahead == 't')
                ADVANCE(1522);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1171);
            if(lookahead == 'w')
                ADVANCE(1186);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == '\\')
                SKIP(49);
            if(lookahead == 'm')
                ADVANCE(1504);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == '\\')
                SKIP(51);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'a')
                ADVANCE(1341);
            if(lookahead == 'b')
                ADVANCE(1301);
            if(lookahead == 'd')
                ADVANCE(1265);
            if(lookahead == 'e')
                ADVANCE(1512);
            if(lookahead == 'f')
                ADVANCE(1300);
            if(lookahead == 'i')
                ADVANCE(1205);
            if(lookahead == 'k')
                ADVANCE(1248);
            if(lookahead == 'm')
                ADVANCE(1147);
            if(lookahead == 'n')
                ADVANCE(1264);
            if(lookahead == 'o')
                ADVANCE(1350);
            if(lookahead == 'p')
                ADVANCE(1386);
            if(lookahead == 'r')
                ADVANCE(1159);
            if(lookahead == 's')
                ADVANCE(1254);
            if(lookahead == 'u')
                ADVANCE(1374);
            if(lookahead == 'v')
                ADVANCE(1173);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 's')
                ADVANCE(1280);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1186);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(53);
            if(lookahead == 't')
                ADVANCE(1428);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ':')
                ADVANCE(953);
            if(lookahead == ';')
                ADVANCE(955);
            if(lookahead == '\\')
                SKIP(55);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == ';')
                ADVANCE(955);
            if(lookahead == '\\')
                SKIP(60);
            if(lookahead == 's')
                ADVANCE(1509);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(88);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 112:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(827);
            END_STATE();
        case 113:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(827);
            if(lookahead == 'e')
                ADVANCE(648);
            END_STATE();
        case 114:
            if(lookahead == '1')
                ADVANCE(120);
            if(lookahead == '3')
                ADVANCE(116);
            if(lookahead == '6')
                ADVANCE(118);
            if(lookahead == '8')
                ADVANCE(819);
            END_STATE();
        case 115:
            if(lookahead == '2')
                ADVANCE(814);
            END_STATE();
        case 116:
            if(lookahead == '2')
                ADVANCE(833);
            END_STATE();
        case 117:
            if(lookahead == '4')
                ADVANCE(817);
            END_STATE();
        case 118:
            if(lookahead == '4')
                ADVANCE(836);
            END_STATE();
        case 119:
            if(lookahead == '6')
                ADVANCE(808);
            END_STATE();
        case 120:
            if(lookahead == '6')
                ADVANCE(830);
            END_STATE();
        case 121:
            if(lookahead == ':')
                ADVANCE(847);
            END_STATE();
        case 122:
            if(lookahead == '<')
                ADVANCE(866);
            END_STATE();
        case 123:
            if(lookahead == 'A')
                ADVANCE(183);
            if(lookahead == 'I')
                ADVANCE(197);
            END_STATE();
        case 124:
            if(lookahead == 'A')
                ADVANCE(1046);
            END_STATE();
        case 125:
            if(lookahead == 'A')
                ADVANCE(218);
            END_STATE();
        case 126:
            if(lookahead == 'A')
                ADVANCE(181);
            END_STATE();
        case 127:
            if(lookahead == 'A')
                ADVANCE(138);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(212);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(182);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(223);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(224);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(225);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(226);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(141);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(214);
            END_STATE();
        case 136:
            if(lookahead == 'A')
                ADVANCE(215);
            END_STATE();
        case 137:
            if(lookahead == 'A')
                ADVANCE(216);
            END_STATE();
        case 138:
            if(lookahead == 'B')
                ADVANCE(185);
            END_STATE();
        case 139:
            if(lookahead == 'B')
                ADVANCE(124);
            END_STATE();
        case 140:
            if(lookahead == 'B')
                ADVANCE(281);
            END_STATE();
        case 141:
            if(lookahead == 'B')
                ADVANCE(187);
            END_STATE();
        case 142:
            if(lookahead == 'C')
                ADVANCE(184);
            END_STATE();
        case 143:
            if(lookahead == 'C')
                ADVANCE(189);
            END_STATE();
        case 144:
            if(lookahead == 'C')
                ADVANCE(190);
            END_STATE();
        case 145:
            if(lookahead == 'C')
                ADVANCE(191);
            END_STATE();
        case 146:
            if(lookahead == 'D')
                ADVANCE(217);
            END_STATE();
        case 147:
            if(lookahead == 'D')
                ADVANCE(230);
            END_STATE();
        case 148:
            if(lookahead == 'D')
                ADVANCE(157);
            if(lookahead == 'F')
                ADVANCE(177);
            END_STATE();
        case 149:
            if(lookahead == 'D')
                ADVANCE(134);
            END_STATE();
        case 150:
            if(lookahead == 'D')
                ADVANCE(165);
            END_STATE();
        case 151:
            if(lookahead == 'D')
                ADVANCE(166);
            if(lookahead == 'F')
                ADVANCE(180);
            END_STATE();
        case 152:
            if(lookahead == 'D')
                ADVANCE(167);
            END_STATE();
        case 153:
            if(lookahead == 'E')
                ADVANCE(171);
            END_STATE();
        case 154:
            if(lookahead == 'E')
                ADVANCE(208);
            END_STATE();
        case 155:
            if(lookahead == 'E')
                ADVANCE(910);
            END_STATE();
        case 156:
            if(lookahead == 'E')
                ADVANCE(912);
            END_STATE();
        case 157:
            if(lookahead == 'E')
                ADVANCE(142);
            END_STATE();
        case 158:
            if(lookahead == 'E')
                ADVANCE(1004);
            END_STATE();
        case 159:
            if(lookahead == 'E')
                ADVANCE(1043);
            END_STATE();
        case 160:
            if(lookahead == 'E')
                ADVANCE(1003);
            END_STATE();
        case 161:
            if(lookahead == 'E')
                ADVANCE(1038);
            END_STATE();
        case 162:
            if(lookahead == 'E')
                ADVANCE(198);
            END_STATE();
        case 163:
            if(lookahead == 'E')
                ADVANCE(211);
            END_STATE();
        case 164:
            if(lookahead == 'E')
                ADVANCE(199);
            END_STATE();
        case 165:
            if(lookahead == 'E')
                ADVANCE(143);
            END_STATE();
        case 166:
            if(lookahead == 'E')
                ADVANCE(144);
            END_STATE();
        case 167:
            if(lookahead == 'E')
                ADVANCE(145);
            END_STATE();
        case 168:
            if(lookahead == 'E')
                ADVANCE(238);
            END_STATE();
        case 169:
            if(lookahead == 'F')
                ADVANCE(220);
            END_STATE();
        case 170:
            if(lookahead == 'F')
                ADVANCE(220);
            if(lookahead == 'P')
                ADVANCE(207);
            END_STATE();
        case 171:
            if(lookahead == 'F')
                ADVANCE(202);
            if(lookahead == 'G')
                ADVANCE(174);
            END_STATE();
        case 172:
            if(lookahead == 'H')
                ADVANCE(993);
            END_STATE();
        case 173:
            if(lookahead == 'I')
                ADVANCE(203);
            END_STATE();
        case 174:
            if(lookahead == 'I')
                ADVANCE(200);
            END_STATE();
        case 175:
            if(lookahead == 'I')
                ADVANCE(204);
            END_STATE();
        case 176:
            if(lookahead == 'I')
                ADVANCE(129);
            END_STATE();
        case 177:
            if(lookahead == 'I')
                ADVANCE(186);
            END_STATE();
        case 178:
            if(lookahead == 'I')
                ADVANCE(205);
            END_STATE();
        case 179:
            if(lookahead == 'I')
                ADVANCE(206);
            END_STATE();
        case 180:
            if(lookahead == 'I')
                ADVANCE(188);
            END_STATE();
        case 181:
            if(lookahead == 'L')
                ADVANCE(1002);
            END_STATE();
        case 182:
            if(lookahead == 'L')
                ADVANCE(992);
            END_STATE();
        case 183:
            if(lookahead == 'L')
                ADVANCE(219);
            END_STATE();
        case 184:
            if(lookahead == 'L')
                ADVANCE(128);
            END_STATE();
        case 185:
            if(lookahead == 'L')
                ADVANCE(158);
            END_STATE();
        case 186:
            if(lookahead == 'L')
                ADVANCE(159);
            END_STATE();
        case 187:
            if(lookahead == 'L')
                ADVANCE(160);
            END_STATE();
        case 188:
            if(lookahead == 'L')
                ADVANCE(161);
            END_STATE();
        case 189:
            if(lookahead == 'L')
                ADVANCE(135);
            END_STATE();
        case 190:
            if(lookahead == 'L')
                ADVANCE(136);
            END_STATE();
        case 191:
            if(lookahead == 'L')
                ADVANCE(137);
            END_STATE();
        case 192:
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 193:
            if(lookahead == 'N')
                ADVANCE(1041);
            END_STATE();
        case 194:
            if(lookahead == 'N')
                ADVANCE(1042);
            END_STATE();
        case 195:
            if(lookahead == 'N')
                ADVANCE(1040);
            END_STATE();
        case 196:
            if(lookahead == 'N')
                ADVANCE(1039);
            END_STATE();
        case 197:
            if(lookahead == 'N')
                ADVANCE(126);
            END_STATE();
        case 198:
            if(lookahead == 'N')
                ADVANCE(149);
            END_STATE();
        case 199:
            if(lookahead == 'N')
                ADVANCE(222);
            END_STATE();
        case 200:
            if(lookahead == 'N')
                ADVANCE(236);
            END_STATE();
        case 201:
            if(lookahead == 'O')
                ADVANCE(209);
            END_STATE();
        case 202:
            if(lookahead == 'O')
                ADVANCE(213);
            END_STATE();
        case 203:
            if(lookahead == 'O')
                ADVANCE(193);
            END_STATE();
        case 204:
            if(lookahead == 'O')
                ADVANCE(194);
            END_STATE();
        case 205:
            if(lookahead == 'O')
                ADVANCE(195);
            END_STATE();
        case 206:
            if(lookahead == 'O')
                ADVANCE(196);
            END_STATE();
        case 207:
            if(lookahead == 'P')
                ADVANCE(162);
            END_STATE();
        case 208:
            if(lookahead == 'Q')
                ADVANCE(229);
            END_STATE();
        case 209:
            if(lookahead == 'R')
                ADVANCE(139);
            END_STATE();
        case 210:
            if(lookahead == 'R')
                ADVANCE(228);
            END_STATE();
        case 211:
            if(lookahead == 'R')
                ADVANCE(231);
            END_STATE();
        case 212:
            if(lookahead == 'R')
                ADVANCE(130);
            END_STATE();
        case 213:
            if(lookahead == 'R')
                ADVANCE(168);
            END_STATE();
        case 214:
            if(lookahead == 'R')
                ADVANCE(131);
            END_STATE();
        case 215:
            if(lookahead == 'R')
                ADVANCE(132);
            END_STATE();
        case 216:
            if(lookahead == 'R')
                ADVANCE(133);
            END_STATE();
        case 217:
            if(lookahead == 'S')
                ADVANCE(1047);
            END_STATE();
        case 218:
            if(lookahead == 'S')
                ADVANCE(172);
            END_STATE();
        case 219:
            if(lookahead == 'S')
                ADVANCE(156);
            END_STATE();
        case 220:
            if(lookahead == 'T')
                ADVANCE(163);
            END_STATE();
        case 221:
            if(lookahead == 'T')
                ADVANCE(127);
            END_STATE();
        case 222:
            if(lookahead == 'T')
                ADVANCE(176);
            END_STATE();
        case 223:
            if(lookahead == 'T')
                ADVANCE(173);
            END_STATE();
        case 224:
            if(lookahead == 'T')
                ADVANCE(175);
            END_STATE();
        case 225:
            if(lookahead == 'T')
                ADVANCE(178);
            END_STATE();
        case 226:
            if(lookahead == 'T')
                ADVANCE(179);
            END_STATE();
        case 227:
            if(lookahead == 'U')
                ADVANCE(221);
            END_STATE();
        case 228:
            if(lookahead == 'U')
                ADVANCE(155);
            END_STATE();
        case 229:
            if(lookahead == 'U')
                ADVANCE(164);
            END_STATE();
        case 230:
            if(lookahead == '_')
                ADVANCE(148);
            END_STATE();
        case 231:
            if(lookahead == '_')
                ADVANCE(150);
            END_STATE();
        case 232:
            if(lookahead == '_')
                ADVANCE(294);
            if(lookahead == 'f')
                ADVANCE(461);
            if(lookahead == 'm')
                ADVANCE(254);
            if(lookahead == 's')
                ADVANCE(399);
            END_STATE();
        case 233:
            if(lookahead == '_')
                ADVANCE(572);
            END_STATE();
        case 234:
            if(lookahead == '_')
                ADVANCE(509);
            END_STATE();
        case 235:
            if(lookahead == '_')
                ADVANCE(757);
            END_STATE();
        case 236:
            if(lookahead == '_')
                ADVANCE(151);
            END_STATE();
        case 237:
            if(lookahead == '_')
                ADVANCE(515);
            END_STATE();
        case 238:
            if(lookahead == '_')
                ADVANCE(152);
            END_STATE();
        case 239:
            if(lookahead == 'a')
                ADVANCE(489);
            END_STATE();
        case 240:
            if(lookahead == 'a')
                ADVANCE(319);
            if(lookahead == 'i')
                ADVANCE(530);
            if(lookahead == 'l')
                ADVANCE(581);
            END_STATE();
        case 241:
            if(lookahead == 'a')
                ADVANCE(766);
            END_STATE();
        case 242:
            if(lookahead == 'a')
                ADVANCE(553);
            if(lookahead == 'i')
                ADVANCE(531);
            if(lookahead == 'o')
                ADVANCE(333);
            if(lookahead == 'u')
                ADVANCE(507);
            END_STATE();
        case 243:
            if(lookahead == 'a')
                ADVANCE(467);
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 244:
            if(lookahead == 'a')
                ADVANCE(1036);
            END_STATE();
        case 245:
            if(lookahead == 'a')
                ADVANCE(673);
            if(lookahead == 'o')
                ADVANCE(537);
            END_STATE();
        case 246:
            if(lookahead == 'a')
                ADVANCE(340);
            END_STATE();
        case 247:
            if(lookahead == 'a')
                ADVANCE(775);
            END_STATE();
        case 248:
            if(lookahead == 'a')
                ADVANCE(483);
            if(lookahead == 'd')
                ADVANCE(389);
            END_STATE();
        case 249:
            if(lookahead == 'a')
                ADVANCE(658);
            END_STATE();
        case 250:
            if(lookahead == 'a')
                ADVANCE(712);
            END_STATE();
        case 251:
            if(lookahead == 'a')
                ADVANCE(712);
            if(lookahead == 'e')
                ADVANCE(674);
            END_STATE();
        case 252:
            if(lookahead == 'a')
                ADVANCE(624);
            END_STATE();
        case 253:
            if(lookahead == 'a')
                ADVANCE(484);
            END_STATE();
        case 254:
            if(lookahead == 'a')
                ADVANCE(660);
            END_STATE();
        case 255:
            if(lookahead == 'a')
                ADVANCE(750);
            END_STATE();
        case 256:
            if(lookahead == 'a')
                ADVANCE(625);
            END_STATE();
        case 257:
            if(lookahead == 'a')
                ADVANCE(485);
            END_STATE();
        case 258:
            if(lookahead == 'a')
                ADVANCE(486);
            END_STATE();
        case 259:
            if(lookahead == 'a')
                ADVANCE(490);
            END_STATE();
        case 260:
            if(lookahead == 'a')
                ADVANCE(487);
            END_STATE();
        case 261:
            if(lookahead == 'a')
                ADVANCE(631);
            END_STATE();
        case 262:
            if(lookahead == 'a')
                ADVANCE(533);
            END_STATE();
        case 263:
            if(lookahead == 'a')
                ADVANCE(488);
            END_STATE();
        case 264:
            if(lookahead == 'a')
                ADVANCE(689);
            END_STATE();
        case 265:
            if(lookahead == 'a')
                ADVANCE(469);
            END_STATE();
        case 266:
            if(lookahead == 'a')
                ADVANCE(552);
            END_STATE();
        case 267:
            if(lookahead == 'a')
                ADVANCE(552);
            if(lookahead == 'i')
                ADVANCE(632);
            END_STATE();
        case 268:
            if(lookahead == 'a')
                ADVANCE(744);
            END_STATE();
        case 269:
            if(lookahead == 'a')
                ADVANCE(492);
            END_STATE();
        case 270:
            if(lookahead == 'a')
                ADVANCE(492);
            if(lookahead == 'o')
                ADVANCE(444);
            END_STATE();
        case 271:
            if(lookahead == 'a')
                ADVANCE(427);
            END_STATE();
        case 272:
            if(lookahead == 'a')
                ADVANCE(758);
            END_STATE();
        case 273:
            if(lookahead == 'a')
                ADVANCE(724);
            END_STATE();
        case 274:
            if(lookahead == 'a')
                ADVANCE(524);
            END_STATE();
        case 275:
            if(lookahead == 'a')
                ADVANCE(762);
            END_STATE();
        case 276:
            if(lookahead == 'a')
                ADVANCE(313);
            END_STATE();
        case 277:
            if(lookahead == 'a')
                ADVANCE(525);
            END_STATE();
        case 278:
            if(lookahead == 'a')
                ADVANCE(721);
            END_STATE();
        case 279:
            if(lookahead == 'a')
                ADVANCE(316);
            END_STATE();
        case 280:
            if(lookahead == 'a')
                ADVANCE(557);
            END_STATE();
        case 281:
            if(lookahead == 'a')
                ADVANCE(681);
            END_STATE();
        case 282:
            if(lookahead == 'a')
                ADVANCE(508);
            if(lookahead == 'e')
                ADVANCE(628);
            if(lookahead == 'o')
                ADVANCE(444);
            END_STATE();
        case 283:
            if(lookahead == 'a')
                ADVANCE(470);
            END_STATE();
        case 284:
            if(lookahead == 'a')
                ADVANCE(300);
            END_STATE();
        case 285:
            if(lookahead == 'a')
                ADVANCE(466);
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 286:
            if(lookahead == 'a')
                ADVANCE(301);
            END_STATE();
        case 287:
            if(lookahead == 'a')
                ADVANCE(743);
            END_STATE();
        case 288:
            if(lookahead == 'a')
                ADVANCE(303);
            END_STATE();
        case 289:
            if(lookahead == 'b')
                ADVANCE(479);
            END_STATE();
        case 290:
            if(lookahead == 'b')
                ADVANCE(682);
            END_STATE();
        case 291:
            if(lookahead == 'b')
                ADVANCE(682);
            if(lookahead == 'l')
                ADVANCE(448);
            END_STATE();
        case 292:
            if(lookahead == 'b')
                ADVANCE(682);
            if(lookahead == 'l')
                ADVANCE(448);
            if(lookahead == 'm')
                ADVANCE(435);
            if(lookahead == 'n')
                ADVANCE(773);
            if(lookahead == 'p')
                ADVANCE(609);
            if(lookahead == 't')
                ADVANCE(709);
            if(lookahead == 'u')
                ADVANCE(714);
            END_STATE();
        case 293:
            if(lookahead == 'b')
                ADVANCE(494);
            END_STATE();
        case 294:
            if(lookahead == 'b')
                ADVANCE(607);
            END_STATE();
        case 295:
            if(lookahead == 'b')
                ADVANCE(278);
            END_STATE();
        case 296:
            if(lookahead == 'b')
                ADVANCE(475);
            END_STATE();
        case 297:
            if(lookahead == 'b')
                ADVANCE(497);
            END_STATE();
        case 298:
            if(lookahead == 'b')
                ADVANCE(763);
            END_STATE();
        case 299:
            if(lookahead == 'b')
                ADVANCE(496);
            END_STATE();
        case 300:
            if(lookahead == 'b')
                ADVANCE(500);
            END_STATE();
        case 301:
            if(lookahead == 'b')
                ADVANCE(504);
            END_STATE();
        case 302:
            if(lookahead == 'b')
                ADVANCE(505);
            END_STATE();
        case 303:
            if(lookahead == 'b')
                ADVANCE(506);
            END_STATE();
        case 304:
            if(lookahead == 'c')
                ADVANCE(431);
            if(lookahead == 's')
                ADVANCE(731);
            END_STATE();
        case 305:
            if(lookahead == 'c')
                ADVANCE(1074);
            if(lookahead == 's')
                ADVANCE(430);
            END_STATE();
        case 306:
            if(lookahead == 'c')
                ADVANCE(429);
            END_STATE();
        case 307:
            if(lookahead == 'c')
                ADVANCE(728);
            END_STATE();
        case 308:
            if(lookahead == 'c')
                ADVANCE(728);
            if(lookahead == 'n')
                ADVANCE(344);
            if(lookahead == 'p')
                ADVANCE(715);
            if(lookahead == 'u')
                ADVANCE(685);
            END_STATE();
        case 309:
            if(lookahead == 'c')
                ADVANCE(376);
            END_STATE();
        case 310:
            if(lookahead == 'c')
                ADVANCE(376);
            if(lookahead == 't')
                ADVANCE(372);
            END_STATE();
        case 311:
            if(lookahead == 'c')
                ADVANCE(693);
            END_STATE();
        case 312:
            if(lookahead == 'c')
                ADVANCE(696);
            END_STATE();
        case 313:
            if(lookahead == 'c')
                ADVANCE(699);
            END_STATE();
        case 314:
            if(lookahead == 'c')
                ADVANCE(356);
            END_STATE();
        case 315:
            if(lookahead == 'c')
                ADVANCE(358);
            END_STATE();
        case 316:
            if(lookahead == 'c')
                ADVANCE(369);
            END_STATE();
        case 317:
            if(lookahead == 'c')
                ADVANCE(253);
            END_STATE();
        case 318:
            if(lookahead == 'c')
                ADVANCE(253);
            if(lookahead == 'n')
                ADVANCE(418);
            END_STATE();
        case 319:
            if(lookahead == 'c')
                ADVANCE(733);
            END_STATE();
        case 320:
            if(lookahead == 'c')
                ADVANCE(268);
            END_STATE();
        case 321:
            if(lookahead == 'c')
                ADVANCE(734);
            END_STATE();
        case 322:
            if(lookahead == 'd')
                ADVANCE(922);
            if(lookahead == 'i')
                ADVANCE(928);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 323:
            if(lookahead == 'd')
                ADVANCE(988);
            if(lookahead == 'm')
                ADVANCE(617);
            if(lookahead == 'n')
                ADVANCE(959);
            END_STATE();
        case 324:
            if(lookahead == 'd')
                ADVANCE(956);
            END_STATE();
        case 325:
            if(lookahead == 'd')
                ADVANCE(823);
            END_STATE();
        case 326:
            if(lookahead == 'd')
                ADVANCE(990);
            END_STATE();
        case 327:
            if(lookahead == 'd')
                ADVANCE(1029);
            END_STATE();
        case 328:
            if(lookahead == 'd')
                ADVANCE(1090);
            END_STATE();
        case 329:
            if(lookahead == 'd')
                ADVANCE(974);
            END_STATE();
        case 330:
            if(lookahead == 'd')
                ADVANCE(73);
            END_STATE();
        case 331:
            if(lookahead == 'd')
                ADVANCE(1025);
            END_STATE();
        case 332:
            if(lookahead == 'd')
                ADVANCE(1013);
            END_STATE();
        case 333:
            if(lookahead == 'd')
                ADVANCE(760);
            END_STATE();
        case 334:
            if(lookahead == 'd')
                ADVANCE(608);
            if(lookahead == 'l')
                ADVANCE(592);
            END_STATE();
        case 335:
            if(lookahead == 'd')
                ADVANCE(482);
            END_STATE();
        case 336:
            if(lookahead == 'd')
                ADVANCE(371);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'n')
                ADVANCE(274);
            if(lookahead == 'p')
                ADVANCE(647);
            END_STATE();
        case 337:
            if(lookahead == 'd')
                ADVANCE(371);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'p')
                ADVANCE(647);
            END_STATE();
        case 338:
            if(lookahead == 'd')
                ADVANCE(387);
            END_STATE();
        case 339:
            if(lookahead == 'd')
                ADVANCE(393);
            END_STATE();
        case 340:
            if(lookahead == 'd')
                ADVANCE(588);
            END_STATE();
        case 341:
            if(lookahead == 'd')
                ADVANCE(286);
            END_STATE();
        case 342:
            if(lookahead == 'd')
                ADVANCE(409);
            END_STATE();
        case 343:
            if(lookahead == 'e')
                ADVANCE(622);
            if(lookahead == 'h')
                ADVANCE(584);
            if(lookahead == 't')
                ADVANCE(623);
            if(lookahead == 'u')
                ADVANCE(621);
            if(lookahead == 'w')
                ADVANCE(457);
            END_STATE();
        case 344:
            if(lookahead == 'e')
                ADVANCE(770);
            END_STATE();
        case 345:
            if(lookahead == 'e')
                ADVANCE(1088);
            END_STATE();
        case 346:
            if(lookahead == 'e')
                ADVANCE(1105);
            END_STATE();
        case 347:
            if(lookahead == 'e')
                ADVANCE(336);
            END_STATE();
        case 348:
            if(lookahead == 'e')
                ADVANCE(772);
            END_STATE();
        case 349:
            if(lookahead == 'e')
                ADVANCE(1017);
            END_STATE();
        case 350:
            if(lookahead == 'e')
                ADVANCE(998);
            END_STATE();
        case 351:
            if(lookahead == 'e')
                ADVANCE(840);
            END_STATE();
        case 352:
            if(lookahead == 'e')
                ADVANCE(1052);
            END_STATE();
        case 353:
            if(lookahead == 'e')
                ADVANCE(1117);
            END_STATE();
        case 354:
            if(lookahead == 'e')
                ADVANCE(1009);
            END_STATE();
        case 355:
            if(lookahead == 'e')
                ADVANCE(1076);
            END_STATE();
        case 356:
            if(lookahead == 'e')
                ADVANCE(1044);
            END_STATE();
        case 357:
            if(lookahead == 'e')
                ADVANCE(1103);
            END_STATE();
        case 358:
            if(lookahead == 'e')
                ADVANCE(858);
            END_STATE();
        case 359:
            if(lookahead == 'e')
                ADVANCE(1053);
            END_STATE();
        case 360:
            if(lookahead == 'e')
                ADVANCE(1098);
            END_STATE();
        case 361:
            if(lookahead == 'e')
                ADVANCE(968);
            END_STATE();
        case 362:
            if(lookahead == 'e')
                ADVANCE(1057);
            END_STATE();
        case 363:
            if(lookahead == 'e')
                ADVANCE(1055);
            END_STATE();
        case 364:
            if(lookahead == 'e')
                ADVANCE(1007);
            END_STATE();
        case 365:
            if(lookahead == 'e')
                ADVANCE(842);
            END_STATE();
        case 366:
            if(lookahead == 'e')
                ADVANCE(1070);
            END_STATE();
        case 367:
            if(lookahead == 'e')
                ADVANCE(337);
            END_STATE();
        case 368:
            if(lookahead == 'e')
                ADVANCE(1113);
            END_STATE();
        case 369:
            if(lookahead == 'e')
                ADVANCE(951);
            END_STATE();
        case 370:
            if(lookahead == 'e')
                ADVANCE(774);
            END_STATE();
        case 371:
            if(lookahead == 'e')
                ADVANCE(411);
            END_STATE();
        case 372:
            if(lookahead == 'e')
                ADVANCE(549);
            END_STATE();
        case 373:
            if(lookahead == 'e')
                ADVANCE(657);
            END_STATE();
        case 374:
            if(lookahead == 'e')
                ADVANCE(415);
            END_STATE();
        case 375:
            if(lookahead == 'e')
                ADVANCE(140);
            END_STATE();
        case 376:
            if(lookahead == 'e')
                ADVANCE(619);
            END_STATE();
        case 377:
            if(lookahead == 'e')
                ADVANCE(325);
            END_STATE();
        case 378:
            if(lookahead == 'e')
                ADVANCE(234);
            END_STATE();
        case 379:
            if(lookahead == 'e')
                ADVANCE(545);
            END_STATE();
        case 380:
            if(lookahead == 'e')
                ADVANCE(493);
            END_STATE();
        case 381:
            if(lookahead == 'e')
                ADVANCE(327);
            END_STATE();
        case 382:
            if(lookahead == 'e')
                ADVANCE(661);
            END_STATE();
        case 383:
            if(lookahead == 'e')
                ADVANCE(778);
            END_STATE();
        case 384:
            if(lookahead == 'e')
                ADVANCE(662);
            END_STATE();
        case 385:
            if(lookahead == 'e')
                ADVANCE(663);
            END_STATE();
        case 386:
            if(lookahead == 'e')
                ADVANCE(562);
            END_STATE();
        case 387:
            if(lookahead == 'e')
                ADVANCE(664);
            END_STATE();
        case 388:
            if(lookahead == 'e')
                ADVANCE(330);
            END_STATE();
        case 389:
            if(lookahead == 'e')
                ADVANCE(626);
            END_STATE();
        case 390:
            if(lookahead == 'e')
                ADVANCE(666);
            END_STATE();
        case 391:
            if(lookahead == 'e')
                ADVANCE(667);
            END_STATE();
        case 392:
            if(lookahead == 'e')
                ADVANCE(668);
            END_STATE();
        case 393:
            if(lookahead == 'e')
                ADVANCE(649);
            END_STATE();
        case 394:
            if(lookahead == 'e')
                ADVANCE(262);
            END_STATE();
        case 395:
            if(lookahead == 'e')
                ADVANCE(669);
            END_STATE();
        case 396:
            if(lookahead == 'e')
                ADVANCE(651);
            END_STATE();
        case 397:
            if(lookahead == 'e')
                ADVANCE(691);
            END_STATE();
        case 398:
            if(lookahead == 'e')
                ADVANCE(648);
            END_STATE();
        case 399:
            if(lookahead == 'e')
                ADVANCE(694);
            END_STATE();
        case 400:
            if(lookahead == 'e')
                ADVANCE(713);
            END_STATE();
        case 401:
            if(lookahead == 'e')
                ADVANCE(311);
            END_STATE();
        case 402:
            if(lookahead == 'e')
                ADVANCE(558);
            END_STATE();
        case 403:
            if(lookahead == 'e')
                ADVANCE(559);
            END_STATE();
        case 404:
            if(lookahead == 'e')
                ADVANCE(652);
            END_STATE();
        case 405:
            if(lookahead == 'e')
                ADVANCE(653);
            END_STATE();
        case 406:
            if(lookahead == 'e')
                ADVANCE(735);
            END_STATE();
        case 407:
            if(lookahead == 'e')
                ADVANCE(416);
            END_STATE();
        case 408:
            if(lookahead == 'e')
                ADVANCE(321);
            END_STATE();
        case 409:
            if(lookahead == 'e')
                ADVANCE(417);
            END_STATE();
        case 410:
            if(lookahead == 'e')
                ADVANCE(745);
            if(lookahead == 'h')
                ADVANCE(584);
            if(lookahead == 'u')
                ADVANCE(621);
            END_STATE();
        case 411:
            if(lookahead == 'f')
                ADVANCE(1080);
            END_STATE();
        case 412:
            if(lookahead == 'f')
                ADVANCE(255);
            END_STATE();
        case 413:
            if(lookahead == 'f')
                ADVANCE(461);
            END_STATE();
        case 414:
            if(lookahead == 'f')
                ADVANCE(279);
            END_STATE();
        case 415:
            if(lookahead == 'f')
                ADVANCE(441);
            END_STATE();
        case 416:
            if(lookahead == 'f')
                ADVANCE(272);
            END_STATE();
        case 417:
            if(lookahead == 'f')
                ADVANCE(275);
            END_STATE();
        case 418:
            if(lookahead == 'g')
                ADVANCE(810);
            END_STATE();
        case 419:
            if(lookahead == 'g')
                ADVANCE(848);
            END_STATE();
        case 420:
            if(lookahead == 'g')
                ADVANCE(850);
            END_STATE();
        case 421:
            if(lookahead == 'g')
                ADVANCE(816);
            END_STATE();
        case 422:
            if(lookahead == 'g')
                ADVANCE(832);
            END_STATE();
        case 423:
            if(lookahead == 'g')
                ADVANCE(835);
            END_STATE();
        case 424:
            if(lookahead == 'g')
                ADVANCE(812);
            END_STATE();
        case 425:
            if(lookahead == 'g')
                ADVANCE(560);
            END_STATE();
        case 426:
            if(lookahead == 'g')
                ADVANCE(349);
            END_STATE();
        case 427:
            if(lookahead == 'g')
                ADVANCE(384);
            END_STATE();
        case 428:
            if(lookahead == 'g')
                ADVANCE(563);
            END_STATE();
        case 429:
            if(lookahead == 'h')
                ADVANCE(1086);
            END_STATE();
        case 430:
            if(lookahead == 'h')
                ADVANCE(391);
            END_STATE();
        case 431:
            if(lookahead == 'h')
                ADVANCE(256);
            END_STATE();
        case 432:
            if(lookahead == 'h')
                ADVANCE(603);
            END_STATE();
        case 433:
            if(lookahead == 'i')
                ADVANCE(928);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 434:
            if(lookahead == 'i')
                ADVANCE(428);
            END_STATE();
        case 435:
            if(lookahead == 'i')
                ADVANCE(1050);
            END_STATE();
        case 436:
            if(lookahead == 'i')
                ADVANCE(529);
            if(lookahead == 'o')
                ADVANCE(767);
            END_STATE();
        case 437:
            if(lookahead == 'i')
                ADVANCE(583);
            if(lookahead == 's')
                ADVANCE(465);
            END_STATE();
        case 438:
            if(lookahead == 'i')
                ADVANCE(305);
            END_STATE();
        case 439:
            if(lookahead == 'i')
                ADVANCE(556);
            if(lookahead == 'n')
                ADVANCE(437);
            if(lookahead == 's')
                ADVANCE(373);
            END_STATE();
        case 440:
            if(lookahead == 'i')
                ADVANCE(556);
            if(lookahead == 'n')
                ADVANCE(671);
            if(lookahead == 's')
                ADVANCE(373);
            END_STATE();
        case 441:
            if(lookahead == 'i')
                ADVANCE(771);
            END_STATE();
        case 442:
            if(lookahead == 'i')
                ADVANCE(684);
            if(lookahead == 'o')
                ADVANCE(577);
            END_STATE();
        case 443:
            if(lookahead == 'i')
                ADVANCE(769);
            END_STATE();
        case 444:
            if(lookahead == 'i')
                ADVANCE(324);
            END_STATE();
        case 445:
            if(lookahead == 'i')
                ADVANCE(314);
            END_STATE();
        case 446:
            if(lookahead == 'i')
                ADVANCE(518);
            END_STATE();
        case 447:
            if(lookahead == 'i')
                ADVANCE(298);
            END_STATE();
        case 448:
            if(lookahead == 'i')
                ADVANCE(249);
            END_STATE();
        case 449:
            if(lookahead == 'i')
                ADVANCE(616);
            END_STATE();
        case 450:
            if(lookahead == 'i')
                ADVANCE(528);
            END_STATE();
        case 451:
            if(lookahead == 'i')
                ADVANCE(528);
            if(lookahead == 'o')
                ADVANCE(767);
            END_STATE();
        case 452:
            if(lookahead == 'i')
                ADVANCE(296);
            END_STATE();
        case 453:
            if(lookahead == 'i')
                ADVANCE(543);
            if(lookahead == 'u')
                ADVANCE(312);
            END_STATE();
        case 454:
            if(lookahead == 'i')
                ADVANCE(326);
            END_STATE();
        case 455:
            if(lookahead == 'i')
                ADVANCE(711);
            END_STATE();
        case 456:
            if(lookahead == 'i')
                ADVANCE(338);
            END_STATE();
        case 457:
            if(lookahead == 'i')
                ADVANCE(706);
            END_STATE();
        case 458:
            if(lookahead == 'i')
                ADVANCE(582);
            END_STATE();
        case 459:
            if(lookahead == 'i')
                ADVANCE(544);
            END_STATE();
        case 460:
            if(lookahead == 'i')
                ADVANCE(670);
            END_STATE();
        case 461:
            if(lookahead == 'i')
                ADVANCE(380);
            END_STATE();
        case 462:
            if(lookahead == 'i')
                ADVANCE(716);
            END_STATE();
        case 463:
            if(lookahead == 'i')
                ADVANCE(703);
            END_STATE();
        case 464:
            if(lookahead == 'i')
                ADVANCE(730);
            if(lookahead == 'o')
                ADVANCE(577);
            END_STATE();
        case 465:
            if(lookahead == 'i')
                ADVANCE(425);
            END_STATE();
        case 466:
            if(lookahead == 'i')
                ADVANCE(677);
            END_STATE();
        case 467:
            if(lookahead == 'i')
                ADVANCE(677);
            if(lookahead == 'n')
                ADVANCE(426);
            END_STATE();
        case 468:
            if(lookahead == 'i')
                ADVANCE(606);
            END_STATE();
        case 469:
            if(lookahead == 'i')
                ADVANCE(679);
            END_STATE();
        case 470:
            if(lookahead == 'i')
                ADVANCE(680);
            END_STATE();
        case 471:
            if(lookahead == 'i')
                ADVANCE(726);
            END_STATE();
        case 472:
            if(lookahead == 'i')
                ADVANCE(593);
            END_STATE();
        case 473:
            if(lookahead == 'i')
                ADVANCE(594);
            END_STATE();
        case 474:
            if(lookahead == 'i')
                ADVANCE(595);
            END_STATE();
        case 475:
            if(lookahead == 'i')
                ADVANCE(511);
            END_STATE();
        case 476:
            if(lookahead == 'i')
                ADVANCE(736);
            END_STATE();
        case 477:
            if(lookahead == 'i')
                ADVANCE(739);
            END_STATE();
        case 478:
            if(lookahead == 'i')
                ADVANCE(741);
            END_STATE();
        case 479:
            if(lookahead == 'j')
                ADVANCE(401);
            END_STATE();
        case 480:
            if(lookahead == 'k')
                ADVANCE(975);
            END_STATE();
        case 481:
            if(lookahead == 'k')
                ADVANCE(383);
            END_STATE();
        case 482:
            if(lookahead == 'l')
                ADVANCE(1037);
            END_STATE();
        case 483:
            if(lookahead == 'l')
                ADVANCE(1005);
            END_STATE();
        case 484:
            if(lookahead == 'l')
                ADVANCE(948);
            END_STATE();
        case 485:
            if(lookahead == 'l')
                ADVANCE(1027);
            END_STATE();
        case 486:
            if(lookahead == 'l')
                ADVANCE(994);
            END_STATE();
        case 487:
            if(lookahead == 'l')
                ADVANCE(1015);
            END_STATE();
        case 488:
            if(lookahead == 'l')
                ADVANCE(1084);
            END_STATE();
        case 489:
            if(lookahead == 'l')
                ADVANCE(751);
            END_STATE();
        case 490:
            if(lookahead == 'l')
                ADVANCE(233);
            END_STATE();
        case 491:
            if(lookahead == 'l')
                ADVANCE(777);
            END_STATE();
        case 492:
            if(lookahead == 'l')
                ADVANCE(764);
            END_STATE();
        case 493:
            if(lookahead == 'l')
                ADVANCE(329);
            END_STATE();
        case 494:
            if(lookahead == 'l')
                ADVANCE(438);
            END_STATE();
        case 495:
            if(lookahead == 'l')
                ADVANCE(394);
            END_STATE();
        case 496:
            if(lookahead == 'l')
                ADVANCE(460);
            END_STATE();
        case 497:
            if(lookahead == 'l')
                ADVANCE(351);
            END_STATE();
        case 498:
            if(lookahead == 'l')
                ADVANCE(352);
            END_STATE();
        case 499:
            if(lookahead == 'l')
                ADVANCE(698);
            END_STATE();
        case 500:
            if(lookahead == 'l')
                ADVANCE(354);
            END_STATE();
        case 501:
            if(lookahead == 'l')
                ADVANCE(357);
            END_STATE();
        case 502:
            if(lookahead == 'l')
                ADVANCE(705);
            END_STATE();
        case 503:
            if(lookahead == 'l')
                ADVANCE(746);
            END_STATE();
        case 504:
            if(lookahead == 'l')
                ADVANCE(364);
            END_STATE();
        case 505:
            if(lookahead == 'l')
                ADVANCE(365);
            END_STATE();
        case 506:
            if(lookahead == 'l')
                ADVANCE(366);
            END_STATE();
        case 507:
            if(lookahead == 'l')
                ADVANCE(717);
            if(lookahead == 's')
                ADVANCE(707);
            if(lookahead == 't')
                ADVANCE(284);
            END_STATE();
        case 508:
            if(lookahead == 'l')
                ADVANCE(754);
            END_STATE();
        case 509:
            if(lookahead == 'l')
                ADVANCE(471);
            END_STATE();
        case 510:
            if(lookahead == 'l')
                ADVANCE(592);
            END_STATE();
        case 511:
            if(lookahead == 'l')
                ADVANCE(462);
            END_STATE();
        case 512:
            if(lookahead == 'l')
                ADVANCE(596);
            if(lookahead == 's')
                ADVANCE(432);
            END_STATE();
        case 513:
            if(lookahead == 'l')
                ADVANCE(598);
            END_STATE();
        case 514:
            if(lookahead == 'l')
                ADVANCE(477);
            END_STATE();
        case 515:
            if(lookahead == 'l')
                ADVANCE(478);
            END_STATE();
        case 516:
            if(lookahead == 'm')
                ADVANCE(1063);
            END_STATE();
        case 517:
            if(lookahead == 'm')
                ADVANCE(1068);
            END_STATE();
        case 518:
            if(lookahead == 'm')
                ADVANCE(1031);
            END_STATE();
        case 519:
            if(lookahead == 'm')
                ADVANCE(617);
            if(lookahead == 'n')
                ADVANCE(727);
            END_STATE();
        case 520:
            if(lookahead == 'm')
                ADVANCE(455);
            if(lookahead == 'n')
                ADVANCE(747);
            if(lookahead == 'v')
                ADVANCE(402);
            END_STATE();
        case 521:
            if(lookahead == 'm')
                ADVANCE(254);
            if(lookahead == 's')
                ADVANCE(399);
            END_STATE();
        case 522:
            if(lookahead == 'm')
                ADVANCE(346);
            END_STATE();
        case 523:
            if(lookahead == 'm')
                ADVANCE(385);
            END_STATE();
        case 524:
            if(lookahead == 'm')
                ADVANCE(359);
            END_STATE();
        case 525:
            if(lookahead == 'm')
                ADVANCE(395);
            END_STATE();
        case 526:
            if(lookahead == 'm')
                ADVANCE(610);
            if(lookahead == 'n')
                ADVANCE(564);
            END_STATE();
        case 527:
            if(lookahead == 'm')
                ADVANCE(610);
            if(lookahead == 'n')
                ADVANCE(565);
            END_STATE();
        case 528:
            if(lookahead == 'm')
                ADVANCE(261);
            END_STATE();
        case 529:
            if(lookahead == 'm')
                ADVANCE(261);
            if(lookahead == 'v')
                ADVANCE(273);
            END_STATE();
        case 530:
            if(lookahead == 'n')
                ADVANCE(248);
            if(lookahead == 'x')
                ADVANCE(377);
            END_STATE();
        case 531:
            if(lookahead == 'n')
                ADVANCE(1019);
            if(lookahead == 'r')
                ADVANCE(650);
            END_STATE();
        case 532:
            if(lookahead == 'n')
                ADVANCE(1061);
            END_STATE();
        case 533:
            if(lookahead == 'n')
                ADVANCE(821);
            END_STATE();
        case 534:
            if(lookahead == 'n')
                ADVANCE(996);
            END_STATE();
        case 535:
            if(lookahead == 'n')
                ADVANCE(944);
            END_STATE();
        case 536:
            if(lookahead == 'n')
                ADVANCE(977);
            END_STATE();
        case 537:
            if(lookahead == 'n')
                ADVANCE(675);
            END_STATE();
        case 538:
            if(lookahead == 'n')
                ADVANCE(958);
            END_STATE();
        case 539:
            if(lookahead == 'n')
                ADVANCE(747);
            END_STATE();
        case 540:
            if(lookahead == 'n')
                ADVANCE(747);
            if(lookahead == 'v')
                ADVANCE(402);
            if(lookahead == 'x')
                ADVANCE(309);
            END_STATE();
        case 541:
            if(lookahead == 'n')
                ADVANCE(547);
            END_STATE();
        case 542:
            if(lookahead == 'n')
                ADVANCE(320);
            END_STATE();
        case 543:
            if(lookahead == 'n')
                ADVANCE(419);
            END_STATE();
        case 544:
            if(lookahead == 'n')
                ADVANCE(420);
            END_STATE();
        case 545:
            if(lookahead == 'n')
                ADVANCE(341);
            END_STATE();
        case 546:
            if(lookahead == 'n')
                ADVANCE(421);
            END_STATE();
        case 547:
            if(lookahead == 'n')
                ADVANCE(597);
            END_STATE();
        case 548:
            if(lookahead == 'n')
                ADVANCE(422);
            END_STATE();
        case 549:
            if(lookahead == 'n')
                ADVANCE(676);
            if(lookahead == 'r')
                ADVANCE(568);
            END_STATE();
        case 550:
            if(lookahead == 'n')
                ADVANCE(423);
            END_STATE();
        case 551:
            if(lookahead == 'n')
                ADVANCE(491);
            END_STATE();
        case 552:
            if(lookahead == 'n')
                ADVANCE(271);
            END_STATE();
        case 553:
            if(lookahead == 'n')
                ADVANCE(271);
            if(lookahead == 'p')
                ADVANCE(860);
            if(lookahead == 'x')
                ADVANCE(1021);
            END_STATE();
        case 554:
            if(lookahead == 'n')
                ADVANCE(424);
            END_STATE();
        case 555:
            if(lookahead == 'n')
                ADVANCE(331);
            END_STATE();
        case 556:
            if(lookahead == 'n')
                ADVANCE(708);
            END_STATE();
        case 557:
            if(lookahead == 'n')
                ADVANCE(332);
            END_STATE();
        case 558:
            if(lookahead == 'n')
                ADVANCE(723);
            END_STATE();
        case 559:
            if(lookahead == 'n')
                ADVANCE(700);
            END_STATE();
        case 560:
            if(lookahead == 'n')
                ADVANCE(388);
            END_STATE();
        case 561:
            if(lookahead == 'n')
                ADVANCE(704);
            END_STATE();
        case 562:
            if(lookahead == 'n')
                ADVANCE(315);
            END_STATE();
        case 563:
            if(lookahead == 'n')
                ADVANCE(587);
            END_STATE();
        case 564:
            if(lookahead == 'n')
                ADVANCE(408);
            if(lookahead == 's')
                ADVANCE(688);
            if(lookahead == 't')
                ADVANCE(348);
            END_STATE();
        case 565:
            if(lookahead == 'n')
                ADVANCE(408);
            if(lookahead == 's')
                ADVANCE(687);
            END_STATE();
        case 566:
            if(lookahead == 'n')
                ADVANCE(458);
            END_STATE();
        case 567:
            if(lookahead == 'n')
                ADVANCE(339);
            END_STATE();
        case 568:
            if(lookahead == 'n')
                ADVANCE(257);
            END_STATE();
        case 569:
            if(lookahead == 'n')
                ADVANCE(258);
            END_STATE();
        case 570:
            if(lookahead == 'n')
                ADVANCE(727);
            END_STATE();
        case 571:
            if(lookahead == 'n')
                ADVANCE(403);
            END_STATE();
        case 572:
            if(lookahead == 'n')
                ADVANCE(277);
            END_STATE();
        case 573:
            if(lookahead == 'o')
                ADVANCE(522);
            END_STATE();
        case 574:
            if(lookahead == 'o')
                ADVANCE(318);
            END_STATE();
        case 575:
            if(lookahead == 'o')
                ADVANCE(333);
            END_STATE();
        case 576:
            if(lookahead == 'o')
                ADVANCE(636);
            if(lookahead == 'r')
                ADVANCE(436);
            if(lookahead == 'u')
                ADVANCE(293);
            END_STATE();
        case 577:
            if(lookahead == 'o')
                ADVANCE(495);
            END_STATE();
        case 578:
            if(lookahead == 'o')
                ADVANCE(527);
            if(lookahead == 'u')
                ADVANCE(672);
            END_STATE();
        case 579:
            if(lookahead == 'o')
                ADVANCE(517);
            END_STATE();
        case 580:
            if(lookahead == 'o')
                ADVANCE(317);
            END_STATE();
        case 581:
            if(lookahead == 'o')
                ADVANCE(264);
            END_STATE();
        case 582:
            if(lookahead == 'o')
                ADVANCE(532);
            END_STATE();
        case 583:
            if(lookahead == 'o')
                ADVANCE(532);
            if(lookahead == 't')
                ADVANCE(1023);
            END_STATE();
        case 584:
            if(lookahead == 'o')
                ADVANCE(640);
            END_STATE();
        case 585:
            if(lookahead == 'o')
                ADVANCE(571);
            END_STATE();
        case 586:
            if(lookahead == 'o')
                ADVANCE(454);
            END_STATE();
        case 587:
            if(lookahead == 'o')
                ADVANCE(644);
            END_STATE();
        case 588:
            if(lookahead == 'o')
                ADVANCE(551);
            END_STATE();
        case 589:
            if(lookahead == 'o')
                ADVANCE(630);
            END_STATE();
        case 590:
            if(lookahead == 'o')
                ADVANCE(656);
            END_STATE();
        case 591:
            if(lookahead == 'o')
                ADVANCE(627);
            END_STATE();
        case 592:
            if(lookahead == 'o')
                ADVANCE(546);
            END_STATE();
        case 593:
            if(lookahead == 'o')
                ADVANCE(534);
            END_STATE();
        case 594:
            if(lookahead == 'o')
                ADVANCE(535);
            END_STATE();
        case 595:
            if(lookahead == 'o')
                ADVANCE(536);
            END_STATE();
        case 596:
            if(lookahead == 'o')
                ADVANCE(548);
            END_STATE();
        case 597:
            if(lookahead == 'o')
                ADVANCE(737);
            END_STATE();
        case 598:
            if(lookahead == 'o')
                ADVANCE(550);
            END_STATE();
        case 599:
            if(lookahead == 'o')
                ADVANCE(554);
            END_STATE();
        case 600:
            if(lookahead == 'o')
                ADVANCE(642);
            END_STATE();
        case 601:
            if(lookahead == 'o')
                ADVANCE(643);
            END_STATE();
        case 602:
            if(lookahead == 'o')
                ADVANCE(645);
            END_STATE();
        case 603:
            if(lookahead == 'o')
                ADVANCE(646);
            END_STATE();
        case 604:
            if(lookahead == 'o')
                ADVANCE(655);
            END_STATE();
        case 605:
            if(lookahead == 'o')
                ADVANCE(635);
            if(lookahead == 'r')
                ADVANCE(451);
            if(lookahead == 'u')
                ADVANCE(299);
            END_STATE();
        case 606:
            if(lookahead == 'o')
                ADVANCE(569);
            END_STATE();
        case 607:
            if(lookahead == 'o')
                ADVANCE(761);
            END_STATE();
        case 608:
            if(lookahead == 'o')
                ADVANCE(765);
            END_STATE();
        case 609:
            if(lookahead == 'p')
                ADVANCE(379);
            END_STATE();
        case 610:
            if(lookahead == 'p')
                ADVANCE(585);
            END_STATE();
        case 611:
            if(lookahead == 'p')
                ADVANCE(347);
            END_STATE();
        case 612:
            if(lookahead == 'p')
                ADVANCE(362);
            END_STATE();
        case 613:
            if(lookahead == 'p')
                ADVANCE(363);
            END_STATE();
        case 614:
            if(lookahead == 'p')
                ADVANCE(367);
            END_STATE();
        case 615:
            if(lookahead == 'p')
                ADVANCE(368);
            END_STATE();
        case 616:
            if(lookahead == 'p')
                ADVANCE(501);
            END_STATE();
        case 617:
            if(lookahead == 'p')
                ADVANCE(600);
            END_STATE();
        case 618:
            if(lookahead == 'p')
                ADVANCE(601);
            END_STATE();
        case 619:
            if(lookahead == 'p')
                ADVANCE(740);
            END_STATE();
        case 620:
            if(lookahead == 'p')
                ADVANCE(602);
            END_STATE();
        case 621:
            if(lookahead == 'p')
                ADVANCE(618);
            END_STATE();
        case 622:
            if(lookahead == 'q')
                ADVANCE(753);
            if(lookahead == 'r')
                ADVANCE(768);
            if(lookahead == 't')
                ADVANCE(654);
            END_STATE();
        case 623:
            if(lookahead == 'r')
                ADVANCE(453);
            END_STATE();
        case 624:
            if(lookahead == 'r')
                ADVANCE(843);
            END_STATE();
        case 625:
            if(lookahead == 'r')
                ADVANCE(845);
            END_STATE();
        case 626:
            if(lookahead == 'r')
                ADVANCE(1111);
            END_STATE();
        case 627:
            if(lookahead == 'r')
                ADVANCE(1116);
            END_STATE();
        case 628:
            if(lookahead == 'r')
                ADVANCE(295);
            END_STATE();
        case 629:
            if(lookahead == 'r')
                ADVANCE(749);
            if(lookahead == 'y')
                ADVANCE(611);
            END_STATE();
        case 630:
            if(lookahead == 'r')
                ADVANCE(776);
            END_STATE();
        case 631:
            if(lookahead == 'r')
                ADVANCE(780);
            END_STATE();
        case 632:
            if(lookahead == 'r')
                ADVANCE(650);
            END_STATE();
        case 633:
            if(lookahead == 'r')
                ADVANCE(447);
            END_STATE();
        case 634:
            if(lookahead == 'r')
                ADVANCE(759);
            END_STATE();
        case 635:
            if(lookahead == 'r')
                ADVANCE(686);
            END_STATE();
        case 636:
            if(lookahead == 'r')
                ADVANCE(686);
            if(lookahead == 's')
                ADVANCE(476);
            END_STATE();
        case 637:
            if(lookahead == 'r')
                ADVANCE(265);
            END_STATE();
        case 638:
            if(lookahead == 'r')
                ADVANCE(276);
            END_STATE();
        case 639:
            if(lookahead == 'r')
                ADVANCE(459);
            END_STATE();
        case 640:
            if(lookahead == 'r')
                ADVANCE(692);
            END_STATE();
        case 641:
            if(lookahead == 'r')
                ADVANCE(450);
            END_STATE();
        case 642:
            if(lookahead == 'r')
                ADVANCE(695);
            END_STATE();
        case 643:
            if(lookahead == 'r')
                ADVANCE(718);
            END_STATE();
        case 644:
            if(lookahead == 'r')
                ADVANCE(378);
            END_STATE();
        case 645:
            if(lookahead == 'r')
                ADVANCE(701);
            END_STATE();
        case 646:
            if(lookahead == 'r')
                ADVANCE(702);
            END_STATE();
        case 647:
            if(lookahead == 'r')
                ADVANCE(374);
            END_STATE();
        case 648:
            if(lookahead == 'r')
                ADVANCE(414);
            END_STATE();
        case 649:
            if(lookahead == 'r')
                ADVANCE(678);
            END_STATE();
        case 650:
            if(lookahead == 'r')
                ADVANCE(590);
            END_STATE();
        case 651:
            if(lookahead == 'r')
                ADVANCE(259);
            END_STATE();
        case 652:
            if(lookahead == 'r')
                ADVANCE(260);
            END_STATE();
        case 653:
            if(lookahead == 'r')
                ADVANCE(263);
            END_STATE();
        case 654:
            if(lookahead == 'r')
                ADVANCE(283);
            END_STATE();
        case 655:
            if(lookahead == 'r')
                ADVANCE(738);
            END_STATE();
        case 656:
            if(lookahead == 'r')
                ADVANCE(620);
            END_STATE();
        case 657:
            if(lookahead == 's')
                ADVANCE(1102);
            END_STATE();
        case 658:
            if(lookahead == 's')
                ADVANCE(1067);
            END_STATE();
        case 659:
            if(lookahead == 's')
                ADVANCE(1107);
            END_STATE();
        case 660:
            if(lookahead == 's')
                ADVANCE(480);
            END_STATE();
        case 661:
            if(lookahead == 's')
                ADVANCE(965);
            END_STATE();
        case 662:
            if(lookahead == 's')
                ADVANCE(1106);
            END_STATE();
        case 663:
            if(lookahead == 's')
                ADVANCE(1109);
            END_STATE();
        case 664:
            if(lookahead == 's')
                ADVANCE(1101);
            END_STATE();
        case 665:
            if(lookahead == 's')
                ADVANCE(1072);
            END_STATE();
        case 666:
            if(lookahead == 's')
                ADVANCE(970);
            END_STATE();
        case 667:
            if(lookahead == 's')
                ADVANCE(1108);
            END_STATE();
        case 668:
            if(lookahead == 's')
                ADVANCE(971);
            END_STATE();
        case 669:
            if(lookahead == 's')
                ADVANCE(1085);
            END_STATE();
        case 670:
            if(lookahead == 's')
                ADVANCE(430);
            END_STATE();
        case 671:
            if(lookahead == 's')
                ADVANCE(465);
            END_STATE();
        case 672:
            if(lookahead == 's')
                ADVANCE(729);
            END_STATE();
        case 673:
            if(lookahead == 's')
                ADVANCE(345);
            END_STATE();
        case 674:
            if(lookahead == 's')
                ADVANCE(720);
            END_STATE();
        case 675:
            if(lookahead == 's')
                ADVANCE(755);
            if(lookahead == 't')
                ADVANCE(348);
            END_STATE();
        case 676:
            if(lookahead == 's')
                ADVANCE(452);
            END_STATE();
        case 677:
            if(lookahead == 's')
                ADVANCE(382);
            END_STATE();
        case 678:
            if(lookahead == 's')
                ADVANCE(722);
            END_STATE();
        case 679:
            if(lookahead == 's')
                ADVANCE(390);
            END_STATE();
        case 680:
            if(lookahead == 's')
                ADVANCE(392);
            END_STATE();
        case 681:
            if(lookahead == 's')
                ADVANCE(360);
            END_STATE();
        case 682:
            if(lookahead == 's')
                ADVANCE(732);
            END_STATE();
        case 683:
            if(lookahead == 't')
                ADVANCE(709);
            END_STATE();
        case 684:
            if(lookahead == 't')
                ADVANCE(232);
            END_STATE();
        case 685:
            if(lookahead == 't')
                ADVANCE(961);
            END_STATE();
        case 686:
            if(lookahead == 't')
                ADVANCE(1114);
            END_STATE();
        case 687:
            if(lookahead == 't')
                ADVANCE(1065);
            END_STATE();
        case 688:
            if(lookahead == 't')
                ADVANCE(1065);
            if(lookahead == 'u')
                ADVANCE(523);
            END_STATE();
        case 689:
            if(lookahead == 't')
                ADVANCE(838);
            END_STATE();
        case 690:
            if(lookahead == 't')
                ADVANCE(963);
            END_STATE();
        case 691:
            if(lookahead == 't')
                ADVANCE(825);
            END_STATE();
        case 692:
            if(lookahead == 't')
                ADVANCE(806);
            END_STATE();
        case 693:
            if(lookahead == 't')
                ADVANCE(1095);
            END_STATE();
        case 694:
            if(lookahead == 't')
                ADVANCE(972);
            END_STATE();
        case 695:
            if(lookahead == 't')
                ADVANCE(1093);
            END_STATE();
        case 696:
            if(lookahead == 't')
                ADVANCE(1059);
            END_STATE();
        case 697:
            if(lookahead == 't')
                ADVANCE(1097);
            END_STATE();
        case 698:
            if(lookahead == 't')
                ADVANCE(980);
            END_STATE();
        case 699:
            if(lookahead == 't')
                ADVANCE(949);
            END_STATE();
        case 700:
            if(lookahead == 't')
                ADVANCE(1100);
            END_STATE();
        case 701:
            if(lookahead == 't')
                ADVANCE(1115);
            END_STATE();
        case 702:
            if(lookahead == 't')
                ADVANCE(829);
            END_STATE();
        case 703:
            if(lookahead == 't')
                ADVANCE(521);
            END_STATE();
        case 704:
            if(lookahead == 't')
                ADVANCE(113);
            END_STATE();
        case 705:
            if(lookahead == 't')
                ADVANCE(978);
            END_STATE();
        case 706:
            if(lookahead == 't')
                ADVANCE(306);
            END_STATE();
        case 707:
            if(lookahead == 't')
                ADVANCE(235);
            END_STATE();
        case 708:
            if(lookahead == 't')
                ADVANCE(114);
            END_STATE();
        case 709:
            if(lookahead == 't')
                ADVANCE(633);
            END_STATE();
        case 710:
            if(lookahead == 't')
                ADVANCE(781);
            END_STATE();
        case 711:
            if(lookahead == 't')
                ADVANCE(659);
            END_STATE();
        case 712:
            if(lookahead == 't')
                ADVANCE(443);
            END_STATE();
        case 713:
            if(lookahead == 't')
                ADVANCE(637);
            END_STATE();
        case 714:
            if(lookahead == 't')
                ADVANCE(586);
            END_STATE();
        case 715:
            if(lookahead == 't')
                ADVANCE(468);
            END_STATE();
        case 716:
            if(lookahead == 't')
                ADVANCE(779);
            END_STATE();
        case 717:
            if(lookahead == 't')
                ADVANCE(449);
            END_STATE();
        case 718:
            if(lookahead == 't')
                ADVANCE(665);
            END_STATE();
        case 719:
            if(lookahead == 't')
                ADVANCE(634);
            END_STATE();
        case 720:
            if(lookahead == 't')
                ADVANCE(381);
            END_STATE();
        case 721:
            if(lookahead == 't')
                ADVANCE(446);
            END_STATE();
        case 722:
            if(lookahead == 't')
                ADVANCE(280);
            END_STATE();
        case 723:
            if(lookahead == 't')
                ADVANCE(710);
            END_STATE();
        case 724:
            if(lookahead == 't')
                ADVANCE(355);
            END_STATE();
        case 725:
            if(lookahead == 't')
                ADVANCE(361);
            END_STATE();
        case 726:
            if(lookahead == 't')
                ADVANCE(396);
            END_STATE();
        case 727:
            if(lookahead == 't')
                ADVANCE(398);
            END_STATE();
        case 728:
            if(lookahead == 't')
                ADVANCE(397);
            END_STATE();
        case 729:
            if(lookahead == 't')
                ADVANCE(579);
            END_STATE();
        case 730:
            if(lookahead == 't')
                ADVANCE(413);
            END_STATE();
        case 731:
            if(lookahead == 't')
                ADVANCE(639);
            END_STATE();
        case 732:
            if(lookahead == 't')
                ADVANCE(638);
            END_STATE();
        case 733:
            if(lookahead == 't')
                ADVANCE(589);
            END_STATE();
        case 734:
            if(lookahead == 't')
                ADVANCE(591);
            END_STATE();
        case 735:
            if(lookahead == 't')
                ADVANCE(782);
            END_STATE();
        case 736:
            if(lookahead == 't')
                ADVANCE(472);
            END_STATE();
        case 737:
            if(lookahead == 't')
                ADVANCE(287);
            END_STATE();
        case 738:
            if(lookahead == 't')
                ADVANCE(742);
            END_STATE();
        case 739:
            if(lookahead == 't')
                ADVANCE(404);
            END_STATE();
        case 740:
            if(lookahead == 't')
                ADVANCE(473);
            END_STATE();
        case 741:
            if(lookahead == 't')
                ADVANCE(405);
            END_STATE();
        case 742:
            if(lookahead == 't')
                ADVANCE(784);
            END_STATE();
        case 743:
            if(lookahead == 't')
                ADVANCE(474);
            END_STATE();
        case 744:
            if(lookahead == 't')
                ADVANCE(288);
            END_STATE();
        case 745:
            if(lookahead == 't')
                ADVANCE(654);
            END_STATE();
        case 746:
            if(lookahead == 't')
                ADVANCE(237);
            END_STATE();
        case 747:
            if(lookahead == 'u')
                ADVANCE(516);
            END_STATE();
        case 748:
            if(lookahead == 'u')
                ADVANCE(621);
            END_STATE();
        case 749:
            if(lookahead == 'u')
                ADVANCE(542);
            END_STATE();
        case 750:
            if(lookahead == 'u')
                ADVANCE(499);
            END_STATE();
        case 751:
            if(lookahead == 'u')
                ADVANCE(375);
            END_STATE();
        case 752:
            if(lookahead == 'u')
                ADVANCE(690);
            END_STATE();
        case 753:
            if(lookahead == 'u')
                ADVANCE(386);
            END_STATE();
        case 754:
            if(lookahead == 'u')
                ADVANCE(350);
            END_STATE();
        case 755:
            if(lookahead == 'u')
                ADVANCE(523);
            END_STATE();
        case 756:
            if(lookahead == 'u')
                ADVANCE(297);
            END_STATE();
        case 757:
            if(lookahead == 'u')
                ADVANCE(567);
            END_STATE();
        case 758:
            if(lookahead == 'u')
                ADVANCE(502);
            END_STATE();
        case 759:
            if(lookahead == 'u')
                ADVANCE(312);
            END_STATE();
        case 760:
            if(lookahead == 'u')
                ADVANCE(498);
            END_STATE();
        case 761:
            if(lookahead == 'u')
                ADVANCE(555);
            END_STATE();
        case 762:
            if(lookahead == 'u')
                ADVANCE(503);
            END_STATE();
        case 763:
            if(lookahead == 'u')
                ADVANCE(725);
            END_STATE();
        case 764:
            if(lookahead == 'u')
                ADVANCE(406);
            END_STATE();
        case 765:
            if(lookahead == 'u')
                ADVANCE(302);
            END_STATE();
        case 766:
            if(lookahead == 'v')
                ADVANCE(244);
            END_STATE();
        case 767:
            if(lookahead == 'v')
                ADVANCE(456);
            END_STATE();
        case 768:
            if(lookahead == 'v')
                ADVANCE(445);
            END_STATE();
        case 769:
            if(lookahead == 'v')
                ADVANCE(353);
            END_STATE();
        case 770:
            if(lookahead == 'w')
                ADVANCE(247);
            END_STATE();
        case 771:
            if(lookahead == 'x')
                ADVANCE(1092);
            END_STATE();
        case 772:
            if(lookahead == 'x')
                ADVANCE(697);
            END_STATE();
        case 773:
            if(lookahead == 'y')
                ADVANCE(855);
            END_STATE();
        case 774:
            if(lookahead == 'y')
                ADVANCE(1011);
            END_STATE();
        case 775:
            if(lookahead == 'y')
                ADVANCE(1048);
            END_STATE();
        case 776:
            if(lookahead == 'y')
                ADVANCE(1078);
            END_STATE();
        case 777:
            if(lookahead == 'y')
                ADVANCE(966);
            END_STATE();
        case 778:
            if(lookahead == 'y')
                ADVANCE(1110);
            END_STATE();
        case 779:
            if(lookahead == 'y')
                ADVANCE(1000);
            END_STATE();
        case 780:
            if(lookahead == 'y')
                ADVANCE(481);
            END_STATE();
        case 781:
            if(lookahead == 'y')
                ADVANCE(612);
            END_STATE();
        case 782:
            if(lookahead == 'y')
                ADVANCE(613);
            END_STATE();
        case 783:
            if(lookahead == 'y')
                ADVANCE(614);
            END_STATE();
        case 784:
            if(lookahead == 'y')
                ADVANCE(615);
            END_STATE();
        case 785:
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(876);
            END_STATE();
        case 786:
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(880);
            END_STATE();
        case 787:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(886);
            END_STATE();
        case 788:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(895);
            END_STATE();
        case 789:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(788);
            END_STATE();
        case 790:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(789);
            END_STATE();
        case 791:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(790);
            END_STATE();
        case 792:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(791);
            END_STATE();
        case 793:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(792);
            END_STATE();
        case 794:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(793);
            END_STATE();
        case 795:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(794);
            END_STATE();
        case 796:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(936);
            END_STATE();
        case 797:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 798:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(797);
            END_STATE();
        case 799:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(804);
            END_STATE();
        case 800:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(804);
            if(lookahead == '\r')
                SKIP(799);
            END_STATE();
        case 801:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(803);
            END_STATE();
        case 802:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(803);
            if(lookahead == '\r')
                SKIP(801);
            END_STATE();
        case 803:
            if(eof)
                ADVANCE(805);
            ADVANCE_MAP(
                '"', 899,
                '%', 872,
                '&', 864,
                '\'', 905,
                '(', 873,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '/', 871,
                '0', 883,
                ':', 954,
                ';', 955,
                '<', 122,
                '=', 987,
                '>', 854,
                'F', 1129,
                'L', 904,
                'O', 1174,
                'T', 1134,
                'V', 1139,
            );
            if(lookahead == '\\')
                SKIP(802);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(lookahead == '~')
                ADVANCE(875);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(803);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(885);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 804:
            if(eof)
                ADVANCE(805);
            if(lookahead == '#')
                ADVANCE(322);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '@')
                ADVANCE(983);
            if(lookahead == '\\')
                SKIP(800);
            if(lookahead == 'a')
                ADVANCE(291);
            if(lookahead == 'b')
                ADVANCE(463);
            if(lookahead == 'c')
                ADVANCE(578);
            if(lookahead == 'e')
                ADVANCE(540);
            if(lookahead == 'h')
                ADVANCE(573);
            if(lookahead == 'i')
                ADVANCE(519);
            if(lookahead == 'l')
                ADVANCE(580);
            if(lookahead == 'm')
                ADVANCE(575);
            if(lookahead == 'n')
                ADVANCE(250);
            if(lookahead == 'p')
                ADVANCE(604);
            if(lookahead == 's')
                ADVANCE(719);
            if(lookahead == 't')
                ADVANCE(783);
            if(lookahead == 'u')
                ADVANCE(566);
            if(lookahead == 'v')
                ADVANCE(269);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(804);
            END_STATE();
        case 805:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 806:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 807:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 808:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 809:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 810:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(334);
            END_STATE();
        case 811:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 812:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(510);
            END_STATE();
        case 813:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 814:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 815:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 816:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 817:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 818:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 819:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 820:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 821:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 822:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 823:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 824:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 825:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 826:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 827:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 828:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 829:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 830:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 831:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 832:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(513);
            END_STATE();
        case 833:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 834:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 835:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 836:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 837:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 838:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 839:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 840:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 841:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 842:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 843:
            ACCEPT_TOKEN(anon_sym_char);
            END_STATE();
        case 844:
            ACCEPT_TOKEN(anon_sym_char);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 845:
            ACCEPT_TOKEN(anon_sym_wchar);
            END_STATE();
        case 846:
            ACCEPT_TOKEN(anon_sym_wchar);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 847:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 848:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 849:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 850:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 851:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 852:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 853:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 854:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(865);
            END_STATE();
        case 855:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 856:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 857:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 858:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 859:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 860:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 861:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 862:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 863:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 864:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 865:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 866:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 867:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 868:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 869:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 870:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1530);
            END_STATE();
        case 871:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            END_STATE();
        case 872:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 873:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 874:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 875:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 876:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(876);
            END_STATE();
        case 877:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(877);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 878:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(878);
            END_STATE();
        case 879:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(879);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 880:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(880);
            END_STATE();
        case 881:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(881);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 882:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(786);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(785);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(787);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(878);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(1525);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1524);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1526);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(879);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(884);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(885);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(886);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(887);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'm')
                ADVANCE(455);
            if(lookahead == 'n')
                ADVANCE(747);
            if(lookahead == 'v')
                ADVANCE(402);
            if(lookahead == 'x')
                ADVANCE(310);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'D')
                ADVANCE(217);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'e')
                ADVANCE(412);
            if(lookahead == 'o')
                ADVANCE(756);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(57);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(895);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(897);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(902);
            if(lookahead == '/')
                ADVANCE(902);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(902);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(900);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(901);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(902);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(902);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(896);
            if(lookahead == '\r')
                ADVANCE(895);
            if(lookahead == 'U')
                ADVANCE(795);
            if(lookahead == 'u')
                ADVANCE(791);
            if(lookahead == 'x')
                ADVANCE(789);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(898);
            if(lookahead != 0)
                ADVANCE(895);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(57);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(918);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1533);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(916);
            if(lookahead == '\\')
                ADVANCE(915);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(917);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(918);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(927);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(924);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(925);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(914);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(938);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(926);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(929);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(930);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(920);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(923);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(921);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                ADVANCE(933);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(937);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(936);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(936);
            END_STATE();
        case 937:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(942);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1543);
            if(lookahead == '/')
                ADVANCE(1532);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(940);
            if(lookahead == '\\')
                ADVANCE(939);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(941);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(847);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(752);
            if(lookahead == 't')
                ADVANCE(112);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1495);
            if(lookahead == 't')
                ADVANCE(1121);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 964:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 965:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 972:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 973:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(1324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(514);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(541);
            if(lookahead == 'i')
                ADVANCE(428);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'i')
                ADVANCE(428);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(986);
            if(lookahead == '\r')
                ADVANCE(47);
            if(lookahead == '/')
                ADVANCE(87);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(anon_sym_id);
            if(lookahead == 'l')
                ADVANCE(1037);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(anon_sym_id);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(anon_sym_autoid);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(anon_sym_autoid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(anon_sym_SEQUENTIAL);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(anon_sym_HASH);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(anon_sym_optional);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(anon_sym_optional);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(anon_sym_position);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(anon_sym_position);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(anon_sym_value);
            if(lookahead == 't')
                ADVANCE(782);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(anon_sym_value);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(anon_sym_extensibility);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(anon_sym_extensibility);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(anon_sym_FINAL);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(anon_sym_APPENDABLE);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(anon_sym_MUTABLE);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(anon_sym_final);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(anon_sym_final);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(anon_sym_appendable);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(anon_sym_appendable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(anon_sym_mutable);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(anon_sym_mutable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(anon_sym_key);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(anon_sym_key);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(anon_sym_must_understand);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(anon_sym_must_understand);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(anon_sym_default_literal);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(anon_sym_default_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(anon_sym_range);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(anon_sym_range);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(anon_sym_min);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(anon_sym_min);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(anon_sym_max);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_max);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_unit);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_unit);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_external);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_external);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_nested);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_nested);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_verbatim);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_verbatim);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(92);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(92);
            if(lookahead == 'a')
                ADVANCE(673);
            if(lookahead == 'h')
                ADVANCE(252);
            if(lookahead == 'o')
                ADVANCE(526);
            if(lookahead == 'u')
                ADVANCE(672);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_c_PLUS_PLUS);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_java);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_idl);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_BEGIN_FILE);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_BEFORE_DECLARATION);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_BEGIN_DECLARATION);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_END_DECLARATION);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_AFTER_DECLARATION);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_END_FILE);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_service);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_service);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_CORBA);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_DDS);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_ami);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_ami);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(anon_sym_ATdefault_literal);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(anon_sym_ATignore_literal_names);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1127);
            if(lookahead == '3')
                ADVANCE(1123);
            if(lookahead == '6')
                ADVANCE(1125);
            if(lookahead == '8')
                ADVANCE(828);
            if(lookahead == 'e')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1127);
            if(lookahead == '3')
                ADVANCE(1123);
            if(lookahead == '6')
                ADVANCE(1125);
            if(lookahead == '8')
                ADVANCE(828);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1128);
            if(lookahead == '3')
                ADVANCE(1124);
            if(lookahead == '6')
                ADVANCE(1126);
            if(lookahead == '8')
                ADVANCE(820);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(815);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(834);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(818);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(837);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(809);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(831);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1133);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1146);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(911);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(913);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1135);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1136);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1132);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1131);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1180);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1214);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1431);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1193);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1193);
            if(lookahead == 'i')
                ADVANCE(1361);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1398);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1510);
            if(lookahead == 'i')
                ADVANCE(1348);
            if(lookahead == 'u')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1413);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1414);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1316);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1345);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1360);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1438);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1198);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1181);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1182);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1197);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1184);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1333);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1334);
            if(lookahead == 'e')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1313);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1441);
            if(lookahead == 'n')
                ADVANCE(1513);
            if(lookahead == 't')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1306);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1395);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1329);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1161);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(lookahead == 's')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1075);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1468);
            if(lookahead == 'n')
                ADVANCE(1220);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1468);
            if(lookahead == 'u')
                ADVANCE(1456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1234);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1162);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(957);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(824);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1091);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1119);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(989);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(991);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1026);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1014);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1225);
            if(lookahead == 'i')
                ADVANCE(1203);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1250);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1255);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1387);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1167);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1412);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1420);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1422);
            if(lookahead == 'u')
                ADVANCE(1409);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1210);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1130);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(841);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1118);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1266);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1077);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(859);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1099);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(969);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1056);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1089);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1054);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1058);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(952);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1018);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(999);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1010);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1045);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1008);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1071);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1267);
            if(lookahead == 'o')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1202);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1140);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1204);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1415);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1157);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1207);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1448);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1416);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1430);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1451);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1366);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1363);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1194);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1211);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1081);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1151);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1165);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1172);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(811);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(849);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(851);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(813);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1236);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1087);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1376);
            if(lookahead == 'u')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1152);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1051);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1444);
            if(lookahead == 'o')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1274);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1201);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1178);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1362);
            if(lookahead == 'n')
                ADVANCE(1305);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1362);
            if(lookahead == 'n')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1187);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1356);
            if(lookahead == 'u')
                ADVANCE(1196);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1356);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1179);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1408);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1357);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1385);
            if(lookahead == 's')
                ADVANCE(1286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1199);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1389);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1261);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(976);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1006);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1028);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(995);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1016);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1292);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1223);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1311);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1240);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1241);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1242);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1251);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1303);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1406);
            if(lookahead == 'n')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1064);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1069);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1032);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1141);
            if(lookahead == 's')
                ADVANCE(1256);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1284);
            if(lookahead == 'p')
                ADVANCE(1405);
            if(lookahead == 'u')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1232);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1062);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(822);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(945);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(960);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1020);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(997);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1220);
            if(lookahead == 'p')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1490);
            if(lookahead == 'v')
                ADVANCE(1263);
            if(lookahead == 'x')
                ADVANCE(1189);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1490);
            if(lookahead == 'x')
                ADVANCE(1189);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1271);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1200);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1275);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1212);
            if(lookahead == 'x')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1215);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1208);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1209);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1149);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1247);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1153);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1195);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1273);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1436);
            if(lookahead == 'r')
                ADVANCE(1375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1302);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1154);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1213);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1155);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1442);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1358);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1346);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1372);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1156);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1425);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1426);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1378);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(861);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1221);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1230);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1262);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1258);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1233);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1260);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1396);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1407);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1283);
            if(lookahead == 'u')
                ADVANCE(1176);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1293);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(844);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(846);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1112);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1183);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1289);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1294);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1168);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1268);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1314);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1073);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1446);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1231);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1464);
            if(lookahead == 't')
                ADVANCE(1166);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1312);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1340);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1121);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1066);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(839);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(826);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(807);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1096);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(973);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1094);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1060);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(950);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(981);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(962);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(964);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1120);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1137);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1024);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(979);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1122);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1138);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1423);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1253);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1188);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1308);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1226);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1295);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1229);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1235);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1287);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1421);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1160);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1520);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1309);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1310);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1169);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1325);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1222);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1377);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1237);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1177);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1196);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1224);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1307);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1164);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1145);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1304);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1022);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(856);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1049);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1079);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(967);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1012);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1001);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1399);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1401);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1404);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(877);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(881);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(887);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(90);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(985);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1537);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1539);
            if(lookahead == '\\')
                ADVANCE(1535);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1542);
            if(lookahead == '/')
                ADVANCE(1531);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1536);
            if(lookahead == '\\')
                ADVANCE(67);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1537);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1538);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(90);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(90);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 804 },
    [2] = { .lex_state = 95 },
    [3] = { .lex_state = 95 },
    [4] = { .lex_state = 95 },
    [5] = { .lex_state = 96 },
    [6] = { .lex_state = 95 },
    [7] = { .lex_state = 95 },
    [8] = { .lex_state = 96 },
    [9] = { .lex_state = 96 },
    [10] = { .lex_state = 97 },
    [11] = { .lex_state = 97 },
    [12] = { .lex_state = 97 },
    [13] = { .lex_state = 97 },
    [14] = { .lex_state = 97 },
    [15] = { .lex_state = 97 },
    [16] = { .lex_state = 97 },
    [17] = { .lex_state = 97 },
    [18] = { .lex_state = 97 },
    [19] = { .lex_state = 97 },
    [20] = { .lex_state = 97 },
    [21] = { .lex_state = 803 },
    [22] = { .lex_state = 803 },
    [23] = { .lex_state = 804 },
    [24] = { .lex_state = 804 },
    [25] = { .lex_state = 804 },
    [26] = { .lex_state = 804 },
    [27] = { .lex_state = 804 },
    [28] = { .lex_state = 804 },
    [29] = { .lex_state = 804 },
    [30] = { .lex_state = 804 },
    [31] = { .lex_state = 98 },
    [32] = { .lex_state = 82 },
    [33] = { .lex_state = 82 },
    [34] = { .lex_state = 84 },
    [35] = { .lex_state = 84 },
    [36] = { .lex_state = 84 },
    [37] = { .lex_state = 84 },
    [38] = { .lex_state = 84 },
    [39] = { .lex_state = 84 },
    [40] = { .lex_state = 84 },
    [41] = { .lex_state = 93 },
    [42] = { .lex_state = 86 },
    [43] = { .lex_state = 100 },
    [44] = { .lex_state = 100 },
    [45] = { .lex_state = 84 },
    [46] = { .lex_state = 100 },
    [47] = { .lex_state = 86 },
    [48] = { .lex_state = 95 },
    [49] = { .lex_state = 95 },
    [50] = { .lex_state = 95 },
    [51] = { .lex_state = 95 },
    [52] = { .lex_state = 95 },
    [53] = { .lex_state = 95 },
    [54] = { .lex_state = 95 },
    [55] = { .lex_state = 101 },
    [56] = { .lex_state = 96 },
    [57] = { .lex_state = 96 },
    [58] = { .lex_state = 101 },
    [59] = { .lex_state = 96 },
    [60] = { .lex_state = 96 },
    [61] = { .lex_state = 102 },
    [62] = { .lex_state = 102 },
    [63] = { .lex_state = 102 },
    [64] = { .lex_state = 102 },
    [65] = { .lex_state = 105 },
    [66] = { .lex_state = 102 },
    [67] = { .lex_state = 105 },
    [68] = { .lex_state = 105 },
    [69] = { .lex_state = 105 },
    [70] = { .lex_state = 102 },
    [71] = { .lex_state = 105 },
    [72] = { .lex_state = 97 },
    [73] = { .lex_state = 105 },
    [74] = { .lex_state = 102 },
    [75] = { .lex_state = 105 },
    [76] = { .lex_state = 105 },
    [77] = { .lex_state = 105 },
    [78] = { .lex_state = 102 },
    [79] = { .lex_state = 102 },
    [80] = { .lex_state = 105 },
    [81] = { .lex_state = 102 },
    [82] = { .lex_state = 97 },
    [83] = { .lex_state = 106 },
    [84] = { .lex_state = 106 },
    [85] = { .lex_state = 98 },
    [86] = { .lex_state = 77 },
    [87] = { .lex_state = 77 },
    [88] = { .lex_state = 77 },
    [89] = { .lex_state = 77 },
    [90] = { .lex_state = 77 },
    [91] = { .lex_state = 82 },
    [92] = { .lex_state = 77 },
    [93] = { .lex_state = 77 },
    [94] = { .lex_state = 77 },
    [95] = { .lex_state = 98 },
    [96] = { .lex_state = 77 },
    [97] = { .lex_state = 77 },
    [98] = { .lex_state = 77 },
    [99] = { .lex_state = 98 },
    [100] = { .lex_state = 98 },
    [101] = { .lex_state = 77 },
    [102] = { .lex_state = 77 },
    [103] = { .lex_state = 82 },
    [104] = { .lex_state = 77 },
    [105] = { .lex_state = 82 },
    [106] = { .lex_state = 77 },
    [107] = { .lex_state = 82 },
    [108] = { .lex_state = 82 },
    [109] = { .lex_state = 82 },
    [110] = { .lex_state = 82 },
    [111] = { .lex_state = 82 },
    [112] = { .lex_state = 82 },
    [113] = { .lex_state = 82 },
    [114] = { .lex_state = 82 },
    [115] = { .lex_state = 82 },
    [116] = { .lex_state = 77 },
    [117] = { .lex_state = 82 },
    [118] = { .lex_state = 77 },
    [119] = { .lex_state = 77 },
    [120] = { .lex_state = 82 },
    [121] = { .lex_state = 82 },
    [122] = { .lex_state = 82 },
    [123] = { .lex_state = 82 },
    [124] = { .lex_state = 82 },
    [125] = { .lex_state = 82 },
    [126] = { .lex_state = 82 },
    [127] = { .lex_state = 82 },
    [128] = { .lex_state = 82 },
    [129] = { .lex_state = 82 },
    [130] = { .lex_state = 82 },
    [131] = { .lex_state = 82 },
    [132] = { .lex_state = 82 },
    [133] = { .lex_state = 82 },
    [134] = { .lex_state = 82 },
    [135] = { .lex_state = 82 },
    [136] = { .lex_state = 82 },
    [137] = { .lex_state = 82 },
    [138] = { .lex_state = 82 },
    [139] = { .lex_state = 82 },
    [140] = { .lex_state = 82 },
    [141] = { .lex_state = 82 },
    [142] = { .lex_state = 82 },
    [143] = { .lex_state = 82 },
    [144] = { .lex_state = 82 },
    [145] = { .lex_state = 82 },
    [146] = { .lex_state = 82 },
    [147] = { .lex_state = 82 },
    [148] = { .lex_state = 82 },
    [149] = { .lex_state = 82 },
    [150] = { .lex_state = 82 },
    [151] = { .lex_state = 82 },
    [152] = { .lex_state = 82 },
    [153] = { .lex_state = 82 },
    [154] = { .lex_state = 82 },
    [155] = { .lex_state = 82 },
    [156] = { .lex_state = 82 },
    [157] = { .lex_state = 77 },
    [158] = { .lex_state = 77 },
    [159] = { .lex_state = 77 },
    [160] = { .lex_state = 84 },
    [161] = { .lex_state = 77 },
    [162] = { .lex_state = 84 },
    [163] = { .lex_state = 84 },
    [164] = { .lex_state = 84 },
    [165] = { .lex_state = 84 },
    [166] = { .lex_state = 77 },
    [167] = { .lex_state = 84 },
    [168] = { .lex_state = 84 },
    [169] = { .lex_state = 84 },
    [170] = { .lex_state = 84 },
    [171] = { .lex_state = 84 },
    [172] = { .lex_state = 84 },
    [173] = { .lex_state = 84 },
    [174] = { .lex_state = 84 },
    [175] = { .lex_state = 84 },
    [176] = { .lex_state = 84 },
    [177] = { .lex_state = 84 },
    [178] = { .lex_state = 84 },
    [179] = { .lex_state = 84 },
    [180] = { .lex_state = 84 },
    [181] = { .lex_state = 84 },
    [182] = { .lex_state = 84 },
    [183] = { .lex_state = 84 },
    [184] = { .lex_state = 84 },
    [185] = { .lex_state = 84 },
    [186] = { .lex_state = 84 },
    [187] = { .lex_state = 84 },
    [188] = { .lex_state = 84 },
    [189] = { .lex_state = 84 },
    [190] = { .lex_state = 84 },
    [191] = { .lex_state = 84 },
    [192] = { .lex_state = 100 },
    [193] = { .lex_state = 100 },
    [194] = { .lex_state = 84 },
    [195] = { .lex_state = 84 },
    [196] = { .lex_state = 84 },
    [197] = { .lex_state = 84 },
    [198] = { .lex_state = 84 },
    [199] = { .lex_state = 84 },
    [200] = { .lex_state = 100 },
    [201] = { .lex_state = 84 },
    [202] = { .lex_state = 84 },
    [203] = { .lex_state = 84 },
    [204] = { .lex_state = 84 },
    [205] = { .lex_state = 84 },
    [206] = { .lex_state = 84 },
    [207] = { .lex_state = 84 },
    [208] = { .lex_state = 84 },
    [209] = { .lex_state = 100 },
    [210] = { .lex_state = 84 },
    [211] = { .lex_state = 84 },
    [212] = { .lex_state = 84 },
    [213] = { .lex_state = 84 },
    [214] = { .lex_state = 84 },
    [215] = { .lex_state = 84 },
    [216] = { .lex_state = 84 },
    [217] = { .lex_state = 100 },
    [218] = { .lex_state = 804 },
    [219] = { .lex_state = 84 },
    [220] = { .lex_state = 84 },
    [221] = { .lex_state = 84 },
    [222] = { .lex_state = 77 },
    [223] = { .lex_state = 84 },
    [224] = { .lex_state = 84 },
    [225] = { .lex_state = 84 },
    [226] = { .lex_state = 84 },
    [227] = { .lex_state = 84 },
    [228] = { .lex_state = 102 },
    [229] = { .lex_state = 804 },
    [230] = { .lex_state = 804 },
    [231] = { .lex_state = 804 },
    [232] = { .lex_state = 107 },
    [233] = { .lex_state = 804 },
    [234] = { .lex_state = 804 },
    [235] = { .lex_state = 77 },
    [236] = { .lex_state = 804 },
    [237] = { .lex_state = 804 },
    [238] = { .lex_state = 804 },
    [239] = { .lex_state = 83 },
    [240] = { .lex_state = 804 },
    [241] = { .lex_state = 74 },
    [242] = { .lex_state = 74 },
    [243] = { .lex_state = 74 },
    [244] = { .lex_state = 74 },
    [245] = { .lex_state = 74 },
    [246] = { .lex_state = 74 },
    [247] = { .lex_state = 74 },
    [248] = { .lex_state = 74 },
    [249] = { .lex_state = 74 },
    [250] = { .lex_state = 74 },
    [251] = { .lex_state = 74 },
    [252] = { .lex_state = 74 },
    [253] = { .lex_state = 74 },
    [254] = { .lex_state = 74 },
    [255] = { .lex_state = 74 },
    [256] = { .lex_state = 74 },
    [257] = { .lex_state = 74 },
    [258] = { .lex_state = 74 },
    [259] = { .lex_state = 74 },
    [260] = { .lex_state = 74 },
    [261] = { .lex_state = 74 },
    [262] = { .lex_state = 74 },
    [263] = { .lex_state = 74 },
    [264] = { .lex_state = 74 },
    [265] = { .lex_state = 74 },
    [266] = { .lex_state = 83 },
    [267] = { .lex_state = 74 },
    [268] = { .lex_state = 74 },
    [269] = { .lex_state = 74 },
    [270] = { .lex_state = 75 },
    [271] = { .lex_state = 80 },
    [272] = { .lex_state = 80 },
    [273] = { .lex_state = 80 },
    [274] = { .lex_state = 803 },
    [275] = { .lex_state = 80 },
    [276] = { .lex_state = 80 },
    [277] = { .lex_state = 74 },
    [278] = { .lex_state = 80 },
    [279] = { .lex_state = 80 },
    [280] = { .lex_state = 80 },
    [281] = { .lex_state = 80 },
    [282] = { .lex_state = 80 },
    [283] = { .lex_state = 77 },
    [284] = { .lex_state = 80 },
    [285] = { .lex_state = 77 },
    [286] = { .lex_state = 74 },
    [287] = { .lex_state = 80 },
    [288] = { .lex_state = 80 },
    [289] = { .lex_state = 74 },
    [290] = { .lex_state = 80 },
    [291] = { .lex_state = 74 },
    [292] = { .lex_state = 80 },
    [293] = { .lex_state = 80 },
    [294] = { .lex_state = 74 },
    [295] = { .lex_state = 80 },
    [296] = { .lex_state = 80 },
    [297] = { .lex_state = 80 },
    [298] = { .lex_state = 80 },
    [299] = { .lex_state = 80 },
    [300] = { .lex_state = 80 },
    [301] = { .lex_state = 80 },
    [302] = { .lex_state = 80 },
    [303] = { .lex_state = 80 },
    [304] = { .lex_state = 76 },
    [305] = { .lex_state = 76 },
    [306] = { .lex_state = 74 },
    [307] = { .lex_state = 76 },
    [308] = { .lex_state = 76 },
    [309] = { .lex_state = 76 },
    [310] = { .lex_state = 83 },
    [311] = { .lex_state = 83 },
    [312] = { .lex_state = 803 },
    [313] = { .lex_state = 803 },
    [314] = { .lex_state = 83 },
    [315] = { .lex_state = 80 },
    [316] = { .lex_state = 83 },
    [317] = { .lex_state = 83 },
    [318] = { .lex_state = 80 },
    [319] = { .lex_state = 74 },
    [320] = { .lex_state = 74 },
    [321] = { .lex_state = 83 },
    [322] = { .lex_state = 74 },
    [323] = { .lex_state = 74 },
    [324] = { .lex_state = 74 },
    [325] = { .lex_state = 74 },
    [326] = { .lex_state = 83 },
    [327] = { .lex_state = 74 },
    [328] = { .lex_state = 83 },
    [329] = { .lex_state = 74 },
    [330] = { .lex_state = 74 },
    [331] = { .lex_state = 83 },
    [332] = { .lex_state = 83 },
    [333] = { .lex_state = 83 },
    [334] = { .lex_state = 74 },
    [335] = { .lex_state = 74 },
    [336] = { .lex_state = 74 },
    [337] = { .lex_state = 83 },
    [338] = { .lex_state = 74 },
    [339] = { .lex_state = 83 },
    [340] = { .lex_state = 74 },
    [341] = { .lex_state = 74 },
    [342] = { .lex_state = 83 },
    [343] = { .lex_state = 83 },
    [344] = { .lex_state = 83 },
    [345] = { .lex_state = 83 },
    [346] = { .lex_state = 83 },
    [347] = { .lex_state = 80 },
    [348] = { .lex_state = 83 },
    [349] = { .lex_state = 83 },
    [350] = { .lex_state = 83 },
    [351] = { .lex_state = 83 },
    [352] = { .lex_state = 83 },
    [353] = { .lex_state = 83 },
    [354] = { .lex_state = 83 },
    [355] = { .lex_state = 83 },
    [356] = { .lex_state = 83 },
    [357] = { .lex_state = 83 },
    [358] = { .lex_state = 83 },
    [359] = { .lex_state = 83 },
    [360] = { .lex_state = 83 },
    [361] = { .lex_state = 83 },
    [362] = { .lex_state = 83 },
    [363] = { .lex_state = 83 },
    [364] = { .lex_state = 83 },
    [365] = { .lex_state = 83 },
    [366] = { .lex_state = 83 },
    [367] = { .lex_state = 83 },
    [368] = { .lex_state = 83 },
    [369] = { .lex_state = 83 },
    [370] = { .lex_state = 83 },
    [371] = { .lex_state = 83 },
    [372] = { .lex_state = 83 },
    [373] = { .lex_state = 80 },
    [374] = { .lex_state = 83 },
    [375] = { .lex_state = 83 },
    [376] = { .lex_state = 83 },
    [377] = { .lex_state = 83 },
    [378] = { .lex_state = 83 },
    [379] = { .lex_state = 83 },
    [380] = { .lex_state = 83 },
    [381] = { .lex_state = 74 },
    [382] = { .lex_state = 74 },
    [383] = { .lex_state = 74 },
    [384] = { .lex_state = 74 },
    [385] = { .lex_state = 76 },
    [386] = { .lex_state = 74 },
    [387] = { .lex_state = 76 },
    [388] = { .lex_state = 78 },
    [389] = { .lex_state = 74 },
    [390] = { .lex_state = 74 },
    [391] = { .lex_state = 74 },
    [392] = { .lex_state = 78 },
    [393] = { .lex_state = 85 },
    [394] = { .lex_state = 76 },
    [395] = { .lex_state = 74 },
    [396] = { .lex_state = 74 },
    [397] = { .lex_state = 94 },
    [398] = { .lex_state = 74 },
    [399] = { .lex_state = 76 },
    [400] = { .lex_state = 74 },
    [401] = { .lex_state = 76 },
    [402] = { .lex_state = 74 },
    [403] = { .lex_state = 74 },
    [404] = { .lex_state = 74 },
    [405] = { .lex_state = 74 },
    [406] = { .lex_state = 74 },
    [407] = { .lex_state = 74 },
    [408] = { .lex_state = 74 },
    [409] = { .lex_state = 80 },
    [410] = { .lex_state = 85 },
    [411] = { .lex_state = 74 },
    [412] = { .lex_state = 74 },
    [413] = { .lex_state = 80 },
    [414] = { .lex_state = 74 },
    [415] = { .lex_state = 80 },
    [416] = { .lex_state = 47 },
    [417] = { .lex_state = 47 },
    [418] = { .lex_state = 47 },
    [419] = { .lex_state = 47 },
    [420] = { .lex_state = 47 },
    [421] = { .lex_state = 47 },
    [422] = { .lex_state = 74 },
    [423] = { .lex_state = 47 },
    [424] = { .lex_state = 75 },
    [425] = { .lex_state = 75 },
    [426] = { .lex_state = 74 },
    [427] = { .lex_state = 103 },
    [428] = { .lex_state = 80 },
    [429] = { .lex_state = 74 },
    [430] = { .lex_state = 47 },
    [431] = { .lex_state = 85 },
    [432] = { .lex_state = 47 },
    [433] = { .lex_state = 80 },
    [434] = { .lex_state = 47 },
    [435] = { .lex_state = 47 },
    [436] = { .lex_state = 75 },
    [437] = { .lex_state = 74 },
    [438] = { .lex_state = 85 },
    [439] = { .lex_state = 85 },
    [440] = { .lex_state = 47 },
    [441] = { .lex_state = 47 },
    [442] = { .lex_state = 78 },
    [443] = { .lex_state = 74 },
    [444] = { .lex_state = 75 },
    [445] = { .lex_state = 75 },
    [446] = { .lex_state = 78 },
    [447] = { .lex_state = 104 },
    [448] = { .lex_state = 85 },
    [449] = { .lex_state = 78 },
    [450] = { .lex_state = 85 },
    [451] = { .lex_state = 78 },
    [452] = { .lex_state = 75 },
    [453] = { .lex_state = 104 },
    [454] = { .lex_state = 108 },
    [455] = { .lex_state = 80 },
    [456] = { .lex_state = 78 },
    [457] = { .lex_state = 78 },
    [458] = { .lex_state = 75 },
    [459] = { .lex_state = 74 },
    [460] = { .lex_state = 74 },
    [461] = { .lex_state = 78 },
    [462] = { .lex_state = 85 },
    [463] = { .lex_state = 78 },
    [464] = { .lex_state = 47 },
    [465] = { .lex_state = 47 },
    [466] = { .lex_state = 78 },
    [467] = { .lex_state = 75 },
    [468] = { .lex_state = 78 },
    [469] = { .lex_state = 78 },
    [470] = { .lex_state = 78 },
    [471] = { .lex_state = 78 },
    [472] = { .lex_state = 74 },
    [473] = { .lex_state = 74 },
    [474] = { .lex_state = 74 },
    [475] = { .lex_state = 803 },
    [476] = { .lex_state = 109 },
    [477] = { .lex_state = 74 },
    [478] = { .lex_state = 80 },
    [479] = { .lex_state = 75 },
    [480] = { .lex_state = 74 },
    [481] = { .lex_state = 74 },
    [482] = { .lex_state = 74 },
    [483] = { .lex_state = 74 },
    [484] = { .lex_state = 803 },
    [485] = { .lex_state = 74 },
    [486] = { .lex_state = 803 },
    [487] = { .lex_state = 74 },
    [488] = { .lex_state = 75 },
    [489] = { .lex_state = 85 },
    [490] = { .lex_state = 78 },
    [491] = { .lex_state = 85 },
    [492] = { .lex_state = 74 },
    [493] = { .lex_state = 74 },
    [494] = { .lex_state = 75 },
    [495] = { .lex_state = 85 },
    [496] = { .lex_state = 56 },
    [497] = { .lex_state = 80 },
    [498] = { .lex_state = 74 },
    [499] = { .lex_state = 85 },
    [500] = { .lex_state = 85 },
    [501] = { .lex_state = 78 },
    [502] = { .lex_state = 58 },
    [503] = { .lex_state = 85 },
    [504] = { .lex_state = 78 },
    [505] = { .lex_state = 85 },
    [506] = { .lex_state = 74 },
    [507] = { .lex_state = 78 },
    [508] = { .lex_state = 78 },
    [509] = { .lex_state = 85 },
    [510] = { .lex_state = 85 },
    [511] = { .lex_state = 78 },
    [512] = { .lex_state = 56 },
    [513] = { .lex_state = 803 },
    [514] = { .lex_state = 75 },
    [515] = { .lex_state = 78 },
    [516] = { .lex_state = 78 },
    [517] = { .lex_state = 78 },
    [518] = { .lex_state = 78 },
    [519] = { .lex_state = 74 },
    [520] = { .lex_state = 74 },
    [521] = { .lex_state = 47 },
    [522] = { .lex_state = 803 },
    [523] = { .lex_state = 47 },
    [524] = { .lex_state = 56 },
    [525] = { .lex_state = 47 },
    [526] = { .lex_state = 75 },
    [527] = { .lex_state = 75 },
    [528] = { .lex_state = 56 },
    [529] = { .lex_state = 74 },
    [530] = { .lex_state = 74 },
    [531] = { .lex_state = 803 },
    [532] = { .lex_state = 47 },
    [533] = { .lex_state = 47 },
    [534] = { .lex_state = 74 },
    [535] = { .lex_state = 803 },
    [536] = { .lex_state = 47 },
    [537] = { .lex_state = 47 },
    [538] = { .lex_state = 74 },
    [539] = { .lex_state = 803 },
    [540] = { .lex_state = 47 },
    [541] = { .lex_state = 47 },
    [542] = { .lex_state = 74 },
    [543] = { .lex_state = 75 },
    [544] = { .lex_state = 75 },
    [545] = { .lex_state = 74 },
    [546] = { .lex_state = 74 },
    [547] = { .lex_state = 75 },
    [548] = { .lex_state = 75 },
    [549] = { .lex_state = 78 },
    [550] = { .lex_state = 78 },
    [551] = { .lex_state = 803 },
    [552] = { .lex_state = 75 },
    [553] = { .lex_state = 56 },
    [554] = { .lex_state = 803 },
    [555] = { .lex_state = 74 },
    [556] = { .lex_state = 75 },
    [557] = { .lex_state = 78 },
    [558] = { .lex_state = 74 },
    [559] = { .lex_state = 75 },
    [560] = { .lex_state = 74 },
    [561] = { .lex_state = 74 },
    [562] = { .lex_state = 80 },
    [563] = { .lex_state = 80 },
    [564] = { .lex_state = 80 },
    [565] = { .lex_state = 75 },
    [566] = { .lex_state = 74 },
    [567] = { .lex_state = 74 },
    [568] = { .lex_state = 74 },
    [569] = { .lex_state = 74 },
    [570] = { .lex_state = 74 },
    [571] = { .lex_state = 803 },
    [572] = { .lex_state = 74 },
    [573] = { .lex_state = 74 },
    [574] = { .lex_state = 74 },
    [575] = { .lex_state = 58 },
    [576] = { .lex_state = 803 },
    [577] = { .lex_state = 803 },
    [578] = { .lex_state = 803 },
    [579] = { .lex_state = 803 },
    [580] = { .lex_state = 75 },
    [581] = { .lex_state = 803 },
    [582] = { .lex_state = 803 },
    [583] = { .lex_state = 74 },
    [584] = { .lex_state = 803 },
    [585] = { .lex_state = 803 },
    [586] = { .lex_state = 75 },
    [587] = { .lex_state = 803 },
    [588] = { .lex_state = 75 },
    [589] = { .lex_state = 803 },
    [590] = { .lex_state = 803 },
    [591] = { .lex_state = 803 },
    [592] = { .lex_state = 803 },
    [593] = { .lex_state = 803 },
    [594] = { .lex_state = 803 },
    [595] = { .lex_state = 803 },
    [596] = { .lex_state = 803 },
    [597] = { .lex_state = 75 },
    [598] = { .lex_state = 75 },
    [599] = { .lex_state = 803 },
    [600] = { .lex_state = 803 },
    [601] = { .lex_state = 803 },
    [602] = { .lex_state = 803 },
    [603] = { .lex_state = 803 },
    [604] = { .lex_state = 803 },
    [605] = { .lex_state = 803 },
    [606] = { .lex_state = 803 },
    [607] = { .lex_state = 93 },
    [608] = { .lex_state = 74 },
    [609] = { .lex_state = 803 },
    [610] = { .lex_state = 803 },
    [611] = { .lex_state = 74 },
    [612] = { .lex_state = 803 },
    [613] = { .lex_state = 803 },
    [614] = { .lex_state = 803 },
    [615] = { .lex_state = 93 },
    [616] = { .lex_state = 803 },
    [617] = { .lex_state = 74 },
    [618] = { .lex_state = 75 },
    [619] = { .lex_state = 74 },
    [620] = { .lex_state = 74 },
    [621] = { .lex_state = 75 },
    [622] = { .lex_state = 74 },
    [623] = { .lex_state = 803 },
    [624] = { .lex_state = 75 },
    [625] = { .lex_state = 93 },
    [626] = { .lex_state = 803 },
    [627] = { .lex_state = 75 },
    [628] = { .lex_state = 74 },
    [629] = { .lex_state = 110 },
    [630] = { .lex_state = 803 },
    [631] = { .lex_state = 803 },
    [632] = { .lex_state = 80 },
    [633] = { .lex_state = 56 },
    [634] = { .lex_state = 75 },
    [635] = { .lex_state = 803 },
    [636] = { .lex_state = 803 },
    [637] = { .lex_state = 803 },
    [638] = { .lex_state = 803 },
    [639] = { .lex_state = 803 },
    [640] = { .lex_state = 803 },
    [641] = { .lex_state = 803 },
    [642] = { .lex_state = 74 },
    [643] = { .lex_state = 58 },
    [644] = { .lex_state = 74 },
    [645] = { .lex_state = 75 },
    [646] = { .lex_state = 803 },
    [647] = { .lex_state = 803 },
    [648] = { .lex_state = 75 },
    [649] = { .lex_state = 93 },
    [650] = { .lex_state = 75 },
    [651] = { .lex_state = 74 },
    [652] = { .lex_state = 93 },
    [653] = { .lex_state = 75 },
    [654] = { .lex_state = 75 },
    [655] = { .lex_state = 74 },
    [656] = { .lex_state = 803 },
    [657] = { .lex_state = 803 },
    [658] = { .lex_state = 74 },
    [659] = { .lex_state = 75 },
    [660] = { .lex_state = 85 },
    [661] = { .lex_state = 85 },
    [662] = { .lex_state = 85 },
    [663] = { .lex_state = 803 },
    [664] = { .lex_state = 85 },
    [665] = { .lex_state = 85 },
    [666] = { .lex_state = 85 },
    [667] = { .lex_state = 93 },
    [668] = { .lex_state = 75 },
    [669] = { .lex_state = 85 },
    [670] = { .lex_state = 85 },
    [671] = { .lex_state = 85 },
    [672] = { .lex_state = 85 },
    [673] = { .lex_state = 85 },
    [674] = { .lex_state = 85 },
    [675] = { .lex_state = 85 },
    [676] = { .lex_state = 803 },
    [677] = { .lex_state = 85 },
    [678] = { .lex_state = 85 },
    [679] = { .lex_state = 85 },
    [680] = { .lex_state = 85 },
    [681] = { .lex_state = 85 },
    [682] = { .lex_state = 85 },
    [683] = { .lex_state = 74 },
    [684] = { .lex_state = 85 },
    [685] = { .lex_state = 74 },
    [686] = { .lex_state = 74 },
    [687] = { .lex_state = 85 },
    [688] = { .lex_state = 803 },
    [689] = { .lex_state = 85 },
    [690] = { .lex_state = 85 },
    [691] = { .lex_state = 85 },
    [692] = { .lex_state = 85 },
    [693] = { .lex_state = 803 },
    [694] = { .lex_state = 85 },
    [695] = { .lex_state = 85 },
    [696] = { .lex_state = 74 },
    [697] = { .lex_state = 85 },
    [698] = { .lex_state = 85 },
    [699] = { .lex_state = 803 },
    [700] = { .lex_state = 803 },
    [701] = { .lex_state = 85 },
    [702] = { .lex_state = 74 },
    [703] = { .lex_state = 74 },
    [704] = { .lex_state = 85 },
    [705] = { .lex_state = 803 },
    [706] = { .lex_state = 74 },
    [707] = { .lex_state = 85 },
    [708] = { .lex_state = 74 },
    [709] = { .lex_state = 85 },
    [710] = { .lex_state = 85 },
    [711] = { .lex_state = 75 },
    [712] = { .lex_state = 85 },
    [713] = { .lex_state = 85 },
    [714] = { .lex_state = 75 },
    [715] = { .lex_state = 75 },
    [716] = { .lex_state = 75 },
    [717] = { .lex_state = 75 },
    [718] = { .lex_state = 75 },
    [719] = { .lex_state = 803 },
    [720] = { .lex_state = 58 },
    [721] = { .lex_state = 47 },
    [722] = { .lex_state = 47 },
    [723] = { .lex_state = 47 },
    [724] = { .lex_state = 47 },
    [725] = { .lex_state = 47 },
    [726] = { .lex_state = 47 },
    [727] = { .lex_state = 47 },
    [728] = { .lex_state = 47 },
    [729] = { .lex_state = 47 },
    [730] = { .lex_state = 75 },
    [731] = { .lex_state = 47 },
    [732] = { .lex_state = 47 },
    [733] = { .lex_state = 47 },
    [734] = { .lex_state = 47 },
    [735] = { .lex_state = 803 },
    [736] = { .lex_state = 47 },
    [737] = { .lex_state = 803 },
    [738] = { .lex_state = 47 },
    [739] = { .lex_state = 75 },
    [740] = { .lex_state = 803 },
    [741] = { .lex_state = 47 },
    [742] = { .lex_state = 47 },
    [743] = { .lex_state = 47 },
    [744] = { .lex_state = 47 },
    [745] = { .lex_state = 47 },
    [746] = { .lex_state = 47 },
    [747] = { .lex_state = 803 },
    [748] = { .lex_state = 47 },
    [749] = { .lex_state = 75 },
    [750] = { .lex_state = 47 },
    [751] = { .lex_state = 47 },
    [752] = { .lex_state = 47 },
    [753] = { .lex_state = 803 },
    [754] = { .lex_state = 47 },
    [755] = { .lex_state = 47 },
    [756] = { .lex_state = 47 },
    [757] = { .lex_state = 803 },
    [758] = { .lex_state = 47 },
    [759] = { .lex_state = 47 },
    [760] = { .lex_state = 803 },
    [761] = { .lex_state = 47 },
    [762] = { .lex_state = 47 },
    [763] = { .lex_state = 75 },
    [764] = { .lex_state = 74 },
    [765] = { .lex_state = 803 },
    [766] = { .lex_state = 47 },
    [767] = { .lex_state = 47 },
    [768] = { .lex_state = 803 },
    [769] = { .lex_state = 47 },
    [770] = { .lex_state = 74 },
    [771] = { .lex_state = 47 },
    [772] = { .lex_state = 803 },
    [773] = { .lex_state = 93 },
    [774] = { .lex_state = 93 },
    [775] = { .lex_state = 803 },
    [776] = { .lex_state = 74 },
    [777] = { .lex_state = 74 },
    [778] = { .lex_state = 803 },
    [779] = { .lex_state = 93 },
    [780] = { .lex_state = 74 },
    [781] = { .lex_state = 74 },
    [782] = { .lex_state = 803 },
    [783] = { .lex_state = 93 },
    [784] = { .lex_state = 803 },
    [785] = { .lex_state = 803 },
    [786] = { .lex_state = 93 },
    [787] = { .lex_state = 803 },
    [788] = { .lex_state = 803 },
    [789] = { .lex_state = 74 },
    [790] = { .lex_state = 803 },
    [791] = { .lex_state = 803 },
    [792] = { .lex_state = 803 },
    [793] = { .lex_state = 803 },
    [794] = { .lex_state = 75 },
    [795] = { .lex_state = 803 },
    [796] = { .lex_state = 803 },
    [797] = { .lex_state = 803 },
    [798] = { .lex_state = 803 },
    [799] = { .lex_state = 75 },
    [800] = { .lex_state = 105 },
    [801] = { .lex_state = 105 },
    [802] = { .lex_state = 93 },
    [803] = { .lex_state = 105 },
    [804] = { .lex_state = 105 },
    [805] = { .lex_state = 803 },
    [806] = { .lex_state = 75 },
    [807] = { .lex_state = 803 },
    [808] = { .lex_state = 75 },
    [809] = { .lex_state = 803 },
    [810] = { .lex_state = 75 },
    [811] = { .lex_state = 105 },
    [812] = { .lex_state = 75 },
    [813] = { .lex_state = 75 },
    [814] = { .lex_state = 74 },
    [815] = { .lex_state = 80 },
    [816] = { .lex_state = 803 },
    [817] = { .lex_state = 75 },
    [818] = { .lex_state = 74 },
    [819] = { .lex_state = 803 },
    [820] = { .lex_state = 803 },
    [821] = { .lex_state = 803 },
    [822] = { .lex_state = 803 },
    [823] = { .lex_state = 61 },
    [824] = { .lex_state = 803 },
    [825] = { .lex_state = 803 },
    [826] = { .lex_state = 803 },
    [827] = { .lex_state = 803 },
    [828] = { .lex_state = 803 },
    [829] = { .lex_state = 75 },
    [830] = { .lex_state = 75 },
    [831] = { .lex_state = 803 },
    [832] = { .lex_state = 75 },
    [833] = { .lex_state = 803 },
    [834] = { .lex_state = 105 },
    [835] = { .lex_state = 75 },
    [836] = { .lex_state = 75 },
    [837] = { .lex_state = 75 },
    [838] = { .lex_state = 74 },
    [839] = { .lex_state = 803 },
    [840] = { .lex_state = 93 },
    [841] = { .lex_state = 75 },
    [842] = { .lex_state = 803 },
    [843] = { .lex_state = 74 },
    [844] = { .lex_state = 803 },
    [845] = { .lex_state = 803 },
    [846] = { .lex_state = 803 },
    [847] = { .lex_state = 105 },
    [848] = { .lex_state = 803 },
    [849] = { .lex_state = 75 },
    [850] = { .lex_state = 803 },
    [851] = { .lex_state = 75 },
    [852] = { .lex_state = 803 },
    [853] = { .lex_state = 803 },
    [854] = { .lex_state = 105 },
    [855] = { .lex_state = 74 },
    [856] = { .lex_state = 80 },
    [857] = { .lex_state = 74 },
    [858] = { .lex_state = 75 },
    [859] = { .lex_state = 75 },
    [860] = { .lex_state = 75 },
    [861] = { .lex_state = 803 },
    [862] = { .lex_state = 74 },
    [863] = { .lex_state = 93 },
    [864] = { .lex_state = 93 },
    [865] = { .lex_state = 80 },
    [866] = { .lex_state = 75 },
    [867] = { .lex_state = 80 },
    [868] = { .lex_state = 78 },
    [869] = { .lex_state = 75 },
    [870] = { .lex_state = 75 },
    [871] = { .lex_state = 803 },
    [872] = { .lex_state = 75 },
    [873] = { .lex_state = 75 },
    [874] = { .lex_state = 93 },
    [875] = { .lex_state = 803 },
    [876] = { .lex_state = 803 },
    [877] = { .lex_state = 93 },
    [878] = { .lex_state = 80 },
    [879] = { .lex_state = 93 },
    [880] = { .lex_state = 75 },
    [881] = { .lex_state = 803 },
    [882] = { .lex_state = 803 },
    [883] = { .lex_state = 74 },
    [884] = { .lex_state = 75 },
    [885] = { .lex_state = 803 },
    [886] = { .lex_state = 105 },
    [887] = { .lex_state = 105 },
    [888] = { .lex_state = 803 },
    [889] = { .lex_state = 803 },
    [890] = { .lex_state = 74 },
    [891] = { .lex_state = 803 },
    [892] = { .lex_state = 93 },
    [893] = { .lex_state = 74 },
    [894] = { .lex_state = 803 },
    [895] = { .lex_state = 93 },
    [896] = { .lex_state = 74 },
    [897] = { .lex_state = 74 },
    [898] = { .lex_state = 803 },
    [899] = { .lex_state = 803 },
    [900] = { .lex_state = 75 },
    [901] = { .lex_state = 75 },
    [902] = { .lex_state = 803 },
    [903] = { .lex_state = 75 },
    [904] = { .lex_state = 803 },
    [905] = { .lex_state = 75 },
    [906] = { .lex_state = 93 },
    [907] = { .lex_state = 75 },
    [908] = { .lex_state = 803 },
    [909] = { .lex_state = 74 },
    [910] = { .lex_state = 803 },
    [911] = { .lex_state = 75 },
    [912] = { .lex_state = 803 },
    [913] = { .lex_state = 803 },
    [914] = { .lex_state = 803 },
    [915] = { .lex_state = 75 },
    [916] = { .lex_state = 75 },
    [917] = { .lex_state = 75 },
    [918] = { .lex_state = 75 },
    [919] = { .lex_state = 75 },
    [920] = { .lex_state = 75 },
    [921] = { .lex_state = 75 },
    [922] = { .lex_state = 75 },
    [923] = { .lex_state = 74 },
    [924] = { .lex_state = 75 },
    [925] = { .lex_state = 803 },
    [926] = { .lex_state = 75 },
    [927] = { .lex_state = 803 },
    [928] = { .lex_state = 80 },
    [929] = { .lex_state = 75 },
    [930] = { .lex_state = 75 },
    [931] = { .lex_state = 75 },
    [932] = { .lex_state = 803 },
    [933] = { .lex_state = 803 },
    [934] = { .lex_state = 803 },
    [935] = { .lex_state = 803 },
    [936] = { .lex_state = 75 },
    [937] = { .lex_state = 803 },
    [938] = { .lex_state = 803 },
    [939] = { .lex_state = 803 },
    [940] = { .lex_state = 75 },
    [941] = { .lex_state = 803 },
    [942] = { .lex_state = 75 },
    [943] = { .lex_state = 803 },
    [944] = { .lex_state = 803 },
    [945] = { .lex_state = 803 },
    [946] = { .lex_state = 803 },
    [947] = { .lex_state = 93 },
    [948] = { .lex_state = 803 },
    [949] = { .lex_state = 803 },
    [950] = { .lex_state = 803 },
    [951] = { .lex_state = 803 },
    [952] = { .lex_state = 62 },
    [953] = { .lex_state = 62 },
    [954] = { .lex_state = 803 },
    [955] = { .lex_state = 803 },
    [956] = { .lex_state = 803 },
    [957] = { .lex_state = 803 },
    [958] = { .lex_state = 803 },
    [959] = { .lex_state = 75 },
    [960] = { .lex_state = 75 },
    [961] = { .lex_state = 803 },
    [962] = { .lex_state = 803 },
    [963] = { .lex_state = 803 },
    [964] = { .lex_state = 75 },
    [965] = { .lex_state = 803 },
    [966] = { .lex_state = 803 },
    [967] = { .lex_state = 803 },
    [968] = { .lex_state = 803 },
    [969] = { .lex_state = 803 },
    [970] = { .lex_state = 803 },
    [971] = { .lex_state = 803 },
    [972] = { .lex_state = 75 },
    [973] = { .lex_state = 803 },
    [974] = { .lex_state = 803 },
    [975] = { .lex_state = 803 },
    [976] = { .lex_state = 75 },
    [977] = { .lex_state = 803 },
    [978] = { .lex_state = 803 },
    [979] = { .lex_state = 803 },
    [980] = { .lex_state = 803 },
    [981] = { .lex_state = 75 },
    [982] = { .lex_state = 803 },
    [983] = { .lex_state = 803 },
    [984] = { .lex_state = 803 },
    [985] = { .lex_state = 74 },
    [986] = { .lex_state = 74 },
    [987] = { .lex_state = 803 },
    [988] = { .lex_state = 803 },
    [989] = { .lex_state = 74 },
    [990] = { .lex_state = 75 },
    [991] = { .lex_state = 803 },
    [992] = { .lex_state = 803 },
    [993] = { .lex_state = 803 },
    [994] = { .lex_state = 74 },
    [995] = { .lex_state = 803 },
    [996] = { .lex_state = 803 },
    [997] = { .lex_state = 803 },
    [998] = { .lex_state = 803 },
    [999] = { .lex_state = 803 },
    [1000] = { .lex_state = 803 },
    [1001] = { .lex_state = 803 },
    [1002] = { .lex_state = 803 },
    [1003] = { .lex_state = 803 },
    [1004] = { .lex_state = 803 },
    [1005] = { .lex_state = 803 },
    [1006] = { .lex_state = 803 },
    [1007] = { .lex_state = 803 },
    [1008] = { .lex_state = 803 },
    [1009] = { .lex_state = 803 },
    [1010] = { .lex_state = 803 },
    [1011] = { .lex_state = 803 },
    [1012] = { .lex_state = 803 },
    [1013] = { .lex_state = 803 },
    [1014] = { .lex_state = 803 },
    [1015] = { .lex_state = 803 },
    [1016] = { .lex_state = 93 },
    [1017] = { .lex_state = 93 },
    [1018] = { .lex_state = 75 },
    [1019] = { .lex_state = 803 },
    [1020] = { .lex_state = 803 },
    [1021] = { .lex_state = 803 },
    [1022] = { .lex_state = 803 },
    [1023] = { .lex_state = 803 },
    [1024] = { .lex_state = 74 },
    [1025] = { .lex_state = 803 },
    [1026] = { .lex_state = 803 },
    [1027] = { .lex_state = 803 },
    [1028] = { .lex_state = 803 },
    [1029] = { .lex_state = 803 },
    [1030] = { .lex_state = 803 },
    [1031] = { .lex_state = 803 },
    [1032] = { .lex_state = 803 },
    [1033] = { .lex_state = 803 },
    [1034] = { .lex_state = 803 },
    [1035] = { .lex_state = 803 },
    [1036] = { .lex_state = 803 },
    [1037] = { .lex_state = 803 },
    [1038] = { .lex_state = 803 },
    [1039] = { .lex_state = 803 },
    [1040] = { .lex_state = 803 },
    [1041] = { .lex_state = 803 },
    [1042] = { .lex_state = 803 },
    [1043] = { .lex_state = 75 },
    [1044] = { .lex_state = 803 },
    [1045] = { .lex_state = 74 },
    [1046] = { .lex_state = 803 },
    [1047] = { .lex_state = 803 },
    [1048] = { .lex_state = 93 },
    [1049] = { .lex_state = 803 },
    [1050] = { .lex_state = 803 },
    [1051] = { .lex_state = 803 },
    [1052] = { .lex_state = 803 },
    [1053] = { .lex_state = 62 },
    [1054] = { .lex_state = 803 },
    [1055] = { .lex_state = 93 },
    [1056] = { .lex_state = 803 },
    [1057] = { .lex_state = 803 },
    [1058] = { .lex_state = 803 },
    [1059] = { .lex_state = 75 },
    [1060] = { .lex_state = 803 },
    [1061] = { .lex_state = 803 },
    [1062] = { .lex_state = 803 },
    [1063] = { .lex_state = 803 },
    [1064] = { .lex_state = 803 },
    [1065] = { .lex_state = 803 },
    [1066] = { .lex_state = 803 },
    [1067] = { .lex_state = 803 },
    [1068] = { .lex_state = 803 },
    [1069] = { .lex_state = 93 },
    [1070] = { .lex_state = 75 },
    [1071] = { .lex_state = 75 },
    [1072] = { .lex_state = 75 },
    [1073] = { .lex_state = 75 },
    [1074] = { .lex_state = 803 },
    [1075] = { .lex_state = 93 },
    [1076] = { .lex_state = 75 },
    [1077] = { .lex_state = 75 },
    [1078] = { .lex_state = 75 },
    [1079] = { .lex_state = 803 },
    [1080] = { .lex_state = 803 },
    [1081] = { .lex_state = 803 },
    [1082] = { .lex_state = 803 },
    [1083] = { .lex_state = 803 },
    [1084] = { .lex_state = 803 },
    [1085] = { .lex_state = 803 },
    [1086] = { .lex_state = 803 },
    [1087] = { .lex_state = 803 },
    [1088] = { .lex_state = 803 },
    [1089] = { .lex_state = 803 },
    [1090] = { .lex_state = 803 },
    [1091] = { .lex_state = 803 },
    [1092] = { .lex_state = 803 },
    [1093] = { .lex_state = 803 },
    [1094] = { .lex_state = 803 },
    [1095] = { .lex_state = 803 },
    [1096] = { .lex_state = 803 },
    [1097] = { .lex_state = 803 },
    [1098] = { .lex_state = 803 },
    [1099] = { .lex_state = 803 },
    [1100] = { .lex_state = 803 },
    [1101] = { .lex_state = 803 },
    [1102] = { .lex_state = 803 },
    [1103] = { .lex_state = 803 },
    [1104] = { .lex_state = 803 },
    [1105] = { .lex_state = 803 },
    [1106] = { .lex_state = 803 },
    [1107] = { .lex_state = 803 },
    [1108] = { .lex_state = 803 },
    [1109] = { .lex_state = 803 },
    [1110] = { .lex_state = 803 },
    [1111] = { .lex_state = 803 },
    [1112] = { .lex_state = 803 },
    [1113] = { .lex_state = 803 },
    [1114] = { .lex_state = 803 },
    [1115] = { .lex_state = 803 },
    [1116] = { .lex_state = 75 },
    [1117] = { .lex_state = 803 },
    [1118] = { .lex_state = 803 },
    [1119] = { .lex_state = 803 },
    [1120] = { .lex_state = 75 },
    [1121] = { .lex_state = 803 },
    [1122] = { .lex_state = 803 },
    [1123] = { .lex_state = 803 },
    [1124] = { .lex_state = 803 },
    [1125] = { .lex_state = 803 },
    [1126] = { .lex_state = 803 },
    [1127] = { .lex_state = 803 },
    [1128] = { .lex_state = 803 },
    [1129] = { .lex_state = 803 },
    [1130] = { .lex_state = 803 },
    [1131] = { .lex_state = 803 },
    [1132] = { .lex_state = 803 },
    [1133] = { .lex_state = 803 },
    [1134] = { .lex_state = 803 },
    [1135] = { .lex_state = 803 },
    [1136] = { .lex_state = 803 },
    [1137] = { .lex_state = 803 },
    [1138] = { .lex_state = 803 },
    [1139] = { .lex_state = 803 },
    [1140] = { .lex_state = 803 },
    [1141] = { .lex_state = 803 },
    [1142] = { .lex_state = 803 },
    [1143] = { .lex_state = 803 },
    [1144] = { .lex_state = 803 },
    [1145] = { .lex_state = 803 },
    [1146] = { .lex_state = 803 },
    [1147] = { .lex_state = 803 },
    [1148] = { .lex_state = 803 },
    [1149] = { .lex_state = 803 },
    [1150] = { .lex_state = 803 },
    [1151] = { .lex_state = 803 },
    [1152] = { .lex_state = 803 },
    [1153] = { .lex_state = 75 },
    [1154] = { .lex_state = 803 },
    [1155] = { .lex_state = 803 },
    [1156] = { .lex_state = 803 },
    [1157] = { .lex_state = 803 },
    [1158] = { .lex_state = 803 },
    [1159] = { .lex_state = 803 },
    [1160] = { .lex_state = 803 },
    [1161] = { .lex_state = 803 },
    [1162] = { .lex_state = 803 },
    [1163] = { .lex_state = 803 },
    [1164] = { .lex_state = 803 },
    [1165] = { .lex_state = 803 },
    [1166] = { .lex_state = 803 },
    [1167] = { .lex_state = 803 },
    [1168] = { .lex_state = 803 },
    [1169] = { .lex_state = 803 },
    [1170] = { .lex_state = 803 },
    [1171] = { .lex_state = 803 },
    [1172] = { .lex_state = 803 },
    [1173] = { .lex_state = 803 },
    [1174] = { .lex_state = 803 },
    [1175] = { .lex_state = 803 },
    [1176] = { .lex_state = 803 },
    [1177] = { .lex_state = 803 },
    [1178] = { .lex_state = 803 },
    [1179] = { .lex_state = 1537 },
    [1180] = { .lex_state = 75 },
    [1181] = { .lex_state = 803 },
    [1182] = { .lex_state = 803 },
    [1183] = { .lex_state = 803 },
    [1184] = { .lex_state = 75 },
    [1185] = { .lex_state = 803 },
    [1186] = { .lex_state = 803 },
    [1187] = { .lex_state = 803 },
    [1188] = { .lex_state = 803 },
    [1189] = { .lex_state = 803 },
    [1190] = { .lex_state = 803 },
    [1191] = { .lex_state = 803 },
    [1192] = { .lex_state = 803 },
    [1193] = { .lex_state = 803 },
    [1194] = { .lex_state = 803 },
    [1195] = { .lex_state = 803 },
    [1196] = { .lex_state = 803 },
    [1197] = { .lex_state = 803 },
    [1198] = { .lex_state = 803 },
    [1199] = { .lex_state = 803 },
    [1200] = { .lex_state = 803 },
    [1201] = { .lex_state = 803 },
    [1202] = { .lex_state = 803 },
    [1203] = { .lex_state = 803 },
    [1204] = { .lex_state = 803 },
    [1205] = { .lex_state = 803 },
    [1206] = { .lex_state = 803 },
    [1207] = { .lex_state = 803 },
    [1208] = { .lex_state = 803 },
    [1209] = { .lex_state = 75 },
    [1210] = { .lex_state = 75 },
    [1211] = { .lex_state = 75 },
    [1212] = { .lex_state = 75 },
    [1213] = { .lex_state = 75 },
    [1214] = { .lex_state = 803 },
    [1215] = { .lex_state = 62 },
    [1216] = { .lex_state = 941 },
    [1217] = { .lex_state = 62 },
    [1218] = { .lex_state = 803 },
    [1219] = { .lex_state = 803 },
    [1220] = { .lex_state = 803 },
    [1221] = { .lex_state = 803 },
    [1222] = { .lex_state = 803 },
    [1223] = { .lex_state = 803 },
    [1224] = { .lex_state = 803 },
    [1225] = { .lex_state = 75 },
    [1226] = { .lex_state = 803 },
    [1227] = { .lex_state = 803 },
    [1228] = { .lex_state = 803 },
    [1229] = { .lex_state = 803 },
    [1230] = { .lex_state = 803 },
    [1231] = { .lex_state = 803 },
    [1232] = { .lex_state = 75 },
    [1233] = { .lex_state = 803 },
    [1234] = { .lex_state = 75 },
    [1235] = { .lex_state = 803 },
    [1236] = { .lex_state = 803 },
    [1237] = { .lex_state = 803 },
    [1238] = { .lex_state = 803 },
    [1239] = { .lex_state = 803 },
    [1240] = { .lex_state = 74 },
    [1241] = { .lex_state = 803 },
    [1242] = { .lex_state = 803 },
    [1243] = { .lex_state = 803 },
    [1244] = { .lex_state = 75 },
    [1245] = { .lex_state = 75 },
    [1246] = { .lex_state = 803 },
    [1247] = { .lex_state = 803 },
    [1248] = { .lex_state = 93 },
    [1249] = { .lex_state = 75 },
    [1250] = { .lex_state = 803 },
    [1251] = { .lex_state = 803 },
    [1252] = { .lex_state = 803 },
    [1253] = { .lex_state = 803 },
    [1254] = { .lex_state = 803 },
    [1255] = { .lex_state = 75 },
    [1256] = { .lex_state = 93 },
    [1257] = { .lex_state = 803 },
    [1258] = { .lex_state = 93 },
    [1259] = { .lex_state = 803 },
    [1260] = { .lex_state = 803 },
    [1261] = { .lex_state = 75 },
    [1262] = { .lex_state = 75 },
    [1263] = { .lex_state = 75 },
    [1264] = { .lex_state = 75 },
    [1265] = { .lex_state = 75 },
    [1266] = { .lex_state = 803 },
    [1267] = { .lex_state = 803 },
    [1268] = { .lex_state = 803 },
    [1269] = { .lex_state = 75 },
    [1270] = { .lex_state = 803 },
    [1271] = { .lex_state = 74 },
    [1272] = { .lex_state = 803 },
    [1273] = { .lex_state = 803 },
    [1274] = { .lex_state = 93 },
    [1275] = { .lex_state = 75 },
    [1276] = { .lex_state = 803 },
    [1277] = { .lex_state = 803 },
    [1278] = { .lex_state = 75 },
    [1279] = { .lex_state = 803 },
    [1280] = { .lex_state = 75 },
    [1281] = { .lex_state = 80 },
    [1282] = { .lex_state = 803 },
    [1283] = { .lex_state = 75 },
    [1284] = { .lex_state = 75 },
    [1285] = { .lex_state = 803 },
    [1286] = { .lex_state = 75 },
    [1287] = { .lex_state = 75 },
    [1288] = { .lex_state = 75 },
    [1289] = { .lex_state = 803 },
    [1290] = { .lex_state = 803 },
    [1291] = { .lex_state = 75 },
    [1292] = { .lex_state = 803 },
    [1293] = { .lex_state = 803 },
    [1294] = { .lex_state = 74 },
    [1295] = { .lex_state = 803 },
    [1296] = { .lex_state = 803 },
    [1297] = { .lex_state = 75 },
    [1298] = { .lex_state = 803 },
    [1299] = { .lex_state = 803 },
    [1300] = { .lex_state = 803 },
    [1301] = { .lex_state = 917 },
    [1302] = { .lex_state = 803 },
    [1303] = { .lex_state = 89 },
    [1304] = { .lex_state = 93 },
    [1305] = { .lex_state = 80 },
    [1306] = { .lex_state = 803 },
    [1307] = { .lex_state = 803 },
    [1308] = { .lex_state = 803 },
    [1309] = { .lex_state = 803 },
    [1310] = { .lex_state = 803 },
    [1311] = { .lex_state = 803 },
    [1312] = { .lex_state = 803 },
    [1313] = { .lex_state = 803 },
    [1314] = { .lex_state = 803 },
    [1315] = { .lex_state = 803 },
    [1316] = { .lex_state = 803 },
    [1317] = { .lex_state = 803 },
    [1318] = { .lex_state = 803 },
    [1319] = { .lex_state = 803 },
    [1320] = { .lex_state = 803 },
    [1321] = { .lex_state = 803 },
    [1322] = { .lex_state = 803 },
    [1323] = { .lex_state = 803 },
    [1324] = { .lex_state = 803 },
    [1325] = { .lex_state = 803 },
    [1326] = { .lex_state = 803 },
    [1327] = { .lex_state = 803 },
    [1328] = { .lex_state = 803 },
    [1329] = { .lex_state = 803 },
    [1330] = { .lex_state = 803 },
    [1331] = { .lex_state = 803 },
    [1332] = { .lex_state = 803 },
    [1333] = { .lex_state = 803 },
    [1334] = { .lex_state = 803 },
    [1335] = { .lex_state = 803 },
    [1336] = { .lex_state = 803 },
    [1337] = { .lex_state = 803 },
    [1338] = { .lex_state = 803 },
    [1339] = { .lex_state = 803 },
    [1340] = { .lex_state = 803 },
    [1341] = { .lex_state = 803 },
    [1342] = { .lex_state = 803 },
    [1343] = { .lex_state = 803 },
    [1344] = { .lex_state = 803 },
    [1345] = { .lex_state = 803 },
    [1346] = { .lex_state = 803 },
    [1347] = { .lex_state = 803 },
    [1348] = { .lex_state = 803 },
    [1349] = { .lex_state = 803 },
    [1350] = { .lex_state = 803 },
    [1351] = { .lex_state = 803 },
    [1352] = { .lex_state = 803 },
    [1353] = { .lex_state = 803 },
    [1354] = { .lex_state = 803 },
    [1355] = { .lex_state = 803 },
    [1356] = { .lex_state = 803 },
    [1357] = { .lex_state = 803 },
    [1358] = { .lex_state = 803 },
    [1359] = { .lex_state = 803 },
    [1360] = { .lex_state = 803 },
    [1361] = { .lex_state = 803 },
    [1362] = { .lex_state = 93 },
    [1363] = { .lex_state = 803 },
    [1364] = { .lex_state = 93 },
    [1365] = { .lex_state = 803 },
    [1366] = { .lex_state = 803 },
    [1367] = { .lex_state = 803 },
    [1368] = { (TSStateId)(-1) },
    [1369] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [anon_sym_char] = ACTIONS(1),
        [anon_sym_wchar] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [sym_bin_number] = ACTIONS(1),
        [aux_sym_oct_number_token1] = ACTIONS(1),
        [aux_sym_oct_number_token2] = ACTIONS(1),
        [anon_sym_0] = ACTIONS(1),
        [aux_sym_dec_number_token1] = ACTIONS(1),
        [sym_hex_number] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [aux_sym_floating_pt_literal_token1] = ACTIONS(1),
        [aux_sym_fixed_pt_literal_token1] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_id] = ACTIONS(1),
        [anon_sym_autoid] = ACTIONS(1),
        [anon_sym_SEQUENTIAL] = ACTIONS(1),
        [anon_sym_HASH] = ACTIONS(1),
        [anon_sym_optional] = ACTIONS(1),
        [anon_sym_position] = ACTIONS(1),
        [anon_sym_value] = ACTIONS(1),
        [anon_sym_extensibility] = ACTIONS(1),
        [anon_sym_FINAL] = ACTIONS(1),
        [anon_sym_APPENDABLE] = ACTIONS(1),
        [anon_sym_MUTABLE] = ACTIONS(1),
        [anon_sym_final] = ACTIONS(1),
        [anon_sym_appendable] = ACTIONS(1),
        [anon_sym_mutable] = ACTIONS(1),
        [anon_sym_key] = ACTIONS(1),
        [anon_sym_must_understand] = ACTIONS(1),
        [anon_sym_default_literal] = ACTIONS(1),
        [anon_sym_range] = ACTIONS(1),
        [anon_sym_min] = ACTIONS(1),
        [anon_sym_max] = ACTIONS(1),
        [anon_sym_unit] = ACTIONS(1),
        [anon_sym_bit_bound] = ACTIONS(1),
        [anon_sym_external] = ACTIONS(1),
        [anon_sym_nested] = ACTIONS(1),
        [anon_sym_verbatim] = ACTIONS(1),
        [anon_sym_c] = ACTIONS(1),
        [anon_sym_c_PLUS_PLUS] = ACTIONS(1),
        [anon_sym_java] = ACTIONS(1),
        [anon_sym_idl] = ACTIONS(1),
        [anon_sym_BEGIN_FILE] = ACTIONS(1),
        [anon_sym_BEFORE_DECLARATION] = ACTIONS(1),
        [anon_sym_BEGIN_DECLARATION] = ACTIONS(1),
        [anon_sym_END_DECLARATION] = ACTIONS(1),
        [anon_sym_AFTER_DECLARATION] = ACTIONS(1),
        [anon_sym_END_FILE] = ACTIONS(1),
        [anon_sym_service] = ACTIONS(1),
        [anon_sym_CORBA] = ACTIONS(1),
        [anon_sym_DDS] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_ami] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_ATignore_literal_names] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(1260),
        [sym_preproc_define] = STATE(231),
        [sym_preproc_call] = STATE(231),
        [sym_preproc_include] = STATE(231),
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_template_module_inst] = STATE(1257),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(231),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1086),
        [sym_export] = STATE(51),
        [sym_op_dcl] = STATE(622),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1086),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1086),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(51),
        [sym_init_dcl] = STATE(51),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1086),
        [sym_import_dcl] = STATE(1086),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(622),
        [sym_op_with_context] = STATE(1086),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(1086),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1086),
        [sym_comment] = STATE(2),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_value_def_repeat1] = STATE(6),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(113),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1086),
        [sym_export] = STATE(51),
        [sym_op_dcl] = STATE(622),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1086),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1086),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(51),
        [sym_init_dcl] = STATE(51),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1086),
        [sym_import_dcl] = STATE(1086),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(622),
        [sym_op_with_context] = STATE(1086),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(1086),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1086),
        [sym_comment] = STATE(3),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(157),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1086),
        [sym_export] = STATE(51),
        [sym_op_dcl] = STATE(622),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1086),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1086),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(51),
        [sym_init_dcl] = STATE(51),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1086),
        [sym_import_dcl] = STATE(1086),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(622),
        [sym_op_with_context] = STATE(1086),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(1086),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1086),
        [sym_comment] = STATE(4),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(159),
        [anon_sym_int16] = ACTIONS(159),
        [anon_sym_long] = ACTIONS(162),
        [anon_sym_int32] = ACTIONS(162),
        [anon_sym_longlong] = ACTIONS(165),
        [anon_sym_int64] = ACTIONS(168),
        [sym_unsigned_tiny_int] = ACTIONS(171),
        [sym_boolean_type] = ACTIONS(174),
        [anon_sym_fixed] = ACTIONS(177),
        [sym_octet_type] = ACTIONS(174),
        [sym_signed_tiny_int] = ACTIONS(180),
        [anon_sym_unsignedshort] = ACTIONS(183),
        [anon_sym_uint16] = ACTIONS(186),
        [anon_sym_unsignedlong] = ACTIONS(189),
        [anon_sym_uint32] = ACTIONS(189),
        [anon_sym_unsignedlonglong] = ACTIONS(192),
        [anon_sym_uint64] = ACTIONS(195),
        [anon_sym_float] = ACTIONS(198),
        [anon_sym_double] = ACTIONS(198),
        [anon_sym_longdouble] = ACTIONS(201),
        [anon_sym_char] = ACTIONS(204),
        [anon_sym_wchar] = ACTIONS(204),
        [anon_sym_COLON_COLON] = ACTIONS(207),
        [anon_sym_string] = ACTIONS(210),
        [anon_sym_wstring] = ACTIONS(210),
        [anon_sym_any] = ACTIONS(213),
        [anon_sym_sequence] = ACTIONS(216),
        [anon_sym_map] = ACTIONS(219),
        [anon_sym_exception] = ACTIONS(222),
        [anon_sym_RBRACE] = ACTIONS(225),
        [anon_sym_abstract] = ACTIONS(227),
        [anon_sym_void] = ACTIONS(230),
        [anon_sym_readonly] = ACTIONS(233),
        [anon_sym_attribute] = ACTIONS(236),
        [anon_sym_bitset] = ACTIONS(239),
        [anon_sym_bitmask] = ACTIONS(242),
        [anon_sym_AT] = ACTIONS(245),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(248),
        [anon_sym_oneway] = ACTIONS(251),
        [anon_sym_valuetype] = ACTIONS(254),
        [anon_sym_struct] = ACTIONS(257),
        [anon_sym_union] = ACTIONS(260),
        [anon_sym_enum] = ACTIONS(263),
        [anon_sym_const] = ACTIONS(266),
        [anon_sym_custom] = ACTIONS(269),
        [anon_sym_public] = ACTIONS(272),
        [anon_sym_private] = ACTIONS(272),
        [anon_sym_factory] = ACTIONS(275),
        [anon_sym_typedef] = ACTIONS(278),
        [anon_sym_ATignore_literal_names] = ACTIONS(281),
        [anon_sym_typeid] = ACTIONS(284),
        [anon_sym_import] = ACTIONS(287),
        [anon_sym_Object] = ACTIONS(290),
        [sym_value_base_type] = ACTIONS(174),
        [anon_sym_native] = ACTIONS(293),
        [sym_identifier] = ACTIONS(296),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1122),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(617),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1122),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1122),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1122),
        [sym_import_dcl] = STATE(1122),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(617),
        [sym_op_with_context] = STATE(1122),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_home_body] = STATE(958),
        [sym_home_export] = STATE(59),
        [sym_factory_dcl] = STATE(957),
        [sym_finder_dcl] = STATE(957),
        [sym_type_dcl] = STATE(1122),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1122),
        [sym_comment] = STATE(5),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(299),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(301),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(303),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1086),
        [sym_export] = STATE(51),
        [sym_op_dcl] = STATE(622),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1086),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1086),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(51),
        [sym_init_dcl] = STATE(51),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1086),
        [sym_import_dcl] = STATE(1086),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(622),
        [sym_op_with_context] = STATE(1086),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(1086),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1086),
        [sym_comment] = STATE(6),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(305),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1086),
        [sym_export] = STATE(51),
        [sym_op_dcl] = STATE(622),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1086),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1086),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(51),
        [sym_init_dcl] = STATE(51),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1086),
        [sym_import_dcl] = STATE(1086),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(622),
        [sym_op_with_context] = STATE(1086),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(1086),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1086),
        [sym_comment] = STATE(7),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(307),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1122),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(617),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1122),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1122),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1122),
        [sym_import_dcl] = STATE(1122),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(617),
        [sym_op_with_context] = STATE(1122),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_home_export] = STATE(59),
        [sym_factory_dcl] = STATE(957),
        [sym_finder_dcl] = STATE(957),
        [sym_type_dcl] = STATE(1122),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1122),
        [sym_comment] = STATE(8),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(309),
        [anon_sym_int16] = ACTIONS(309),
        [anon_sym_long] = ACTIONS(312),
        [anon_sym_int32] = ACTIONS(312),
        [anon_sym_longlong] = ACTIONS(315),
        [anon_sym_int64] = ACTIONS(318),
        [sym_unsigned_tiny_int] = ACTIONS(321),
        [sym_boolean_type] = ACTIONS(324),
        [anon_sym_fixed] = ACTIONS(327),
        [sym_octet_type] = ACTIONS(324),
        [sym_signed_tiny_int] = ACTIONS(330),
        [anon_sym_unsignedshort] = ACTIONS(333),
        [anon_sym_uint16] = ACTIONS(336),
        [anon_sym_unsignedlong] = ACTIONS(339),
        [anon_sym_uint32] = ACTIONS(339),
        [anon_sym_unsignedlonglong] = ACTIONS(342),
        [anon_sym_uint64] = ACTIONS(345),
        [anon_sym_float] = ACTIONS(348),
        [anon_sym_double] = ACTIONS(348),
        [anon_sym_longdouble] = ACTIONS(351),
        [anon_sym_char] = ACTIONS(354),
        [anon_sym_wchar] = ACTIONS(354),
        [anon_sym_COLON_COLON] = ACTIONS(357),
        [anon_sym_string] = ACTIONS(360),
        [anon_sym_wstring] = ACTIONS(360),
        [anon_sym_any] = ACTIONS(363),
        [anon_sym_sequence] = ACTIONS(366),
        [anon_sym_map] = ACTIONS(369),
        [anon_sym_exception] = ACTIONS(372),
        [anon_sym_RBRACE] = ACTIONS(375),
        [anon_sym_abstract] = ACTIONS(377),
        [anon_sym_void] = ACTIONS(380),
        [anon_sym_readonly] = ACTIONS(383),
        [anon_sym_attribute] = ACTIONS(386),
        [anon_sym_bitset] = ACTIONS(389),
        [anon_sym_bitmask] = ACTIONS(392),
        [anon_sym_AT] = ACTIONS(395),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(398),
        [anon_sym_oneway] = ACTIONS(401),
        [anon_sym_valuetype] = ACTIONS(404),
        [anon_sym_struct] = ACTIONS(407),
        [anon_sym_union] = ACTIONS(410),
        [anon_sym_enum] = ACTIONS(413),
        [anon_sym_const] = ACTIONS(416),
        [anon_sym_custom] = ACTIONS(419),
        [anon_sym_factory] = ACTIONS(422),
        [anon_sym_typedef] = ACTIONS(425),
        [anon_sym_ATignore_literal_names] = ACTIONS(428),
        [anon_sym_typeid] = ACTIONS(431),
        [anon_sym_import] = ACTIONS(434),
        [anon_sym_Object] = ACTIONS(437),
        [sym_value_base_type] = ACTIONS(324),
        [anon_sym_finder] = ACTIONS(440),
        [anon_sym_native] = ACTIONS(443),
        [sym_identifier] = ACTIONS(446),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(1122),
        [sym_export] = STATE(57),
        [sym_op_dcl] = STATE(617),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(1122),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(1122),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1122),
        [sym_import_dcl] = STATE(1122),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(617),
        [sym_op_with_context] = STATE(1122),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_home_export] = STATE(59),
        [sym_factory_dcl] = STATE(957),
        [sym_finder_dcl] = STATE(957),
        [sym_type_dcl] = STATE(1122),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1122),
        [sym_comment] = STATE(9),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(449),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(301),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(303),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_interface_body] = STATE(983),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(10),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(15),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(451),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(11),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(453),
        [anon_sym_int16] = ACTIONS(453),
        [anon_sym_long] = ACTIONS(456),
        [anon_sym_int32] = ACTIONS(456),
        [anon_sym_longlong] = ACTIONS(459),
        [anon_sym_int64] = ACTIONS(462),
        [sym_unsigned_tiny_int] = ACTIONS(465),
        [sym_boolean_type] = ACTIONS(468),
        [anon_sym_fixed] = ACTIONS(471),
        [sym_octet_type] = ACTIONS(468),
        [sym_signed_tiny_int] = ACTIONS(474),
        [anon_sym_unsignedshort] = ACTIONS(477),
        [anon_sym_uint16] = ACTIONS(480),
        [anon_sym_unsignedlong] = ACTIONS(483),
        [anon_sym_uint32] = ACTIONS(483),
        [anon_sym_unsignedlonglong] = ACTIONS(486),
        [anon_sym_uint64] = ACTIONS(489),
        [anon_sym_float] = ACTIONS(492),
        [anon_sym_double] = ACTIONS(492),
        [anon_sym_longdouble] = ACTIONS(495),
        [anon_sym_char] = ACTIONS(498),
        [anon_sym_wchar] = ACTIONS(498),
        [anon_sym_COLON_COLON] = ACTIONS(501),
        [anon_sym_string] = ACTIONS(504),
        [anon_sym_wstring] = ACTIONS(504),
        [anon_sym_any] = ACTIONS(507),
        [anon_sym_sequence] = ACTIONS(510),
        [anon_sym_map] = ACTIONS(513),
        [anon_sym_exception] = ACTIONS(516),
        [anon_sym_RBRACE] = ACTIONS(519),
        [anon_sym_abstract] = ACTIONS(521),
        [anon_sym_void] = ACTIONS(524),
        [anon_sym_readonly] = ACTIONS(527),
        [anon_sym_attribute] = ACTIONS(530),
        [anon_sym_bitset] = ACTIONS(533),
        [anon_sym_bitmask] = ACTIONS(536),
        [anon_sym_AT] = ACTIONS(539),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(542),
        [anon_sym_oneway] = ACTIONS(545),
        [anon_sym_valuetype] = ACTIONS(548),
        [anon_sym_struct] = ACTIONS(551),
        [anon_sym_union] = ACTIONS(554),
        [anon_sym_enum] = ACTIONS(557),
        [anon_sym_const] = ACTIONS(560),
        [anon_sym_custom] = ACTIONS(563),
        [anon_sym_typedef] = ACTIONS(566),
        [anon_sym_ATignore_literal_names] = ACTIONS(569),
        [anon_sym_typeid] = ACTIONS(572),
        [anon_sym_import] = ACTIONS(575),
        [anon_sym_Object] = ACTIONS(578),
        [sym_value_base_type] = ACTIONS(468),
        [anon_sym_native] = ACTIONS(581),
        [sym_identifier] = ACTIONS(584),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(12),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(587),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(13),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(589),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(14),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(18),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(591),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(15),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(593),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(16),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(17),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(595),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(17),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(597),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(18),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(595),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(19),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(20),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(587),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(990),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_except_dcl] = STATE(984),
        [sym_export] = STATE(72),
        [sym_op_dcl] = STATE(703),
        [sym_op_type_spec] = STATE(981),
        [sym_attr_dcl] = STATE(984),
        [sym_readonly_attr_spec] = STATE(980),
        [sym_attr_spec] = STATE(980),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_value_dcl] = STATE(984),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(984),
        [sym_import_dcl] = STATE(984),
        [sym_object_type] = STATE(508),
        [sym_op_oneway_dcl] = STATE(703),
        [sym_op_with_context] = STATE(984),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_type_dcl] = STATE(984),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(984),
        [sym_comment] = STATE(20),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(599),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(313),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(840),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_const_expr] = STATE(840),
        [sym_or_expr] = STATE(401),
        [sym_xor_expr] = STATE(394),
        [sym_and_expr] = STATE(387),
        [sym_shift_expr] = STATE(373),
        [sym_add_expr] = STATE(318),
        [sym_mult_expr] = STATE(296),
        [sym_unary_expr] = STATE(297),
        [sym_primary_expr] = STATE(298),
        [sym_unary_operator] = STATE(235),
        [sym_literal] = STATE(302),
        [sym_integer_literal] = STATE(290),
        [sym_integer_sign] = STATE(395),
        [sym_oct_number] = STATE(295),
        [sym_dec_number] = STATE(272),
        [sym_floating_pt_literal] = STATE(290),
        [sym_fixed_pt_literal] = STATE(290),
        [sym_string_literal] = STATE(290),
        [sym_wide_string_literal] = STATE(290),
        [sym_char_literal] = STATE(290),
        [sym_wide_character_literal] = STATE(290),
        [sym_boolean_literal] = STATE(290),
        [sym_actual_parameters] = STATE(1274),
        [sym_actual_parameter] = STATE(786),
        [sym_object_type] = STATE(508),
        [sym_comment] = STATE(21),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(601),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(603),
        [anon_sym_DASH] = ACTIONS(603),
        [anon_sym_LPAREN] = ACTIONS(605),
        [anon_sym_TILDE] = ACTIONS(607),
        [sym_bin_number] = ACTIONS(609),
        [aux_sym_oct_number_token1] = ACTIONS(611),
        [aux_sym_oct_number_token2] = ACTIONS(611),
        [anon_sym_0] = ACTIONS(613),
        [aux_sym_dec_number_token1] = ACTIONS(613),
        [sym_hex_number] = ACTIONS(609),
        [anon_sym_DQUOTE] = ACTIONS(615),
        [anon_sym_L] = ACTIONS(617),
        [anon_sym_SQUOTE] = ACTIONS(619),
        [anon_sym_TRUE] = ACTIONS(621),
        [anon_sym_FALSE] = ACTIONS(621),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(313),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(840),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_const_expr] = STATE(840),
        [sym_or_expr] = STATE(401),
        [sym_xor_expr] = STATE(394),
        [sym_and_expr] = STATE(387),
        [sym_shift_expr] = STATE(373),
        [sym_add_expr] = STATE(318),
        [sym_mult_expr] = STATE(296),
        [sym_unary_expr] = STATE(297),
        [sym_primary_expr] = STATE(298),
        [sym_unary_operator] = STATE(235),
        [sym_literal] = STATE(302),
        [sym_integer_literal] = STATE(290),
        [sym_integer_sign] = STATE(395),
        [sym_oct_number] = STATE(295),
        [sym_dec_number] = STATE(272),
        [sym_floating_pt_literal] = STATE(290),
        [sym_fixed_pt_literal] = STATE(290),
        [sym_string_literal] = STATE(290),
        [sym_wide_string_literal] = STATE(290),
        [sym_char_literal] = STATE(290),
        [sym_wide_character_literal] = STATE(290),
        [sym_boolean_literal] = STATE(290),
        [sym_actual_parameter] = STATE(895),
        [sym_object_type] = STATE(508),
        [sym_comment] = STATE(22),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(601),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(603),
        [anon_sym_DASH] = ACTIONS(603),
        [anon_sym_LPAREN] = ACTIONS(605),
        [anon_sym_TILDE] = ACTIONS(607),
        [sym_bin_number] = ACTIONS(609),
        [aux_sym_oct_number_token1] = ACTIONS(611),
        [aux_sym_oct_number_token2] = ACTIONS(611),
        [anon_sym_0] = ACTIONS(613),
        [aux_sym_dec_number_token1] = ACTIONS(613),
        [sym_hex_number] = ACTIONS(609),
        [anon_sym_DQUOTE] = ACTIONS(615),
        [anon_sym_L] = ACTIONS(617),
        [anon_sym_SQUOTE] = ACTIONS(619),
        [anon_sym_TRUE] = ACTIONS(621),
        [anon_sym_FALSE] = ACTIONS(621),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_preproc_define] = STATE(231),
        [sym_preproc_call] = STATE(231),
        [sym_preproc_include] = STATE(231),
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_template_module_inst] = STATE(1257),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(231),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(23),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [ts_builtin_sym_end] = ACTIONS(625),
        [anon_sym_POUNDdefine] = ACTIONS(627),
        [sym_preproc_directive] = ACTIONS(630),
        [aux_sym_preproc_include_token1] = ACTIONS(633),
        [anon_sym_exception] = ACTIONS(636),
        [anon_sym_local] = ACTIONS(639),
        [anon_sym_abstract] = ACTIONS(642),
        [anon_sym_interface] = ACTIONS(645),
        [anon_sym_bitset] = ACTIONS(648),
        [anon_sym_bitmask] = ACTIONS(651),
        [anon_sym_ATannotation] = ACTIONS(654),
        [anon_sym_AT] = ACTIONS(657),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(660),
        [anon_sym_module] = ACTIONS(663),
        [anon_sym_valuetype] = ACTIONS(666),
        [anon_sym_eventtype] = ACTIONS(669),
        [anon_sym_struct] = ACTIONS(672),
        [anon_sym_union] = ACTIONS(675),
        [anon_sym_enum] = ACTIONS(678),
        [anon_sym_const] = ACTIONS(681),
        [anon_sym_custom] = ACTIONS(684),
        [anon_sym_typedef] = ACTIONS(687),
        [anon_sym_ATignore_literal_names] = ACTIONS(690),
        [anon_sym_typeid] = ACTIONS(693),
        [anon_sym_typeprefix] = ACTIONS(696),
        [anon_sym_import] = ACTIONS(699),
        [anon_sym_component] = ACTIONS(702),
        [anon_sym_home] = ACTIONS(705),
        [anon_sym_porttype] = ACTIONS(708),
        [anon_sym_connector] = ACTIONS(711),
        [anon_sym_native] = ACTIONS(714),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_preproc_define] = STATE(231),
        [sym_preproc_call] = STATE(231),
        [sym_preproc_include] = STATE(231),
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_template_module_inst] = STATE(1257),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(231),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(24),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [ts_builtin_sym_end] = ACTIONS(717),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_tpl_definition] = STATE(238),
        [sym_template_module_inst] = STATE(1257),
        [sym_template_module_ref] = STATE(1013),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(236),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(25),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(719),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(721),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_tpl_definition] = STATE(238),
        [sym_template_module_inst] = STATE(1257),
        [sym_template_module_ref] = STATE(1013),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(236),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(26),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(723),
        [anon_sym_RBRACE] = ACTIONS(726),
        [anon_sym_local] = ACTIONS(728),
        [anon_sym_abstract] = ACTIONS(731),
        [anon_sym_interface] = ACTIONS(734),
        [anon_sym_bitset] = ACTIONS(737),
        [anon_sym_bitmask] = ACTIONS(740),
        [anon_sym_ATannotation] = ACTIONS(743),
        [anon_sym_AT] = ACTIONS(746),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(749),
        [anon_sym_module] = ACTIONS(752),
        [anon_sym_valuetype] = ACTIONS(755),
        [anon_sym_eventtype] = ACTIONS(758),
        [anon_sym_struct] = ACTIONS(761),
        [anon_sym_union] = ACTIONS(764),
        [anon_sym_enum] = ACTIONS(767),
        [anon_sym_const] = ACTIONS(770),
        [anon_sym_alias] = ACTIONS(773),
        [anon_sym_custom] = ACTIONS(776),
        [anon_sym_typedef] = ACTIONS(779),
        [anon_sym_ATignore_literal_names] = ACTIONS(782),
        [anon_sym_typeid] = ACTIONS(785),
        [anon_sym_typeprefix] = ACTIONS(788),
        [anon_sym_import] = ACTIONS(791),
        [anon_sym_component] = ACTIONS(794),
        [anon_sym_home] = ACTIONS(797),
        [anon_sym_porttype] = ACTIONS(800),
        [anon_sym_connector] = ACTIONS(803),
        [anon_sym_native] = ACTIONS(806),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_tpl_definition] = STATE(238),
        [sym_template_module_inst] = STATE(1257),
        [sym_template_module_ref] = STATE(1013),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(236),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(27),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(809),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(721),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_template_module_inst] = STATE(1257),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(240),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(28),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(811),
        [anon_sym_RBRACE] = ACTIONS(814),
        [anon_sym_local] = ACTIONS(816),
        [anon_sym_abstract] = ACTIONS(819),
        [anon_sym_interface] = ACTIONS(822),
        [anon_sym_bitset] = ACTIONS(825),
        [anon_sym_bitmask] = ACTIONS(828),
        [anon_sym_ATannotation] = ACTIONS(831),
        [anon_sym_AT] = ACTIONS(834),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(837),
        [anon_sym_module] = ACTIONS(840),
        [anon_sym_valuetype] = ACTIONS(843),
        [anon_sym_eventtype] = ACTIONS(846),
        [anon_sym_struct] = ACTIONS(849),
        [anon_sym_union] = ACTIONS(852),
        [anon_sym_enum] = ACTIONS(855),
        [anon_sym_const] = ACTIONS(858),
        [anon_sym_custom] = ACTIONS(861),
        [anon_sym_typedef] = ACTIONS(864),
        [anon_sym_ATignore_literal_names] = ACTIONS(867),
        [anon_sym_typeid] = ACTIONS(870),
        [anon_sym_typeprefix] = ACTIONS(873),
        [anon_sym_import] = ACTIONS(876),
        [anon_sym_component] = ACTIONS(879),
        [anon_sym_home] = ACTIONS(882),
        [anon_sym_porttype] = ACTIONS(885),
        [anon_sym_connector] = ACTIONS(888),
        [anon_sym_native] = ACTIONS(891),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_template_module_inst] = STATE(1257),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(240),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(29),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(894),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_except_dcl] = STATE(1257),
        [sym_interface_dcl] = STATE(1257),
        [sym_interface_kind] = STATE(1255),
        [sym_interface_forward_dcl] = STATE(1252),
        [sym_interface_def] = STATE(1252),
        [sym_interface_header] = STATE(1251),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_dcl] = STATE(1257),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_template_module_dcl] = STATE(1257),
        [sym_template_module_inst] = STATE(1257),
        [sym_value_dcl] = STATE(1257),
        [sym_value_def] = STATE(1246),
        [sym_value_kind] = STATE(1245),
        [sym_value_header] = STATE(1242),
        [sym_value_forward_dcl] = STATE(1246),
        [sym_typedef_dcl] = STATE(1241),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_type_id_dcl] = STATE(1257),
        [sym_type_prefix_dcl] = STATE(1257),
        [sym_import_dcl] = STATE(1257),
        [sym_value_box_def] = STATE(1246),
        [sym_value_abs_def] = STATE(1246),
        [sym_component_dcl] = STATE(1257),
        [sym_component_forward_dcl] = STATE(1238),
        [sym_component_def] = STATE(1238),
        [sym_component_header] = STATE(1237),
        [sym_home_dcl] = STATE(1257),
        [sym_home_header] = STATE(1233),
        [sym_event_dcl] = STATE(1257),
        [sym_event_forward_dcl] = STATE(1231),
        [sym_event_abs_def] = STATE(1231),
        [sym_event_def] = STATE(1231),
        [sym_event_header] = STATE(1230),
        [sym_porttype_dcl] = STATE(1257),
        [sym_porttype_forward_dcl] = STATE(1227),
        [sym_porttype_def] = STATE(1227),
        [sym_connector_dcl] = STATE(1257),
        [sym_connector_header] = STATE(1226),
        [sym_definition] = STATE(240),
        [sym_type_dcl] = STATE(1257),
        [sym_constr_type_dcl] = STATE(1241),
        [sym_native_dcl] = STATE(1241),
        [sym_module_dcl] = STATE(1257),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_const_dcl] = STATE(1257),
        [sym_comment] = STATE(30),
        [aux_sym_interface_dcl_repeat1] = STATE(239),
        [aux_sym_module_dcl_repeat1] = STATE(29),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(896),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(556),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(123),
        [sym_extend_annotation_appl] = STATE(125),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_case_label] = STATE(100),
        [sym_element_spec] = STATE(1276),
        [sym_object_type] = STATE(508),
        [sym_constr_type_dcl] = STATE(556),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_comment] = STATE(31),
        [aux_sym_interface_dcl_repeat1] = STATE(33),
        [aux_sym_case_repeat1] = STATE(85),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_default] = ACTIONS(898),
        [anon_sym_AT] = ACTIONS(900),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(902),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_case] = ACTIONS(904),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_simple_type_spec] = STATE(452),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(452),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_bitset_dcl] = STATE(849),
        [sym_bitmask_dcl] = STATE(849),
        [sym_annotation_appl] = STATE(353),
        [sym_extend_annotation_appl] = STATE(369),
        [sym_type_declarator] = STATE(1068),
        [sym_enum_dcl] = STATE(849),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(849),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_object_type] = STATE(508),
        [sym_constr_type_dcl] = STATE(452),
        [sym_struct_dcl] = STATE(849),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_comment] = STATE(32),
        [aux_sym_interface_dcl_repeat1] = STATE(266),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [33] = {
        [sym_signed_short_int] = STATE(468),
        [sym_signed_long_int] = STATE(468),
        [sym_signed_longlong_int] = STATE(468),
        [sym_unsigned_int] = STATE(442),
        [sym_integer_type] = STATE(508),
        [sym_signed_int] = STATE(442),
        [sym_unsigned_short_int] = STATE(469),
        [sym_unsigned_long_int] = STATE(469),
        [sym_unsigned_longlong_int] = STATE(469),
        [sym_floating_pt_type] = STATE(508),
        [sym_char_type] = STATE(508),
        [sym_scoped_name] = STATE(451),
        [sym_string_type] = STATE(504),
        [sym_type_spec] = STATE(547),
        [sym_simple_type_spec] = STATE(490),
        [sym_base_type_spec] = STATE(501),
        [sym_any_type] = STATE(508),
        [sym_fixed_pt_type] = STATE(504),
        [sym_template_type_spec] = STATE(490),
        [sym_sequence_type] = STATE(504),
        [sym_map_type] = STATE(504),
        [sym_bitset_dcl] = STATE(884),
        [sym_bitmask_dcl] = STATE(884),
        [sym_annotation_appl] = STATE(123),
        [sym_extend_annotation_appl] = STATE(125),
        [sym_enum_dcl] = STATE(884),
        [sym_enum_anno] = STATE(1240),
        [sym_union_dcl] = STATE(884),
        [sym_union_forward_dcl] = STATE(851),
        [sym_union_def] = STATE(851),
        [sym_object_type] = STATE(508),
        [sym_struct_dcl] = STATE(884),
        [sym_struct_forward_dcl] = STATE(860),
        [sym_struct_def] = STATE(860),
        [sym_comment] = STATE(33),
        [aux_sym_interface_dcl_repeat1] = STATE(91),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(900),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(902),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(906),
    1,
    anon_sym_RBRACE,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(34),
    1,
    sym_comment,
    STATE(36),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [151] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(912),
    1,
    anon_sym_RBRACE,
    STATE(35),
    1,
    sym_comment,
    STATE(37),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [302] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(914),
    1,
    anon_sym_RBRACE,
    STATE(36),
    1,
    sym_comment,
    STATE(40),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [453] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(916),
    1,
    anon_sym_RBRACE,
    STATE(37),
    1,
    sym_comment,
    STATE(40),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [604] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(918),
    1,
    anon_sym_RBRACE,
    STATE(38),
    1,
    sym_comment,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [755] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(920),
    1,
    anon_sym_RBRACE,
    STATE(39),
    1,
    sym_comment,
    STATE(40),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [906] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(928),
    1,
    anon_sym_longlong,
    ACTIONS(931),
    1,
    anon_sym_int64,
    ACTIONS(934),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(940),
    1,
    anon_sym_fixed,
    ACTIONS(943),
    1,
    sym_signed_tiny_int,
    ACTIONS(946),
    1,
    anon_sym_unsignedshort,
    ACTIONS(949),
    1,
    anon_sym_uint16,
    ACTIONS(955),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(958),
    1,
    anon_sym_uint64,
    ACTIONS(964),
    1,
    anon_sym_longdouble,
    ACTIONS(970),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(976),
    1,
    anon_sym_any,
    ACTIONS(979),
    1,
    anon_sym_sequence,
    ACTIONS(982),
    1,
    anon_sym_map,
    ACTIONS(985),
    1,
    anon_sym_RBRACE,
    ACTIONS(987),
    1,
    anon_sym_AT,
    ACTIONS(990),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(993),
    1,
    anon_sym_Object,
    ACTIONS(996),
    1,
    sym_identifier,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(181),
    1,
    sym_member,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(444),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(922),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(925),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(952),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(961),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(967),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(973),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(40),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(937),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1055] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(999),
    1,
    anon_sym_LBRACE,
    ACTIONS(1001),
    1,
    anon_sym_COLON,
    ACTIONS(1003),
    1,
    anon_sym_SEMI,
    ACTIONS(1005),
    1,
    anon_sym_supports,
    STATE(41),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(644),
    1,
    sym_value_inheritance,
    STATE(977),
    1,
    sym_value_inheritance_spec,
    STATE(978),
    1,
    sym_type_spec,
    STATE(1040),
    1,
    sym_value_supports,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1203] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1007),
    1,
    anon_sym_RPAREN,
    STATE(42),
    1,
    sym_comment,
    STATE(66),
    1,
    sym_param_attribute,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(693),
    1,
    sym_param_dcl,
    STATE(915),
    1,
    sym_type_spec,
    STATE(996),
    1,
    sym_parameter_dcls,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1009),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1347] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    ACTIONS(1015),
    1,
    anon_sym_any,
    ACTIONS(1017),
    1,
    anon_sym_RBRACE,
    STATE(43),
    1,
    sym_comment,
    STATE(44),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(200),
    1,
    sym_annotation_body,
    STATE(209),
    1,
    sym_annotation_member,
    STATE(799),
    1,
    sym_scoped_name,
    STATE(929),
    1,
    sym_annotation_member_type,
    STATE(1240),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(936),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(935),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1077),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [1491] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    ACTIONS(1015),
    1,
    anon_sym_any,
    ACTIONS(1019),
    1,
    anon_sym_RBRACE,
    STATE(44),
    1,
    sym_comment,
    STATE(46),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(200),
    1,
    sym_annotation_body,
    STATE(209),
    1,
    sym_annotation_member,
    STATE(799),
    1,
    sym_scoped_name,
    STATE(929),
    1,
    sym_annotation_member_type,
    STATE(1240),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(936),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(935),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1077),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [1635] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(910),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(45),
    1,
    sym_comment,
    STATE(160),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(467),
    1,
    sym_type_spec,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1777] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1027),
    1,
    anon_sym_longlong,
    ACTIONS(1030),
    1,
    anon_sym_int64,
    ACTIONS(1033),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1039),
    1,
    anon_sym_fixed,
    ACTIONS(1042),
    1,
    sym_signed_tiny_int,
    ACTIONS(1045),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1048),
    1,
    anon_sym_uint16,
    ACTIONS(1054),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1057),
    1,
    anon_sym_uint64,
    ACTIONS(1063),
    1,
    anon_sym_longdouble,
    ACTIONS(1069),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1075),
    1,
    anon_sym_any,
    ACTIONS(1078),
    1,
    anon_sym_sequence,
    ACTIONS(1081),
    1,
    anon_sym_RBRACE,
    ACTIONS(1083),
    1,
    anon_sym_enum,
    ACTIONS(1086),
    1,
    anon_sym_const,
    ACTIONS(1089),
    1,
    anon_sym_typedef,
    ACTIONS(1092),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(1095),
    1,
    sym_identifier,
    STATE(200),
    1,
    sym_annotation_body,
    STATE(209),
    1,
    sym_annotation_member,
    STATE(799),
    1,
    sym_scoped_name,
    STATE(929),
    1,
    sym_annotation_member_type,
    STATE(1240),
    1,
    sym_enum_anno,
    ACTIONS(1021),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1024),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1036),
    2,
    sym_boolean_type,
    sym_octet_type,
    ACTIONS(1051),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1060),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(1066),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(1072),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(46),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(936),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(935),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(1077),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [1919] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(47),
    1,
    sym_comment,
    STATE(66),
    1,
    sym_param_attribute,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(819),
    1,
    sym_param_dcl,
    STATE(915),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1009),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [2057] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(48),
    1,
    sym_comment,
    ACTIONS(1100),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1098),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2127] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(49),
    1,
    sym_comment,
    ACTIONS(1104),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1102),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2197] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(50),
    1,
    sym_comment,
    ACTIONS(1108),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1106),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2267] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(51),
    1,
    sym_comment,
    ACTIONS(1112),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1110),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2337] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(52),
    1,
    sym_comment,
    ACTIONS(1116),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1114),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2407] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(53),
    1,
    sym_comment,
    ACTIONS(1120),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1118),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2477] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(54),
    1,
    sym_comment,
    ACTIONS(1124),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1122),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2547] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1126),
    1,
    anon_sym_sequence,
    ACTIONS(1130),
    1,
    anon_sym_const,
    STATE(55),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(783),
    1,
    sym_formal_parameter,
    STATE(1261),
    1,
    sym_formal_parameter_type,
    STATE(1364),
    1,
    sym_formal_parameters,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1234),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1128),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [2677] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(56),
    1,
    sym_comment,
    ACTIONS(1134),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1132),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2746] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1138),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1136),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2815] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1126),
    1,
    anon_sym_sequence,
    ACTIONS(1130),
    1,
    anon_sym_const,
    STATE(58),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(892),
    1,
    sym_formal_parameter,
    STATE(1261),
    1,
    sym_formal_parameter_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1234),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1128),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [2942] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(59),
    1,
    sym_comment,
    ACTIONS(1142),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1140),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3011] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(60),
    1,
    sym_comment,
    ACTIONS(1100),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1098),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3080] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1144),
    1,
    sym_identifier,
    STATE(61),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(906),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3207] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(62),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(588),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3334] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(63),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(739),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3461] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(64),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(859),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3588] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1146),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1148),
    1,
    anon_sym_default,
    ACTIONS(1150),
    1,
    anon_sym_id,
    ACTIONS(1152),
    1,
    anon_sym_autoid,
    ACTIONS(1154),
    1,
    anon_sym_optional,
    ACTIONS(1156),
    1,
    anon_sym_position,
    ACTIONS(1158),
    1,
    anon_sym_value,
    ACTIONS(1160),
    1,
    anon_sym_extensibility,
    ACTIONS(1162),
    1,
    anon_sym_final,
    ACTIONS(1164),
    1,
    anon_sym_appendable,
    ACTIONS(1166),
    1,
    anon_sym_mutable,
    ACTIONS(1168),
    1,
    anon_sym_key,
    ACTIONS(1170),
    1,
    anon_sym_must_understand,
    ACTIONS(1172),
    1,
    anon_sym_default_literal,
    ACTIONS(1174),
    1,
    anon_sym_range,
    ACTIONS(1176),
    1,
    anon_sym_min,
    ACTIONS(1178),
    1,
    anon_sym_max,
    ACTIONS(1180),
    1,
    anon_sym_unit,
    ACTIONS(1182),
    1,
    anon_sym_bit_bound,
    ACTIONS(1184),
    1,
    anon_sym_external,
    ACTIONS(1186),
    1,
    anon_sym_nested,
    ACTIONS(1188),
    1,
    anon_sym_verbatim,
    ACTIONS(1190),
    1,
    anon_sym_service,
    ACTIONS(1192),
    1,
    anon_sym_oneway,
    ACTIONS(1194),
    1,
    anon_sym_ami,
    ACTIONS(1196),
    1,
    sym_identifier,
    STATE(65),
    1,
    sym_comment,
    STATE(172),
    1,
    sym_scoped_name,
    STATE(210),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(198),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3709] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(66),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(872),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3836] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1198),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1200),
    1,
    anon_sym_default,
    ACTIONS(1202),
    1,
    anon_sym_id,
    ACTIONS(1204),
    1,
    anon_sym_autoid,
    ACTIONS(1206),
    1,
    anon_sym_optional,
    ACTIONS(1208),
    1,
    anon_sym_position,
    ACTIONS(1210),
    1,
    anon_sym_value,
    ACTIONS(1212),
    1,
    anon_sym_extensibility,
    ACTIONS(1214),
    1,
    anon_sym_final,
    ACTIONS(1216),
    1,
    anon_sym_appendable,
    ACTIONS(1218),
    1,
    anon_sym_mutable,
    ACTIONS(1220),
    1,
    anon_sym_key,
    ACTIONS(1222),
    1,
    anon_sym_must_understand,
    ACTIONS(1224),
    1,
    anon_sym_default_literal,
    ACTIONS(1226),
    1,
    anon_sym_range,
    ACTIONS(1228),
    1,
    anon_sym_min,
    ACTIONS(1230),
    1,
    anon_sym_max,
    ACTIONS(1232),
    1,
    anon_sym_unit,
    ACTIONS(1234),
    1,
    anon_sym_bit_bound,
    ACTIONS(1236),
    1,
    anon_sym_external,
    ACTIONS(1238),
    1,
    anon_sym_nested,
    ACTIONS(1240),
    1,
    anon_sym_verbatim,
    ACTIONS(1242),
    1,
    anon_sym_service,
    ACTIONS(1244),
    1,
    anon_sym_oneway,
    ACTIONS(1246),
    1,
    anon_sym_ami,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(67),
    1,
    sym_comment,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(759),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(758),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3957] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1198),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1200),
    1,
    anon_sym_default,
    ACTIONS(1202),
    1,
    anon_sym_id,
    ACTIONS(1204),
    1,
    anon_sym_autoid,
    ACTIONS(1206),
    1,
    anon_sym_optional,
    ACTIONS(1208),
    1,
    anon_sym_position,
    ACTIONS(1210),
    1,
    anon_sym_value,
    ACTIONS(1212),
    1,
    anon_sym_extensibility,
    ACTIONS(1214),
    1,
    anon_sym_final,
    ACTIONS(1216),
    1,
    anon_sym_appendable,
    ACTIONS(1218),
    1,
    anon_sym_mutable,
    ACTIONS(1220),
    1,
    anon_sym_key,
    ACTIONS(1222),
    1,
    anon_sym_must_understand,
    ACTIONS(1224),
    1,
    anon_sym_default_literal,
    ACTIONS(1226),
    1,
    anon_sym_range,
    ACTIONS(1228),
    1,
    anon_sym_min,
    ACTIONS(1230),
    1,
    anon_sym_max,
    ACTIONS(1232),
    1,
    anon_sym_unit,
    ACTIONS(1234),
    1,
    anon_sym_bit_bound,
    ACTIONS(1236),
    1,
    anon_sym_external,
    ACTIONS(1238),
    1,
    anon_sym_nested,
    ACTIONS(1240),
    1,
    anon_sym_verbatim,
    ACTIONS(1242),
    1,
    anon_sym_service,
    ACTIONS(1244),
    1,
    anon_sym_oneway,
    ACTIONS(1246),
    1,
    anon_sym_ami,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(68),
    1,
    sym_comment,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(423),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(758),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4078] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1198),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1200),
    1,
    anon_sym_default,
    ACTIONS(1202),
    1,
    anon_sym_id,
    ACTIONS(1204),
    1,
    anon_sym_autoid,
    ACTIONS(1206),
    1,
    anon_sym_optional,
    ACTIONS(1208),
    1,
    anon_sym_position,
    ACTIONS(1210),
    1,
    anon_sym_value,
    ACTIONS(1212),
    1,
    anon_sym_extensibility,
    ACTIONS(1214),
    1,
    anon_sym_final,
    ACTIONS(1216),
    1,
    anon_sym_appendable,
    ACTIONS(1218),
    1,
    anon_sym_mutable,
    ACTIONS(1220),
    1,
    anon_sym_key,
    ACTIONS(1222),
    1,
    anon_sym_must_understand,
    ACTIONS(1224),
    1,
    anon_sym_default_literal,
    ACTIONS(1226),
    1,
    anon_sym_range,
    ACTIONS(1228),
    1,
    anon_sym_min,
    ACTIONS(1230),
    1,
    anon_sym_max,
    ACTIONS(1232),
    1,
    anon_sym_unit,
    ACTIONS(1234),
    1,
    anon_sym_bit_bound,
    ACTIONS(1236),
    1,
    anon_sym_external,
    ACTIONS(1238),
    1,
    anon_sym_nested,
    ACTIONS(1240),
    1,
    anon_sym_verbatim,
    ACTIONS(1242),
    1,
    anon_sym_service,
    ACTIONS(1244),
    1,
    anon_sym_oneway,
    ACTIONS(1246),
    1,
    anon_sym_ami,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(69),
    1,
    sym_comment,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(419),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(758),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4199] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1144),
    1,
    sym_identifier,
    STATE(70),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(877),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4326] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1250),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1252),
    1,
    anon_sym_default,
    ACTIONS(1254),
    1,
    anon_sym_id,
    ACTIONS(1256),
    1,
    anon_sym_autoid,
    ACTIONS(1258),
    1,
    anon_sym_optional,
    ACTIONS(1260),
    1,
    anon_sym_position,
    ACTIONS(1262),
    1,
    anon_sym_value,
    ACTIONS(1264),
    1,
    anon_sym_extensibility,
    ACTIONS(1266),
    1,
    anon_sym_final,
    ACTIONS(1268),
    1,
    anon_sym_appendable,
    ACTIONS(1270),
    1,
    anon_sym_mutable,
    ACTIONS(1272),
    1,
    anon_sym_key,
    ACTIONS(1274),
    1,
    anon_sym_must_understand,
    ACTIONS(1276),
    1,
    anon_sym_default_literal,
    ACTIONS(1278),
    1,
    anon_sym_range,
    ACTIONS(1280),
    1,
    anon_sym_min,
    ACTIONS(1282),
    1,
    anon_sym_max,
    ACTIONS(1284),
    1,
    anon_sym_unit,
    ACTIONS(1286),
    1,
    anon_sym_bit_bound,
    ACTIONS(1288),
    1,
    anon_sym_external,
    ACTIONS(1290),
    1,
    anon_sym_nested,
    ACTIONS(1292),
    1,
    anon_sym_verbatim,
    ACTIONS(1294),
    1,
    anon_sym_service,
    ACTIONS(1296),
    1,
    anon_sym_oneway,
    ACTIONS(1298),
    1,
    anon_sym_ami,
    ACTIONS(1300),
    1,
    sym_identifier,
    STATE(71),
    1,
    sym_comment,
    STATE(311),
    1,
    sym_scoped_name,
    STATE(363),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(374),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4447] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(72),
    1,
    sym_comment,
    ACTIONS(1304),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1302),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4514] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1306),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1308),
    1,
    anon_sym_default,
    ACTIONS(1310),
    1,
    anon_sym_id,
    ACTIONS(1312),
    1,
    anon_sym_autoid,
    ACTIONS(1314),
    1,
    anon_sym_optional,
    ACTIONS(1316),
    1,
    anon_sym_position,
    ACTIONS(1318),
    1,
    anon_sym_value,
    ACTIONS(1320),
    1,
    anon_sym_extensibility,
    ACTIONS(1322),
    1,
    anon_sym_final,
    ACTIONS(1324),
    1,
    anon_sym_appendable,
    ACTIONS(1326),
    1,
    anon_sym_mutable,
    ACTIONS(1328),
    1,
    anon_sym_key,
    ACTIONS(1330),
    1,
    anon_sym_must_understand,
    ACTIONS(1332),
    1,
    anon_sym_default_literal,
    ACTIONS(1334),
    1,
    anon_sym_range,
    ACTIONS(1336),
    1,
    anon_sym_min,
    ACTIONS(1338),
    1,
    anon_sym_max,
    ACTIONS(1340),
    1,
    anon_sym_unit,
    ACTIONS(1342),
    1,
    anon_sym_bit_bound,
    ACTIONS(1344),
    1,
    anon_sym_external,
    ACTIONS(1346),
    1,
    anon_sym_nested,
    ACTIONS(1348),
    1,
    anon_sym_verbatim,
    ACTIONS(1350),
    1,
    anon_sym_service,
    ACTIONS(1352),
    1,
    anon_sym_oneway,
    ACTIONS(1354),
    1,
    anon_sym_ami,
    ACTIONS(1356),
    1,
    sym_identifier,
    STATE(73),
    1,
    sym_comment,
    STATE(114),
    1,
    sym_scoped_name,
    STATE(156),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(149),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4635] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(74),
    1,
    sym_comment,
    STATE(445),
    1,
    sym_type_spec,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4762] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1198),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1200),
    1,
    anon_sym_default,
    ACTIONS(1202),
    1,
    anon_sym_id,
    ACTIONS(1204),
    1,
    anon_sym_autoid,
    ACTIONS(1206),
    1,
    anon_sym_optional,
    ACTIONS(1208),
    1,
    anon_sym_position,
    ACTIONS(1210),
    1,
    anon_sym_value,
    ACTIONS(1212),
    1,
    anon_sym_extensibility,
    ACTIONS(1214),
    1,
    anon_sym_final,
    ACTIONS(1216),
    1,
    anon_sym_appendable,
    ACTIONS(1218),
    1,
    anon_sym_mutable,
    ACTIONS(1220),
    1,
    anon_sym_key,
    ACTIONS(1222),
    1,
    anon_sym_must_understand,
    ACTIONS(1224),
    1,
    anon_sym_default_literal,
    ACTIONS(1226),
    1,
    anon_sym_range,
    ACTIONS(1228),
    1,
    anon_sym_min,
    ACTIONS(1230),
    1,
    anon_sym_max,
    ACTIONS(1232),
    1,
    anon_sym_unit,
    ACTIONS(1234),
    1,
    anon_sym_bit_bound,
    ACTIONS(1236),
    1,
    anon_sym_external,
    ACTIONS(1238),
    1,
    anon_sym_nested,
    ACTIONS(1240),
    1,
    anon_sym_verbatim,
    ACTIONS(1242),
    1,
    anon_sym_service,
    ACTIONS(1244),
    1,
    anon_sym_oneway,
    ACTIONS(1246),
    1,
    anon_sym_ami,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(75),
    1,
    sym_comment,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(421),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(758),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4883] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1198),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1200),
    1,
    anon_sym_default,
    ACTIONS(1202),
    1,
    anon_sym_id,
    ACTIONS(1204),
    1,
    anon_sym_autoid,
    ACTIONS(1206),
    1,
    anon_sym_optional,
    ACTIONS(1208),
    1,
    anon_sym_position,
    ACTIONS(1210),
    1,
    anon_sym_value,
    ACTIONS(1212),
    1,
    anon_sym_extensibility,
    ACTIONS(1214),
    1,
    anon_sym_final,
    ACTIONS(1216),
    1,
    anon_sym_appendable,
    ACTIONS(1218),
    1,
    anon_sym_mutable,
    ACTIONS(1220),
    1,
    anon_sym_key,
    ACTIONS(1222),
    1,
    anon_sym_must_understand,
    ACTIONS(1224),
    1,
    anon_sym_default_literal,
    ACTIONS(1226),
    1,
    anon_sym_range,
    ACTIONS(1228),
    1,
    anon_sym_min,
    ACTIONS(1230),
    1,
    anon_sym_max,
    ACTIONS(1232),
    1,
    anon_sym_unit,
    ACTIONS(1234),
    1,
    anon_sym_bit_bound,
    ACTIONS(1236),
    1,
    anon_sym_external,
    ACTIONS(1238),
    1,
    anon_sym_nested,
    ACTIONS(1240),
    1,
    anon_sym_verbatim,
    ACTIONS(1242),
    1,
    anon_sym_service,
    ACTIONS(1244),
    1,
    anon_sym_oneway,
    ACTIONS(1246),
    1,
    anon_sym_ami,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(76),
    1,
    sym_comment,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(435),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(758),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5004] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1198),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1200),
    1,
    anon_sym_default,
    ACTIONS(1202),
    1,
    anon_sym_id,
    ACTIONS(1204),
    1,
    anon_sym_autoid,
    ACTIONS(1206),
    1,
    anon_sym_optional,
    ACTIONS(1208),
    1,
    anon_sym_position,
    ACTIONS(1210),
    1,
    anon_sym_value,
    ACTIONS(1212),
    1,
    anon_sym_extensibility,
    ACTIONS(1214),
    1,
    anon_sym_final,
    ACTIONS(1216),
    1,
    anon_sym_appendable,
    ACTIONS(1218),
    1,
    anon_sym_mutable,
    ACTIONS(1220),
    1,
    anon_sym_key,
    ACTIONS(1222),
    1,
    anon_sym_must_understand,
    ACTIONS(1224),
    1,
    anon_sym_default_literal,
    ACTIONS(1226),
    1,
    anon_sym_range,
    ACTIONS(1228),
    1,
    anon_sym_min,
    ACTIONS(1230),
    1,
    anon_sym_max,
    ACTIONS(1232),
    1,
    anon_sym_unit,
    ACTIONS(1234),
    1,
    anon_sym_bit_bound,
    ACTIONS(1236),
    1,
    anon_sym_external,
    ACTIONS(1238),
    1,
    anon_sym_nested,
    ACTIONS(1240),
    1,
    anon_sym_verbatim,
    ACTIONS(1242),
    1,
    anon_sym_service,
    ACTIONS(1244),
    1,
    anon_sym_oneway,
    ACTIONS(1246),
    1,
    anon_sym_ami,
    ACTIONS(1248),
    1,
    sym_identifier,
    STATE(77),
    1,
    sym_comment,
    STATE(464),
    1,
    sym_scoped_name,
    STATE(417),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(758),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5125] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(78),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(1250),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5252] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(79),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(869),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5379] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1358),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1360),
    1,
    anon_sym_default,
    ACTIONS(1362),
    1,
    anon_sym_id,
    ACTIONS(1364),
    1,
    anon_sym_autoid,
    ACTIONS(1366),
    1,
    anon_sym_optional,
    ACTIONS(1368),
    1,
    anon_sym_position,
    ACTIONS(1370),
    1,
    anon_sym_value,
    ACTIONS(1372),
    1,
    anon_sym_extensibility,
    ACTIONS(1374),
    1,
    anon_sym_final,
    ACTIONS(1376),
    1,
    anon_sym_appendable,
    ACTIONS(1378),
    1,
    anon_sym_mutable,
    ACTIONS(1380),
    1,
    anon_sym_key,
    ACTIONS(1382),
    1,
    anon_sym_must_understand,
    ACTIONS(1384),
    1,
    anon_sym_default_literal,
    ACTIONS(1386),
    1,
    anon_sym_range,
    ACTIONS(1388),
    1,
    anon_sym_min,
    ACTIONS(1390),
    1,
    anon_sym_max,
    ACTIONS(1392),
    1,
    anon_sym_unit,
    ACTIONS(1394),
    1,
    anon_sym_bit_bound,
    ACTIONS(1396),
    1,
    anon_sym_external,
    ACTIONS(1398),
    1,
    anon_sym_nested,
    ACTIONS(1400),
    1,
    anon_sym_verbatim,
    ACTIONS(1402),
    1,
    anon_sym_service,
    ACTIONS(1404),
    1,
    anon_sym_oneway,
    ACTIONS(1406),
    1,
    anon_sym_ami,
    ACTIONS(1408),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_comment,
    STATE(462),
    1,
    sym_scoped_name,
    STATE(701),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(698),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5500] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(81),
    1,
    sym_comment,
    STATE(451),
    1,
    sym_scoped_name,
    STATE(501),
    1,
    sym_base_type_spec,
    STATE(813),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(490),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(504),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(508),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5627] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(82),
    1,
    sym_comment,
    ACTIONS(1100),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1098),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [5694] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    STATE(83),
    1,
    sym_comment,
    STATE(880),
    1,
    sym_scoped_name,
    STATE(1073),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1077),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [5799] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1013),
    1,
    anon_sym_fixed,
    STATE(84),
    1,
    sym_comment,
    STATE(880),
    1,
    sym_scoped_name,
    STATE(1244),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1011),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(1077),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [5904] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1414),
    1,
    anon_sym_default,
    ACTIONS(1417),
    1,
    anon_sym_case,
    STATE(100),
    1,
    sym_case_label,
    STATE(85),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1412),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1410),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [5967] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1420),
    1,
    sym_identifier,
    STATE(86),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(768),
    1,
    sym_annotation_appl_param,
    STATE(1108),
    1,
    sym_const_expr,
    STATE(1109),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6079] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1420),
    1,
    sym_identifier,
    STATE(87),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(768),
    1,
    sym_annotation_appl_param,
    STATE(1108),
    1,
    sym_const_expr,
    STATE(1174),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6191] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1420),
    1,
    sym_identifier,
    STATE(88),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(768),
    1,
    sym_annotation_appl_param,
    STATE(1107),
    1,
    sym_annotation_appl_params,
    STATE(1108),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6303] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1420),
    1,
    sym_identifier,
    STATE(89),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(768),
    1,
    sym_annotation_appl_param,
    STATE(1108),
    1,
    sym_const_expr,
    STATE(1143),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6415] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1420),
    1,
    sym_identifier,
    STATE(90),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(768),
    1,
    sym_annotation_appl_param,
    STATE(1108),
    1,
    sym_const_expr,
    STATE(1204),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6527] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1426),
    1,
    anon_sym_AT,
    ACTIONS(1429),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(123),
    1,
    sym_annotation_appl,
    STATE(125),
    1,
    sym_extend_annotation_appl,
    STATE(91),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1424),
    6,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_ATignore_literal_names,
    ACTIONS(1422),
    31,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6591] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(92),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(1113),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6700] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(93),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(864),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6809] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(94),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(1362),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6918] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(95),
    1,
    sym_comment,
    ACTIONS(1434),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1432),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6973] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(96),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(1017),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7082] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(97),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(1259),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7191] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(98),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(1304),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7300] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(99),
    1,
    sym_comment,
    ACTIONS(1438),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1436),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7355] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(100),
    1,
    sym_comment,
    ACTIONS(1442),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1440),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7410] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(101),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(667),
    1,
    sym_const_expr,
    STATE(1016),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7519] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(102),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(974),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7625] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1448),
    1,
    anon_sym_LPAREN,
    STATE(103),
    1,
    sym_comment,
    ACTIONS(1446),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1444),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7681] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(104),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(1047),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7787] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1454),
    1,
    anon_sym_LPAREN,
    STATE(105),
    1,
    sym_comment,
    ACTIONS(1452),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1450),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7843] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(106),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(1235),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7949] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1460),
    1,
    anon_sym_LPAREN,
    STATE(107),
    1,
    sym_comment,
    ACTIONS(1458),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1456),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8005] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1466),
    1,
    anon_sym_LPAREN,
    STATE(108),
    1,
    sym_comment,
    ACTIONS(1464),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1462),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8061] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1472),
    1,
    anon_sym_LPAREN,
    STATE(109),
    1,
    sym_comment,
    ACTIONS(1470),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1468),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8117] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1478),
    1,
    anon_sym_LPAREN,
    STATE(110),
    1,
    sym_comment,
    ACTIONS(1476),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1474),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8173] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1484),
    1,
    anon_sym_LPAREN,
    STATE(111),
    1,
    sym_comment,
    ACTIONS(1482),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1480),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8229] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1490),
    1,
    anon_sym_LPAREN,
    STATE(112),
    1,
    sym_comment,
    ACTIONS(1488),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1486),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8285] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(113),
    1,
    sym_comment,
    ACTIONS(1494),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1492),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8339] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1500),
    1,
    anon_sym_LPAREN,
    STATE(114),
    1,
    sym_comment,
    ACTIONS(1498),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1496),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8395] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(1504),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1502),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8449] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(116),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(1281),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8555] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1510),
    1,
    anon_sym_LPAREN,
    STATE(117),
    1,
    sym_comment,
    ACTIONS(1508),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1506),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8611] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(118),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(885),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8717] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(119),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(394),
    1,
    sym_xor_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(401),
    1,
    sym_or_expr,
    STATE(941),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8823] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(1514),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1512),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8877] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(1518),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1516),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8930] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(1522),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1520),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8983] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(1526),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1524),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9036] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(1530),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1528),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9089] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(1534),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1532),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9142] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(1538),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1536),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9195] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(1542),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1540),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9248] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(1546),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1544),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9301] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(1550),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1548),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9354] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(1554),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1552),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9407] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(131),
    1,
    sym_comment,
    ACTIONS(1558),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1556),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9460] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(132),
    1,
    sym_comment,
    ACTIONS(1562),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1560),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9513] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(1566),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1564),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9566] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(1570),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1568),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9619] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(1574),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1572),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9672] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(1578),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1576),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9725] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(1582),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1580),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9778] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(1586),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1584),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9831] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(1590),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1588),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9884] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(1594),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1592),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9937] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(1598),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1596),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9990] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(1602),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1600),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10043] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(1606),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1604),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10096] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(1610),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1608),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10149] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(1614),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1612),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10202] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(1618),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1616),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10255] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(147),
    1,
    sym_comment,
    ACTIONS(1622),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1620),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10308] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(148),
    1,
    sym_comment,
    ACTIONS(1626),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1624),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10361] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1630),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1628),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10414] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(1634),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1632),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10467] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(151),
    1,
    sym_comment,
    ACTIONS(1638),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1636),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10520] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(1642),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1640),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10573] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(153),
    1,
    sym_comment,
    ACTIONS(1646),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1644),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10626] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(1650),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1648),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10679] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(1654),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1652),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10732] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1658),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1656),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10785] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(157),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(387),
    1,
    sym_and_expr,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(399),
    1,
    sym_xor_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10885] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(158),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(373),
    1,
    sym_shift_expr,
    STATE(385),
    1,
    sym_and_expr,
    STATE(395),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10982] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(159),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(318),
    1,
    sym_add_expr,
    STATE(347),
    1,
    sym_shift_expr,
    STATE(395),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11076] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1660),
    1,
    anon_sym_AT,
    ACTIONS(1663),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(195),
    1,
    sym_annotation_appl,
    STATE(214),
    1,
    sym_extend_annotation_appl,
    STATE(160),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1424),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1422),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11134] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(161),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(296),
    1,
    sym_mult_expr,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(315),
    1,
    sym_add_expr,
    STATE(395),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11225] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(162),
    1,
    sym_comment,
    STATE(176),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1668),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1666),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11276] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(163),
    1,
    sym_comment,
    STATE(186),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1672),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1670),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11327] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(164),
    1,
    sym_comment,
    STATE(182),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1676),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1674),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11378] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(165),
    1,
    sym_comment,
    STATE(185),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1680),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1678),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11429] = 25,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(166),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(279),
    1,
    sym_mult_expr,
    STATE(295),
    1,
    sym_oct_number,
    STATE(297),
    1,
    sym_unary_expr,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(395),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11517] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1682),
    1,
    anon_sym_LPAREN,
    STATE(167),
    1,
    sym_comment,
    ACTIONS(1458),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1456),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11567] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1684),
    1,
    anon_sym_LPAREN,
    STATE(168),
    1,
    sym_comment,
    ACTIONS(1470),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1468),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11617] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1686),
    1,
    anon_sym_LPAREN,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(1464),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1462),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11667] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1688),
    1,
    anon_sym_LPAREN,
    STATE(170),
    1,
    sym_comment,
    ACTIONS(1476),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1474),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11717] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(171),
    1,
    sym_comment,
    ACTIONS(1494),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1492),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11765] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1690),
    1,
    anon_sym_LPAREN,
    STATE(172),
    1,
    sym_comment,
    ACTIONS(1498),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1496),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11815] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1692),
    1,
    anon_sym_LPAREN,
    STATE(173),
    1,
    sym_comment,
    ACTIONS(1452),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1450),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11865] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1694),
    1,
    anon_sym_LPAREN,
    STATE(174),
    1,
    sym_comment,
    ACTIONS(1446),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1444),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11915] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(175),
    1,
    sym_comment,
    ACTIONS(1504),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1502),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11963] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(176),
    1,
    sym_comment,
    ACTIONS(1698),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1696),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12011] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1700),
    1,
    anon_sym_LPAREN,
    STATE(177),
    1,
    sym_comment,
    ACTIONS(1482),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1480),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12061] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(178),
    1,
    sym_comment,
    ACTIONS(1514),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1512),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12109] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1702),
    1,
    anon_sym_LPAREN,
    STATE(179),
    1,
    sym_comment,
    ACTIONS(1488),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1486),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12159] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(180),
    1,
    sym_comment,
    ACTIONS(1538),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1536),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12207] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(181),
    1,
    sym_comment,
    ACTIONS(1706),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1704),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12255] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(182),
    1,
    sym_comment,
    ACTIONS(1680),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1678),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12303] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(183),
    1,
    sym_comment,
    ACTIONS(1618),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1616),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12351] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1708),
    1,
    anon_sym_LPAREN,
    STATE(184),
    1,
    sym_comment,
    ACTIONS(1508),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1506),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12401] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(185),
    1,
    sym_comment,
    ACTIONS(1712),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1710),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12449] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(186),
    1,
    sym_comment,
    ACTIONS(1668),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1666),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12497] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(187),
    1,
    sym_comment,
    ACTIONS(1518),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1516),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12544] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(188),
    1,
    sym_comment,
    ACTIONS(1546),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1544),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12591] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(189),
    1,
    sym_comment,
    ACTIONS(1582),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1580),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12638] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(190),
    1,
    sym_comment,
    ACTIONS(1530),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1528),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12685] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(191),
    1,
    sym_comment,
    ACTIONS(1566),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1564),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12732] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(192),
    1,
    sym_comment,
    ACTIONS(1716),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1714),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [12779] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(193),
    1,
    sym_comment,
    ACTIONS(1720),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1718),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [12826] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(194),
    1,
    sym_comment,
    ACTIONS(1610),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1608),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12873] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(195),
    1,
    sym_comment,
    ACTIONS(1526),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1524),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12920] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(196),
    1,
    sym_comment,
    ACTIONS(1570),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1568),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12967] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(197),
    1,
    sym_comment,
    ACTIONS(1650),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1648),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13014] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(198),
    1,
    sym_comment,
    ACTIONS(1630),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1628),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13061] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(199),
    1,
    sym_comment,
    ACTIONS(1542),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1540),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13108] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(200),
    1,
    sym_comment,
    ACTIONS(1724),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1722),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [13155] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(201),
    1,
    sym_comment,
    ACTIONS(1558),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1556),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13202] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(202),
    1,
    sym_comment,
    ACTIONS(1614),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1612),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13249] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(203),
    1,
    sym_comment,
    ACTIONS(1638),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1636),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13296] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(204),
    1,
    sym_comment,
    ACTIONS(1642),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1640),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13343] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(205),
    1,
    sym_comment,
    ACTIONS(1646),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1644),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13390] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(206),
    1,
    sym_comment,
    ACTIONS(1654),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1652),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13437] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(207),
    1,
    sym_comment,
    ACTIONS(1634),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1632),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13484] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(208),
    1,
    sym_comment,
    ACTIONS(1626),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1624),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13531] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(209),
    1,
    sym_comment,
    ACTIONS(1728),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1726),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [13578] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(210),
    1,
    sym_comment,
    ACTIONS(1658),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1656),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13625] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(211),
    1,
    sym_comment,
    ACTIONS(1622),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1620),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13672] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(212),
    1,
    sym_comment,
    ACTIONS(1522),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1520),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13719] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(213),
    1,
    sym_comment,
    ACTIONS(1554),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1552),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13766] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(214),
    1,
    sym_comment,
    ACTIONS(1534),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1532),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13813] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(215),
    1,
    sym_comment,
    ACTIONS(1578),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1576),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13860] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(1574),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1572),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [13907] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(217),
    1,
    sym_comment,
    ACTIONS(1732),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1730),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [13954] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(1736),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1734),
    30,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14001] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(219),
    1,
    sym_comment,
    ACTIONS(1606),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1604),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14048] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(220),
    1,
    sym_comment,
    ACTIONS(1602),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1600),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14095] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(1598),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1596),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14142] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(222),
    1,
    sym_comment,
    STATE(235),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(284),
    1,
    sym_unary_expr,
    STATE(295),
    1,
    sym_oct_number,
    STATE(298),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(395),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14227] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(223),
    1,
    sym_comment,
    ACTIONS(1550),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1548),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14274] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(224),
    1,
    sym_comment,
    ACTIONS(1594),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1592),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14321] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(225),
    1,
    sym_comment,
    ACTIONS(1586),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1584),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14368] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(226),
    1,
    sym_comment,
    ACTIONS(1562),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1560),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14415] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(227),
    1,
    sym_comment,
    ACTIONS(1590),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1588),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14462] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(228),
    1,
    sym_comment,
    ACTIONS(1740),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1738),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [14507] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(229),
    1,
    sym_comment,
    ACTIONS(1744),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1742),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14552] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(230),
    1,
    sym_comment,
    ACTIONS(1748),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1746),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14597] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(231),
    1,
    sym_comment,
    ACTIONS(1752),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1750),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14642] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1754),
    1,
    sym_boolean_type,
    STATE(232),
    1,
    sym_comment,
    STATE(828),
    1,
    sym_scoped_name,
    STATE(1289),
    1,
    sym_switch_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1292),
    2,
    sym_integer_type,
    sym_char_type,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    [14725] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(233),
    1,
    sym_comment,
    ACTIONS(1758),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1756),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14770] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(234),
    1,
    sym_comment,
    ACTIONS(1762),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1760),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14815] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(235),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(274),
    1,
    sym_scoped_name,
    STATE(295),
    1,
    sym_oct_number,
    STATE(299),
    1,
    sym_primary_expr,
    STATE(302),
    1,
    sym_literal,
    STATE(395),
    1,
    sym_integer_sign,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [14891] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1768),
    1,
    anon_sym_AT,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1766),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14934] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1772),
    1,
    anon_sym_AT,
    STATE(237),
    1,
    sym_comment,
    ACTIONS(1770),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [14977] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1776),
    1,
    anon_sym_AT,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(1774),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [15020] = 23,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(29),
    1,
    anon_sym_AT,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    STATE(239),
    1,
    sym_comment,
    STATE(310),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(353),
    1,
    sym_annotation_appl,
    STATE(369),
    1,
    sym_extend_annotation_appl,
    STATE(1240),
    1,
    sym_enum_anno,
    STATE(1251),
    1,
    sym_interface_header,
    STATE(1255),
    1,
    sym_interface_kind,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    STATE(851),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(860),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(1058),
    2,
    sym_interface_forward_dcl,
    sym_interface_def,
    STATE(884),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [15098] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1780),
    1,
    anon_sym_AT,
    STATE(240),
    1,
    sym_comment,
    ACTIONS(1778),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [15140] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_long,
    ACTIONS(89),
    1,
    anon_sym_unsignedlong,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1784),
    1,
    anon_sym_int32,
    ACTIONS(1786),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1790),
    1,
    sym_signed_tiny_int,
    ACTIONS(1792),
    1,
    anon_sym_uint32,
    STATE(241),
    1,
    sym_comment,
    STATE(1256),
    1,
    sym_integer_type,
    STATE(1258),
    1,
    sym_destination_type,
    ACTIONS(73),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(85),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(91),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1782),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1788),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(442),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(468),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(469),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    [15208] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(242),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1098),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15271] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(243),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1134),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15334] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(244),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1164),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15397] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(245),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1247),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15460] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(246),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1155),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15523] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(247),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1195),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15586] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(248),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1194),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15649] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(249),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1093),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15712] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(250),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1190),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15775] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(251),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1185),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15838] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(252),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1088),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15901] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(253),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(975),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [15964] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(254),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1165),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16027] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(255),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1097),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16090] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(256),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(943),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16153] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(257),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1160),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16216] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(258),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1133),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16279] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(259),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1129),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16342] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(260),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1239),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16405] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(261),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1124),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16468] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(262),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(933),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16531] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1800),
    1,
    anon_sym_L,
    STATE(263),
    1,
    sym_comment,
    STATE(272),
    1,
    sym_dec_number,
    STATE(295),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_integer_sign,
    STATE(1080),
    1,
    sym_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(290),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [16594] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1804),
    1,
    anon_sym_RBRACE,
    ACTIONS(1806),
    1,
    anon_sym_readonly,
    ACTIONS(1808),
    1,
    anon_sym_attribute,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    ACTIONS(1814),
    1,
    anon_sym_emits,
    ACTIONS(1816),
    1,
    anon_sym_publishes,
    ACTIONS(1818),
    1,
    anon_sym_consumes,
    STATE(264),
    1,
    sym_comment,
    STATE(267),
    1,
    aux_sym_component_body_repeat1,
    STATE(382),
    1,
    sym_component_export,
    STATE(962),
    1,
    sym_component_body,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(963),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [16654] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(265),
    1,
    sym_comment,
    ACTIONS(1502),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1504),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [16689] = 18,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(29),
    1,
    anon_sym_AT,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    STATE(266),
    1,
    sym_comment,
    STATE(310),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(353),
    1,
    sym_annotation_appl,
    STATE(369),
    1,
    sym_extend_annotation_appl,
    STATE(1240),
    1,
    sym_enum_anno,
    STATE(851),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(860),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(884),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [16750] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1806),
    1,
    anon_sym_readonly,
    ACTIONS(1808),
    1,
    anon_sym_attribute,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    ACTIONS(1814),
    1,
    anon_sym_emits,
    ACTIONS(1816),
    1,
    anon_sym_publishes,
    ACTIONS(1818),
    1,
    anon_sym_consumes,
    ACTIONS(1822),
    1,
    anon_sym_RBRACE,
    STATE(267),
    1,
    sym_comment,
    STATE(268),
    1,
    aux_sym_component_body_repeat1,
    STATE(382),
    1,
    sym_component_export,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(963),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [16807] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1824),
    1,
    anon_sym_RBRACE,
    ACTIONS(1826),
    1,
    anon_sym_readonly,
    ACTIONS(1829),
    1,
    anon_sym_attribute,
    ACTIONS(1832),
    1,
    anon_sym_provides,
    ACTIONS(1835),
    1,
    anon_sym_uses,
    ACTIONS(1838),
    1,
    anon_sym_emits,
    ACTIONS(1841),
    1,
    anon_sym_publishes,
    ACTIONS(1844),
    1,
    anon_sym_consumes,
    STATE(382),
    1,
    sym_component_export,
    ACTIONS(1847),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(268),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(963),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [16862] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(269),
    1,
    sym_comment,
    ACTIONS(1492),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1494),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [16897] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(270),
    1,
    sym_comment,
    ACTIONS(1512),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1514),
    17,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [16931] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(1850),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1852),
    17,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DOT,
    aux_sym_floating_pt_literal_token1,
    aux_sym_fixed_pt_literal_token1,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16964] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1858),
    1,
    anon_sym_DOT,
    STATE(272),
    1,
    sym_comment,
    ACTIONS(1854),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1856),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16997] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1864),
    1,
    anon_sym_DOT,
    STATE(273),
    1,
    sym_comment,
    ACTIONS(1860),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1862),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17030] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(1868),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1870),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17063] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(275),
    1,
    sym_comment,
    ACTIONS(1872),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1874),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17093] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(1876),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1878),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17123] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1880),
    1,
    anon_sym_RBRACE,
    ACTIONS(1882),
    1,
    anon_sym_readonly,
    ACTIONS(1885),
    1,
    anon_sym_attribute,
    ACTIONS(1888),
    1,
    anon_sym_provides,
    ACTIONS(1891),
    1,
    anon_sym_uses,
    STATE(400),
    1,
    sym_port_ref,
    STATE(412),
    1,
    sym_connector_export,
    STATE(955),
    1,
    sym_attr_dcl,
    ACTIONS(1894),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(277),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17171] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(278),
    1,
    sym_comment,
    ACTIONS(1897),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1899),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17201] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1901),
    1,
    anon_sym_GT,
    ACTIONS(1907),
    1,
    anon_sym_SLASH,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(1905),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1903),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17235] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(1860),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1862),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17265] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(1909),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1911),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17295] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(1913),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1915),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17325] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1917),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1919),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [17355] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1921),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1923),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17385] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(1917),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1919),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [17415] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1925),
    1,
    anon_sym_RBRACE,
    ACTIONS(1927),
    1,
    anon_sym_readonly,
    ACTIONS(1930),
    1,
    anon_sym_attribute,
    ACTIONS(1933),
    1,
    anon_sym_provides,
    ACTIONS(1936),
    1,
    anon_sym_uses,
    STATE(405),
    1,
    sym_port_export,
    STATE(406),
    1,
    sym_port_ref,
    STATE(1296),
    1,
    sym_attr_dcl,
    ACTIONS(1939),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(286),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17463] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1942),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1944),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17493] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1946),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1948),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17523] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1806),
    1,
    anon_sym_readonly,
    ACTIONS(1808),
    1,
    anon_sym_attribute,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    ACTIONS(1950),
    1,
    anon_sym_RBRACE,
    STATE(289),
    1,
    sym_comment,
    STATE(291),
    1,
    aux_sym_port_body_repeat1,
    STATE(405),
    1,
    sym_port_export,
    STATE(406),
    1,
    sym_port_ref,
    STATE(1296),
    1,
    sym_attr_dcl,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17573] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1952),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1954),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17603] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1806),
    1,
    anon_sym_readonly,
    ACTIONS(1808),
    1,
    anon_sym_attribute,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    ACTIONS(1956),
    1,
    anon_sym_RBRACE,
    STATE(286),
    1,
    aux_sym_port_body_repeat1,
    STATE(291),
    1,
    sym_comment,
    STATE(405),
    1,
    sym_port_export,
    STATE(406),
    1,
    sym_port_ref,
    STATE(1296),
    1,
    sym_attr_dcl,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17653] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1958),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1960),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17683] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(1962),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1964),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17713] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1806),
    1,
    anon_sym_readonly,
    ACTIONS(1808),
    1,
    anon_sym_attribute,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    ACTIONS(1966),
    1,
    anon_sym_RBRACE,
    STATE(277),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(294),
    1,
    sym_comment,
    STATE(400),
    1,
    sym_port_ref,
    STATE(412),
    1,
    sym_connector_export,
    STATE(955),
    1,
    sym_attr_dcl,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17763] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(295),
    1,
    sym_comment,
    ACTIONS(1854),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1856),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17793] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1907),
    1,
    anon_sym_SLASH,
    ACTIONS(1968),
    1,
    anon_sym_GT,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1905),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1970),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17827] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1972),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1974),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17857] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1976),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1978),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17887] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(299),
    1,
    sym_comment,
    ACTIONS(1980),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1982),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17917] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1984),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1986),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17947] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1988),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1990),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17977] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(302),
    1,
    sym_comment,
    ACTIONS(1868),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1870),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18007] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(303),
    1,
    sym_comment,
    ACTIONS(1992),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1994),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18037] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_c,
    STATE(304),
    1,
    sym_comment,
    STATE(1139),
    1,
    sym_string_literal,
    STATE(1331),
    1,
    sym_verbatim_language,
    STATE(1332),
    1,
    sym_placement_kind,
    ACTIONS(1996),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [18076] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_c,
    STATE(305),
    1,
    sym_comment,
    STATE(1170),
    1,
    sym_string_literal,
    STATE(1345),
    1,
    sym_verbatim_language,
    STATE(1346),
    1,
    sym_placement_kind,
    ACTIONS(1996),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [18115] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1806),
    1,
    anon_sym_readonly,
    ACTIONS(1808),
    1,
    anon_sym_attribute,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    STATE(294),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(306),
    1,
    sym_comment,
    STATE(400),
    1,
    sym_port_ref,
    STATE(412),
    1,
    sym_connector_export,
    STATE(955),
    1,
    sym_attr_dcl,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(980),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [18162] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_c,
    STATE(307),
    1,
    sym_comment,
    STATE(1200),
    1,
    sym_string_literal,
    STATE(1359),
    1,
    sym_verbatim_language,
    STATE(1360),
    1,
    sym_placement_kind,
    ACTIONS(1996),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [18201] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_c,
    STATE(308),
    1,
    sym_comment,
    STATE(1065),
    1,
    sym_string_literal,
    STATE(1074),
    1,
    sym_verbatim_language,
    STATE(1081),
    1,
    sym_placement_kind,
    ACTIONS(1996),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [18240] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_c,
    STATE(309),
    1,
    sym_comment,
    STATE(1103),
    1,
    sym_string_literal,
    STATE(1317),
    1,
    sym_verbatim_language,
    STATE(1318),
    1,
    sym_placement_kind,
    ACTIONS(1996),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [18279] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2002),
    1,
    anon_sym_AT,
    ACTIONS(2005),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(353),
    1,
    sym_annotation_appl,
    STATE(369),
    1,
    sym_extend_annotation_appl,
    STATE(310),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1424),
    9,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18313] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1496),
    1,
    anon_sym_AT,
    ACTIONS(2008),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2010),
    1,
    anon_sym_LPAREN,
    STATE(311),
    1,
    sym_comment,
    ACTIONS(1498),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18344] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1512),
    1,
    anon_sym_SLASH,
    ACTIONS(2012),
    1,
    anon_sym_EQ,
    STATE(312),
    1,
    sym_comment,
    ACTIONS(1514),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [18373] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1868),
    1,
    anon_sym_SLASH,
    ACTIONS(2014),
    1,
    anon_sym_GT,
    ACTIONS(2016),
    1,
    anon_sym_COMMA,
    STATE(313),
    1,
    sym_comment,
    ACTIONS(1870),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [18406] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1512),
    1,
    anon_sym_AT,
    STATE(314),
    1,
    sym_comment,
    ACTIONS(1514),
    12,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18433] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2018),
    1,
    anon_sym_GT,
    STATE(315),
    1,
    sym_comment,
    ACTIONS(2022),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2020),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18462] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1502),
    1,
    anon_sym_AT,
    STATE(316),
    1,
    sym_comment,
    ACTIONS(1504),
    12,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18489] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1492),
    1,
    anon_sym_AT,
    STATE(317),
    1,
    sym_comment,
    ACTIONS(1494),
    12,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18516] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2024),
    1,
    anon_sym_GT,
    STATE(318),
    1,
    sym_comment,
    ACTIONS(2022),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(2026),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18545] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(319),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1167),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18583] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(320),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1189),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18621] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1506),
    1,
    anon_sym_AT,
    ACTIONS(2028),
    1,
    anon_sym_LPAREN,
    STATE(321),
    1,
    sym_comment,
    ACTIONS(1508),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18649] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(322),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1100),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18687] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(323),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1136),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18725] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(324),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1089),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18763] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(325),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1041),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18801] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1486),
    1,
    anon_sym_AT,
    ACTIONS(2030),
    1,
    anon_sym_LPAREN,
    STATE(326),
    1,
    sym_comment,
    ACTIONS(1488),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18829] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(327),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1197),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18867] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1468),
    1,
    anon_sym_AT,
    ACTIONS(2032),
    1,
    anon_sym_LPAREN,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(1470),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18895] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(329),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(934),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18933] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(330),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1186),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [18971] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1480),
    1,
    anon_sym_AT,
    ACTIONS(2034),
    1,
    anon_sym_LPAREN,
    STATE(331),
    1,
    sym_comment,
    ACTIONS(1482),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [18999] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1444),
    1,
    anon_sym_AT,
    ACTIONS(2036),
    1,
    anon_sym_LPAREN,
    STATE(332),
    1,
    sym_comment,
    ACTIONS(1446),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19027] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1462),
    1,
    anon_sym_AT,
    ACTIONS(2038),
    1,
    anon_sym_LPAREN,
    STATE(333),
    1,
    sym_comment,
    ACTIONS(1464),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19055] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(334),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1159),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [19093] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(335),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1156),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [19131] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(336),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1092),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [19169] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1450),
    1,
    anon_sym_AT,
    ACTIONS(2040),
    1,
    anon_sym_LPAREN,
    STATE(337),
    1,
    sym_comment,
    ACTIONS(1452),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19197] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(338),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1125),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [19235] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1456),
    1,
    anon_sym_AT,
    ACTIONS(2042),
    1,
    anon_sym_LPAREN,
    STATE(339),
    1,
    sym_comment,
    ACTIONS(1458),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19263] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(340),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(1128),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [19301] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(341),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_integer_sign,
    STATE(932),
    1,
    sym_integer_literal,
    ACTIONS(1764),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1794),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(295),
    2,
    sym_oct_number,
    sym_dec_number,
    [19339] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1474),
    1,
    anon_sym_AT,
    ACTIONS(2044),
    1,
    anon_sym_LPAREN,
    STATE(342),
    1,
    sym_comment,
    ACTIONS(1476),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19367] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1632),
    1,
    anon_sym_AT,
    STATE(343),
    1,
    sym_comment,
    ACTIONS(1634),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19392] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1520),
    1,
    anon_sym_AT,
    STATE(344),
    1,
    sym_comment,
    ACTIONS(1522),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19417] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1640),
    1,
    anon_sym_AT,
    STATE(345),
    1,
    sym_comment,
    ACTIONS(1642),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19442] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1636),
    1,
    anon_sym_AT,
    STATE(346),
    1,
    sym_comment,
    ACTIONS(1638),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19467] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2046),
    1,
    anon_sym_GT,
    STATE(347),
    1,
    sym_comment,
    ACTIONS(2050),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(2048),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [19494] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1536),
    1,
    anon_sym_AT,
    STATE(348),
    1,
    sym_comment,
    ACTIONS(1538),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19519] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1540),
    1,
    anon_sym_AT,
    STATE(349),
    1,
    sym_comment,
    ACTIONS(1542),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19544] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1600),
    1,
    anon_sym_AT,
    STATE(350),
    1,
    sym_comment,
    ACTIONS(1602),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19569] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1648),
    1,
    anon_sym_AT,
    STATE(351),
    1,
    sym_comment,
    ACTIONS(1650),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19594] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1552),
    1,
    anon_sym_AT,
    STATE(352),
    1,
    sym_comment,
    ACTIONS(1554),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19619] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1524),
    1,
    anon_sym_AT,
    STATE(353),
    1,
    sym_comment,
    ACTIONS(1526),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19644] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1604),
    1,
    anon_sym_AT,
    STATE(354),
    1,
    sym_comment,
    ACTIONS(1606),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19669] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1644),
    1,
    anon_sym_AT,
    STATE(355),
    1,
    sym_comment,
    ACTIONS(1646),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19694] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1608),
    1,
    anon_sym_AT,
    STATE(356),
    1,
    sym_comment,
    ACTIONS(1610),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19719] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1568),
    1,
    anon_sym_AT,
    STATE(357),
    1,
    sym_comment,
    ACTIONS(1570),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19744] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1588),
    1,
    anon_sym_AT,
    STATE(358),
    1,
    sym_comment,
    ACTIONS(1590),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19769] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1576),
    1,
    anon_sym_AT,
    STATE(359),
    1,
    sym_comment,
    ACTIONS(1578),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19794] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1556),
    1,
    anon_sym_AT,
    STATE(360),
    1,
    sym_comment,
    ACTIONS(1558),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19819] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1652),
    1,
    anon_sym_AT,
    STATE(361),
    1,
    sym_comment,
    ACTIONS(1654),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19844] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1564),
    1,
    anon_sym_AT,
    STATE(362),
    1,
    sym_comment,
    ACTIONS(1566),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19869] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1656),
    1,
    anon_sym_AT,
    STATE(363),
    1,
    sym_comment,
    ACTIONS(1658),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19894] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1572),
    1,
    anon_sym_AT,
    STATE(364),
    1,
    sym_comment,
    ACTIONS(1574),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19919] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1548),
    1,
    anon_sym_AT,
    STATE(365),
    1,
    sym_comment,
    ACTIONS(1550),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19944] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1592),
    1,
    anon_sym_AT,
    STATE(366),
    1,
    sym_comment,
    ACTIONS(1594),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19969] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1584),
    1,
    anon_sym_AT,
    STATE(367),
    1,
    sym_comment,
    ACTIONS(1586),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [19994] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1544),
    1,
    anon_sym_AT,
    STATE(368),
    1,
    sym_comment,
    ACTIONS(1546),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20019] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1532),
    1,
    anon_sym_AT,
    STATE(369),
    1,
    sym_comment,
    ACTIONS(1534),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20044] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1624),
    1,
    anon_sym_AT,
    STATE(370),
    1,
    sym_comment,
    ACTIONS(1626),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20069] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1516),
    1,
    anon_sym_AT,
    STATE(371),
    1,
    sym_comment,
    ACTIONS(1518),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20094] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1596),
    1,
    anon_sym_AT,
    STATE(372),
    1,
    sym_comment,
    ACTIONS(1598),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20119] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2052),
    1,
    anon_sym_GT,
    STATE(373),
    1,
    sym_comment,
    ACTIONS(2050),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(2054),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [20146] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1628),
    1,
    anon_sym_AT,
    STATE(374),
    1,
    sym_comment,
    ACTIONS(1630),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20171] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1560),
    1,
    anon_sym_AT,
    STATE(375),
    1,
    sym_comment,
    ACTIONS(1562),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20196] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1620),
    1,
    anon_sym_AT,
    STATE(376),
    1,
    sym_comment,
    ACTIONS(1622),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20221] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1616),
    1,
    anon_sym_AT,
    STATE(377),
    1,
    sym_comment,
    ACTIONS(1618),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20246] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1580),
    1,
    anon_sym_AT,
    STATE(378),
    1,
    sym_comment,
    ACTIONS(1582),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20271] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1612),
    1,
    anon_sym_AT,
    STATE(379),
    1,
    sym_comment,
    ACTIONS(1614),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20296] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1528),
    1,
    anon_sym_AT,
    STATE(380),
    1,
    sym_comment,
    ACTIONS(1530),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [20321] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1810),
    1,
    anon_sym_provides,
    ACTIONS(1812),
    1,
    anon_sym_uses,
    ACTIONS(2056),
    1,
    anon_sym_RBRACE,
    STATE(289),
    1,
    sym_port_ref,
    STATE(381),
    1,
    sym_comment,
    STATE(1019),
    1,
    sym_port_body,
    ACTIONS(1820),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(954),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [20355] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(382),
    1,
    sym_comment,
    ACTIONS(2058),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [20377] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(383),
    1,
    sym_comment,
    ACTIONS(2060),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [20399] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(384),
    1,
    sym_comment,
    STATE(1054),
    1,
    sym_placement_kind,
    STATE(1061),
    1,
    sym_string_literal,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [20426] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_AMP,
    STATE(385),
    1,
    sym_comment,
    ACTIONS(2062),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [20449] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(386),
    1,
    sym_comment,
    STATE(1176),
    1,
    sym_string_literal,
    STATE(1347),
    1,
    sym_placement_kind,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [20476] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_AMP,
    STATE(387),
    1,
    sym_comment,
    ACTIONS(2066),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [20499] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(388),
    1,
    sym_comment,
    ACTIONS(1494),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [20520] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(389),
    1,
    sym_comment,
    STATE(1206),
    1,
    sym_string_literal,
    STATE(1361),
    1,
    sym_placement_kind,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [20547] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(390),
    1,
    sym_comment,
    STATE(1145),
    1,
    sym_string_literal,
    STATE(1333),
    1,
    sym_placement_kind,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [20574] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(391),
    1,
    sym_comment,
    STATE(1111),
    1,
    sym_string_literal,
    STATE(1319),
    1,
    sym_placement_kind,
    ACTIONS(2000),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [20601] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(392),
    1,
    sym_comment,
    ACTIONS(1504),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [20622] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2068),
    1,
    anon_sym_RBRACE,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2074),
    1,
    sym_identifier,
    STATE(393),
    1,
    sym_comment,
    STATE(438),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(712),
    1,
    sym_extend_annotation_appl,
    STATE(713),
    1,
    sym_annotation_appl,
    STATE(719),
    1,
    sym_bit_value,
    [20656] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2078),
    1,
    anon_sym_CARET,
    STATE(394),
    1,
    sym_comment,
    ACTIONS(2076),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [20678] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(273),
    1,
    sym_dec_number,
    STATE(280),
    1,
    sym_oct_number,
    STATE(395),
    1,
    sym_comment,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2080),
    2,
    sym_bin_number,
    sym_hex_number,
    [20708] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1798),
    1,
    aux_sym_dec_number_token1,
    STATE(396),
    1,
    sym_comment,
    ACTIONS(1796),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2080),
    2,
    sym_bin_number,
    sym_hex_number,
    STATE(280),
    2,
    sym_oct_number,
    sym_dec_number,
    [20736] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(397),
    1,
    sym_comment,
    ACTIONS(1514),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [20756] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2082),
    1,
    anon_sym_COMMA,
    ACTIONS(2084),
    1,
    anon_sym_SEMI,
    ACTIONS(2086),
    1,
    anon_sym_getraises,
    ACTIONS(2088),
    1,
    anon_sym_setraises,
    STATE(398),
    1,
    sym_comment,
    STATE(576),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(683),
    1,
    sym_get_excep_expr,
    STATE(1001),
    1,
    sym_set_excep_expr,
    STATE(1002),
    1,
    sym_attr_raises_expr,
    [20790] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2078),
    1,
    anon_sym_CARET,
    STATE(399),
    1,
    sym_comment,
    ACTIONS(2090),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [20812] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(400),
    1,
    sym_comment,
    ACTIONS(2092),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [20831] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2096),
    1,
    anon_sym_PIPE,
    STATE(401),
    1,
    sym_comment,
    ACTIONS(2094),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [20852] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    anon_sym_RBRACE,
    ACTIONS(2100),
    1,
    anon_sym_default,
    ACTIONS(2103),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(789),
    1,
    sym_case,
    STATE(402),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [20881] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(403),
    1,
    sym_comment,
    ACTIONS(2106),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [20900] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(404),
    1,
    sym_comment,
    ACTIONS(2108),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [20919] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(405),
    1,
    sym_comment,
    ACTIONS(2110),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [20938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(406),
    1,
    sym_comment,
    ACTIONS(2112),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [20957] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2114),
    1,
    anon_sym_RBRACE,
    ACTIONS(2116),
    1,
    anon_sym_default,
    ACTIONS(2118),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(402),
    1,
    aux_sym_union_def_repeat1,
    STATE(407),
    1,
    sym_comment,
    STATE(789),
    1,
    sym_case,
    [20988] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(408),
    1,
    sym_comment,
    ACTIONS(2120),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [21007] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2122),
    1,
    anon_sym_LBRACE,
    ACTIONS(2124),
    1,
    anon_sym_COLON,
    ACTIONS(2126),
    1,
    anon_sym_SEMI,
    ACTIONS(2128),
    1,
    anon_sym_supports,
    STATE(409),
    1,
    sym_comment,
    STATE(644),
    1,
    sym_value_inheritance,
    STATE(949),
    1,
    sym_value_inheritance_spec,
    STATE(1040),
    1,
    sym_value_supports,
    [21038] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2074),
    1,
    sym_identifier,
    STATE(410),
    1,
    sym_comment,
    STATE(438),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(712),
    1,
    sym_extend_annotation_appl,
    STATE(713),
    1,
    sym_annotation_appl,
    STATE(871),
    1,
    sym_bit_value,
    [21069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(411),
    1,
    sym_comment,
    ACTIONS(2130),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [21088] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(412),
    1,
    sym_comment,
    ACTIONS(2132),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [21107] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2124),
    1,
    anon_sym_COLON,
    ACTIONS(2128),
    1,
    anon_sym_supports,
    ACTIONS(2134),
    1,
    anon_sym_LBRACE,
    ACTIONS(2136),
    1,
    anon_sym_SEMI,
    STATE(413),
    1,
    sym_comment,
    STATE(644),
    1,
    sym_value_inheritance,
    STATE(1040),
    1,
    sym_value_supports,
    STATE(1042),
    1,
    sym_value_inheritance_spec,
    [21138] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2116),
    1,
    anon_sym_default,
    ACTIONS(2118),
    1,
    anon_sym_case,
    ACTIONS(2138),
    1,
    anon_sym_RBRACE,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(100),
    1,
    sym_case_label,
    STATE(407),
    1,
    aux_sym_union_def_repeat1,
    STATE(414),
    1,
    sym_comment,
    STATE(789),
    1,
    sym_case,
    [21169] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2140),
    1,
    anon_sym_LBRACE,
    ACTIONS(2142),
    1,
    anon_sym_COLON,
    ACTIONS(2144),
    1,
    anon_sym_SEMI,
    ACTIONS(2146),
    1,
    anon_sym_supports,
    STATE(415),
    1,
    sym_comment,
    STATE(651),
    1,
    sym_component_inheritance_spec,
    STATE(1028),
    1,
    sym_supported_interface_spec,
    [21197] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2152),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(416),
    1,
    sym_comment,
    STATE(434),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21225] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2156),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(416),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(417),
    1,
    sym_comment,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21253] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2158),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(418),
    1,
    sym_comment,
    STATE(434),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21281] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2160),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(418),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(419),
    1,
    sym_comment,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21309] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2162),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(420),
    1,
    sym_comment,
    STATE(434),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21337] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2164),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(421),
    1,
    sym_comment,
    STATE(430),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21365] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2168),
    1,
    anon_sym_LBRACK,
    STATE(422),
    1,
    sym_comment,
    STATE(426),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(530),
    1,
    sym_fixed_array_size,
    ACTIONS(2166),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [21389] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2170),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(420),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(423),
    1,
    sym_comment,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21417] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2172),
    1,
    anon_sym_RBRACE,
    ACTIONS(2174),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2176),
    1,
    sym_identifier,
    STATE(424),
    1,
    sym_comment,
    STATE(552),
    1,
    aux_sym_enumerator_repeat1,
    STATE(790),
    1,
    sym_enumerator,
    STATE(808),
    1,
    sym_enum_modifier,
    [21445] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(425),
    1,
    sym_comment,
    STATE(881),
    1,
    sym_scoped_name,
    STATE(1063),
    1,
    sym_imported_scope,
    STATE(1064),
    1,
    sym_string_literal,
    [21473] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2182),
    1,
    anon_sym_LBRACK,
    STATE(530),
    1,
    sym_fixed_array_size,
    STATE(426),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2180),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [21495] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2185),
    1,
    anon_sym_Object,
    ACTIONS(2187),
    1,
    anon_sym_multiple,
    STATE(427),
    1,
    sym_comment,
    STATE(836),
    1,
    sym_scoped_name,
    STATE(964),
    1,
    sym_interface_type,
    [21523] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2124),
    1,
    anon_sym_COLON,
    ACTIONS(2128),
    1,
    anon_sym_supports,
    ACTIONS(2189),
    1,
    anon_sym_LBRACE,
    STATE(428),
    1,
    sym_comment,
    STATE(644),
    1,
    sym_value_inheritance,
    STATE(1040),
    1,
    sym_value_supports,
    STATE(1279),
    1,
    sym_value_inheritance_spec,
    [21551] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2168),
    1,
    anon_sym_LBRACK,
    STATE(422),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(429),
    1,
    sym_comment,
    STATE(530),
    1,
    sym_fixed_array_size,
    ACTIONS(2130),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [21575] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2191),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(430),
    1,
    sym_comment,
    STATE(434),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21603] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1424),
    1,
    sym_identifier,
    ACTIONS(2193),
    1,
    anon_sym_AT,
    ACTIONS(2196),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(712),
    1,
    sym_extend_annotation_appl,
    STATE(713),
    1,
    sym_annotation_appl,
    STATE(431),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [21629] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2199),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(432),
    1,
    sym_comment,
    STATE(434),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21657] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2124),
    1,
    anon_sym_COLON,
    ACTIONS(2128),
    1,
    anon_sym_supports,
    ACTIONS(2201),
    1,
    anon_sym_LBRACE,
    STATE(433),
    1,
    sym_comment,
    STATE(644),
    1,
    sym_value_inheritance,
    STATE(950),
    1,
    sym_value_inheritance_spec,
    STATE(1040),
    1,
    sym_value_supports,
    [21685] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1422),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2203),
    1,
    anon_sym_AT,
    ACTIONS(2206),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    STATE(434),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [21711] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2148),
    1,
    anon_sym_AT,
    ACTIONS(2150),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2209),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(432),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(435),
    1,
    sym_comment,
    STATE(769),
    1,
    sym_extend_annotation_appl,
    STATE(771),
    1,
    sym_annotation_appl,
    [21739] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2176),
    1,
    sym_identifier,
    ACTIONS(2211),
    1,
    anon_sym_RBRACE,
    STATE(436),
    1,
    sym_comment,
    STATE(552),
    1,
    aux_sym_enumerator_repeat1,
    STATE(596),
    1,
    sym_enumerator,
    STATE(808),
    1,
    sym_enum_modifier,
    [21767] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2215),
    1,
    anon_sym_0,
    STATE(437),
    1,
    sym_comment,
    ACTIONS(2213),
    5,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    aux_sym_dec_number_token1,
    sym_hex_number,
    [21787] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2070),
    1,
    anon_sym_AT,
    ACTIONS(2072),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2217),
    1,
    sym_identifier,
    STATE(431),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(438),
    1,
    sym_comment,
    STATE(712),
    1,
    sym_extend_annotation_appl,
    STATE(713),
    1,
    sym_annotation_appl,
    [21815] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(439),
    1,
    sym_comment,
    ACTIONS(1504),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21832] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(440),
    1,
    sym_comment,
    ACTIONS(1492),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21849] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(441),
    1,
    sym_comment,
    ACTIONS(1502),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21866] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(442),
    1,
    sym_comment,
    ACTIONS(2219),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [21883] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2221),
    1,
    anon_sym_RBRACE,
    ACTIONS(2223),
    1,
    anon_sym_bitfield,
    STATE(443),
    1,
    sym_comment,
    STATE(460),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(718),
    1,
    sym_bitfield_spec,
    STATE(923),
    1,
    sym_bitfield,
    [21908] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(444),
    1,
    sym_comment,
    STATE(480),
    1,
    sym_declarator,
    STATE(685),
    1,
    sym_declarators,
    STATE(686),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [21931] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(445),
    1,
    sym_comment,
    STATE(480),
    1,
    sym_declarator,
    STATE(1273),
    1,
    sym_declarators,
    STATE(686),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [21954] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2227),
    1,
    anon_sym_LT,
    ACTIONS(2229),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2231),
    1,
    sym_identifier,
    STATE(446),
    1,
    sym_comment,
    STATE(1215),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [21977] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2185),
    1,
    anon_sym_Object,
    STATE(447),
    1,
    sym_comment,
    STATE(836),
    1,
    sym_scoped_name,
    STATE(976),
    1,
    sym_interface_type,
    [22002] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(448),
    1,
    sym_comment,
    ACTIONS(1494),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22019] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(449),
    1,
    sym_comment,
    ACTIONS(2233),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22036] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(450),
    1,
    sym_comment,
    ACTIONS(1514),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22053] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    STATE(451),
    1,
    sym_comment,
    ACTIONS(2016),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [22072] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(452),
    1,
    sym_comment,
    STATE(647),
    1,
    sym_any_declarator,
    STATE(1036),
    1,
    sym_any_declarators,
    STATE(894),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [22095] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2185),
    1,
    anon_sym_Object,
    STATE(453),
    1,
    sym_comment,
    STATE(836),
    1,
    sym_scoped_name,
    STATE(1269),
    1,
    sym_interface_type,
    [22120] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1144),
    1,
    sym_identifier,
    ACTIONS(2237),
    1,
    anon_sym_truncatable,
    STATE(454),
    1,
    sym_comment,
    STATE(569),
    1,
    sym_value_name,
    STATE(574),
    1,
    sym_scoped_name,
    [22145] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2239),
    1,
    anon_sym_COLON,
    ACTIONS(2241),
    1,
    anon_sym_supports,
    ACTIONS(2243),
    1,
    anon_sym_manages,
    STATE(455),
    1,
    sym_comment,
    STATE(658),
    1,
    sym_home_inheritance_spec,
    STATE(1024),
    1,
    sym_supported_interface_spec,
    [22170] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2245),
    1,
    anon_sym_LT,
    STATE(456),
    1,
    sym_comment,
    ACTIONS(2247),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [22189] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(457),
    1,
    sym_comment,
    ACTIONS(2249),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22206] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2176),
    1,
    sym_identifier,
    STATE(458),
    1,
    sym_comment,
    STATE(552),
    1,
    aux_sym_enumerator_repeat1,
    STATE(808),
    1,
    sym_enum_modifier,
    STATE(902),
    1,
    sym_enumerator,
    [22231] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2223),
    1,
    anon_sym_bitfield,
    ACTIONS(2251),
    1,
    anon_sym_RBRACE,
    STATE(459),
    1,
    sym_comment,
    STATE(472),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(718),
    1,
    sym_bitfield_spec,
    STATE(923),
    1,
    sym_bitfield,
    [22256] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2253),
    1,
    anon_sym_RBRACE,
    ACTIONS(2255),
    1,
    anon_sym_bitfield,
    STATE(718),
    1,
    sym_bitfield_spec,
    STATE(923),
    1,
    sym_bitfield,
    STATE(460),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [22279] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(461),
    1,
    sym_comment,
    ACTIONS(2258),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22296] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2260),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2262),
    1,
    anon_sym_LPAREN,
    STATE(462),
    1,
    sym_comment,
    ACTIONS(1498),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(463),
    1,
    sym_comment,
    ACTIONS(2264),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22334] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2266),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2268),
    1,
    anon_sym_LPAREN,
    STATE(464),
    1,
    sym_comment,
    ACTIONS(1496),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22355] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(465),
    1,
    sym_comment,
    ACTIONS(1512),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22372] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(466),
    1,
    sym_comment,
    ACTIONS(2270),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22389] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(467),
    1,
    sym_comment,
    STATE(480),
    1,
    sym_declarator,
    STATE(611),
    1,
    sym_declarators,
    STATE(686),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [22412] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(468),
    1,
    sym_comment,
    ACTIONS(2272),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22429] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(469),
    1,
    sym_comment,
    ACTIONS(2274),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(470),
    1,
    sym_comment,
    ACTIONS(2276),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22463] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(471),
    1,
    sym_comment,
    ACTIONS(2278),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [22480] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2223),
    1,
    anon_sym_bitfield,
    ACTIONS(2280),
    1,
    anon_sym_RBRACE,
    STATE(460),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(472),
    1,
    sym_comment,
    STATE(718),
    1,
    sym_bitfield_spec,
    STATE(923),
    1,
    sym_bitfield,
    [22505] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2223),
    1,
    anon_sym_bitfield,
    ACTIONS(2282),
    1,
    anon_sym_RBRACE,
    STATE(443),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(473),
    1,
    sym_comment,
    STATE(718),
    1,
    sym_bitfield_spec,
    STATE(923),
    1,
    sym_bitfield,
    [22530] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2082),
    1,
    anon_sym_COMMA,
    ACTIONS(2284),
    1,
    anon_sym_SEMI,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    STATE(474),
    1,
    sym_comment,
    STATE(747),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(1029),
    1,
    sym_raises_expr,
    [22555] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    STATE(475),
    1,
    sym_comment,
    ACTIONS(2288),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [22573] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2290),
    1,
    anon_sym_LBRACE,
    ACTIONS(2292),
    1,
    anon_sym_COLON,
    STATE(476),
    1,
    sym_comment,
    ACTIONS(2294),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [22593] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    STATE(477),
    1,
    sym_comment,
    STATE(883),
    1,
    sym_raises_expr,
    ACTIONS(2296),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [22613] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2298),
    1,
    anon_sym_RPAREN,
    ACTIONS(2300),
    1,
    anon_sym_in,
    STATE(478),
    1,
    sym_comment,
    STATE(757),
    1,
    sym_in_param_dcl,
    STATE(1046),
    1,
    sym_in_parameter_dcls,
    [22635] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(479),
    1,
    sym_comment,
    STATE(787),
    1,
    sym_scoped_name,
    STATE(1282),
    1,
    sym_interface_name,
    [22657] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    anon_sym_COMMA,
    STATE(480),
    1,
    sym_comment,
    STATE(566),
    1,
    aux_sym_declarators_repeat1,
    ACTIONS(2304),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [22677] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(481),
    1,
    sym_comment,
    STATE(1083),
    1,
    sym_service_platform,
    ACTIONS(2306),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [22695] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(482),
    1,
    sym_comment,
    STATE(945),
    1,
    sym_extensibility_kind,
    ACTIONS(2308),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [22713] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2310),
    1,
    anon_sym_LBRACE,
    ACTIONS(2312),
    1,
    anon_sym_primarykey,
    STATE(483),
    1,
    sym_comment,
    STATE(1026),
    1,
    sym_primary_key_spec,
    [22735] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2314),
    1,
    anon_sym_RPAREN,
    STATE(484),
    1,
    sym_comment,
    STATE(937),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22755] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2316),
    1,
    anon_sym_RPAREN,
    STATE(485),
    1,
    sym_comment,
    STATE(938),
    1,
    sym_autoid_kind,
    ACTIONS(2318),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [22775] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2320),
    1,
    anon_sym_COMMA,
    ACTIONS(2288),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(486),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [22793] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(487),
    1,
    sym_comment,
    ACTIONS(2323),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [22809] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(488),
    1,
    sym_comment,
    STATE(542),
    1,
    sym_value_name,
    STATE(574),
    1,
    sym_scoped_name,
    [22831] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2327),
    1,
    anon_sym_LPAREN,
    STATE(489),
    1,
    sym_comment,
    ACTIONS(1476),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(490),
    1,
    sym_comment,
    ACTIONS(2329),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [22865] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2331),
    1,
    anon_sym_LPAREN,
    STATE(491),
    1,
    sym_comment,
    ACTIONS(1458),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22883] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2333),
    1,
    anon_sym_COMMA,
    ACTIONS(2336),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(492),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [22901] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COMMA,
    ACTIONS(2340),
    1,
    anon_sym_LBRACE,
    ACTIONS(2342),
    1,
    anon_sym_supports,
    STATE(492),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(493),
    1,
    sym_comment,
    [22923] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(494),
    1,
    sym_comment,
    STATE(735),
    1,
    sym_interface_name,
    STATE(787),
    1,
    sym_scoped_name,
    [22945] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2344),
    1,
    anon_sym_LPAREN,
    STATE(495),
    1,
    sym_comment,
    ACTIONS(1446),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [22963] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2346),
    1,
    sym_escape_sequence,
    ACTIONS(2348),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2350),
    1,
    aux_sym_string_literal_token1,
    STATE(496),
    1,
    sym_comment,
    STATE(512),
    1,
    aux_sym_string_literal_repeat1,
    [22985] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2352),
    1,
    anon_sym_LBRACE,
    ACTIONS(2354),
    1,
    anon_sym_COLON,
    ACTIONS(2356),
    1,
    anon_sym_SEMI,
    STATE(497),
    1,
    sym_comment,
    STATE(1021),
    1,
    sym_interface_inheritance_spec,
    [23007] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2358),
    1,
    anon_sym_COMMA,
    ACTIONS(2361),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(498),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [23025] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2363),
    1,
    anon_sym_LPAREN,
    STATE(499),
    1,
    sym_comment,
    ACTIONS(1452),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23043] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2365),
    1,
    anon_sym_LPAREN,
    STATE(500),
    1,
    sym_comment,
    ACTIONS(1464),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23061] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(501),
    1,
    sym_comment,
    ACTIONS(2016),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23077] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2369),
    1,
    anon_sym_SQUOTE,
    STATE(502),
    1,
    sym_comment,
    STATE(575),
    1,
    aux_sym_char_literal_repeat1,
    ACTIONS(2367),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [23097] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2371),
    1,
    anon_sym_LPAREN,
    STATE(503),
    1,
    sym_comment,
    ACTIONS(1470),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23115] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(504),
    1,
    sym_comment,
    ACTIONS(2373),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23131] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2375),
    1,
    anon_sym_LPAREN,
    STATE(505),
    1,
    sym_comment,
    ACTIONS(1482),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23149] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(506),
    1,
    sym_comment,
    STATE(1201),
    1,
    sym_service_platform,
    ACTIONS(2306),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [23167] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(507),
    1,
    sym_comment,
    ACTIONS(2377),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23183] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(508),
    1,
    sym_comment,
    ACTIONS(2379),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23199] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2381),
    1,
    anon_sym_LPAREN,
    STATE(509),
    1,
    sym_comment,
    ACTIONS(1488),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23217] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2383),
    1,
    anon_sym_LPAREN,
    STATE(510),
    1,
    sym_comment,
    ACTIONS(1508),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23235] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(511),
    1,
    sym_comment,
    ACTIONS(2385),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23251] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2387),
    1,
    sym_escape_sequence,
    ACTIONS(2390),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2392),
    1,
    aux_sym_string_literal_token1,
    STATE(512),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [23271] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(275),
    1,
    sym_char_literal,
    STATE(282),
    1,
    sym_string_literal,
    STATE(513),
    1,
    sym_comment,
    [23293] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(514),
    1,
    sym_comment,
    STATE(787),
    1,
    sym_scoped_name,
    STATE(796),
    1,
    sym_interface_name,
    [23315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(515),
    1,
    sym_comment,
    ACTIONS(2395),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23331] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(516),
    1,
    sym_comment,
    ACTIONS(2397),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23347] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(517),
    1,
    sym_comment,
    ACTIONS(2399),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23363] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(518),
    1,
    sym_comment,
    ACTIONS(2401),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23379] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2312),
    1,
    anon_sym_primarykey,
    ACTIONS(2403),
    1,
    anon_sym_LBRACE,
    STATE(519),
    1,
    sym_comment,
    STATE(1218),
    1,
    sym_primary_key_spec,
    [23401] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    STATE(520),
    1,
    sym_comment,
    STATE(818),
    1,
    sym_raises_expr,
    ACTIONS(2405),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [23421] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2407),
    1,
    anon_sym_LPAREN,
    STATE(521),
    1,
    sym_comment,
    ACTIONS(1474),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23439] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2409),
    1,
    anon_sym_COMMA,
    ACTIONS(2411),
    1,
    anon_sym_LBRACE,
    STATE(522),
    1,
    sym_comment,
    STATE(636),
    1,
    aux_sym_raises_expr_repeat1,
    [23461] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2413),
    1,
    anon_sym_LPAREN,
    STATE(523),
    1,
    sym_comment,
    ACTIONS(1456),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23479] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2346),
    1,
    sym_escape_sequence,
    ACTIONS(2350),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2415),
    1,
    anon_sym_DQUOTE,
    STATE(524),
    1,
    sym_comment,
    STATE(528),
    1,
    aux_sym_string_literal_repeat1,
    [23501] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2417),
    1,
    anon_sym_LPAREN,
    STATE(525),
    1,
    sym_comment,
    ACTIONS(1444),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23519] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(526),
    1,
    sym_comment,
    STATE(740),
    1,
    sym_interface_name,
    STATE(787),
    1,
    sym_scoped_name,
    [23541] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(527),
    1,
    sym_comment,
    STATE(876),
    1,
    sym_any_declarator,
    STATE(894),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [23561] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2346),
    1,
    sym_escape_sequence,
    ACTIONS(2350),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2419),
    1,
    anon_sym_DQUOTE,
    STATE(512),
    1,
    aux_sym_string_literal_repeat1,
    STATE(528),
    1,
    sym_comment,
    [23583] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2421),
    1,
    anon_sym_RPAREN,
    STATE(529),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_autoid_kind,
    ACTIONS(2318),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [23603] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(530),
    1,
    sym_comment,
    ACTIONS(2423),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [23619] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2425),
    1,
    anon_sym_RPAREN,
    STATE(531),
    1,
    sym_comment,
    STATE(1091),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23639] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2427),
    1,
    anon_sym_LPAREN,
    STATE(532),
    1,
    sym_comment,
    ACTIONS(1450),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23657] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2429),
    1,
    anon_sym_LPAREN,
    STATE(533),
    1,
    sym_comment,
    ACTIONS(1462),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23675] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2431),
    1,
    anon_sym_RPAREN,
    STATE(534),
    1,
    sym_comment,
    STATE(1126),
    1,
    sym_autoid_kind,
    ACTIONS(2318),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [23695] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2433),
    1,
    anon_sym_RPAREN,
    STATE(535),
    1,
    sym_comment,
    STATE(1127),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23715] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2435),
    1,
    anon_sym_LPAREN,
    STATE(536),
    1,
    sym_comment,
    ACTIONS(1468),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23733] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2437),
    1,
    anon_sym_LPAREN,
    STATE(537),
    1,
    sym_comment,
    ACTIONS(1480),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23751] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2439),
    1,
    anon_sym_RPAREN,
    STATE(538),
    1,
    sym_comment,
    STATE(1157),
    1,
    sym_autoid_kind,
    ACTIONS(2318),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [23771] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2441),
    1,
    anon_sym_RPAREN,
    STATE(539),
    1,
    sym_comment,
    STATE(1158),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [23791] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2443),
    1,
    anon_sym_LPAREN,
    STATE(540),
    1,
    sym_comment,
    ACTIONS(1486),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23809] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2445),
    1,
    anon_sym_LPAREN,
    STATE(541),
    1,
    sym_comment,
    ACTIONS(1506),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23827] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COMMA,
    ACTIONS(2447),
    1,
    anon_sym_LBRACE,
    ACTIONS(2449),
    1,
    anon_sym_supports,
    STATE(493),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(542),
    1,
    sym_comment,
    [23849] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(543),
    1,
    sym_comment,
    STATE(574),
    1,
    sym_scoped_name,
    STATE(655),
    1,
    sym_value_name,
    [23871] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(544),
    1,
    sym_comment,
    STATE(656),
    1,
    sym_interface_name,
    STATE(787),
    1,
    sym_scoped_name,
    [23893] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COMMA,
    ACTIONS(2447),
    1,
    anon_sym_LBRACE,
    ACTIONS(2449),
    1,
    anon_sym_supports,
    STATE(492),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(545),
    1,
    sym_comment,
    [23915] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2451),
    1,
    anon_sym_RPAREN,
    STATE(546),
    1,
    sym_comment,
    STATE(1187),
    1,
    sym_autoid_kind,
    ACTIONS(2318),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [23935] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(547),
    1,
    sym_comment,
    STATE(1223),
    1,
    sym_declarator,
    STATE(686),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [23955] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2453),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2456),
    1,
    sym_identifier,
    STATE(808),
    1,
    sym_enum_modifier,
    STATE(548),
    2,
    sym_comment,
    aux_sym_enumerator_repeat1,
    [23975] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(549),
    1,
    sym_comment,
    ACTIONS(2458),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [23991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(550),
    1,
    sym_comment,
    ACTIONS(2460),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [24007] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2462),
    1,
    anon_sym_RPAREN,
    STATE(551),
    1,
    sym_comment,
    STATE(1188),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24027] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2174),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2464),
    1,
    sym_identifier,
    STATE(548),
    1,
    aux_sym_enumerator_repeat1,
    STATE(552),
    1,
    sym_comment,
    STATE(808),
    1,
    sym_enum_modifier,
    [24049] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2346),
    1,
    sym_escape_sequence,
    ACTIONS(2350),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2466),
    1,
    anon_sym_DQUOTE,
    STATE(496),
    1,
    aux_sym_string_literal_repeat1,
    STATE(553),
    1,
    sym_comment,
    [24071] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2409),
    1,
    anon_sym_COMMA,
    ACTIONS(2468),
    1,
    anon_sym_RPAREN,
    STATE(554),
    1,
    sym_comment,
    STATE(775),
    1,
    aux_sym_raises_expr_repeat1,
    [24093] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2312),
    1,
    anon_sym_primarykey,
    ACTIONS(2470),
    1,
    anon_sym_LBRACE,
    STATE(555),
    1,
    sym_comment,
    STATE(1012),
    1,
    sym_primary_key_spec,
    [24115] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(556),
    1,
    sym_comment,
    STATE(1123),
    1,
    sym_declarator,
    STATE(686),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [24135] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(557),
    1,
    sym_comment,
    ACTIONS(2472),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [24151] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(558),
    1,
    sym_comment,
    STATE(1094),
    1,
    sym_extensibility_kind,
    ACTIONS(2308),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [24169] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(559),
    1,
    sym_comment,
    STATE(787),
    1,
    sym_scoped_name,
    STATE(910),
    1,
    sym_interface_name,
    [24191] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(560),
    1,
    sym_comment,
    STATE(1104),
    1,
    sym_service_platform,
    ACTIONS(2306),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [24209] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2411),
    1,
    anon_sym_manages,
    ACTIONS(2474),
    1,
    anon_sym_COMMA,
    STATE(561),
    1,
    sym_comment,
    STATE(620),
    1,
    aux_sym_raises_expr_repeat1,
    [24231] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2476),
    1,
    anon_sym_RPAREN,
    ACTIONS(2478),
    1,
    anon_sym_in,
    STATE(562),
    1,
    sym_comment,
    STATE(699),
    1,
    sym_init_param_dcl,
    STATE(991),
    1,
    sym_init_param_dcls,
    [24253] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2480),
    1,
    anon_sym_RPAREN,
    ACTIONS(2482),
    1,
    anon_sym_in,
    STATE(563),
    1,
    sym_comment,
    STATE(705),
    1,
    sym_factory_param_dcl,
    STATE(982),
    1,
    sym_factory_param_dcls,
    [24275] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2478),
    1,
    anon_sym_in,
    ACTIONS(2484),
    1,
    anon_sym_RPAREN,
    STATE(564),
    1,
    sym_comment,
    STATE(699),
    1,
    sym_init_param_dcl,
    STATE(979),
    1,
    sym_init_param_dcls,
    [24297] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    sym_identifier,
    STATE(565),
    1,
    sym_comment,
    STATE(708),
    1,
    sym_declarator,
    STATE(686),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [24317] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2302),
    1,
    anon_sym_COMMA,
    STATE(498),
    1,
    aux_sym_declarators_repeat1,
    STATE(566),
    1,
    sym_comment,
    ACTIONS(2486),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [24337] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(567),
    1,
    sym_comment,
    STATE(1130),
    1,
    sym_extensibility_kind,
    ACTIONS(2308),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [24355] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(568),
    1,
    sym_comment,
    STATE(1140),
    1,
    sym_service_platform,
    ACTIONS(2306),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [24373] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2338),
    1,
    anon_sym_COMMA,
    ACTIONS(2488),
    1,
    anon_sym_LBRACE,
    ACTIONS(2490),
    1,
    anon_sym_supports,
    STATE(545),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(569),
    1,
    sym_comment,
    [24395] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(570),
    1,
    sym_comment,
    STATE(1161),
    1,
    sym_extensibility_kind,
    ACTIONS(2308),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [24413] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2409),
    1,
    anon_sym_COMMA,
    ACTIONS(2492),
    1,
    anon_sym_RPAREN,
    STATE(571),
    1,
    sym_comment,
    STATE(785),
    1,
    aux_sym_raises_expr_repeat1,
    [24435] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(572),
    1,
    sym_comment,
    STATE(1171),
    1,
    sym_service_platform,
    ACTIONS(2306),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [24453] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(573),
    1,
    sym_comment,
    STATE(1191),
    1,
    sym_extensibility_kind,
    ACTIONS(2308),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [24471] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    STATE(574),
    1,
    sym_comment,
    ACTIONS(2494),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [24489] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2499),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2496),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(575),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [24507] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2082),
    1,
    anon_sym_COMMA,
    ACTIONS(2501),
    1,
    anon_sym_SEMI,
    STATE(576),
    1,
    sym_comment,
    STATE(753),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    [24526] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2503),
    1,
    anon_sym_COMMA,
    ACTIONS(2506),
    1,
    anon_sym_RPAREN,
    STATE(577),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [24543] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(578),
    1,
    sym_comment,
    STATE(1203),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24560] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(579),
    1,
    sym_comment,
    STATE(1202),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24577] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(483),
    1,
    sym_scoped_name,
    STATE(580),
    1,
    sym_comment,
    [24596] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(581),
    1,
    sym_comment,
    STATE(1199),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24613] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(582),
    1,
    sym_comment,
    STATE(1198),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24630] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2508),
    1,
    anon_sym_interface,
    ACTIONS(2510),
    1,
    anon_sym_valuetype,
    ACTIONS(2512),
    1,
    anon_sym_eventtype,
    STATE(583),
    1,
    sym_comment,
    [24649] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(584),
    1,
    sym_comment,
    STATE(1193),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24666] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(585),
    1,
    sym_comment,
    STATE(1192),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24683] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(586),
    1,
    sym_comment,
    STATE(879),
    1,
    sym_scoped_name,
    [24702] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2518),
    1,
    anon_sym_LBRACE,
    STATE(587),
    1,
    sym_comment,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [24721] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(474),
    1,
    sym_simple_declarator,
    STATE(588),
    1,
    sym_comment,
    STATE(1007),
    1,
    sym_readonly_attr_declarator,
    [24740] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(589),
    1,
    sym_comment,
    STATE(1173),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24757] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2522),
    1,
    anon_sym_COMMA,
    ACTIONS(2524),
    1,
    anon_sym_RPAREN,
    STATE(590),
    1,
    sym_comment,
    STATE(646),
    1,
    aux_sym_annotation_appl_params_repeat1,
    [24776] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(591),
    1,
    sym_comment,
    STATE(1172),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24793] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2526),
    1,
    anon_sym_RPAREN,
    STATE(592),
    1,
    sym_comment,
    STATE(688),
    1,
    sym_string_literal,
    [24812] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(593),
    1,
    sym_comment,
    STATE(1169),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24829] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(594),
    1,
    sym_comment,
    STATE(1168),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24846] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2528),
    1,
    anon_sym_COMMA,
    ACTIONS(2530),
    1,
    anon_sym_RBRACE,
    STATE(595),
    1,
    sym_comment,
    STATE(663),
    1,
    aux_sym_enum_dcl_repeat1,
    [24865] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2528),
    1,
    anon_sym_COMMA,
    ACTIONS(2530),
    1,
    anon_sym_RBRACE,
    STATE(596),
    1,
    sym_comment,
    STATE(700),
    1,
    aux_sym_enum_dcl_repeat1,
    [24884] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(597),
    1,
    sym_comment,
    STATE(630),
    1,
    sym_scoped_name,
    [24903] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(598),
    1,
    sym_comment,
    STATE(631),
    1,
    sym_scoped_name,
    [24922] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(599),
    1,
    sym_comment,
    STATE(1163),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24939] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(600),
    1,
    sym_comment,
    STATE(1162),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24956] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(601),
    1,
    sym_comment,
    STATE(1142),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24973] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(602),
    1,
    sym_comment,
    STATE(1141),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24990] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(603),
    1,
    sym_comment,
    STATE(1138),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25007] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(604),
    1,
    sym_comment,
    STATE(1137),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25024] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(605),
    1,
    sym_comment,
    STATE(1132),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25041] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(606),
    1,
    sym_comment,
    STATE(1131),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25058] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2532),
    1,
    anon_sym_GT,
    ACTIONS(2534),
    1,
    anon_sym_COMMA,
    STATE(607),
    1,
    sym_comment,
    STATE(652),
    1,
    aux_sym_actual_parameters_repeat1,
    [25077] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    STATE(608),
    1,
    sym_comment,
    ACTIONS(2288),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [25094] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(609),
    1,
    sym_comment,
    STATE(1106),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25111] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(610),
    1,
    sym_comment,
    STATE(1105),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25128] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2536),
    1,
    anon_sym_SEMI,
    ACTIONS(2538),
    1,
    anon_sym_default,
    STATE(611),
    1,
    sym_comment,
    STATE(970),
    1,
    sym_default,
    [25147] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(612),
    1,
    sym_comment,
    STATE(1102),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25164] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(613),
    1,
    sym_comment,
    STATE(1101),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25181] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(614),
    1,
    sym_comment,
    STATE(1096),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25198] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2540),
    1,
    anon_sym_GT,
    ACTIONS(2542),
    1,
    anon_sym_COMMA,
    STATE(615),
    1,
    sym_comment,
    STATE(649),
    1,
    aux_sym_formal_parameters_repeat1,
    [25217] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(616),
    1,
    sym_comment,
    STATE(1095),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25234] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_SEMI,
    ACTIONS(2546),
    1,
    anon_sym_context,
    STATE(617),
    1,
    sym_comment,
    STATE(1011),
    1,
    sym_context_expr,
    [25253] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2548),
    1,
    anon_sym_SEMI,
    ACTIONS(2550),
    1,
    sym_identifier,
    STATE(618),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [25270] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2288),
    1,
    anon_sym_manages,
    ACTIONS(2553),
    1,
    anon_sym_COMMA,
    STATE(619),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [25287] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2474),
    1,
    anon_sym_COMMA,
    ACTIONS(2556),
    1,
    anon_sym_manages,
    STATE(619),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(620),
    1,
    sym_comment,
    [25306] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(608),
    1,
    sym_scoped_name,
    STATE(621),
    1,
    sym_comment,
    [25325] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2546),
    1,
    anon_sym_context,
    ACTIONS(2558),
    1,
    anon_sym_SEMI,
    STATE(622),
    1,
    sym_comment,
    STATE(1011),
    1,
    sym_context_expr,
    [25344] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2560),
    1,
    anon_sym_COMMA,
    ACTIONS(2563),
    1,
    anon_sym_RBRACE,
    STATE(623),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [25361] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(561),
    1,
    sym_scoped_name,
    STATE(624),
    1,
    sym_comment,
    [25380] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1514),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2565),
    1,
    anon_sym_LT,
    ACTIONS(2567),
    1,
    anon_sym_LBRACE,
    STATE(625),
    1,
    sym_comment,
    [25399] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2569),
    1,
    anon_sym_COMMA,
    ACTIONS(2572),
    1,
    anon_sym_SEMI,
    STATE(626),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [25416] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(475),
    1,
    sym_scoped_name,
    STATE(627),
    1,
    sym_comment,
    [25435] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(628),
    1,
    sym_comment,
    STATE(928),
    1,
    sym_dec_number,
    ACTIONS(1798),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [25452] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2574),
    1,
    anon_sym_SEMI,
    ACTIONS(2576),
    1,
    anon_sym_switch,
    ACTIONS(2578),
    1,
    sym_identifier,
    STATE(629),
    1,
    sym_comment,
    [25471] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    STATE(630),
    1,
    sym_comment,
    STATE(1033),
    1,
    sym_string_literal,
    [25490] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    STATE(631),
    1,
    sym_comment,
    STATE(1032),
    1,
    sym_string_literal,
    [25509] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2580),
    1,
    anon_sym_LBRACE,
    ACTIONS(2582),
    1,
    anon_sym_COLON,
    STATE(632),
    1,
    sym_comment,
    STATE(1022),
    1,
    sym_connector_inherit_spec,
    [25528] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2586),
    1,
    aux_sym_string_literal_token1,
    STATE(633),
    1,
    sym_comment,
    ACTIONS(2584),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [25545] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(634),
    1,
    sym_comment,
    STATE(925),
    1,
    sym_scoped_name,
    [25564] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(635),
    1,
    sym_comment,
    STATE(946),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25581] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2409),
    1,
    anon_sym_COMMA,
    ACTIONS(2556),
    1,
    anon_sym_LBRACE,
    STATE(486),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(636),
    1,
    sym_comment,
    [25600] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(637),
    1,
    sym_comment,
    STATE(948),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25617] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(638),
    1,
    sym_comment,
    STATE(1049),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25634] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(639),
    1,
    sym_comment,
    STATE(1050),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25651] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(640),
    1,
    sym_comment,
    STATE(1085),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25668] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(641),
    1,
    sym_comment,
    STATE(1087),
    1,
    sym_boolean_literal,
    ACTIONS(1802),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [25685] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(642),
    1,
    sym_comment,
    STATE(878),
    1,
    sym_dec_number,
    ACTIONS(1798),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [25702] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(643),
    1,
    sym_comment,
    ACTIONS(2588),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [25717] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2128),
    1,
    anon_sym_supports,
    ACTIONS(2590),
    1,
    anon_sym_LBRACE,
    STATE(644),
    1,
    sym_comment,
    STATE(1290),
    1,
    sym_value_supports,
    [25736] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(645),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_scoped_name,
    [25755] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2592),
    1,
    anon_sym_COMMA,
    ACTIONS(2595),
    1,
    anon_sym_RPAREN,
    STATE(646),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [25772] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2597),
    1,
    anon_sym_COMMA,
    ACTIONS(2599),
    1,
    anon_sym_SEMI,
    STATE(647),
    1,
    sym_comment,
    STATE(782),
    1,
    aux_sym_any_declarators_repeat1,
    [25791] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(648),
    1,
    sym_comment,
    STATE(781),
    1,
    sym_scoped_name,
    [25810] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2601),
    1,
    anon_sym_GT,
    ACTIONS(2603),
    1,
    anon_sym_COMMA,
    STATE(649),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [25827] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(522),
    1,
    sym_scoped_name,
    STATE(650),
    1,
    sym_comment,
    [25846] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2146),
    1,
    anon_sym_supports,
    ACTIONS(2606),
    1,
    anon_sym_LBRACE,
    STATE(651),
    1,
    sym_comment,
    STATE(997),
    1,
    sym_supported_interface_spec,
    [25865] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2608),
    1,
    anon_sym_GT,
    ACTIONS(2610),
    1,
    anon_sym_COMMA,
    STATE(652),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [25882] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(653),
    1,
    sym_comment,
    STATE(764),
    1,
    sym_scoped_name,
    [25901] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(519),
    1,
    sym_scoped_name,
    STATE(654),
    1,
    sym_comment,
    [25920] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(655),
    1,
    sym_comment,
    ACTIONS(2336),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [25935] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2340),
    1,
    anon_sym_LBRACE,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    STATE(656),
    1,
    sym_comment,
    STATE(737),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [25954] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2613),
    1,
    anon_sym_COMMA,
    ACTIONS(2615),
    1,
    anon_sym_RBRACE,
    STATE(623),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(657),
    1,
    sym_comment,
    [25973] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2241),
    1,
    anon_sym_supports,
    ACTIONS(2617),
    1,
    anon_sym_manages,
    STATE(658),
    1,
    sym_comment,
    STATE(1045),
    1,
    sym_supported_interface_spec,
    [25992] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(659),
    1,
    sym_comment,
    STATE(904),
    1,
    sym_scoped_name,
    [26011] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(660),
    1,
    sym_comment,
    ACTIONS(1554),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26026] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(661),
    1,
    sym_comment,
    ACTIONS(1562),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26041] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(662),
    1,
    sym_comment,
    ACTIONS(1586),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26056] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2619),
    1,
    anon_sym_COMMA,
    ACTIONS(2622),
    1,
    anon_sym_RBRACE,
    STATE(663),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [26073] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(664),
    1,
    sym_comment,
    ACTIONS(1594),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26088] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(665),
    1,
    sym_comment,
    ACTIONS(1598),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26103] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(666),
    1,
    sym_comment,
    ACTIONS(1602),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26118] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(667),
    1,
    sym_comment,
    ACTIONS(2624),
    3,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    [26133] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2626),
    1,
    anon_sym_SEMI,
    ACTIONS(2628),
    1,
    sym_identifier,
    STATE(618),
    1,
    aux_sym_bitfield_repeat1,
    STATE(668),
    1,
    sym_comment,
    [26152] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(669),
    1,
    sym_comment,
    ACTIONS(1606),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26167] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(670),
    1,
    sym_comment,
    ACTIONS(1522),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26182] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(671),
    1,
    sym_comment,
    ACTIONS(1622),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26197] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(672),
    1,
    sym_comment,
    ACTIONS(1626),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26212] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(673),
    1,
    sym_comment,
    ACTIONS(1634),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26227] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(674),
    1,
    sym_comment,
    ACTIONS(1654),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26242] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(675),
    1,
    sym_comment,
    ACTIONS(1646),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26257] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2630),
    1,
    anon_sym_COMMA,
    ACTIONS(2633),
    1,
    anon_sym_LBRACE,
    STATE(676),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [26274] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(677),
    1,
    sym_comment,
    ACTIONS(1642),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26289] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(678),
    1,
    sym_comment,
    ACTIONS(1638),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26304] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(679),
    1,
    sym_comment,
    ACTIONS(1614),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26319] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(680),
    1,
    sym_comment,
    ACTIONS(1558),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26334] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(681),
    1,
    sym_comment,
    ACTIONS(1542),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26349] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(682),
    1,
    sym_comment,
    ACTIONS(1650),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26364] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2088),
    1,
    anon_sym_setraises,
    ACTIONS(2635),
    1,
    anon_sym_SEMI,
    STATE(683),
    1,
    sym_comment,
    STATE(1034),
    1,
    sym_set_excep_expr,
    [26383] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(684),
    1,
    sym_comment,
    ACTIONS(1570),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26398] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2538),
    1,
    anon_sym_default,
    ACTIONS(2637),
    1,
    anon_sym_SEMI,
    STATE(685),
    1,
    sym_comment,
    STATE(1229),
    1,
    sym_default,
    [26417] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(686),
    1,
    sym_comment,
    ACTIONS(2639),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [26432] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(687),
    1,
    sym_comment,
    ACTIONS(1566),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26447] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2641),
    1,
    anon_sym_COMMA,
    ACTIONS(2643),
    1,
    anon_sym_RPAREN,
    STATE(688),
    1,
    sym_comment,
    STATE(760),
    1,
    aux_sym_context_expr_repeat1,
    [26466] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(689),
    1,
    sym_comment,
    ACTIONS(1530),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26481] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(690),
    1,
    sym_comment,
    ACTIONS(1582),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26496] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(691),
    1,
    sym_comment,
    ACTIONS(1590),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26511] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(692),
    1,
    sym_comment,
    ACTIONS(1618),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26526] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_COMMA,
    ACTIONS(2647),
    1,
    anon_sym_RPAREN,
    STATE(693),
    1,
    sym_comment,
    STATE(765),
    1,
    aux_sym_parameter_dcls_repeat1,
    [26545] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(694),
    1,
    sym_comment,
    ACTIONS(1518),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26560] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(695),
    1,
    sym_comment,
    ACTIONS(1610),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26575] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    ACTIONS(2649),
    1,
    anon_sym_SEMI,
    STATE(696),
    1,
    sym_comment,
    STATE(1183),
    1,
    sym_raises_expr,
    [26594] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(697),
    1,
    sym_comment,
    ACTIONS(1538),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26609] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(698),
    1,
    sym_comment,
    ACTIONS(1630),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26624] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2651),
    1,
    anon_sym_COMMA,
    ACTIONS(2653),
    1,
    anon_sym_RPAREN,
    STATE(699),
    1,
    sym_comment,
    STATE(772),
    1,
    aux_sym_init_param_dcls_repeat1,
    [26643] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2528),
    1,
    anon_sym_COMMA,
    ACTIONS(2655),
    1,
    anon_sym_RBRACE,
    STATE(663),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(700),
    1,
    sym_comment,
    [26662] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(701),
    1,
    sym_comment,
    ACTIONS(1658),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26677] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    ACTIONS(2657),
    1,
    anon_sym_SEMI,
    STATE(702),
    1,
    sym_comment,
    STATE(1222),
    1,
    sym_raises_expr,
    [26696] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2546),
    1,
    anon_sym_context,
    ACTIONS(2659),
    1,
    anon_sym_SEMI,
    STATE(703),
    1,
    sym_comment,
    STATE(1011),
    1,
    sym_context_expr,
    [26715] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(704),
    1,
    sym_comment,
    ACTIONS(1578),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26730] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2661),
    1,
    anon_sym_COMMA,
    ACTIONS(2663),
    1,
    anon_sym_RPAREN,
    STATE(705),
    1,
    sym_comment,
    STATE(778),
    1,
    aux_sym_factory_param_dcls_repeat1,
    [26749] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    ACTIONS(2665),
    1,
    anon_sym_SEMI,
    STATE(706),
    1,
    sym_comment,
    STATE(1236),
    1,
    sym_raises_expr,
    [26768] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(707),
    1,
    sym_comment,
    ACTIONS(1574),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26783] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(708),
    1,
    sym_comment,
    ACTIONS(2361),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [26798] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(709),
    1,
    sym_comment,
    ACTIONS(1550),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26813] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(710),
    1,
    sym_comment,
    ACTIONS(1546),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26828] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(711),
    1,
    sym_comment,
    STATE(908),
    1,
    sym_scoped_name,
    [26847] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(712),
    1,
    sym_comment,
    ACTIONS(1534),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26862] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(713),
    1,
    sym_comment,
    ACTIONS(1526),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [26877] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(714),
    1,
    sym_comment,
    STATE(920),
    1,
    sym_scoped_name,
    [26896] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(715),
    1,
    sym_comment,
    STATE(919),
    1,
    sym_scoped_name,
    [26915] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(716),
    1,
    sym_comment,
    STATE(918),
    1,
    sym_scoped_name,
    [26934] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(717),
    1,
    sym_comment,
    STATE(917),
    1,
    sym_scoped_name,
    [26953] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2628),
    1,
    sym_identifier,
    ACTIONS(2667),
    1,
    anon_sym_SEMI,
    STATE(668),
    1,
    aux_sym_bitfield_repeat1,
    STATE(718),
    1,
    sym_comment,
    [26972] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2613),
    1,
    anon_sym_COMMA,
    ACTIONS(2669),
    1,
    anon_sym_RBRACE,
    STATE(657),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(719),
    1,
    sym_comment,
    [26991] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(502),
    1,
    aux_sym_char_literal_repeat1,
    STATE(720),
    1,
    sym_comment,
    ACTIONS(2367),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [27008] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(721),
    1,
    sym_comment,
    ACTIONS(1552),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27023] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(722),
    1,
    sym_comment,
    ACTIONS(1560),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27038] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(723),
    1,
    sym_comment,
    ACTIONS(1584),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27053] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(724),
    1,
    sym_comment,
    ACTIONS(1592),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27068] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(725),
    1,
    sym_comment,
    ACTIONS(1596),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27083] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(726),
    1,
    sym_comment,
    ACTIONS(1600),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27098] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(727),
    1,
    sym_comment,
    ACTIONS(1604),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27113] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(728),
    1,
    sym_comment,
    ACTIONS(1520),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27128] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(729),
    1,
    sym_comment,
    ACTIONS(1620),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27143] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(730),
    1,
    sym_comment,
    STATE(802),
    1,
    sym_scoped_name,
    [27162] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(731),
    1,
    sym_comment,
    ACTIONS(1624),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27177] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(732),
    1,
    sym_comment,
    ACTIONS(1632),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27192] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(733),
    1,
    sym_comment,
    ACTIONS(1652),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27207] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(734),
    1,
    sym_comment,
    ACTIONS(1644),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27222] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2671),
    1,
    anon_sym_LBRACE,
    STATE(735),
    1,
    sym_comment,
    STATE(795),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [27241] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(736),
    1,
    sym_comment,
    ACTIONS(1640),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27256] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2671),
    1,
    anon_sym_LBRACE,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(737),
    1,
    sym_comment,
    [27275] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(738),
    1,
    sym_comment,
    ACTIONS(1636),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27290] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(398),
    1,
    sym_simple_declarator,
    STATE(739),
    1,
    sym_comment,
    STATE(1285),
    1,
    sym_attr_declarator,
    [27309] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2673),
    1,
    anon_sym_LBRACE,
    STATE(587),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(740),
    1,
    sym_comment,
    [27328] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(741),
    1,
    sym_comment,
    ACTIONS(1612),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27343] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(742),
    1,
    sym_comment,
    ACTIONS(1556),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27358] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(743),
    1,
    sym_comment,
    ACTIONS(1540),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27373] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(744),
    1,
    sym_comment,
    ACTIONS(1648),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27388] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(745),
    1,
    sym_comment,
    ACTIONS(1568),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27403] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(746),
    1,
    sym_comment,
    ACTIONS(1564),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27418] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2082),
    1,
    anon_sym_COMMA,
    ACTIONS(2675),
    1,
    anon_sym_SEMI,
    STATE(747),
    1,
    sym_comment,
    STATE(753),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    [27437] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(748),
    1,
    sym_comment,
    ACTIONS(1528),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27452] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(571),
    1,
    sym_scoped_name,
    STATE(749),
    1,
    sym_comment,
    [27471] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(750),
    1,
    sym_comment,
    ACTIONS(1580),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27486] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(751),
    1,
    sym_comment,
    ACTIONS(1588),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27501] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(752),
    1,
    sym_comment,
    ACTIONS(1616),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27516] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2677),
    1,
    anon_sym_COMMA,
    ACTIONS(2680),
    1,
    anon_sym_SEMI,
    STATE(753),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [27533] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(754),
    1,
    sym_comment,
    ACTIONS(1516),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27548] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(755),
    1,
    sym_comment,
    ACTIONS(1608),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27563] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(756),
    1,
    sym_comment,
    ACTIONS(1536),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27578] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2682),
    1,
    anon_sym_COMMA,
    ACTIONS(2684),
    1,
    anon_sym_RPAREN,
    STATE(757),
    1,
    sym_comment,
    STATE(792),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    [27597] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(758),
    1,
    sym_comment,
    ACTIONS(1628),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27612] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(759),
    1,
    sym_comment,
    ACTIONS(1656),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27627] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2641),
    1,
    anon_sym_COMMA,
    ACTIONS(2686),
    1,
    anon_sym_RPAREN,
    STATE(577),
    1,
    aux_sym_context_expr_repeat1,
    STATE(760),
    1,
    sym_comment,
    [27646] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(761),
    1,
    sym_comment,
    ACTIONS(1576),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27661] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(762),
    1,
    sym_comment,
    ACTIONS(1572),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27676] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    sym_identifier,
    STATE(555),
    1,
    sym_scoped_name,
    STATE(763),
    1,
    sym_comment,
    [27695] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    STATE(764),
    1,
    sym_comment,
    ACTIONS(2688),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [27712] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2645),
    1,
    anon_sym_COMMA,
    ACTIONS(2690),
    1,
    anon_sym_RPAREN,
    STATE(765),
    1,
    sym_comment,
    STATE(793),
    1,
    aux_sym_parameter_dcls_repeat1,
    [27731] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(766),
    1,
    sym_comment,
    ACTIONS(1548),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27746] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(767),
    1,
    sym_comment,
    ACTIONS(1544),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27761] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2522),
    1,
    anon_sym_COMMA,
    ACTIONS(2692),
    1,
    anon_sym_RPAREN,
    STATE(590),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(768),
    1,
    sym_comment,
    [27780] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(769),
    1,
    sym_comment,
    ACTIONS(1532),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27795] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    ACTIONS(2694),
    1,
    anon_sym_SEMI,
    STATE(770),
    1,
    sym_comment,
    STATE(1300),
    1,
    sym_raises_expr,
    [27814] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(771),
    1,
    sym_comment,
    ACTIONS(1524),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [27829] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2651),
    1,
    anon_sym_COMMA,
    ACTIONS(2696),
    1,
    anon_sym_RPAREN,
    STATE(772),
    1,
    sym_comment,
    STATE(791),
    1,
    aux_sym_init_param_dcls_repeat1,
    [27848] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2698),
    1,
    anon_sym_GT,
    ACTIONS(2700),
    1,
    anon_sym_COMMA,
    STATE(773),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [27865] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2703),
    1,
    anon_sym_GT,
    ACTIONS(2705),
    1,
    anon_sym_COMMA,
    STATE(773),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(774),
    1,
    sym_comment,
    [27884] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2409),
    1,
    anon_sym_COMMA,
    ACTIONS(2707),
    1,
    anon_sym_RPAREN,
    STATE(486),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(775),
    1,
    sym_comment,
    [27903] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    ACTIONS(2709),
    1,
    anon_sym_SEMI,
    STATE(776),
    1,
    sym_comment,
    STATE(1298),
    1,
    sym_raises_expr,
    [27922] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(777),
    1,
    sym_comment,
    ACTIONS(2711),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [27937] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2661),
    1,
    anon_sym_COMMA,
    ACTIONS(2713),
    1,
    anon_sym_RPAREN,
    STATE(778),
    1,
    sym_comment,
    STATE(788),
    1,
    aux_sym_factory_param_dcls_repeat1,
    [27956] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2705),
    1,
    anon_sym_COMMA,
    ACTIONS(2715),
    1,
    anon_sym_GT,
    STATE(774),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(779),
    1,
    sym_comment,
    [27975] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_raises,
    ACTIONS(2717),
    1,
    anon_sym_SEMI,
    STATE(780),
    1,
    sym_comment,
    STATE(1293),
    1,
    sym_raises_expr,
    [27994] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1866),
    1,
    anon_sym_COLON_COLON,
    STATE(781),
    1,
    sym_comment,
    ACTIONS(2719),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [28011] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2597),
    1,
    anon_sym_COMMA,
    ACTIONS(2721),
    1,
    anon_sym_SEMI,
    STATE(626),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(782),
    1,
    sym_comment,
    [28030] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2542),
    1,
    anon_sym_COMMA,
    ACTIONS(2723),
    1,
    anon_sym_GT,
    STATE(615),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(783),
    1,
    sym_comment,
    [28049] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2725),
    1,
    anon_sym_COMMA,
    ACTIONS(2728),
    1,
    anon_sym_RPAREN,
    STATE(784),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [28066] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2409),
    1,
    anon_sym_COMMA,
    ACTIONS(2730),
    1,
    anon_sym_RPAREN,
    STATE(486),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(785),
    1,
    sym_comment,
    [28085] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2534),
    1,
    anon_sym_COMMA,
    ACTIONS(2732),
    1,
    anon_sym_GT,
    STATE(607),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(786),
    1,
    sym_comment,
    [28104] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    STATE(787),
    1,
    sym_comment,
    ACTIONS(2734),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [28121] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2736),
    1,
    anon_sym_COMMA,
    ACTIONS(2739),
    1,
    anon_sym_RPAREN,
    STATE(788),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [28138] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(789),
    1,
    sym_comment,
    ACTIONS(2741),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [28153] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2211),
    1,
    anon_sym_RBRACE,
    ACTIONS(2528),
    1,
    anon_sym_COMMA,
    STATE(595),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(790),
    1,
    sym_comment,
    [28172] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2743),
    1,
    anon_sym_COMMA,
    ACTIONS(2746),
    1,
    anon_sym_RPAREN,
    STATE(791),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [28189] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2682),
    1,
    anon_sym_COMMA,
    ACTIONS(2748),
    1,
    anon_sym_RPAREN,
    STATE(784),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(792),
    1,
    sym_comment,
    [28208] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2750),
    1,
    anon_sym_COMMA,
    ACTIONS(2753),
    1,
    anon_sym_RPAREN,
    STATE(793),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [28225] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    sym_identifier,
    STATE(554),
    1,
    sym_scoped_name,
    STATE(794),
    1,
    sym_comment,
    [28244] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2755),
    1,
    anon_sym_LBRACE,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(795),
    1,
    sym_comment,
    [28263] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2755),
    1,
    anon_sym_LBRACE,
    STATE(796),
    1,
    sym_comment,
    STATE(797),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [28282] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_COMMA,
    ACTIONS(2757),
    1,
    anon_sym_LBRACE,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(797),
    1,
    sym_comment,
    [28301] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(798),
    1,
    sym_comment,
    STATE(1035),
    1,
    sym_string_literal,
    [28317] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2759),
    1,
    sym_identifier,
    STATE(799),
    1,
    sym_comment,
    [28333] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_min,
    STATE(800),
    1,
    sym_comment,
    STATE(1358),
    1,
    sym_min_expr,
    [28349] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_min,
    STATE(801),
    1,
    sym_comment,
    STATE(1344),
    1,
    sym_min_expr,
    [28365] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2763),
    1,
    anon_sym_LT,
    STATE(802),
    1,
    sym_comment,
    [28381] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_min,
    STATE(803),
    1,
    sym_comment,
    STATE(1330),
    1,
    sym_min_expr,
    [28397] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_min,
    STATE(804),
    1,
    sym_comment,
    STATE(1316),
    1,
    sym_min_expr,
    [28413] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(805),
    1,
    sym_comment,
    STATE(1208),
    1,
    sym_string_literal,
    [28429] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(806),
    1,
    sym_comment,
    ACTIONS(2765),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28443] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(807),
    1,
    sym_comment,
    STATE(1207),
    1,
    sym_string_literal,
    [28459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(808),
    1,
    sym_comment,
    ACTIONS(2767),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [28473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(809),
    1,
    sym_comment,
    ACTIONS(2769),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [28487] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(810),
    1,
    sym_comment,
    ACTIONS(2771),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [28501] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2773),
    1,
    anon_sym_max,
    STATE(811),
    1,
    sym_comment,
    STATE(1205),
    1,
    sym_max_expr,
    [28517] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(812),
    1,
    sym_comment,
    ACTIONS(2775),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28531] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(813),
    1,
    sym_comment,
    STATE(845),
    1,
    sym_simple_declarator,
    [28547] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(814),
    1,
    sym_comment,
    ACTIONS(2777),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [28561] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2300),
    1,
    anon_sym_in,
    STATE(815),
    1,
    sym_comment,
    STATE(846),
    1,
    sym_in_param_dcl,
    [28577] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(816),
    1,
    sym_comment,
    ACTIONS(2506),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28591] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(817),
    1,
    sym_comment,
    ACTIONS(2779),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28605] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(818),
    1,
    sym_comment,
    ACTIONS(2781),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [28619] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(819),
    1,
    sym_comment,
    ACTIONS(2753),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28633] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(820),
    1,
    sym_comment,
    ACTIONS(2783),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28647] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2785),
    1,
    anon_sym_LBRACE,
    STATE(821),
    1,
    sym_comment,
    [28663] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(822),
    1,
    sym_comment,
    ACTIONS(2787),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28677] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2789),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2791),
    1,
    sym_preproc_arg,
    STATE(823),
    1,
    sym_comment,
    [28693] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(824),
    1,
    sym_comment,
    ACTIONS(2746),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(825),
    1,
    sym_comment,
    ACTIONS(2793),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28721] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(826),
    1,
    sym_comment,
    STATE(1196),
    1,
    sym_string_literal,
    [28737] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(827),
    1,
    sym_comment,
    ACTIONS(2739),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [28751] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2795),
    1,
    anon_sym_RPAREN,
    STATE(828),
    1,
    sym_comment,
    [28767] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(829),
    1,
    sym_comment,
    ACTIONS(2797),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(830),
    1,
    sym_comment,
    ACTIONS(2799),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28795] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(831),
    1,
    sym_comment,
    STATE(1178),
    1,
    sym_string_literal,
    [28811] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2801),
    1,
    sym_identifier,
    STATE(832),
    1,
    sym_comment,
    STATE(1248),
    1,
    sym_formal_parameter_names,
    [28827] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(833),
    1,
    sym_comment,
    STATE(1177),
    1,
    sym_string_literal,
    [28843] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2773),
    1,
    anon_sym_max,
    STATE(834),
    1,
    sym_comment,
    STATE(1175),
    1,
    sym_max_expr,
    [28859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(835),
    1,
    sym_comment,
    ACTIONS(2803),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28873] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2805),
    1,
    sym_identifier,
    STATE(836),
    1,
    sym_comment,
    [28889] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(837),
    1,
    sym_comment,
    ACTIONS(2807),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [28903] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2809),
    1,
    anon_sym_valuetype,
    ACTIONS(2811),
    1,
    anon_sym_eventtype,
    STATE(838),
    1,
    sym_comment,
    [28919] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(839),
    1,
    sym_comment,
    STATE(1166),
    1,
    sym_string_literal,
    [28935] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(840),
    1,
    sym_comment,
    ACTIONS(2813),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [28949] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(841),
    1,
    sym_comment,
    STATE(1060),
    1,
    sym_simple_declarator,
    [28965] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(842),
    1,
    sym_comment,
    STATE(1147),
    1,
    sym_string_literal,
    [28981] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(843),
    1,
    sym_comment,
    ACTIONS(2815),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [28995] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(844),
    1,
    sym_comment,
    STATE(1146),
    1,
    sym_string_literal,
    [29011] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(845),
    1,
    sym_comment,
    ACTIONS(2817),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [29025] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(846),
    1,
    sym_comment,
    ACTIONS(2728),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [29039] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2773),
    1,
    anon_sym_max,
    STATE(847),
    1,
    sym_comment,
    STATE(1144),
    1,
    sym_max_expr,
    [29055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(848),
    1,
    sym_comment,
    ACTIONS(2819),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [29069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(849),
    1,
    sym_comment,
    ACTIONS(2821),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29083] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(850),
    1,
    sym_comment,
    STATE(1135),
    1,
    sym_string_literal,
    [29099] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(851),
    1,
    sym_comment,
    ACTIONS(2823),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29113] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(852),
    1,
    sym_comment,
    STATE(1114),
    1,
    sym_string_literal,
    [29129] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(853),
    1,
    sym_comment,
    STATE(1112),
    1,
    sym_string_literal,
    [29145] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2773),
    1,
    anon_sym_max,
    STATE(854),
    1,
    sym_comment,
    STATE(1110),
    1,
    sym_max_expr,
    [29161] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(855),
    1,
    sym_comment,
    ACTIONS(2825),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [29175] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2482),
    1,
    anon_sym_in,
    STATE(827),
    1,
    sym_factory_param_dcl,
    STATE(856),
    1,
    sym_comment,
    [29191] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(857),
    1,
    sym_comment,
    ACTIONS(2827),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [29205] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2829),
    1,
    sym_identifier,
    STATE(858),
    1,
    sym_comment,
    STATE(891),
    1,
    sym_annotation_appl_param,
    [29221] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(825),
    1,
    sym_simple_declarator,
    STATE(859),
    1,
    sym_comment,
    [29237] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(860),
    1,
    sym_comment,
    ACTIONS(2831),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29251] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(861),
    1,
    sym_comment,
    STATE(1099),
    1,
    sym_string_literal,
    [29267] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(862),
    1,
    sym_comment,
    ACTIONS(2833),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [29281] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(863),
    1,
    sym_comment,
    ACTIONS(2698),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [29295] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2835),
    1,
    anon_sym_GT,
    ACTIONS(2837),
    1,
    anon_sym_COMMA,
    STATE(864),
    1,
    sym_comment,
    [29311] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2839),
    1,
    anon_sym_LBRACE,
    ACTIONS(2841),
    1,
    anon_sym_COLON,
    STATE(865),
    1,
    sym_comment,
    [29327] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(866),
    1,
    sym_comment,
    ACTIONS(2843),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29341] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2478),
    1,
    anon_sym_in,
    STATE(824),
    1,
    sym_init_param_dcl,
    STATE(867),
    1,
    sym_comment,
    [29357] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2845),
    1,
    anon_sym_LT,
    ACTIONS(2847),
    1,
    sym_identifier,
    STATE(868),
    1,
    sym_comment,
    [29373] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(822),
    1,
    sym_simple_declarator,
    STATE(869),
    1,
    sym_comment,
    [29389] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(870),
    1,
    sym_comment,
    ACTIONS(2849),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29403] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(871),
    1,
    sym_comment,
    ACTIONS(2563),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [29417] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(820),
    1,
    sym_simple_declarator,
    STATE(872),
    1,
    sym_comment,
    [29433] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(873),
    1,
    sym_comment,
    ACTIONS(2851),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29447] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(874),
    1,
    sym_comment,
    ACTIONS(2853),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [29461] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(875),
    1,
    sym_comment,
    ACTIONS(2855),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [29475] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(876),
    1,
    sym_comment,
    ACTIONS(2572),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [29489] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2857),
    1,
    anon_sym_GT,
    ACTIONS(2859),
    1,
    anon_sym_COMMA,
    STATE(877),
    1,
    sym_comment,
    [29505] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2861),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2863),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(878),
    1,
    sym_comment,
    [29521] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2865),
    1,
    anon_sym_LT,
    STATE(879),
    1,
    sym_comment,
    [29537] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2867),
    1,
    sym_identifier,
    STATE(880),
    1,
    sym_comment,
    [29553] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2869),
    1,
    anon_sym_SEMI,
    STATE(881),
    1,
    sym_comment,
    [29569] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2871),
    1,
    anon_sym_LBRACE,
    ACTIONS(2873),
    1,
    anon_sym_SEMI,
    STATE(882),
    1,
    sym_comment,
    [29585] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(883),
    1,
    sym_comment,
    ACTIONS(2405),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [29599] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(884),
    1,
    sym_comment,
    ACTIONS(2875),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29613] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(885),
    1,
    sym_comment,
    ACTIONS(2877),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [29627] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2773),
    1,
    anon_sym_max,
    STATE(886),
    1,
    sym_comment,
    STATE(1066),
    1,
    sym_max_expr,
    [29643] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_min,
    STATE(887),
    1,
    sym_comment,
    STATE(971),
    1,
    sym_min_expr,
    [29659] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(816),
    1,
    sym_string_literal,
    STATE(888),
    1,
    sym_comment,
    [29675] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(889),
    1,
    sym_comment,
    STATE(1052),
    1,
    sym_string_literal,
    [29691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(890),
    1,
    sym_comment,
    ACTIONS(2879),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [29705] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(891),
    1,
    sym_comment,
    ACTIONS(2595),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [29719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(892),
    1,
    sym_comment,
    ACTIONS(2601),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [29733] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(893),
    1,
    sym_comment,
    ACTIONS(2881),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [29747] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(894),
    1,
    sym_comment,
    ACTIONS(2883),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [29761] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(895),
    1,
    sym_comment,
    ACTIONS(2608),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [29775] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2885),
    1,
    anon_sym_SEMI,
    ACTIONS(2887),
    1,
    anon_sym_default,
    STATE(896),
    1,
    sym_comment,
    [29791] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(897),
    1,
    sym_comment,
    ACTIONS(2889),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [29805] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(898),
    1,
    sym_comment,
    ACTIONS(2680),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [29819] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(899),
    1,
    sym_comment,
    ACTIONS(2891),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [29833] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(900),
    1,
    sym_comment,
    ACTIONS(2893),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29847] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(901),
    1,
    sym_comment,
    ACTIONS(2895),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29861] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(902),
    1,
    sym_comment,
    ACTIONS(2622),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [29875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(903),
    1,
    sym_comment,
    ACTIONS(2897),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29889] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2899),
    1,
    anon_sym_LBRACE,
    STATE(904),
    1,
    sym_comment,
    [29905] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(905),
    1,
    sym_comment,
    ACTIONS(2901),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29919] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2903),
    1,
    anon_sym_GT,
    ACTIONS(2905),
    1,
    anon_sym_COMMA,
    STATE(906),
    1,
    sym_comment,
    [29935] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(907),
    1,
    sym_comment,
    ACTIONS(2907),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [29949] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2909),
    1,
    anon_sym_LBRACE,
    STATE(908),
    1,
    sym_comment,
    [29965] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(909),
    1,
    sym_comment,
    ACTIONS(2911),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [29979] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(910),
    1,
    sym_comment,
    ACTIONS(2633),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [29993] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(898),
    1,
    sym_simple_declarator,
    STATE(911),
    1,
    sym_comment,
    [30009] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2913),
    1,
    anon_sym_LPAREN,
    STATE(897),
    1,
    sym_exception_list,
    STATE(912),
    1,
    sym_comment,
    [30025] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(913),
    1,
    sym_comment,
    STATE(1365),
    1,
    sym_string_literal,
    [30041] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2913),
    1,
    anon_sym_LPAREN,
    STATE(914),
    1,
    sym_comment,
    STATE(1030),
    1,
    sym_exception_list,
    [30057] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(875),
    1,
    sym_simple_declarator,
    STATE(915),
    1,
    sym_comment,
    [30073] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(916),
    1,
    sym_comment,
    ACTIONS(2915),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [30087] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2917),
    1,
    sym_identifier,
    STATE(917),
    1,
    sym_comment,
    [30103] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2919),
    1,
    sym_identifier,
    STATE(918),
    1,
    sym_comment,
    [30119] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2921),
    1,
    sym_identifier,
    STATE(919),
    1,
    sym_comment,
    [30135] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2923),
    1,
    sym_identifier,
    STATE(920),
    1,
    sym_comment,
    [30151] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(921),
    1,
    sym_comment,
    ACTIONS(2925),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [30165] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(922),
    1,
    sym_comment,
    ACTIONS(2927),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [30179] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(923),
    1,
    sym_comment,
    ACTIONS(2929),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [30193] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(924),
    1,
    sym_comment,
    ACTIONS(2931),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [30207] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2933),
    1,
    anon_sym_LBRACE,
    STATE(925),
    1,
    sym_comment,
    [30223] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(926),
    1,
    sym_comment,
    ACTIONS(2935),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [30237] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(927),
    1,
    sym_comment,
    ACTIONS(2937),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [30251] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2939),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2941),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(928),
    1,
    sym_comment,
    [30267] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    sym_identifier,
    STATE(896),
    1,
    sym_simple_declarator,
    STATE(929),
    1,
    sym_comment,
    [30283] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2943),
    1,
    sym_identifier,
    STATE(930),
    1,
    sym_comment,
    [30296] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2945),
    1,
    sym_identifier,
    STATE(931),
    1,
    sym_comment,
    [30309] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2947),
    1,
    anon_sym_RPAREN,
    STATE(932),
    1,
    sym_comment,
    [30322] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2949),
    1,
    anon_sym_RPAREN,
    STATE(933),
    1,
    sym_comment,
    [30335] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2951),
    1,
    anon_sym_RPAREN,
    STATE(934),
    1,
    sym_comment,
    [30348] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2953),
    1,
    anon_sym_SEMI,
    STATE(935),
    1,
    sym_comment,
    [30361] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2759),
    1,
    sym_identifier,
    STATE(936),
    1,
    sym_comment,
    [30374] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2955),
    1,
    anon_sym_RPAREN,
    STATE(937),
    1,
    sym_comment,
    [30387] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2957),
    1,
    anon_sym_RPAREN,
    STATE(938),
    1,
    sym_comment,
    [30400] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2959),
    1,
    anon_sym_SEMI,
    STATE(939),
    1,
    sym_comment,
    [30413] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2961),
    1,
    sym_identifier,
    STATE(940),
    1,
    sym_comment,
    [30426] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2963),
    1,
    anon_sym_SEMI,
    STATE(941),
    1,
    sym_comment,
    [30439] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2805),
    1,
    sym_identifier,
    STATE(942),
    1,
    sym_comment,
    [30452] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2965),
    1,
    anon_sym_RPAREN,
    STATE(943),
    1,
    sym_comment,
    [30465] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2967),
    1,
    anon_sym_RPAREN,
    STATE(944),
    1,
    sym_comment,
    [30478] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2969),
    1,
    anon_sym_RPAREN,
    STATE(945),
    1,
    sym_comment,
    [30491] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2971),
    1,
    anon_sym_RPAREN,
    STATE(946),
    1,
    sym_comment,
    [30504] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2973),
    1,
    anon_sym_LT,
    STATE(947),
    1,
    sym_comment,
    [30517] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2975),
    1,
    anon_sym_RPAREN,
    STATE(948),
    1,
    sym_comment,
    [30530] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2977),
    1,
    anon_sym_LBRACE,
    STATE(949),
    1,
    sym_comment,
    [30543] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2979),
    1,
    anon_sym_LBRACE,
    STATE(950),
    1,
    sym_comment,
    [30556] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2981),
    1,
    anon_sym_SEMI,
    STATE(951),
    1,
    sym_comment,
    [30569] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1899),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(952),
    1,
    sym_comment,
    [30582] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2983),
    1,
    aux_sym_preproc_call_token1,
    STATE(953),
    1,
    sym_comment,
    [30595] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2985),
    1,
    anon_sym_SEMI,
    STATE(954),
    1,
    sym_comment,
    [30608] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2987),
    1,
    anon_sym_SEMI,
    STATE(955),
    1,
    sym_comment,
    [30621] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2989),
    1,
    anon_sym_SEMI,
    STATE(956),
    1,
    sym_comment,
    [30634] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2991),
    1,
    anon_sym_SEMI,
    STATE(957),
    1,
    sym_comment,
    [30647] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2993),
    1,
    anon_sym_RBRACE,
    STATE(958),
    1,
    sym_comment,
    [30660] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2995),
    1,
    sym_identifier,
    STATE(959),
    1,
    sym_comment,
    [30673] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2997),
    1,
    sym_identifier,
    STATE(960),
    1,
    sym_comment,
    [30686] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2999),
    1,
    anon_sym_SEMI,
    STATE(961),
    1,
    sym_comment,
    [30699] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3001),
    1,
    anon_sym_RBRACE,
    STATE(962),
    1,
    sym_comment,
    [30712] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3003),
    1,
    anon_sym_SEMI,
    STATE(963),
    1,
    sym_comment,
    [30725] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3005),
    1,
    sym_identifier,
    STATE(964),
    1,
    sym_comment,
    [30738] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3007),
    1,
    anon_sym_EQ,
    STATE(965),
    1,
    sym_comment,
    [30751] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3009),
    1,
    anon_sym_SEMI,
    STATE(966),
    1,
    sym_comment,
    [30764] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3011),
    1,
    anon_sym_SEMI,
    STATE(967),
    1,
    sym_comment,
    [30777] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3013),
    1,
    anon_sym_SEMI,
    STATE(968),
    1,
    sym_comment,
    [30790] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3015),
    1,
    anon_sym_LBRACE,
    STATE(969),
    1,
    sym_comment,
    [30803] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3017),
    1,
    anon_sym_SEMI,
    STATE(970),
    1,
    sym_comment,
    [30816] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3019),
    1,
    anon_sym_COMMA,
    STATE(971),
    1,
    sym_comment,
    [30829] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3021),
    1,
    sym_identifier,
    STATE(972),
    1,
    sym_comment,
    [30842] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3023),
    1,
    anon_sym_SEMI,
    STATE(973),
    1,
    sym_comment,
    [30855] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3025),
    1,
    anon_sym_SEMI,
    STATE(974),
    1,
    sym_comment,
    [30868] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3027),
    1,
    anon_sym_RPAREN,
    STATE(975),
    1,
    sym_comment,
    [30881] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3029),
    1,
    sym_identifier,
    STATE(976),
    1,
    sym_comment,
    [30894] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3031),
    1,
    anon_sym_LBRACE,
    STATE(977),
    1,
    sym_comment,
    [30907] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3033),
    1,
    anon_sym_SEMI,
    STATE(978),
    1,
    sym_comment,
    [30920] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3035),
    1,
    anon_sym_RPAREN,
    STATE(979),
    1,
    sym_comment,
    [30933] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3037),
    1,
    anon_sym_SEMI,
    STATE(980),
    1,
    sym_comment,
    [30946] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3039),
    1,
    sym_identifier,
    STATE(981),
    1,
    sym_comment,
    [30959] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3041),
    1,
    anon_sym_RPAREN,
    STATE(982),
    1,
    sym_comment,
    [30972] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3043),
    1,
    anon_sym_RBRACE,
    STATE(983),
    1,
    sym_comment,
    [30985] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2659),
    1,
    anon_sym_SEMI,
    STATE(984),
    1,
    sym_comment,
    [30998] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2809),
    1,
    anon_sym_valuetype,
    STATE(985),
    1,
    sym_comment,
    [31011] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3045),
    1,
    anon_sym_void,
    STATE(986),
    1,
    sym_comment,
    [31024] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3047),
    1,
    anon_sym_SEMI,
    STATE(987),
    1,
    sym_comment,
    [31037] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3049),
    1,
    anon_sym_SEMI,
    STATE(988),
    1,
    sym_comment,
    [31050] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3051),
    1,
    anon_sym_attribute,
    STATE(989),
    1,
    sym_comment,
    [31063] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3053),
    1,
    sym_identifier,
    STATE(990),
    1,
    sym_comment,
    [31076] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3055),
    1,
    anon_sym_RPAREN,
    STATE(991),
    1,
    sym_comment,
    [31089] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3057),
    1,
    anon_sym_LPAREN,
    STATE(992),
    1,
    sym_comment,
    [31102] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3059),
    1,
    anon_sym_LPAREN,
    STATE(993),
    1,
    sym_comment,
    [31115] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2510),
    1,
    anon_sym_valuetype,
    STATE(994),
    1,
    sym_comment,
    [31128] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3061),
    1,
    anon_sym_SEMI,
    STATE(995),
    1,
    sym_comment,
    [31141] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3063),
    1,
    anon_sym_RPAREN,
    STATE(996),
    1,
    sym_comment,
    [31154] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3065),
    1,
    anon_sym_LBRACE,
    STATE(997),
    1,
    sym_comment,
    [31167] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3067),
    1,
    anon_sym_SEMI,
    STATE(998),
    1,
    sym_comment,
    [31180] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3069),
    1,
    anon_sym_SEMI,
    STATE(999),
    1,
    sym_comment,
    [31193] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3071),
    1,
    anon_sym_SEMI,
    STATE(1000),
    1,
    sym_comment,
    [31206] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2635),
    1,
    anon_sym_SEMI,
    STATE(1001),
    1,
    sym_comment,
    [31219] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2501),
    1,
    anon_sym_SEMI,
    STATE(1002),
    1,
    sym_comment,
    [31232] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3073),
    1,
    anon_sym_SEMI,
    STATE(1003),
    1,
    sym_comment,
    [31245] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3075),
    1,
    anon_sym_LPAREN,
    STATE(1004),
    1,
    sym_comment,
    [31258] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3077),
    1,
    anon_sym_LPAREN,
    STATE(1005),
    1,
    sym_comment,
    [31271] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3079),
    1,
    anon_sym_SEMI,
    STATE(1006),
    1,
    sym_comment,
    [31284] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3081),
    1,
    anon_sym_SEMI,
    STATE(1007),
    1,
    sym_comment,
    [31297] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3083),
    1,
    anon_sym_SEMI,
    STATE(1008),
    1,
    sym_comment,
    [31310] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3085),
    1,
    anon_sym_SEMI,
    STATE(1009),
    1,
    sym_comment,
    [31323] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3087),
    1,
    anon_sym_SEMI,
    STATE(1010),
    1,
    sym_comment,
    [31336] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3089),
    1,
    anon_sym_SEMI,
    STATE(1011),
    1,
    sym_comment,
    [31349] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2310),
    1,
    anon_sym_LBRACE,
    STATE(1012),
    1,
    sym_comment,
    [31362] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3091),
    1,
    anon_sym_SEMI,
    STATE(1013),
    1,
    sym_comment,
    [31375] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3093),
    1,
    anon_sym_LPAREN,
    STATE(1014),
    1,
    sym_comment,
    [31388] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3095),
    1,
    anon_sym_SEMI,
    STATE(1015),
    1,
    sym_comment,
    [31401] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3097),
    1,
    anon_sym_GT,
    STATE(1016),
    1,
    sym_comment,
    [31414] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3099),
    1,
    anon_sym_GT,
    STATE(1017),
    1,
    sym_comment,
    [31427] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3101),
    1,
    sym_identifier,
    STATE(1018),
    1,
    sym_comment,
    [31440] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3103),
    1,
    anon_sym_RBRACE,
    STATE(1019),
    1,
    sym_comment,
    [31453] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3105),
    1,
    anon_sym_SEMI,
    STATE(1020),
    1,
    sym_comment,
    [31466] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3107),
    1,
    anon_sym_LBRACE,
    STATE(1021),
    1,
    sym_comment,
    [31479] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3109),
    1,
    anon_sym_LBRACE,
    STATE(1022),
    1,
    sym_comment,
    [31492] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3111),
    1,
    anon_sym_LBRACE,
    STATE(1023),
    1,
    sym_comment,
    [31505] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2617),
    1,
    anon_sym_manages,
    STATE(1024),
    1,
    sym_comment,
    [31518] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3113),
    1,
    anon_sym_SEMI,
    STATE(1025),
    1,
    sym_comment,
    [31531] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3115),
    1,
    anon_sym_LBRACE,
    STATE(1026),
    1,
    sym_comment,
    [31544] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3117),
    1,
    anon_sym_LPAREN,
    STATE(1027),
    1,
    sym_comment,
    [31557] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2606),
    1,
    anon_sym_LBRACE,
    STATE(1028),
    1,
    sym_comment,
    [31570] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2675),
    1,
    anon_sym_SEMI,
    STATE(1029),
    1,
    sym_comment,
    [31583] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3119),
    1,
    anon_sym_SEMI,
    STATE(1030),
    1,
    sym_comment,
    [31596] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3121),
    1,
    anon_sym_SEMI,
    STATE(1031),
    1,
    sym_comment,
    [31609] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3123),
    1,
    anon_sym_SEMI,
    STATE(1032),
    1,
    sym_comment,
    [31622] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3125),
    1,
    anon_sym_SEMI,
    STATE(1033),
    1,
    sym_comment,
    [31635] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3127),
    1,
    anon_sym_SEMI,
    STATE(1034),
    1,
    sym_comment,
    [31648] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3129),
    1,
    anon_sym_RPAREN,
    STATE(1035),
    1,
    sym_comment,
    [31661] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3131),
    1,
    anon_sym_SEMI,
    STATE(1036),
    1,
    sym_comment,
    [31674] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3133),
    1,
    anon_sym_EQ,
    STATE(1037),
    1,
    sym_comment,
    [31687] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3135),
    1,
    anon_sym_LPAREN,
    STATE(1038),
    1,
    sym_comment,
    [31700] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3137),
    1,
    anon_sym_SEMI,
    STATE(1039),
    1,
    sym_comment,
    [31713] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2590),
    1,
    anon_sym_LBRACE,
    STATE(1040),
    1,
    sym_comment,
    [31726] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3139),
    1,
    anon_sym_RPAREN,
    STATE(1041),
    1,
    sym_comment,
    [31739] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2189),
    1,
    anon_sym_LBRACE,
    STATE(1042),
    1,
    sym_comment,
    [31752] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3141),
    1,
    sym_identifier,
    STATE(1043),
    1,
    sym_comment,
    [31765] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2012),
    1,
    anon_sym_EQ,
    STATE(1044),
    1,
    sym_comment,
    [31778] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3143),
    1,
    anon_sym_manages,
    STATE(1045),
    1,
    sym_comment,
    [31791] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3145),
    1,
    anon_sym_RPAREN,
    STATE(1046),
    1,
    sym_comment,
    [31804] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3147),
    1,
    anon_sym_RPAREN,
    STATE(1047),
    1,
    sym_comment,
    [31817] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3149),
    1,
    anon_sym_LT,
    STATE(1048),
    1,
    sym_comment,
    [31830] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3151),
    1,
    anon_sym_RPAREN,
    STATE(1049),
    1,
    sym_comment,
    [31843] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3153),
    1,
    anon_sym_RPAREN,
    STATE(1050),
    1,
    sym_comment,
    [31856] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3155),
    1,
    anon_sym_COMMA,
    STATE(1051),
    1,
    sym_comment,
    [31869] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3157),
    1,
    anon_sym_RPAREN,
    STATE(1052),
    1,
    sym_comment,
    [31882] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1911),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    STATE(1053),
    1,
    sym_comment,
    [31895] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3159),
    1,
    anon_sym_COMMA,
    STATE(1054),
    1,
    sym_comment,
    [31908] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3161),
    1,
    anon_sym_GT,
    STATE(1055),
    1,
    sym_comment,
    [31921] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3163),
    1,
    anon_sym_LPAREN,
    STATE(1056),
    1,
    sym_comment,
    [31934] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3165),
    1,
    anon_sym_COMMA,
    STATE(1057),
    1,
    sym_comment,
    [31947] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3167),
    1,
    anon_sym_SEMI,
    STATE(1058),
    1,
    sym_comment,
    [31960] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3169),
    1,
    sym_identifier,
    STATE(1059),
    1,
    sym_comment,
    [31973] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3171),
    1,
    anon_sym_SEMI,
    STATE(1060),
    1,
    sym_comment,
    [31986] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3173),
    1,
    anon_sym_RPAREN,
    STATE(1061),
    1,
    sym_comment,
    [31999] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3175),
    1,
    anon_sym_SEMI,
    STATE(1062),
    1,
    sym_comment,
    [32012] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3177),
    1,
    anon_sym_SEMI,
    STATE(1063),
    1,
    sym_comment,
    [32025] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2869),
    1,
    anon_sym_SEMI,
    STATE(1064),
    1,
    sym_comment,
    [32038] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3179),
    1,
    anon_sym_RPAREN,
    STATE(1065),
    1,
    sym_comment,
    [32051] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3181),
    1,
    anon_sym_RPAREN,
    STATE(1066),
    1,
    sym_comment,
    [32064] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3183),
    1,
    anon_sym_EQ,
    STATE(1067),
    1,
    sym_comment,
    [32077] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3185),
    1,
    anon_sym_SEMI,
    STATE(1068),
    1,
    sym_comment,
    [32090] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3187),
    1,
    anon_sym_LT,
    STATE(1069),
    1,
    sym_comment,
    [32103] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3189),
    1,
    sym_identifier,
    STATE(1070),
    1,
    sym_comment,
    [32116] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3191),
    1,
    sym_identifier,
    STATE(1071),
    1,
    sym_comment,
    [32129] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3193),
    1,
    sym_identifier,
    STATE(1072),
    1,
    sym_comment,
    [32142] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3195),
    1,
    sym_identifier,
    STATE(1073),
    1,
    sym_comment,
    [32155] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3197),
    1,
    anon_sym_COMMA,
    STATE(1074),
    1,
    sym_comment,
    [32168] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2845),
    1,
    anon_sym_LT,
    STATE(1075),
    1,
    sym_comment,
    [32181] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3199),
    1,
    sym_identifier,
    STATE(1076),
    1,
    sym_comment,
    [32194] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2867),
    1,
    sym_identifier,
    STATE(1077),
    1,
    sym_comment,
    [32207] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3201),
    1,
    sym_identifier,
    STATE(1078),
    1,
    sym_comment,
    [32220] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3203),
    1,
    anon_sym_LBRACE,
    STATE(1079),
    1,
    sym_comment,
    [32233] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3205),
    1,
    anon_sym_COMMA,
    STATE(1080),
    1,
    sym_comment,
    [32246] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3207),
    1,
    anon_sym_COMMA,
    STATE(1081),
    1,
    sym_comment,
    [32259] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3209),
    1,
    anon_sym_RPAREN,
    STATE(1082),
    1,
    sym_comment,
    [32272] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3211),
    1,
    anon_sym_RPAREN,
    STATE(1083),
    1,
    sym_comment,
    [32285] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3213),
    1,
    anon_sym_LPAREN,
    STATE(1084),
    1,
    sym_comment,
    [32298] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3215),
    1,
    anon_sym_RPAREN,
    STATE(1085),
    1,
    sym_comment,
    [32311] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2558),
    1,
    anon_sym_SEMI,
    STATE(1086),
    1,
    sym_comment,
    [32324] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3217),
    1,
    anon_sym_RPAREN,
    STATE(1087),
    1,
    sym_comment,
    [32337] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3219),
    1,
    anon_sym_RPAREN,
    STATE(1088),
    1,
    sym_comment,
    [32350] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3221),
    1,
    anon_sym_RPAREN,
    STATE(1089),
    1,
    sym_comment,
    [32363] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3223),
    1,
    anon_sym_RPAREN,
    STATE(1090),
    1,
    sym_comment,
    [32376] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3225),
    1,
    anon_sym_RPAREN,
    STATE(1091),
    1,
    sym_comment,
    [32389] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3227),
    1,
    anon_sym_RPAREN,
    STATE(1092),
    1,
    sym_comment,
    [32402] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3229),
    1,
    anon_sym_RPAREN,
    STATE(1093),
    1,
    sym_comment,
    [32415] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3231),
    1,
    anon_sym_RPAREN,
    STATE(1094),
    1,
    sym_comment,
    [32428] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3233),
    1,
    anon_sym_RPAREN,
    STATE(1095),
    1,
    sym_comment,
    [32441] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3235),
    1,
    anon_sym_RPAREN,
    STATE(1096),
    1,
    sym_comment,
    [32454] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3237),
    1,
    anon_sym_RPAREN,
    STATE(1097),
    1,
    sym_comment,
    [32467] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3239),
    1,
    anon_sym_RPAREN,
    STATE(1098),
    1,
    sym_comment,
    [32480] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3241),
    1,
    anon_sym_RPAREN,
    STATE(1099),
    1,
    sym_comment,
    [32493] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3243),
    1,
    anon_sym_RPAREN,
    STATE(1100),
    1,
    sym_comment,
    [32506] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3245),
    1,
    anon_sym_RPAREN,
    STATE(1101),
    1,
    sym_comment,
    [32519] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3247),
    1,
    anon_sym_RPAREN,
    STATE(1102),
    1,
    sym_comment,
    [32532] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3249),
    1,
    anon_sym_RPAREN,
    STATE(1103),
    1,
    sym_comment,
    [32545] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3251),
    1,
    anon_sym_RPAREN,
    STATE(1104),
    1,
    sym_comment,
    [32558] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3253),
    1,
    anon_sym_RPAREN,
    STATE(1105),
    1,
    sym_comment,
    [32571] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3255),
    1,
    anon_sym_RPAREN,
    STATE(1106),
    1,
    sym_comment,
    [32584] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3257),
    1,
    anon_sym_RPAREN,
    STATE(1107),
    1,
    sym_comment,
    [32597] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2692),
    1,
    anon_sym_RPAREN,
    STATE(1108),
    1,
    sym_comment,
    [32610] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3259),
    1,
    anon_sym_RPAREN,
    STATE(1109),
    1,
    sym_comment,
    [32623] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3261),
    1,
    anon_sym_RPAREN,
    STATE(1110),
    1,
    sym_comment,
    [32636] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3263),
    1,
    anon_sym_RPAREN,
    STATE(1111),
    1,
    sym_comment,
    [32649] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3265),
    1,
    anon_sym_RPAREN,
    STATE(1112),
    1,
    sym_comment,
    [32662] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3267),
    1,
    anon_sym_RBRACK,
    STATE(1113),
    1,
    sym_comment,
    [32675] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3269),
    1,
    anon_sym_RPAREN,
    STATE(1114),
    1,
    sym_comment,
    [32688] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3271),
    1,
    anon_sym_LPAREN,
    STATE(1115),
    1,
    sym_comment,
    [32701] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3273),
    1,
    sym_identifier,
    STATE(1116),
    1,
    sym_comment,
    [32714] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3275),
    1,
    anon_sym_LPAREN,
    STATE(1117),
    1,
    sym_comment,
    [32727] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3277),
    1,
    anon_sym_LPAREN,
    STATE(1118),
    1,
    sym_comment,
    [32740] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3279),
    1,
    anon_sym_LPAREN,
    STATE(1119),
    1,
    sym_comment,
    [32753] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3281),
    1,
    sym_identifier,
    STATE(1120),
    1,
    sym_comment,
    [32766] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3283),
    1,
    anon_sym_LPAREN,
    STATE(1121),
    1,
    sym_comment,
    [32779] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2544),
    1,
    anon_sym_SEMI,
    STATE(1122),
    1,
    sym_comment,
    [32792] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3285),
    1,
    anon_sym_SEMI,
    STATE(1123),
    1,
    sym_comment,
    [32805] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3287),
    1,
    anon_sym_RPAREN,
    STATE(1124),
    1,
    sym_comment,
    [32818] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3289),
    1,
    anon_sym_RPAREN,
    STATE(1125),
    1,
    sym_comment,
    [32831] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3291),
    1,
    anon_sym_RPAREN,
    STATE(1126),
    1,
    sym_comment,
    [32844] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3293),
    1,
    anon_sym_RPAREN,
    STATE(1127),
    1,
    sym_comment,
    [32857] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3295),
    1,
    anon_sym_RPAREN,
    STATE(1128),
    1,
    sym_comment,
    [32870] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3297),
    1,
    anon_sym_RPAREN,
    STATE(1129),
    1,
    sym_comment,
    [32883] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3299),
    1,
    anon_sym_RPAREN,
    STATE(1130),
    1,
    sym_comment,
    [32896] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3301),
    1,
    anon_sym_RPAREN,
    STATE(1131),
    1,
    sym_comment,
    [32909] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3303),
    1,
    anon_sym_RPAREN,
    STATE(1132),
    1,
    sym_comment,
    [32922] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3305),
    1,
    anon_sym_RPAREN,
    STATE(1133),
    1,
    sym_comment,
    [32935] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3307),
    1,
    anon_sym_RPAREN,
    STATE(1134),
    1,
    sym_comment,
    [32948] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3309),
    1,
    anon_sym_RPAREN,
    STATE(1135),
    1,
    sym_comment,
    [32961] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3311),
    1,
    anon_sym_RPAREN,
    STATE(1136),
    1,
    sym_comment,
    [32974] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3313),
    1,
    anon_sym_RPAREN,
    STATE(1137),
    1,
    sym_comment,
    [32987] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3315),
    1,
    anon_sym_RPAREN,
    STATE(1138),
    1,
    sym_comment,
    [33000] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3317),
    1,
    anon_sym_RPAREN,
    STATE(1139),
    1,
    sym_comment,
    [33013] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3319),
    1,
    anon_sym_RPAREN,
    STATE(1140),
    1,
    sym_comment,
    [33026] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3321),
    1,
    anon_sym_RPAREN,
    STATE(1141),
    1,
    sym_comment,
    [33039] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3323),
    1,
    anon_sym_RPAREN,
    STATE(1142),
    1,
    sym_comment,
    [33052] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3325),
    1,
    anon_sym_RPAREN,
    STATE(1143),
    1,
    sym_comment,
    [33065] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3327),
    1,
    anon_sym_RPAREN,
    STATE(1144),
    1,
    sym_comment,
    [33078] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3329),
    1,
    anon_sym_RPAREN,
    STATE(1145),
    1,
    sym_comment,
    [33091] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3331),
    1,
    anon_sym_RPAREN,
    STATE(1146),
    1,
    sym_comment,
    [33104] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3333),
    1,
    anon_sym_RPAREN,
    STATE(1147),
    1,
    sym_comment,
    [33117] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3335),
    1,
    anon_sym_LPAREN,
    STATE(1148),
    1,
    sym_comment,
    [33130] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3337),
    1,
    anon_sym_RPAREN,
    STATE(1149),
    1,
    sym_comment,
    [33143] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3339),
    1,
    anon_sym_LPAREN,
    STATE(1150),
    1,
    sym_comment,
    [33156] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3341),
    1,
    anon_sym_LPAREN,
    STATE(1151),
    1,
    sym_comment,
    [33169] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3343),
    1,
    anon_sym_LPAREN,
    STATE(1152),
    1,
    sym_comment,
    [33182] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3345),
    1,
    sym_identifier,
    STATE(1153),
    1,
    sym_comment,
    [33195] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3347),
    1,
    anon_sym_LPAREN,
    STATE(1154),
    1,
    sym_comment,
    [33208] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3349),
    1,
    anon_sym_RPAREN,
    STATE(1155),
    1,
    sym_comment,
    [33221] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3351),
    1,
    anon_sym_RPAREN,
    STATE(1156),
    1,
    sym_comment,
    [33234] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3353),
    1,
    anon_sym_RPAREN,
    STATE(1157),
    1,
    sym_comment,
    [33247] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3355),
    1,
    anon_sym_RPAREN,
    STATE(1158),
    1,
    sym_comment,
    [33260] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3357),
    1,
    anon_sym_RPAREN,
    STATE(1159),
    1,
    sym_comment,
    [33273] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3359),
    1,
    anon_sym_RPAREN,
    STATE(1160),
    1,
    sym_comment,
    [33286] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3361),
    1,
    anon_sym_RPAREN,
    STATE(1161),
    1,
    sym_comment,
    [33299] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3363),
    1,
    anon_sym_RPAREN,
    STATE(1162),
    1,
    sym_comment,
    [33312] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3365),
    1,
    anon_sym_RPAREN,
    STATE(1163),
    1,
    sym_comment,
    [33325] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3367),
    1,
    anon_sym_RPAREN,
    STATE(1164),
    1,
    sym_comment,
    [33338] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3369),
    1,
    anon_sym_RPAREN,
    STATE(1165),
    1,
    sym_comment,
    [33351] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3371),
    1,
    anon_sym_RPAREN,
    STATE(1166),
    1,
    sym_comment,
    [33364] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3373),
    1,
    anon_sym_RPAREN,
    STATE(1167),
    1,
    sym_comment,
    [33377] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3375),
    1,
    anon_sym_RPAREN,
    STATE(1168),
    1,
    sym_comment,
    [33390] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3377),
    1,
    anon_sym_RPAREN,
    STATE(1169),
    1,
    sym_comment,
    [33403] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3379),
    1,
    anon_sym_RPAREN,
    STATE(1170),
    1,
    sym_comment,
    [33416] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3381),
    1,
    anon_sym_RPAREN,
    STATE(1171),
    1,
    sym_comment,
    [33429] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3383),
    1,
    anon_sym_RPAREN,
    STATE(1172),
    1,
    sym_comment,
    [33442] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3385),
    1,
    anon_sym_RPAREN,
    STATE(1173),
    1,
    sym_comment,
    [33455] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3387),
    1,
    anon_sym_RPAREN,
    STATE(1174),
    1,
    sym_comment,
    [33468] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3389),
    1,
    anon_sym_RPAREN,
    STATE(1175),
    1,
    sym_comment,
    [33481] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3391),
    1,
    anon_sym_RPAREN,
    STATE(1176),
    1,
    sym_comment,
    [33494] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3393),
    1,
    anon_sym_RPAREN,
    STATE(1177),
    1,
    sym_comment,
    [33507] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3395),
    1,
    anon_sym_RPAREN,
    STATE(1178),
    1,
    sym_comment,
    [33520] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3397),
    1,
    aux_sym_comment_token1,
    STATE(1179),
    1,
    sym_comment,
    [33533] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3399),
    1,
    sym_identifier,
    STATE(1180),
    1,
    sym_comment,
    [33546] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3401),
    1,
    anon_sym_LBRACE,
    STATE(1181),
    1,
    sym_comment,
    [33559] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3403),
    1,
    anon_sym_LBRACE,
    STATE(1182),
    1,
    sym_comment,
    [33572] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2694),
    1,
    anon_sym_SEMI,
    STATE(1183),
    1,
    sym_comment,
    [33585] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3405),
    1,
    sym_identifier,
    STATE(1184),
    1,
    sym_comment,
    [33598] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3407),
    1,
    anon_sym_RPAREN,
    STATE(1185),
    1,
    sym_comment,
    [33611] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3409),
    1,
    anon_sym_RPAREN,
    STATE(1186),
    1,
    sym_comment,
    [33624] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3411),
    1,
    anon_sym_RPAREN,
    STATE(1187),
    1,
    sym_comment,
    [33637] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3413),
    1,
    anon_sym_RPAREN,
    STATE(1188),
    1,
    sym_comment,
    [33650] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3415),
    1,
    anon_sym_RPAREN,
    STATE(1189),
    1,
    sym_comment,
    [33663] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3417),
    1,
    anon_sym_RPAREN,
    STATE(1190),
    1,
    sym_comment,
    [33676] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3419),
    1,
    anon_sym_RPAREN,
    STATE(1191),
    1,
    sym_comment,
    [33689] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3421),
    1,
    anon_sym_RPAREN,
    STATE(1192),
    1,
    sym_comment,
    [33702] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3423),
    1,
    anon_sym_RPAREN,
    STATE(1193),
    1,
    sym_comment,
    [33715] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3425),
    1,
    anon_sym_RPAREN,
    STATE(1194),
    1,
    sym_comment,
    [33728] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3427),
    1,
    anon_sym_RPAREN,
    STATE(1195),
    1,
    sym_comment,
    [33741] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3429),
    1,
    anon_sym_RPAREN,
    STATE(1196),
    1,
    sym_comment,
    [33754] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3431),
    1,
    anon_sym_RPAREN,
    STATE(1197),
    1,
    sym_comment,
    [33767] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3433),
    1,
    anon_sym_RPAREN,
    STATE(1198),
    1,
    sym_comment,
    [33780] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3435),
    1,
    anon_sym_RPAREN,
    STATE(1199),
    1,
    sym_comment,
    [33793] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3437),
    1,
    anon_sym_RPAREN,
    STATE(1200),
    1,
    sym_comment,
    [33806] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3439),
    1,
    anon_sym_RPAREN,
    STATE(1201),
    1,
    sym_comment,
    [33819] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3441),
    1,
    anon_sym_RPAREN,
    STATE(1202),
    1,
    sym_comment,
    [33832] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3443),
    1,
    anon_sym_RPAREN,
    STATE(1203),
    1,
    sym_comment,
    [33845] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3445),
    1,
    anon_sym_RPAREN,
    STATE(1204),
    1,
    sym_comment,
    [33858] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3447),
    1,
    anon_sym_RPAREN,
    STATE(1205),
    1,
    sym_comment,
    [33871] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3449),
    1,
    anon_sym_RPAREN,
    STATE(1206),
    1,
    sym_comment,
    [33884] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3451),
    1,
    anon_sym_RPAREN,
    STATE(1207),
    1,
    sym_comment,
    [33897] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3453),
    1,
    anon_sym_RPAREN,
    STATE(1208),
    1,
    sym_comment,
    [33910] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3455),
    1,
    sym_identifier,
    STATE(1209),
    1,
    sym_comment,
    [33923] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3457),
    1,
    sym_identifier,
    STATE(1210),
    1,
    sym_comment,
    [33936] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3459),
    1,
    sym_identifier,
    STATE(1211),
    1,
    sym_comment,
    [33949] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3461),
    1,
    sym_identifier,
    STATE(1212),
    1,
    sym_comment,
    [33962] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3463),
    1,
    sym_identifier,
    STATE(1213),
    1,
    sym_comment,
    [33975] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3465),
    1,
    anon_sym_LBRACE,
    STATE(1214),
    1,
    sym_comment,
    [33988] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3467),
    1,
    aux_sym_preproc_call_token1,
    STATE(1215),
    1,
    sym_comment,
    [34001] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3469),
    1,
    sym_system_lib_path,
    STATE(1216),
    1,
    sym_comment,
    [34014] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3471),
    1,
    aux_sym_preproc_call_token1,
    STATE(1217),
    1,
    sym_comment,
    [34027] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2470),
    1,
    anon_sym_LBRACE,
    STATE(1218),
    1,
    sym_comment,
    [34040] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3473),
    1,
    anon_sym_SEMI,
    STATE(1219),
    1,
    sym_comment,
    [34053] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3475),
    1,
    anon_sym_SLASH,
    STATE(1220),
    1,
    sym_comment,
    [34066] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3477),
    1,
    anon_sym_LPAREN,
    STATE(1221),
    1,
    sym_comment,
    [34079] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2709),
    1,
    anon_sym_SEMI,
    STATE(1222),
    1,
    sym_comment,
    [34092] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3479),
    1,
    anon_sym_SEMI,
    STATE(1223),
    1,
    sym_comment,
    [34105] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3481),
    1,
    anon_sym_SEMI,
    STATE(1224),
    1,
    sym_comment,
    [34118] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3483),
    1,
    sym_identifier,
    STATE(1225),
    1,
    sym_comment,
    [34131] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3485),
    1,
    anon_sym_LBRACE,
    STATE(1226),
    1,
    sym_comment,
    [34144] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3487),
    1,
    anon_sym_SEMI,
    STATE(1227),
    1,
    sym_comment,
    [34157] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3489),
    1,
    anon_sym_SEMI,
    STATE(1228),
    1,
    sym_comment,
    [34170] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3491),
    1,
    anon_sym_SEMI,
    STATE(1229),
    1,
    sym_comment,
    [34183] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3493),
    1,
    anon_sym_LBRACE,
    STATE(1230),
    1,
    sym_comment,
    [34196] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3495),
    1,
    anon_sym_SEMI,
    STATE(1231),
    1,
    sym_comment,
    [34209] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3497),
    1,
    sym_identifier,
    STATE(1232),
    1,
    sym_comment,
    [34222] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3499),
    1,
    anon_sym_LBRACE,
    STATE(1233),
    1,
    sym_comment,
    [34235] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2847),
    1,
    sym_identifier,
    STATE(1234),
    1,
    sym_comment,
    [34248] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3501),
    1,
    anon_sym_SEMI,
    STATE(1235),
    1,
    sym_comment,
    [34261] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2717),
    1,
    anon_sym_SEMI,
    STATE(1236),
    1,
    sym_comment,
    [34274] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3503),
    1,
    anon_sym_LBRACE,
    STATE(1237),
    1,
    sym_comment,
    [34287] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3505),
    1,
    anon_sym_SEMI,
    STATE(1238),
    1,
    sym_comment,
    [34300] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3507),
    1,
    anon_sym_RPAREN,
    STATE(1239),
    1,
    sym_comment,
    [34313] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3509),
    1,
    anon_sym_enum,
    STATE(1240),
    1,
    sym_comment,
    [34326] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3511),
    1,
    anon_sym_SEMI,
    STATE(1241),
    1,
    sym_comment,
    [34339] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3513),
    1,
    anon_sym_LBRACE,
    STATE(1242),
    1,
    sym_comment,
    [34352] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3515),
    1,
    anon_sym_LBRACE,
    STATE(1243),
    1,
    sym_comment,
    [34365] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3517),
    1,
    sym_identifier,
    STATE(1244),
    1,
    sym_comment,
    [34378] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3519),
    1,
    sym_identifier,
    STATE(1245),
    1,
    sym_comment,
    [34391] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3521),
    1,
    anon_sym_SEMI,
    STATE(1246),
    1,
    sym_comment,
    [34404] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3523),
    1,
    anon_sym_RPAREN,
    STATE(1247),
    1,
    sym_comment,
    [34417] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3525),
    1,
    anon_sym_GT,
    STATE(1248),
    1,
    sym_comment,
    [34430] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3527),
    1,
    sym_identifier,
    STATE(1249),
    1,
    sym_comment,
    [34443] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3529),
    1,
    anon_sym_COMMA,
    STATE(1250),
    1,
    sym_comment,
    [34456] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3531),
    1,
    anon_sym_LBRACE,
    STATE(1251),
    1,
    sym_comment,
    [34469] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3533),
    1,
    anon_sym_SEMI,
    STATE(1252),
    1,
    sym_comment,
    [34482] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3535),
    1,
    anon_sym_SEMI,
    STATE(1253),
    1,
    sym_comment,
    [34495] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3537),
    1,
    anon_sym_SEMI,
    STATE(1254),
    1,
    sym_comment,
    [34508] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3539),
    1,
    sym_identifier,
    STATE(1255),
    1,
    sym_comment,
    [34521] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3541),
    1,
    anon_sym_GT,
    STATE(1256),
    1,
    sym_comment,
    [34534] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3543),
    1,
    anon_sym_SEMI,
    STATE(1257),
    1,
    sym_comment,
    [34547] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3545),
    1,
    anon_sym_GT,
    STATE(1258),
    1,
    sym_comment,
    [34560] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3547),
    1,
    anon_sym_COMMA,
    STATE(1259),
    1,
    sym_comment,
    [34573] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3549),
    1,
    ts_builtin_sym_end,
    STATE(1260),
    1,
    sym_comment,
    [34586] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3551),
    1,
    sym_identifier,
    STATE(1261),
    1,
    sym_comment,
    [34599] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3553),
    1,
    sym_identifier,
    STATE(1262),
    1,
    sym_comment,
    [34612] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3555),
    1,
    sym_identifier,
    STATE(1263),
    1,
    sym_comment,
    [34625] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3557),
    1,
    sym_identifier,
    STATE(1264),
    1,
    sym_comment,
    [34638] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3559),
    1,
    sym_identifier,
    STATE(1265),
    1,
    sym_comment,
    [34651] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3561),
    1,
    anon_sym_SEMI,
    STATE(1266),
    1,
    sym_comment,
    [34664] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3563),
    1,
    anon_sym_SEMI,
    STATE(1267),
    1,
    sym_comment,
    [34677] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3565),
    1,
    anon_sym_SEMI,
    STATE(1268),
    1,
    sym_comment,
    [34690] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3567),
    1,
    sym_identifier,
    STATE(1269),
    1,
    sym_comment,
    [34703] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3569),
    1,
    anon_sym_SEMI,
    STATE(1270),
    1,
    sym_comment,
    [34716] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3571),
    1,
    anon_sym_enum,
    STATE(1271),
    1,
    sym_comment,
    [34729] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3573),
    1,
    anon_sym_SEMI,
    STATE(1272),
    1,
    sym_comment,
    [34742] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3575),
    1,
    anon_sym_SEMI,
    STATE(1273),
    1,
    sym_comment,
    [34755] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3577),
    1,
    anon_sym_GT,
    STATE(1274),
    1,
    sym_comment,
    [34768] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3579),
    1,
    sym_identifier,
    STATE(1275),
    1,
    sym_comment,
    [34781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3581),
    1,
    anon_sym_SEMI,
    STATE(1276),
    1,
    sym_comment,
    [34794] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3583),
    1,
    anon_sym_LPAREN,
    STATE(1277),
    1,
    sym_comment,
    [34807] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3585),
    1,
    sym_identifier,
    STATE(1278),
    1,
    sym_comment,
    [34820] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3587),
    1,
    anon_sym_LBRACE,
    STATE(1279),
    1,
    sym_comment,
    [34833] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3589),
    1,
    sym_identifier,
    STATE(1280),
    1,
    sym_comment,
    [34846] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3591),
    1,
    anon_sym_COLON,
    STATE(1281),
    1,
    sym_comment,
    [34859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3593),
    1,
    anon_sym_LBRACE,
    STATE(1282),
    1,
    sym_comment,
    [34872] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3595),
    1,
    sym_identifier,
    STATE(1283),
    1,
    sym_comment,
    [34885] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3597),
    1,
    sym_identifier,
    STATE(1284),
    1,
    sym_comment,
    [34898] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3599),
    1,
    anon_sym_SEMI,
    STATE(1285),
    1,
    sym_comment,
    [34911] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3601),
    1,
    sym_identifier,
    STATE(1286),
    1,
    sym_comment,
    [34924] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3603),
    1,
    sym_identifier,
    STATE(1287),
    1,
    sym_comment,
    [34937] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3605),
    1,
    sym_identifier,
    STATE(1288),
    1,
    sym_comment,
    [34950] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3607),
    1,
    anon_sym_RPAREN,
    STATE(1289),
    1,
    sym_comment,
    [34963] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2488),
    1,
    anon_sym_LBRACE,
    STATE(1290),
    1,
    sym_comment,
    [34976] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3609),
    1,
    sym_identifier,
    STATE(1291),
    1,
    sym_comment,
    [34989] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2795),
    1,
    anon_sym_RPAREN,
    STATE(1292),
    1,
    sym_comment,
    [35002] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3611),
    1,
    anon_sym_SEMI,
    STATE(1293),
    1,
    sym_comment,
    [35015] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2508),
    1,
    anon_sym_interface,
    STATE(1294),
    1,
    sym_comment,
    [35028] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3613),
    1,
    anon_sym_SEMI,
    STATE(1295),
    1,
    sym_comment,
    [35041] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3615),
    1,
    anon_sym_SEMI,
    STATE(1296),
    1,
    sym_comment,
    [35054] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3617),
    1,
    sym_identifier,
    STATE(1297),
    1,
    sym_comment,
    [35067] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3619),
    1,
    anon_sym_SEMI,
    STATE(1298),
    1,
    sym_comment,
    [35080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3621),
    1,
    anon_sym_SEMI,
    STATE(1299),
    1,
    sym_comment,
    [35093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3623),
    1,
    anon_sym_SEMI,
    STATE(1300),
    1,
    sym_comment,
    [35106] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3625),
    1,
    aux_sym_preproc_define_token1,
    STATE(1301),
    1,
    sym_comment,
    [35119] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3627),
    1,
    anon_sym_SEMI,
    STATE(1302),
    1,
    sym_comment,
    [35132] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2154),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3629),
    1,
    aux_sym_comment_token2,
    STATE(1303),
    1,
    sym_comment,
    [35145] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3631),
    1,
    anon_sym_GT,
    STATE(1304),
    1,
    sym_comment,
    [35158] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3633),
    1,
    anon_sym_COLON,
    STATE(1305),
    1,
    sym_comment,
    [35171] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3635),
    1,
    anon_sym_LPAREN,
    STATE(1306),
    1,
    sym_comment,
    [35184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3637),
    1,
    anon_sym_LPAREN,
    STATE(1307),
    1,
    sym_comment,
    [35197] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3639),
    1,
    anon_sym_LPAREN,
    STATE(1308),
    1,
    sym_comment,
    [35210] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3641),
    1,
    anon_sym_LPAREN,
    STATE(1309),
    1,
    sym_comment,
    [35223] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3643),
    1,
    anon_sym_LPAREN,
    STATE(1310),
    1,
    sym_comment,
    [35236] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3645),
    1,
    anon_sym_LPAREN,
    STATE(1311),
    1,
    sym_comment,
    [35249] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3647),
    1,
    anon_sym_LPAREN,
    STATE(1312),
    1,
    sym_comment,
    [35262] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3649),
    1,
    anon_sym_LPAREN,
    STATE(1313),
    1,
    sym_comment,
    [35275] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3651),
    1,
    anon_sym_LPAREN,
    STATE(1314),
    1,
    sym_comment,
    [35288] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3653),
    1,
    anon_sym_LPAREN,
    STATE(1315),
    1,
    sym_comment,
    [35301] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3655),
    1,
    anon_sym_COMMA,
    STATE(1316),
    1,
    sym_comment,
    [35314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3657),
    1,
    anon_sym_COMMA,
    STATE(1317),
    1,
    sym_comment,
    [35327] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3659),
    1,
    anon_sym_COMMA,
    STATE(1318),
    1,
    sym_comment,
    [35340] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3661),
    1,
    anon_sym_COMMA,
    STATE(1319),
    1,
    sym_comment,
    [35353] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3663),
    1,
    anon_sym_LPAREN,
    STATE(1320),
    1,
    sym_comment,
    [35366] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3665),
    1,
    anon_sym_LPAREN,
    STATE(1321),
    1,
    sym_comment,
    [35379] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3667),
    1,
    anon_sym_LPAREN,
    STATE(1322),
    1,
    sym_comment,
    [35392] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3669),
    1,
    anon_sym_LPAREN,
    STATE(1323),
    1,
    sym_comment,
    [35405] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3671),
    1,
    anon_sym_LPAREN,
    STATE(1324),
    1,
    sym_comment,
    [35418] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3673),
    1,
    anon_sym_LPAREN,
    STATE(1325),
    1,
    sym_comment,
    [35431] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3675),
    1,
    anon_sym_LPAREN,
    STATE(1326),
    1,
    sym_comment,
    [35444] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3677),
    1,
    anon_sym_LPAREN,
    STATE(1327),
    1,
    sym_comment,
    [35457] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3679),
    1,
    anon_sym_LPAREN,
    STATE(1328),
    1,
    sym_comment,
    [35470] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3681),
    1,
    anon_sym_LPAREN,
    STATE(1329),
    1,
    sym_comment,
    [35483] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3683),
    1,
    anon_sym_COMMA,
    STATE(1330),
    1,
    sym_comment,
    [35496] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3685),
    1,
    anon_sym_COMMA,
    STATE(1331),
    1,
    sym_comment,
    [35509] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3687),
    1,
    anon_sym_COMMA,
    STATE(1332),
    1,
    sym_comment,
    [35522] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3689),
    1,
    anon_sym_COMMA,
    STATE(1333),
    1,
    sym_comment,
    [35535] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3691),
    1,
    anon_sym_LPAREN,
    STATE(1334),
    1,
    sym_comment,
    [35548] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3693),
    1,
    anon_sym_LPAREN,
    STATE(1335),
    1,
    sym_comment,
    [35561] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3695),
    1,
    anon_sym_LPAREN,
    STATE(1336),
    1,
    sym_comment,
    [35574] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3697),
    1,
    anon_sym_LPAREN,
    STATE(1337),
    1,
    sym_comment,
    [35587] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3699),
    1,
    anon_sym_LPAREN,
    STATE(1338),
    1,
    sym_comment,
    [35600] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3701),
    1,
    anon_sym_LPAREN,
    STATE(1339),
    1,
    sym_comment,
    [35613] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3703),
    1,
    anon_sym_LPAREN,
    STATE(1340),
    1,
    sym_comment,
    [35626] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3705),
    1,
    anon_sym_LPAREN,
    STATE(1341),
    1,
    sym_comment,
    [35639] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3707),
    1,
    anon_sym_LPAREN,
    STATE(1342),
    1,
    sym_comment,
    [35652] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3709),
    1,
    anon_sym_LPAREN,
    STATE(1343),
    1,
    sym_comment,
    [35665] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3711),
    1,
    anon_sym_COMMA,
    STATE(1344),
    1,
    sym_comment,
    [35678] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3713),
    1,
    anon_sym_COMMA,
    STATE(1345),
    1,
    sym_comment,
    [35691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3715),
    1,
    anon_sym_COMMA,
    STATE(1346),
    1,
    sym_comment,
    [35704] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3717),
    1,
    anon_sym_COMMA,
    STATE(1347),
    1,
    sym_comment,
    [35717] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3719),
    1,
    anon_sym_LPAREN,
    STATE(1348),
    1,
    sym_comment,
    [35730] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3721),
    1,
    anon_sym_LPAREN,
    STATE(1349),
    1,
    sym_comment,
    [35743] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3723),
    1,
    anon_sym_LPAREN,
    STATE(1350),
    1,
    sym_comment,
    [35756] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3725),
    1,
    anon_sym_LPAREN,
    STATE(1351),
    1,
    sym_comment,
    [35769] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3727),
    1,
    anon_sym_LPAREN,
    STATE(1352),
    1,
    sym_comment,
    [35782] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3729),
    1,
    anon_sym_LPAREN,
    STATE(1353),
    1,
    sym_comment,
    [35795] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3731),
    1,
    anon_sym_LPAREN,
    STATE(1354),
    1,
    sym_comment,
    [35808] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3733),
    1,
    anon_sym_LPAREN,
    STATE(1355),
    1,
    sym_comment,
    [35821] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3735),
    1,
    anon_sym_LPAREN,
    STATE(1356),
    1,
    sym_comment,
    [35834] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3737),
    1,
    anon_sym_LPAREN,
    STATE(1357),
    1,
    sym_comment,
    [35847] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3739),
    1,
    anon_sym_COMMA,
    STATE(1358),
    1,
    sym_comment,
    [35860] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3741),
    1,
    anon_sym_COMMA,
    STATE(1359),
    1,
    sym_comment,
    [35873] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3743),
    1,
    anon_sym_COMMA,
    STATE(1360),
    1,
    sym_comment,
    [35886] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3745),
    1,
    anon_sym_COMMA,
    STATE(1361),
    1,
    sym_comment,
    [35899] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3747),
    1,
    anon_sym_GT,
    STATE(1362),
    1,
    sym_comment,
    [35912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3749),
    1,
    anon_sym_SEMI,
    STATE(1363),
    1,
    sym_comment,
    [35925] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3751),
    1,
    anon_sym_GT,
    STATE(1364),
    1,
    sym_comment,
    [35938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3753),
    1,
    anon_sym_RPAREN,
    STATE(1365),
    1,
    sym_comment,
    [35951] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3755),
    1,
    anon_sym_LPAREN,
    STATE(1366),
    1,
    sym_comment,
    [35964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3757),
    1,
    anon_sym_LPAREN,
    STATE(1367),
    1,
    sym_comment,
    [35977] = 1,
    ACTIONS(3759),
    1,
    ts_builtin_sym_end,
    [35981] = 1,
    ACTIONS(3761),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(34)] = 0,
    [SMALL_STATE(35)] = 151,
    [SMALL_STATE(36)] = 302,
    [SMALL_STATE(37)] = 453,
    [SMALL_STATE(38)] = 604,
    [SMALL_STATE(39)] = 755,
    [SMALL_STATE(40)] = 906,
    [SMALL_STATE(41)] = 1055,
    [SMALL_STATE(42)] = 1203,
    [SMALL_STATE(43)] = 1347,
    [SMALL_STATE(44)] = 1491,
    [SMALL_STATE(45)] = 1635,
    [SMALL_STATE(46)] = 1777,
    [SMALL_STATE(47)] = 1919,
    [SMALL_STATE(48)] = 2057,
    [SMALL_STATE(49)] = 2127,
    [SMALL_STATE(50)] = 2197,
    [SMALL_STATE(51)] = 2267,
    [SMALL_STATE(52)] = 2337,
    [SMALL_STATE(53)] = 2407,
    [SMALL_STATE(54)] = 2477,
    [SMALL_STATE(55)] = 2547,
    [SMALL_STATE(56)] = 2677,
    [SMALL_STATE(57)] = 2746,
    [SMALL_STATE(58)] = 2815,
    [SMALL_STATE(59)] = 2942,
    [SMALL_STATE(60)] = 3011,
    [SMALL_STATE(61)] = 3080,
    [SMALL_STATE(62)] = 3207,
    [SMALL_STATE(63)] = 3334,
    [SMALL_STATE(64)] = 3461,
    [SMALL_STATE(65)] = 3588,
    [SMALL_STATE(66)] = 3709,
    [SMALL_STATE(67)] = 3836,
    [SMALL_STATE(68)] = 3957,
    [SMALL_STATE(69)] = 4078,
    [SMALL_STATE(70)] = 4199,
    [SMALL_STATE(71)] = 4326,
    [SMALL_STATE(72)] = 4447,
    [SMALL_STATE(73)] = 4514,
    [SMALL_STATE(74)] = 4635,
    [SMALL_STATE(75)] = 4762,
    [SMALL_STATE(76)] = 4883,
    [SMALL_STATE(77)] = 5004,
    [SMALL_STATE(78)] = 5125,
    [SMALL_STATE(79)] = 5252,
    [SMALL_STATE(80)] = 5379,
    [SMALL_STATE(81)] = 5500,
    [SMALL_STATE(82)] = 5627,
    [SMALL_STATE(83)] = 5694,
    [SMALL_STATE(84)] = 5799,
    [SMALL_STATE(85)] = 5904,
    [SMALL_STATE(86)] = 5967,
    [SMALL_STATE(87)] = 6079,
    [SMALL_STATE(88)] = 6191,
    [SMALL_STATE(89)] = 6303,
    [SMALL_STATE(90)] = 6415,
    [SMALL_STATE(91)] = 6527,
    [SMALL_STATE(92)] = 6591,
    [SMALL_STATE(93)] = 6700,
    [SMALL_STATE(94)] = 6809,
    [SMALL_STATE(95)] = 6918,
    [SMALL_STATE(96)] = 6973,
    [SMALL_STATE(97)] = 7082,
    [SMALL_STATE(98)] = 7191,
    [SMALL_STATE(99)] = 7300,
    [SMALL_STATE(100)] = 7355,
    [SMALL_STATE(101)] = 7410,
    [SMALL_STATE(102)] = 7519,
    [SMALL_STATE(103)] = 7625,
    [SMALL_STATE(104)] = 7681,
    [SMALL_STATE(105)] = 7787,
    [SMALL_STATE(106)] = 7843,
    [SMALL_STATE(107)] = 7949,
    [SMALL_STATE(108)] = 8005,
    [SMALL_STATE(109)] = 8061,
    [SMALL_STATE(110)] = 8117,
    [SMALL_STATE(111)] = 8173,
    [SMALL_STATE(112)] = 8229,
    [SMALL_STATE(113)] = 8285,
    [SMALL_STATE(114)] = 8339,
    [SMALL_STATE(115)] = 8395,
    [SMALL_STATE(116)] = 8449,
    [SMALL_STATE(117)] = 8555,
    [SMALL_STATE(118)] = 8611,
    [SMALL_STATE(119)] = 8717,
    [SMALL_STATE(120)] = 8823,
    [SMALL_STATE(121)] = 8877,
    [SMALL_STATE(122)] = 8930,
    [SMALL_STATE(123)] = 8983,
    [SMALL_STATE(124)] = 9036,
    [SMALL_STATE(125)] = 9089,
    [SMALL_STATE(126)] = 9142,
    [SMALL_STATE(127)] = 9195,
    [SMALL_STATE(128)] = 9248,
    [SMALL_STATE(129)] = 9301,
    [SMALL_STATE(130)] = 9354,
    [SMALL_STATE(131)] = 9407,
    [SMALL_STATE(132)] = 9460,
    [SMALL_STATE(133)] = 9513,
    [SMALL_STATE(134)] = 9566,
    [SMALL_STATE(135)] = 9619,
    [SMALL_STATE(136)] = 9672,
    [SMALL_STATE(137)] = 9725,
    [SMALL_STATE(138)] = 9778,
    [SMALL_STATE(139)] = 9831,
    [SMALL_STATE(140)] = 9884,
    [SMALL_STATE(141)] = 9937,
    [SMALL_STATE(142)] = 9990,
    [SMALL_STATE(143)] = 10043,
    [SMALL_STATE(144)] = 10096,
    [SMALL_STATE(145)] = 10149,
    [SMALL_STATE(146)] = 10202,
    [SMALL_STATE(147)] = 10255,
    [SMALL_STATE(148)] = 10308,
    [SMALL_STATE(149)] = 10361,
    [SMALL_STATE(150)] = 10414,
    [SMALL_STATE(151)] = 10467,
    [SMALL_STATE(152)] = 10520,
    [SMALL_STATE(153)] = 10573,
    [SMALL_STATE(154)] = 10626,
    [SMALL_STATE(155)] = 10679,
    [SMALL_STATE(156)] = 10732,
    [SMALL_STATE(157)] = 10785,
    [SMALL_STATE(158)] = 10885,
    [SMALL_STATE(159)] = 10982,
    [SMALL_STATE(160)] = 11076,
    [SMALL_STATE(161)] = 11134,
    [SMALL_STATE(162)] = 11225,
    [SMALL_STATE(163)] = 11276,
    [SMALL_STATE(164)] = 11327,
    [SMALL_STATE(165)] = 11378,
    [SMALL_STATE(166)] = 11429,
    [SMALL_STATE(167)] = 11517,
    [SMALL_STATE(168)] = 11567,
    [SMALL_STATE(169)] = 11617,
    [SMALL_STATE(170)] = 11667,
    [SMALL_STATE(171)] = 11717,
    [SMALL_STATE(172)] = 11765,
    [SMALL_STATE(173)] = 11815,
    [SMALL_STATE(174)] = 11865,
    [SMALL_STATE(175)] = 11915,
    [SMALL_STATE(176)] = 11963,
    [SMALL_STATE(177)] = 12011,
    [SMALL_STATE(178)] = 12061,
    [SMALL_STATE(179)] = 12109,
    [SMALL_STATE(180)] = 12159,
    [SMALL_STATE(181)] = 12207,
    [SMALL_STATE(182)] = 12255,
    [SMALL_STATE(183)] = 12303,
    [SMALL_STATE(184)] = 12351,
    [SMALL_STATE(185)] = 12401,
    [SMALL_STATE(186)] = 12449,
    [SMALL_STATE(187)] = 12497,
    [SMALL_STATE(188)] = 12544,
    [SMALL_STATE(189)] = 12591,
    [SMALL_STATE(190)] = 12638,
    [SMALL_STATE(191)] = 12685,
    [SMALL_STATE(192)] = 12732,
    [SMALL_STATE(193)] = 12779,
    [SMALL_STATE(194)] = 12826,
    [SMALL_STATE(195)] = 12873,
    [SMALL_STATE(196)] = 12920,
    [SMALL_STATE(197)] = 12967,
    [SMALL_STATE(198)] = 13014,
    [SMALL_STATE(199)] = 13061,
    [SMALL_STATE(200)] = 13108,
    [SMALL_STATE(201)] = 13155,
    [SMALL_STATE(202)] = 13202,
    [SMALL_STATE(203)] = 13249,
    [SMALL_STATE(204)] = 13296,
    [SMALL_STATE(205)] = 13343,
    [SMALL_STATE(206)] = 13390,
    [SMALL_STATE(207)] = 13437,
    [SMALL_STATE(208)] = 13484,
    [SMALL_STATE(209)] = 13531,
    [SMALL_STATE(210)] = 13578,
    [SMALL_STATE(211)] = 13625,
    [SMALL_STATE(212)] = 13672,
    [SMALL_STATE(213)] = 13719,
    [SMALL_STATE(214)] = 13766,
    [SMALL_STATE(215)] = 13813,
    [SMALL_STATE(216)] = 13860,
    [SMALL_STATE(217)] = 13907,
    [SMALL_STATE(218)] = 13954,
    [SMALL_STATE(219)] = 14001,
    [SMALL_STATE(220)] = 14048,
    [SMALL_STATE(221)] = 14095,
    [SMALL_STATE(222)] = 14142,
    [SMALL_STATE(223)] = 14227,
    [SMALL_STATE(224)] = 14274,
    [SMALL_STATE(225)] = 14321,
    [SMALL_STATE(226)] = 14368,
    [SMALL_STATE(227)] = 14415,
    [SMALL_STATE(228)] = 14462,
    [SMALL_STATE(229)] = 14507,
    [SMALL_STATE(230)] = 14552,
    [SMALL_STATE(231)] = 14597,
    [SMALL_STATE(232)] = 14642,
    [SMALL_STATE(233)] = 14725,
    [SMALL_STATE(234)] = 14770,
    [SMALL_STATE(235)] = 14815,
    [SMALL_STATE(236)] = 14891,
    [SMALL_STATE(237)] = 14934,
    [SMALL_STATE(238)] = 14977,
    [SMALL_STATE(239)] = 15020,
    [SMALL_STATE(240)] = 15098,
    [SMALL_STATE(241)] = 15140,
    [SMALL_STATE(242)] = 15208,
    [SMALL_STATE(243)] = 15271,
    [SMALL_STATE(244)] = 15334,
    [SMALL_STATE(245)] = 15397,
    [SMALL_STATE(246)] = 15460,
    [SMALL_STATE(247)] = 15523,
    [SMALL_STATE(248)] = 15586,
    [SMALL_STATE(249)] = 15649,
    [SMALL_STATE(250)] = 15712,
    [SMALL_STATE(251)] = 15775,
    [SMALL_STATE(252)] = 15838,
    [SMALL_STATE(253)] = 15901,
    [SMALL_STATE(254)] = 15964,
    [SMALL_STATE(255)] = 16027,
    [SMALL_STATE(256)] = 16090,
    [SMALL_STATE(257)] = 16153,
    [SMALL_STATE(258)] = 16216,
    [SMALL_STATE(259)] = 16279,
    [SMALL_STATE(260)] = 16342,
    [SMALL_STATE(261)] = 16405,
    [SMALL_STATE(262)] = 16468,
    [SMALL_STATE(263)] = 16531,
    [SMALL_STATE(264)] = 16594,
    [SMALL_STATE(265)] = 16654,
    [SMALL_STATE(266)] = 16689,
    [SMALL_STATE(267)] = 16750,
    [SMALL_STATE(268)] = 16807,
    [SMALL_STATE(269)] = 16862,
    [SMALL_STATE(270)] = 16897,
    [SMALL_STATE(271)] = 16931,
    [SMALL_STATE(272)] = 16964,
    [SMALL_STATE(273)] = 16997,
    [SMALL_STATE(274)] = 17030,
    [SMALL_STATE(275)] = 17063,
    [SMALL_STATE(276)] = 17093,
    [SMALL_STATE(277)] = 17123,
    [SMALL_STATE(278)] = 17171,
    [SMALL_STATE(279)] = 17201,
    [SMALL_STATE(280)] = 17235,
    [SMALL_STATE(281)] = 17265,
    [SMALL_STATE(282)] = 17295,
    [SMALL_STATE(283)] = 17325,
    [SMALL_STATE(284)] = 17355,
    [SMALL_STATE(285)] = 17385,
    [SMALL_STATE(286)] = 17415,
    [SMALL_STATE(287)] = 17463,
    [SMALL_STATE(288)] = 17493,
    [SMALL_STATE(289)] = 17523,
    [SMALL_STATE(290)] = 17573,
    [SMALL_STATE(291)] = 17603,
    [SMALL_STATE(292)] = 17653,
    [SMALL_STATE(293)] = 17683,
    [SMALL_STATE(294)] = 17713,
    [SMALL_STATE(295)] = 17763,
    [SMALL_STATE(296)] = 17793,
    [SMALL_STATE(297)] = 17827,
    [SMALL_STATE(298)] = 17857,
    [SMALL_STATE(299)] = 17887,
    [SMALL_STATE(300)] = 17917,
    [SMALL_STATE(301)] = 17947,
    [SMALL_STATE(302)] = 17977,
    [SMALL_STATE(303)] = 18007,
    [SMALL_STATE(304)] = 18037,
    [SMALL_STATE(305)] = 18076,
    [SMALL_STATE(306)] = 18115,
    [SMALL_STATE(307)] = 18162,
    [SMALL_STATE(308)] = 18201,
    [SMALL_STATE(309)] = 18240,
    [SMALL_STATE(310)] = 18279,
    [SMALL_STATE(311)] = 18313,
    [SMALL_STATE(312)] = 18344,
    [SMALL_STATE(313)] = 18373,
    [SMALL_STATE(314)] = 18406,
    [SMALL_STATE(315)] = 18433,
    [SMALL_STATE(316)] = 18462,
    [SMALL_STATE(317)] = 18489,
    [SMALL_STATE(318)] = 18516,
    [SMALL_STATE(319)] = 18545,
    [SMALL_STATE(320)] = 18583,
    [SMALL_STATE(321)] = 18621,
    [SMALL_STATE(322)] = 18649,
    [SMALL_STATE(323)] = 18687,
    [SMALL_STATE(324)] = 18725,
    [SMALL_STATE(325)] = 18763,
    [SMALL_STATE(326)] = 18801,
    [SMALL_STATE(327)] = 18829,
    [SMALL_STATE(328)] = 18867,
    [SMALL_STATE(329)] = 18895,
    [SMALL_STATE(330)] = 18933,
    [SMALL_STATE(331)] = 18971,
    [SMALL_STATE(332)] = 18999,
    [SMALL_STATE(333)] = 19027,
    [SMALL_STATE(334)] = 19055,
    [SMALL_STATE(335)] = 19093,
    [SMALL_STATE(336)] = 19131,
    [SMALL_STATE(337)] = 19169,
    [SMALL_STATE(338)] = 19197,
    [SMALL_STATE(339)] = 19235,
    [SMALL_STATE(340)] = 19263,
    [SMALL_STATE(341)] = 19301,
    [SMALL_STATE(342)] = 19339,
    [SMALL_STATE(343)] = 19367,
    [SMALL_STATE(344)] = 19392,
    [SMALL_STATE(345)] = 19417,
    [SMALL_STATE(346)] = 19442,
    [SMALL_STATE(347)] = 19467,
    [SMALL_STATE(348)] = 19494,
    [SMALL_STATE(349)] = 19519,
    [SMALL_STATE(350)] = 19544,
    [SMALL_STATE(351)] = 19569,
    [SMALL_STATE(352)] = 19594,
    [SMALL_STATE(353)] = 19619,
    [SMALL_STATE(354)] = 19644,
    [SMALL_STATE(355)] = 19669,
    [SMALL_STATE(356)] = 19694,
    [SMALL_STATE(357)] = 19719,
    [SMALL_STATE(358)] = 19744,
    [SMALL_STATE(359)] = 19769,
    [SMALL_STATE(360)] = 19794,
    [SMALL_STATE(361)] = 19819,
    [SMALL_STATE(362)] = 19844,
    [SMALL_STATE(363)] = 19869,
    [SMALL_STATE(364)] = 19894,
    [SMALL_STATE(365)] = 19919,
    [SMALL_STATE(366)] = 19944,
    [SMALL_STATE(367)] = 19969,
    [SMALL_STATE(368)] = 19994,
    [SMALL_STATE(369)] = 20019,
    [SMALL_STATE(370)] = 20044,
    [SMALL_STATE(371)] = 20069,
    [SMALL_STATE(372)] = 20094,
    [SMALL_STATE(373)] = 20119,
    [SMALL_STATE(374)] = 20146,
    [SMALL_STATE(375)] = 20171,
    [SMALL_STATE(376)] = 20196,
    [SMALL_STATE(377)] = 20221,
    [SMALL_STATE(378)] = 20246,
    [SMALL_STATE(379)] = 20271,
    [SMALL_STATE(380)] = 20296,
    [SMALL_STATE(381)] = 20321,
    [SMALL_STATE(382)] = 20355,
    [SMALL_STATE(383)] = 20377,
    [SMALL_STATE(384)] = 20399,
    [SMALL_STATE(385)] = 20426,
    [SMALL_STATE(386)] = 20449,
    [SMALL_STATE(387)] = 20476,
    [SMALL_STATE(388)] = 20499,
    [SMALL_STATE(389)] = 20520,
    [SMALL_STATE(390)] = 20547,
    [SMALL_STATE(391)] = 20574,
    [SMALL_STATE(392)] = 20601,
    [SMALL_STATE(393)] = 20622,
    [SMALL_STATE(394)] = 20656,
    [SMALL_STATE(395)] = 20678,
    [SMALL_STATE(396)] = 20708,
    [SMALL_STATE(397)] = 20736,
    [SMALL_STATE(398)] = 20756,
    [SMALL_STATE(399)] = 20790,
    [SMALL_STATE(400)] = 20812,
    [SMALL_STATE(401)] = 20831,
    [SMALL_STATE(402)] = 20852,
    [SMALL_STATE(403)] = 20881,
    [SMALL_STATE(404)] = 20900,
    [SMALL_STATE(405)] = 20919,
    [SMALL_STATE(406)] = 20938,
    [SMALL_STATE(407)] = 20957,
    [SMALL_STATE(408)] = 20988,
    [SMALL_STATE(409)] = 21007,
    [SMALL_STATE(410)] = 21038,
    [SMALL_STATE(411)] = 21069,
    [SMALL_STATE(412)] = 21088,
    [SMALL_STATE(413)] = 21107,
    [SMALL_STATE(414)] = 21138,
    [SMALL_STATE(415)] = 21169,
    [SMALL_STATE(416)] = 21197,
    [SMALL_STATE(417)] = 21225,
    [SMALL_STATE(418)] = 21253,
    [SMALL_STATE(419)] = 21281,
    [SMALL_STATE(420)] = 21309,
    [SMALL_STATE(421)] = 21337,
    [SMALL_STATE(422)] = 21365,
    [SMALL_STATE(423)] = 21389,
    [SMALL_STATE(424)] = 21417,
    [SMALL_STATE(425)] = 21445,
    [SMALL_STATE(426)] = 21473,
    [SMALL_STATE(427)] = 21495,
    [SMALL_STATE(428)] = 21523,
    [SMALL_STATE(429)] = 21551,
    [SMALL_STATE(430)] = 21575,
    [SMALL_STATE(431)] = 21603,
    [SMALL_STATE(432)] = 21629,
    [SMALL_STATE(433)] = 21657,
    [SMALL_STATE(434)] = 21685,
    [SMALL_STATE(435)] = 21711,
    [SMALL_STATE(436)] = 21739,
    [SMALL_STATE(437)] = 21767,
    [SMALL_STATE(438)] = 21787,
    [SMALL_STATE(439)] = 21815,
    [SMALL_STATE(440)] = 21832,
    [SMALL_STATE(441)] = 21849,
    [SMALL_STATE(442)] = 21866,
    [SMALL_STATE(443)] = 21883,
    [SMALL_STATE(444)] = 21908,
    [SMALL_STATE(445)] = 21931,
    [SMALL_STATE(446)] = 21954,
    [SMALL_STATE(447)] = 21977,
    [SMALL_STATE(448)] = 22002,
    [SMALL_STATE(449)] = 22019,
    [SMALL_STATE(450)] = 22036,
    [SMALL_STATE(451)] = 22053,
    [SMALL_STATE(452)] = 22072,
    [SMALL_STATE(453)] = 22095,
    [SMALL_STATE(454)] = 22120,
    [SMALL_STATE(455)] = 22145,
    [SMALL_STATE(456)] = 22170,
    [SMALL_STATE(457)] = 22189,
    [SMALL_STATE(458)] = 22206,
    [SMALL_STATE(459)] = 22231,
    [SMALL_STATE(460)] = 22256,
    [SMALL_STATE(461)] = 22279,
    [SMALL_STATE(462)] = 22296,
    [SMALL_STATE(463)] = 22317,
    [SMALL_STATE(464)] = 22334,
    [SMALL_STATE(465)] = 22355,
    [SMALL_STATE(466)] = 22372,
    [SMALL_STATE(467)] = 22389,
    [SMALL_STATE(468)] = 22412,
    [SMALL_STATE(469)] = 22429,
    [SMALL_STATE(470)] = 22446,
    [SMALL_STATE(471)] = 22463,
    [SMALL_STATE(472)] = 22480,
    [SMALL_STATE(473)] = 22505,
    [SMALL_STATE(474)] = 22530,
    [SMALL_STATE(475)] = 22555,
    [SMALL_STATE(476)] = 22573,
    [SMALL_STATE(477)] = 22593,
    [SMALL_STATE(478)] = 22613,
    [SMALL_STATE(479)] = 22635,
    [SMALL_STATE(480)] = 22657,
    [SMALL_STATE(481)] = 22677,
    [SMALL_STATE(482)] = 22695,
    [SMALL_STATE(483)] = 22713,
    [SMALL_STATE(484)] = 22735,
    [SMALL_STATE(485)] = 22755,
    [SMALL_STATE(486)] = 22775,
    [SMALL_STATE(487)] = 22793,
    [SMALL_STATE(488)] = 22809,
    [SMALL_STATE(489)] = 22831,
    [SMALL_STATE(490)] = 22849,
    [SMALL_STATE(491)] = 22865,
    [SMALL_STATE(492)] = 22883,
    [SMALL_STATE(493)] = 22901,
    [SMALL_STATE(494)] = 22923,
    [SMALL_STATE(495)] = 22945,
    [SMALL_STATE(496)] = 22963,
    [SMALL_STATE(497)] = 22985,
    [SMALL_STATE(498)] = 23007,
    [SMALL_STATE(499)] = 23025,
    [SMALL_STATE(500)] = 23043,
    [SMALL_STATE(501)] = 23061,
    [SMALL_STATE(502)] = 23077,
    [SMALL_STATE(503)] = 23097,
    [SMALL_STATE(504)] = 23115,
    [SMALL_STATE(505)] = 23131,
    [SMALL_STATE(506)] = 23149,
    [SMALL_STATE(507)] = 23167,
    [SMALL_STATE(508)] = 23183,
    [SMALL_STATE(509)] = 23199,
    [SMALL_STATE(510)] = 23217,
    [SMALL_STATE(511)] = 23235,
    [SMALL_STATE(512)] = 23251,
    [SMALL_STATE(513)] = 23271,
    [SMALL_STATE(514)] = 23293,
    [SMALL_STATE(515)] = 23315,
    [SMALL_STATE(516)] = 23331,
    [SMALL_STATE(517)] = 23347,
    [SMALL_STATE(518)] = 23363,
    [SMALL_STATE(519)] = 23379,
    [SMALL_STATE(520)] = 23401,
    [SMALL_STATE(521)] = 23421,
    [SMALL_STATE(522)] = 23439,
    [SMALL_STATE(523)] = 23461,
    [SMALL_STATE(524)] = 23479,
    [SMALL_STATE(525)] = 23501,
    [SMALL_STATE(526)] = 23519,
    [SMALL_STATE(527)] = 23541,
    [SMALL_STATE(528)] = 23561,
    [SMALL_STATE(529)] = 23583,
    [SMALL_STATE(530)] = 23603,
    [SMALL_STATE(531)] = 23619,
    [SMALL_STATE(532)] = 23639,
    [SMALL_STATE(533)] = 23657,
    [SMALL_STATE(534)] = 23675,
    [SMALL_STATE(535)] = 23695,
    [SMALL_STATE(536)] = 23715,
    [SMALL_STATE(537)] = 23733,
    [SMALL_STATE(538)] = 23751,
    [SMALL_STATE(539)] = 23771,
    [SMALL_STATE(540)] = 23791,
    [SMALL_STATE(541)] = 23809,
    [SMALL_STATE(542)] = 23827,
    [SMALL_STATE(543)] = 23849,
    [SMALL_STATE(544)] = 23871,
    [SMALL_STATE(545)] = 23893,
    [SMALL_STATE(546)] = 23915,
    [SMALL_STATE(547)] = 23935,
    [SMALL_STATE(548)] = 23955,
    [SMALL_STATE(549)] = 23975,
    [SMALL_STATE(550)] = 23991,
    [SMALL_STATE(551)] = 24007,
    [SMALL_STATE(552)] = 24027,
    [SMALL_STATE(553)] = 24049,
    [SMALL_STATE(554)] = 24071,
    [SMALL_STATE(555)] = 24093,
    [SMALL_STATE(556)] = 24115,
    [SMALL_STATE(557)] = 24135,
    [SMALL_STATE(558)] = 24151,
    [SMALL_STATE(559)] = 24169,
    [SMALL_STATE(560)] = 24191,
    [SMALL_STATE(561)] = 24209,
    [SMALL_STATE(562)] = 24231,
    [SMALL_STATE(563)] = 24253,
    [SMALL_STATE(564)] = 24275,
    [SMALL_STATE(565)] = 24297,
    [SMALL_STATE(566)] = 24317,
    [SMALL_STATE(567)] = 24337,
    [SMALL_STATE(568)] = 24355,
    [SMALL_STATE(569)] = 24373,
    [SMALL_STATE(570)] = 24395,
    [SMALL_STATE(571)] = 24413,
    [SMALL_STATE(572)] = 24435,
    [SMALL_STATE(573)] = 24453,
    [SMALL_STATE(574)] = 24471,
    [SMALL_STATE(575)] = 24489,
    [SMALL_STATE(576)] = 24507,
    [SMALL_STATE(577)] = 24526,
    [SMALL_STATE(578)] = 24543,
    [SMALL_STATE(579)] = 24560,
    [SMALL_STATE(580)] = 24577,
    [SMALL_STATE(581)] = 24596,
    [SMALL_STATE(582)] = 24613,
    [SMALL_STATE(583)] = 24630,
    [SMALL_STATE(584)] = 24649,
    [SMALL_STATE(585)] = 24666,
    [SMALL_STATE(586)] = 24683,
    [SMALL_STATE(587)] = 24702,
    [SMALL_STATE(588)] = 24721,
    [SMALL_STATE(589)] = 24740,
    [SMALL_STATE(590)] = 24757,
    [SMALL_STATE(591)] = 24776,
    [SMALL_STATE(592)] = 24793,
    [SMALL_STATE(593)] = 24812,
    [SMALL_STATE(594)] = 24829,
    [SMALL_STATE(595)] = 24846,
    [SMALL_STATE(596)] = 24865,
    [SMALL_STATE(597)] = 24884,
    [SMALL_STATE(598)] = 24903,
    [SMALL_STATE(599)] = 24922,
    [SMALL_STATE(600)] = 24939,
    [SMALL_STATE(601)] = 24956,
    [SMALL_STATE(602)] = 24973,
    [SMALL_STATE(603)] = 24990,
    [SMALL_STATE(604)] = 25007,
    [SMALL_STATE(605)] = 25024,
    [SMALL_STATE(606)] = 25041,
    [SMALL_STATE(607)] = 25058,
    [SMALL_STATE(608)] = 25077,
    [SMALL_STATE(609)] = 25094,
    [SMALL_STATE(610)] = 25111,
    [SMALL_STATE(611)] = 25128,
    [SMALL_STATE(612)] = 25147,
    [SMALL_STATE(613)] = 25164,
    [SMALL_STATE(614)] = 25181,
    [SMALL_STATE(615)] = 25198,
    [SMALL_STATE(616)] = 25217,
    [SMALL_STATE(617)] = 25234,
    [SMALL_STATE(618)] = 25253,
    [SMALL_STATE(619)] = 25270,
    [SMALL_STATE(620)] = 25287,
    [SMALL_STATE(621)] = 25306,
    [SMALL_STATE(622)] = 25325,
    [SMALL_STATE(623)] = 25344,
    [SMALL_STATE(624)] = 25361,
    [SMALL_STATE(625)] = 25380,
    [SMALL_STATE(626)] = 25399,
    [SMALL_STATE(627)] = 25416,
    [SMALL_STATE(628)] = 25435,
    [SMALL_STATE(629)] = 25452,
    [SMALL_STATE(630)] = 25471,
    [SMALL_STATE(631)] = 25490,
    [SMALL_STATE(632)] = 25509,
    [SMALL_STATE(633)] = 25528,
    [SMALL_STATE(634)] = 25545,
    [SMALL_STATE(635)] = 25564,
    [SMALL_STATE(636)] = 25581,
    [SMALL_STATE(637)] = 25600,
    [SMALL_STATE(638)] = 25617,
    [SMALL_STATE(639)] = 25634,
    [SMALL_STATE(640)] = 25651,
    [SMALL_STATE(641)] = 25668,
    [SMALL_STATE(642)] = 25685,
    [SMALL_STATE(643)] = 25702,
    [SMALL_STATE(644)] = 25717,
    [SMALL_STATE(645)] = 25736,
    [SMALL_STATE(646)] = 25755,
    [SMALL_STATE(647)] = 25772,
    [SMALL_STATE(648)] = 25791,
    [SMALL_STATE(649)] = 25810,
    [SMALL_STATE(650)] = 25827,
    [SMALL_STATE(651)] = 25846,
    [SMALL_STATE(652)] = 25865,
    [SMALL_STATE(653)] = 25882,
    [SMALL_STATE(654)] = 25901,
    [SMALL_STATE(655)] = 25920,
    [SMALL_STATE(656)] = 25935,
    [SMALL_STATE(657)] = 25954,
    [SMALL_STATE(658)] = 25973,
    [SMALL_STATE(659)] = 25992,
    [SMALL_STATE(660)] = 26011,
    [SMALL_STATE(661)] = 26026,
    [SMALL_STATE(662)] = 26041,
    [SMALL_STATE(663)] = 26056,
    [SMALL_STATE(664)] = 26073,
    [SMALL_STATE(665)] = 26088,
    [SMALL_STATE(666)] = 26103,
    [SMALL_STATE(667)] = 26118,
    [SMALL_STATE(668)] = 26133,
    [SMALL_STATE(669)] = 26152,
    [SMALL_STATE(670)] = 26167,
    [SMALL_STATE(671)] = 26182,
    [SMALL_STATE(672)] = 26197,
    [SMALL_STATE(673)] = 26212,
    [SMALL_STATE(674)] = 26227,
    [SMALL_STATE(675)] = 26242,
    [SMALL_STATE(676)] = 26257,
    [SMALL_STATE(677)] = 26274,
    [SMALL_STATE(678)] = 26289,
    [SMALL_STATE(679)] = 26304,
    [SMALL_STATE(680)] = 26319,
    [SMALL_STATE(681)] = 26334,
    [SMALL_STATE(682)] = 26349,
    [SMALL_STATE(683)] = 26364,
    [SMALL_STATE(684)] = 26383,
    [SMALL_STATE(685)] = 26398,
    [SMALL_STATE(686)] = 26417,
    [SMALL_STATE(687)] = 26432,
    [SMALL_STATE(688)] = 26447,
    [SMALL_STATE(689)] = 26466,
    [SMALL_STATE(690)] = 26481,
    [SMALL_STATE(691)] = 26496,
    [SMALL_STATE(692)] = 26511,
    [SMALL_STATE(693)] = 26526,
    [SMALL_STATE(694)] = 26545,
    [SMALL_STATE(695)] = 26560,
    [SMALL_STATE(696)] = 26575,
    [SMALL_STATE(697)] = 26594,
    [SMALL_STATE(698)] = 26609,
    [SMALL_STATE(699)] = 26624,
    [SMALL_STATE(700)] = 26643,
    [SMALL_STATE(701)] = 26662,
    [SMALL_STATE(702)] = 26677,
    [SMALL_STATE(703)] = 26696,
    [SMALL_STATE(704)] = 26715,
    [SMALL_STATE(705)] = 26730,
    [SMALL_STATE(706)] = 26749,
    [SMALL_STATE(707)] = 26768,
    [SMALL_STATE(708)] = 26783,
    [SMALL_STATE(709)] = 26798,
    [SMALL_STATE(710)] = 26813,
    [SMALL_STATE(711)] = 26828,
    [SMALL_STATE(712)] = 26847,
    [SMALL_STATE(713)] = 26862,
    [SMALL_STATE(714)] = 26877,
    [SMALL_STATE(715)] = 26896,
    [SMALL_STATE(716)] = 26915,
    [SMALL_STATE(717)] = 26934,
    [SMALL_STATE(718)] = 26953,
    [SMALL_STATE(719)] = 26972,
    [SMALL_STATE(720)] = 26991,
    [SMALL_STATE(721)] = 27008,
    [SMALL_STATE(722)] = 27023,
    [SMALL_STATE(723)] = 27038,
    [SMALL_STATE(724)] = 27053,
    [SMALL_STATE(725)] = 27068,
    [SMALL_STATE(726)] = 27083,
    [SMALL_STATE(727)] = 27098,
    [SMALL_STATE(728)] = 27113,
    [SMALL_STATE(729)] = 27128,
    [SMALL_STATE(730)] = 27143,
    [SMALL_STATE(731)] = 27162,
    [SMALL_STATE(732)] = 27177,
    [SMALL_STATE(733)] = 27192,
    [SMALL_STATE(734)] = 27207,
    [SMALL_STATE(735)] = 27222,
    [SMALL_STATE(736)] = 27241,
    [SMALL_STATE(737)] = 27256,
    [SMALL_STATE(738)] = 27275,
    [SMALL_STATE(739)] = 27290,
    [SMALL_STATE(740)] = 27309,
    [SMALL_STATE(741)] = 27328,
    [SMALL_STATE(742)] = 27343,
    [SMALL_STATE(743)] = 27358,
    [SMALL_STATE(744)] = 27373,
    [SMALL_STATE(745)] = 27388,
    [SMALL_STATE(746)] = 27403,
    [SMALL_STATE(747)] = 27418,
    [SMALL_STATE(748)] = 27437,
    [SMALL_STATE(749)] = 27452,
    [SMALL_STATE(750)] = 27471,
    [SMALL_STATE(751)] = 27486,
    [SMALL_STATE(752)] = 27501,
    [SMALL_STATE(753)] = 27516,
    [SMALL_STATE(754)] = 27533,
    [SMALL_STATE(755)] = 27548,
    [SMALL_STATE(756)] = 27563,
    [SMALL_STATE(757)] = 27578,
    [SMALL_STATE(758)] = 27597,
    [SMALL_STATE(759)] = 27612,
    [SMALL_STATE(760)] = 27627,
    [SMALL_STATE(761)] = 27646,
    [SMALL_STATE(762)] = 27661,
    [SMALL_STATE(763)] = 27676,
    [SMALL_STATE(764)] = 27695,
    [SMALL_STATE(765)] = 27712,
    [SMALL_STATE(766)] = 27731,
    [SMALL_STATE(767)] = 27746,
    [SMALL_STATE(768)] = 27761,
    [SMALL_STATE(769)] = 27780,
    [SMALL_STATE(770)] = 27795,
    [SMALL_STATE(771)] = 27814,
    [SMALL_STATE(772)] = 27829,
    [SMALL_STATE(773)] = 27848,
    [SMALL_STATE(774)] = 27865,
    [SMALL_STATE(775)] = 27884,
    [SMALL_STATE(776)] = 27903,
    [SMALL_STATE(777)] = 27922,
    [SMALL_STATE(778)] = 27937,
    [SMALL_STATE(779)] = 27956,
    [SMALL_STATE(780)] = 27975,
    [SMALL_STATE(781)] = 27994,
    [SMALL_STATE(782)] = 28011,
    [SMALL_STATE(783)] = 28030,
    [SMALL_STATE(784)] = 28049,
    [SMALL_STATE(785)] = 28066,
    [SMALL_STATE(786)] = 28085,
    [SMALL_STATE(787)] = 28104,
    [SMALL_STATE(788)] = 28121,
    [SMALL_STATE(789)] = 28138,
    [SMALL_STATE(790)] = 28153,
    [SMALL_STATE(791)] = 28172,
    [SMALL_STATE(792)] = 28189,
    [SMALL_STATE(793)] = 28208,
    [SMALL_STATE(794)] = 28225,
    [SMALL_STATE(795)] = 28244,
    [SMALL_STATE(796)] = 28263,
    [SMALL_STATE(797)] = 28282,
    [SMALL_STATE(798)] = 28301,
    [SMALL_STATE(799)] = 28317,
    [SMALL_STATE(800)] = 28333,
    [SMALL_STATE(801)] = 28349,
    [SMALL_STATE(802)] = 28365,
    [SMALL_STATE(803)] = 28381,
    [SMALL_STATE(804)] = 28397,
    [SMALL_STATE(805)] = 28413,
    [SMALL_STATE(806)] = 28429,
    [SMALL_STATE(807)] = 28443,
    [SMALL_STATE(808)] = 28459,
    [SMALL_STATE(809)] = 28473,
    [SMALL_STATE(810)] = 28487,
    [SMALL_STATE(811)] = 28501,
    [SMALL_STATE(812)] = 28517,
    [SMALL_STATE(813)] = 28531,
    [SMALL_STATE(814)] = 28547,
    [SMALL_STATE(815)] = 28561,
    [SMALL_STATE(816)] = 28577,
    [SMALL_STATE(817)] = 28591,
    [SMALL_STATE(818)] = 28605,
    [SMALL_STATE(819)] = 28619,
    [SMALL_STATE(820)] = 28633,
    [SMALL_STATE(821)] = 28647,
    [SMALL_STATE(822)] = 28663,
    [SMALL_STATE(823)] = 28677,
    [SMALL_STATE(824)] = 28693,
    [SMALL_STATE(825)] = 28707,
    [SMALL_STATE(826)] = 28721,
    [SMALL_STATE(827)] = 28737,
    [SMALL_STATE(828)] = 28751,
    [SMALL_STATE(829)] = 28767,
    [SMALL_STATE(830)] = 28781,
    [SMALL_STATE(831)] = 28795,
    [SMALL_STATE(832)] = 28811,
    [SMALL_STATE(833)] = 28827,
    [SMALL_STATE(834)] = 28843,
    [SMALL_STATE(835)] = 28859,
    [SMALL_STATE(836)] = 28873,
    [SMALL_STATE(837)] = 28889,
    [SMALL_STATE(838)] = 28903,
    [SMALL_STATE(839)] = 28919,
    [SMALL_STATE(840)] = 28935,
    [SMALL_STATE(841)] = 28949,
    [SMALL_STATE(842)] = 28965,
    [SMALL_STATE(843)] = 28981,
    [SMALL_STATE(844)] = 28995,
    [SMALL_STATE(845)] = 29011,
    [SMALL_STATE(846)] = 29025,
    [SMALL_STATE(847)] = 29039,
    [SMALL_STATE(848)] = 29055,
    [SMALL_STATE(849)] = 29069,
    [SMALL_STATE(850)] = 29083,
    [SMALL_STATE(851)] = 29099,
    [SMALL_STATE(852)] = 29113,
    [SMALL_STATE(853)] = 29129,
    [SMALL_STATE(854)] = 29145,
    [SMALL_STATE(855)] = 29161,
    [SMALL_STATE(856)] = 29175,
    [SMALL_STATE(857)] = 29191,
    [SMALL_STATE(858)] = 29205,
    [SMALL_STATE(859)] = 29221,
    [SMALL_STATE(860)] = 29237,
    [SMALL_STATE(861)] = 29251,
    [SMALL_STATE(862)] = 29267,
    [SMALL_STATE(863)] = 29281,
    [SMALL_STATE(864)] = 29295,
    [SMALL_STATE(865)] = 29311,
    [SMALL_STATE(866)] = 29327,
    [SMALL_STATE(867)] = 29341,
    [SMALL_STATE(868)] = 29357,
    [SMALL_STATE(869)] = 29373,
    [SMALL_STATE(870)] = 29389,
    [SMALL_STATE(871)] = 29403,
    [SMALL_STATE(872)] = 29417,
    [SMALL_STATE(873)] = 29433,
    [SMALL_STATE(874)] = 29447,
    [SMALL_STATE(875)] = 29461,
    [SMALL_STATE(876)] = 29475,
    [SMALL_STATE(877)] = 29489,
    [SMALL_STATE(878)] = 29505,
    [SMALL_STATE(879)] = 29521,
    [SMALL_STATE(880)] = 29537,
    [SMALL_STATE(881)] = 29553,
    [SMALL_STATE(882)] = 29569,
    [SMALL_STATE(883)] = 29585,
    [SMALL_STATE(884)] = 29599,
    [SMALL_STATE(885)] = 29613,
    [SMALL_STATE(886)] = 29627,
    [SMALL_STATE(887)] = 29643,
    [SMALL_STATE(888)] = 29659,
    [SMALL_STATE(889)] = 29675,
    [SMALL_STATE(890)] = 29691,
    [SMALL_STATE(891)] = 29705,
    [SMALL_STATE(892)] = 29719,
    [SMALL_STATE(893)] = 29733,
    [SMALL_STATE(894)] = 29747,
    [SMALL_STATE(895)] = 29761,
    [SMALL_STATE(896)] = 29775,
    [SMALL_STATE(897)] = 29791,
    [SMALL_STATE(898)] = 29805,
    [SMALL_STATE(899)] = 29819,
    [SMALL_STATE(900)] = 29833,
    [SMALL_STATE(901)] = 29847,
    [SMALL_STATE(902)] = 29861,
    [SMALL_STATE(903)] = 29875,
    [SMALL_STATE(904)] = 29889,
    [SMALL_STATE(905)] = 29905,
    [SMALL_STATE(906)] = 29919,
    [SMALL_STATE(907)] = 29935,
    [SMALL_STATE(908)] = 29949,
    [SMALL_STATE(909)] = 29965,
    [SMALL_STATE(910)] = 29979,
    [SMALL_STATE(911)] = 29993,
    [SMALL_STATE(912)] = 30009,
    [SMALL_STATE(913)] = 30025,
    [SMALL_STATE(914)] = 30041,
    [SMALL_STATE(915)] = 30057,
    [SMALL_STATE(916)] = 30073,
    [SMALL_STATE(917)] = 30087,
    [SMALL_STATE(918)] = 30103,
    [SMALL_STATE(919)] = 30119,
    [SMALL_STATE(920)] = 30135,
    [SMALL_STATE(921)] = 30151,
    [SMALL_STATE(922)] = 30165,
    [SMALL_STATE(923)] = 30179,
    [SMALL_STATE(924)] = 30193,
    [SMALL_STATE(925)] = 30207,
    [SMALL_STATE(926)] = 30223,
    [SMALL_STATE(927)] = 30237,
    [SMALL_STATE(928)] = 30251,
    [SMALL_STATE(929)] = 30267,
    [SMALL_STATE(930)] = 30283,
    [SMALL_STATE(931)] = 30296,
    [SMALL_STATE(932)] = 30309,
    [SMALL_STATE(933)] = 30322,
    [SMALL_STATE(934)] = 30335,
    [SMALL_STATE(935)] = 30348,
    [SMALL_STATE(936)] = 30361,
    [SMALL_STATE(937)] = 30374,
    [SMALL_STATE(938)] = 30387,
    [SMALL_STATE(939)] = 30400,
    [SMALL_STATE(940)] = 30413,
    [SMALL_STATE(941)] = 30426,
    [SMALL_STATE(942)] = 30439,
    [SMALL_STATE(943)] = 30452,
    [SMALL_STATE(944)] = 30465,
    [SMALL_STATE(945)] = 30478,
    [SMALL_STATE(946)] = 30491,
    [SMALL_STATE(947)] = 30504,
    [SMALL_STATE(948)] = 30517,
    [SMALL_STATE(949)] = 30530,
    [SMALL_STATE(950)] = 30543,
    [SMALL_STATE(951)] = 30556,
    [SMALL_STATE(952)] = 30569,
    [SMALL_STATE(953)] = 30582,
    [SMALL_STATE(954)] = 30595,
    [SMALL_STATE(955)] = 30608,
    [SMALL_STATE(956)] = 30621,
    [SMALL_STATE(957)] = 30634,
    [SMALL_STATE(958)] = 30647,
    [SMALL_STATE(959)] = 30660,
    [SMALL_STATE(960)] = 30673,
    [SMALL_STATE(961)] = 30686,
    [SMALL_STATE(962)] = 30699,
    [SMALL_STATE(963)] = 30712,
    [SMALL_STATE(964)] = 30725,
    [SMALL_STATE(965)] = 30738,
    [SMALL_STATE(966)] = 30751,
    [SMALL_STATE(967)] = 30764,
    [SMALL_STATE(968)] = 30777,
    [SMALL_STATE(969)] = 30790,
    [SMALL_STATE(970)] = 30803,
    [SMALL_STATE(971)] = 30816,
    [SMALL_STATE(972)] = 30829,
    [SMALL_STATE(973)] = 30842,
    [SMALL_STATE(974)] = 30855,
    [SMALL_STATE(975)] = 30868,
    [SMALL_STATE(976)] = 30881,
    [SMALL_STATE(977)] = 30894,
    [SMALL_STATE(978)] = 30907,
    [SMALL_STATE(979)] = 30920,
    [SMALL_STATE(980)] = 30933,
    [SMALL_STATE(981)] = 30946,
    [SMALL_STATE(982)] = 30959,
    [SMALL_STATE(983)] = 30972,
    [SMALL_STATE(984)] = 30985,
    [SMALL_STATE(985)] = 30998,
    [SMALL_STATE(986)] = 31011,
    [SMALL_STATE(987)] = 31024,
    [SMALL_STATE(988)] = 31037,
    [SMALL_STATE(989)] = 31050,
    [SMALL_STATE(990)] = 31063,
    [SMALL_STATE(991)] = 31076,
    [SMALL_STATE(992)] = 31089,
    [SMALL_STATE(993)] = 31102,
    [SMALL_STATE(994)] = 31115,
    [SMALL_STATE(995)] = 31128,
    [SMALL_STATE(996)] = 31141,
    [SMALL_STATE(997)] = 31154,
    [SMALL_STATE(998)] = 31167,
    [SMALL_STATE(999)] = 31180,
    [SMALL_STATE(1000)] = 31193,
    [SMALL_STATE(1001)] = 31206,
    [SMALL_STATE(1002)] = 31219,
    [SMALL_STATE(1003)] = 31232,
    [SMALL_STATE(1004)] = 31245,
    [SMALL_STATE(1005)] = 31258,
    [SMALL_STATE(1006)] = 31271,
    [SMALL_STATE(1007)] = 31284,
    [SMALL_STATE(1008)] = 31297,
    [SMALL_STATE(1009)] = 31310,
    [SMALL_STATE(1010)] = 31323,
    [SMALL_STATE(1011)] = 31336,
    [SMALL_STATE(1012)] = 31349,
    [SMALL_STATE(1013)] = 31362,
    [SMALL_STATE(1014)] = 31375,
    [SMALL_STATE(1015)] = 31388,
    [SMALL_STATE(1016)] = 31401,
    [SMALL_STATE(1017)] = 31414,
    [SMALL_STATE(1018)] = 31427,
    [SMALL_STATE(1019)] = 31440,
    [SMALL_STATE(1020)] = 31453,
    [SMALL_STATE(1021)] = 31466,
    [SMALL_STATE(1022)] = 31479,
    [SMALL_STATE(1023)] = 31492,
    [SMALL_STATE(1024)] = 31505,
    [SMALL_STATE(1025)] = 31518,
    [SMALL_STATE(1026)] = 31531,
    [SMALL_STATE(1027)] = 31544,
    [SMALL_STATE(1028)] = 31557,
    [SMALL_STATE(1029)] = 31570,
    [SMALL_STATE(1030)] = 31583,
    [SMALL_STATE(1031)] = 31596,
    [SMALL_STATE(1032)] = 31609,
    [SMALL_STATE(1033)] = 31622,
    [SMALL_STATE(1034)] = 31635,
    [SMALL_STATE(1035)] = 31648,
    [SMALL_STATE(1036)] = 31661,
    [SMALL_STATE(1037)] = 31674,
    [SMALL_STATE(1038)] = 31687,
    [SMALL_STATE(1039)] = 31700,
    [SMALL_STATE(1040)] = 31713,
    [SMALL_STATE(1041)] = 31726,
    [SMALL_STATE(1042)] = 31739,
    [SMALL_STATE(1043)] = 31752,
    [SMALL_STATE(1044)] = 31765,
    [SMALL_STATE(1045)] = 31778,
    [SMALL_STATE(1046)] = 31791,
    [SMALL_STATE(1047)] = 31804,
    [SMALL_STATE(1048)] = 31817,
    [SMALL_STATE(1049)] = 31830,
    [SMALL_STATE(1050)] = 31843,
    [SMALL_STATE(1051)] = 31856,
    [SMALL_STATE(1052)] = 31869,
    [SMALL_STATE(1053)] = 31882,
    [SMALL_STATE(1054)] = 31895,
    [SMALL_STATE(1055)] = 31908,
    [SMALL_STATE(1056)] = 31921,
    [SMALL_STATE(1057)] = 31934,
    [SMALL_STATE(1058)] = 31947,
    [SMALL_STATE(1059)] = 31960,
    [SMALL_STATE(1060)] = 31973,
    [SMALL_STATE(1061)] = 31986,
    [SMALL_STATE(1062)] = 31999,
    [SMALL_STATE(1063)] = 32012,
    [SMALL_STATE(1064)] = 32025,
    [SMALL_STATE(1065)] = 32038,
    [SMALL_STATE(1066)] = 32051,
    [SMALL_STATE(1067)] = 32064,
    [SMALL_STATE(1068)] = 32077,
    [SMALL_STATE(1069)] = 32090,
    [SMALL_STATE(1070)] = 32103,
    [SMALL_STATE(1071)] = 32116,
    [SMALL_STATE(1072)] = 32129,
    [SMALL_STATE(1073)] = 32142,
    [SMALL_STATE(1074)] = 32155,
    [SMALL_STATE(1075)] = 32168,
    [SMALL_STATE(1076)] = 32181,
    [SMALL_STATE(1077)] = 32194,
    [SMALL_STATE(1078)] = 32207,
    [SMALL_STATE(1079)] = 32220,
    [SMALL_STATE(1080)] = 32233,
    [SMALL_STATE(1081)] = 32246,
    [SMALL_STATE(1082)] = 32259,
    [SMALL_STATE(1083)] = 32272,
    [SMALL_STATE(1084)] = 32285,
    [SMALL_STATE(1085)] = 32298,
    [SMALL_STATE(1086)] = 32311,
    [SMALL_STATE(1087)] = 32324,
    [SMALL_STATE(1088)] = 32337,
    [SMALL_STATE(1089)] = 32350,
    [SMALL_STATE(1090)] = 32363,
    [SMALL_STATE(1091)] = 32376,
    [SMALL_STATE(1092)] = 32389,
    [SMALL_STATE(1093)] = 32402,
    [SMALL_STATE(1094)] = 32415,
    [SMALL_STATE(1095)] = 32428,
    [SMALL_STATE(1096)] = 32441,
    [SMALL_STATE(1097)] = 32454,
    [SMALL_STATE(1098)] = 32467,
    [SMALL_STATE(1099)] = 32480,
    [SMALL_STATE(1100)] = 32493,
    [SMALL_STATE(1101)] = 32506,
    [SMALL_STATE(1102)] = 32519,
    [SMALL_STATE(1103)] = 32532,
    [SMALL_STATE(1104)] = 32545,
    [SMALL_STATE(1105)] = 32558,
    [SMALL_STATE(1106)] = 32571,
    [SMALL_STATE(1107)] = 32584,
    [SMALL_STATE(1108)] = 32597,
    [SMALL_STATE(1109)] = 32610,
    [SMALL_STATE(1110)] = 32623,
    [SMALL_STATE(1111)] = 32636,
    [SMALL_STATE(1112)] = 32649,
    [SMALL_STATE(1113)] = 32662,
    [SMALL_STATE(1114)] = 32675,
    [SMALL_STATE(1115)] = 32688,
    [SMALL_STATE(1116)] = 32701,
    [SMALL_STATE(1117)] = 32714,
    [SMALL_STATE(1118)] = 32727,
    [SMALL_STATE(1119)] = 32740,
    [SMALL_STATE(1120)] = 32753,
    [SMALL_STATE(1121)] = 32766,
    [SMALL_STATE(1122)] = 32779,
    [SMALL_STATE(1123)] = 32792,
    [SMALL_STATE(1124)] = 32805,
    [SMALL_STATE(1125)] = 32818,
    [SMALL_STATE(1126)] = 32831,
    [SMALL_STATE(1127)] = 32844,
    [SMALL_STATE(1128)] = 32857,
    [SMALL_STATE(1129)] = 32870,
    [SMALL_STATE(1130)] = 32883,
    [SMALL_STATE(1131)] = 32896,
    [SMALL_STATE(1132)] = 32909,
    [SMALL_STATE(1133)] = 32922,
    [SMALL_STATE(1134)] = 32935,
    [SMALL_STATE(1135)] = 32948,
    [SMALL_STATE(1136)] = 32961,
    [SMALL_STATE(1137)] = 32974,
    [SMALL_STATE(1138)] = 32987,
    [SMALL_STATE(1139)] = 33000,
    [SMALL_STATE(1140)] = 33013,
    [SMALL_STATE(1141)] = 33026,
    [SMALL_STATE(1142)] = 33039,
    [SMALL_STATE(1143)] = 33052,
    [SMALL_STATE(1144)] = 33065,
    [SMALL_STATE(1145)] = 33078,
    [SMALL_STATE(1146)] = 33091,
    [SMALL_STATE(1147)] = 33104,
    [SMALL_STATE(1148)] = 33117,
    [SMALL_STATE(1149)] = 33130,
    [SMALL_STATE(1150)] = 33143,
    [SMALL_STATE(1151)] = 33156,
    [SMALL_STATE(1152)] = 33169,
    [SMALL_STATE(1153)] = 33182,
    [SMALL_STATE(1154)] = 33195,
    [SMALL_STATE(1155)] = 33208,
    [SMALL_STATE(1156)] = 33221,
    [SMALL_STATE(1157)] = 33234,
    [SMALL_STATE(1158)] = 33247,
    [SMALL_STATE(1159)] = 33260,
    [SMALL_STATE(1160)] = 33273,
    [SMALL_STATE(1161)] = 33286,
    [SMALL_STATE(1162)] = 33299,
    [SMALL_STATE(1163)] = 33312,
    [SMALL_STATE(1164)] = 33325,
    [SMALL_STATE(1165)] = 33338,
    [SMALL_STATE(1166)] = 33351,
    [SMALL_STATE(1167)] = 33364,
    [SMALL_STATE(1168)] = 33377,
    [SMALL_STATE(1169)] = 33390,
    [SMALL_STATE(1170)] = 33403,
    [SMALL_STATE(1171)] = 33416,
    [SMALL_STATE(1172)] = 33429,
    [SMALL_STATE(1173)] = 33442,
    [SMALL_STATE(1174)] = 33455,
    [SMALL_STATE(1175)] = 33468,
    [SMALL_STATE(1176)] = 33481,
    [SMALL_STATE(1177)] = 33494,
    [SMALL_STATE(1178)] = 33507,
    [SMALL_STATE(1179)] = 33520,
    [SMALL_STATE(1180)] = 33533,
    [SMALL_STATE(1181)] = 33546,
    [SMALL_STATE(1182)] = 33559,
    [SMALL_STATE(1183)] = 33572,
    [SMALL_STATE(1184)] = 33585,
    [SMALL_STATE(1185)] = 33598,
    [SMALL_STATE(1186)] = 33611,
    [SMALL_STATE(1187)] = 33624,
    [SMALL_STATE(1188)] = 33637,
    [SMALL_STATE(1189)] = 33650,
    [SMALL_STATE(1190)] = 33663,
    [SMALL_STATE(1191)] = 33676,
    [SMALL_STATE(1192)] = 33689,
    [SMALL_STATE(1193)] = 33702,
    [SMALL_STATE(1194)] = 33715,
    [SMALL_STATE(1195)] = 33728,
    [SMALL_STATE(1196)] = 33741,
    [SMALL_STATE(1197)] = 33754,
    [SMALL_STATE(1198)] = 33767,
    [SMALL_STATE(1199)] = 33780,
    [SMALL_STATE(1200)] = 33793,
    [SMALL_STATE(1201)] = 33806,
    [SMALL_STATE(1202)] = 33819,
    [SMALL_STATE(1203)] = 33832,
    [SMALL_STATE(1204)] = 33845,
    [SMALL_STATE(1205)] = 33858,
    [SMALL_STATE(1206)] = 33871,
    [SMALL_STATE(1207)] = 33884,
    [SMALL_STATE(1208)] = 33897,
    [SMALL_STATE(1209)] = 33910,
    [SMALL_STATE(1210)] = 33923,
    [SMALL_STATE(1211)] = 33936,
    [SMALL_STATE(1212)] = 33949,
    [SMALL_STATE(1213)] = 33962,
    [SMALL_STATE(1214)] = 33975,
    [SMALL_STATE(1215)] = 33988,
    [SMALL_STATE(1216)] = 34001,
    [SMALL_STATE(1217)] = 34014,
    [SMALL_STATE(1218)] = 34027,
    [SMALL_STATE(1219)] = 34040,
    [SMALL_STATE(1220)] = 34053,
    [SMALL_STATE(1221)] = 34066,
    [SMALL_STATE(1222)] = 34079,
    [SMALL_STATE(1223)] = 34092,
    [SMALL_STATE(1224)] = 34105,
    [SMALL_STATE(1225)] = 34118,
    [SMALL_STATE(1226)] = 34131,
    [SMALL_STATE(1227)] = 34144,
    [SMALL_STATE(1228)] = 34157,
    [SMALL_STATE(1229)] = 34170,
    [SMALL_STATE(1230)] = 34183,
    [SMALL_STATE(1231)] = 34196,
    [SMALL_STATE(1232)] = 34209,
    [SMALL_STATE(1233)] = 34222,
    [SMALL_STATE(1234)] = 34235,
    [SMALL_STATE(1235)] = 34248,
    [SMALL_STATE(1236)] = 34261,
    [SMALL_STATE(1237)] = 34274,
    [SMALL_STATE(1238)] = 34287,
    [SMALL_STATE(1239)] = 34300,
    [SMALL_STATE(1240)] = 34313,
    [SMALL_STATE(1241)] = 34326,
    [SMALL_STATE(1242)] = 34339,
    [SMALL_STATE(1243)] = 34352,
    [SMALL_STATE(1244)] = 34365,
    [SMALL_STATE(1245)] = 34378,
    [SMALL_STATE(1246)] = 34391,
    [SMALL_STATE(1247)] = 34404,
    [SMALL_STATE(1248)] = 34417,
    [SMALL_STATE(1249)] = 34430,
    [SMALL_STATE(1250)] = 34443,
    [SMALL_STATE(1251)] = 34456,
    [SMALL_STATE(1252)] = 34469,
    [SMALL_STATE(1253)] = 34482,
    [SMALL_STATE(1254)] = 34495,
    [SMALL_STATE(1255)] = 34508,
    [SMALL_STATE(1256)] = 34521,
    [SMALL_STATE(1257)] = 34534,
    [SMALL_STATE(1258)] = 34547,
    [SMALL_STATE(1259)] = 34560,
    [SMALL_STATE(1260)] = 34573,
    [SMALL_STATE(1261)] = 34586,
    [SMALL_STATE(1262)] = 34599,
    [SMALL_STATE(1263)] = 34612,
    [SMALL_STATE(1264)] = 34625,
    [SMALL_STATE(1265)] = 34638,
    [SMALL_STATE(1266)] = 34651,
    [SMALL_STATE(1267)] = 34664,
    [SMALL_STATE(1268)] = 34677,
    [SMALL_STATE(1269)] = 34690,
    [SMALL_STATE(1270)] = 34703,
    [SMALL_STATE(1271)] = 34716,
    [SMALL_STATE(1272)] = 34729,
    [SMALL_STATE(1273)] = 34742,
    [SMALL_STATE(1274)] = 34755,
    [SMALL_STATE(1275)] = 34768,
    [SMALL_STATE(1276)] = 34781,
    [SMALL_STATE(1277)] = 34794,
    [SMALL_STATE(1278)] = 34807,
    [SMALL_STATE(1279)] = 34820,
    [SMALL_STATE(1280)] = 34833,
    [SMALL_STATE(1281)] = 34846,
    [SMALL_STATE(1282)] = 34859,
    [SMALL_STATE(1283)] = 34872,
    [SMALL_STATE(1284)] = 34885,
    [SMALL_STATE(1285)] = 34898,
    [SMALL_STATE(1286)] = 34911,
    [SMALL_STATE(1287)] = 34924,
    [SMALL_STATE(1288)] = 34937,
    [SMALL_STATE(1289)] = 34950,
    [SMALL_STATE(1290)] = 34963,
    [SMALL_STATE(1291)] = 34976,
    [SMALL_STATE(1292)] = 34989,
    [SMALL_STATE(1293)] = 35002,
    [SMALL_STATE(1294)] = 35015,
    [SMALL_STATE(1295)] = 35028,
    [SMALL_STATE(1296)] = 35041,
    [SMALL_STATE(1297)] = 35054,
    [SMALL_STATE(1298)] = 35067,
    [SMALL_STATE(1299)] = 35080,
    [SMALL_STATE(1300)] = 35093,
    [SMALL_STATE(1301)] = 35106,
    [SMALL_STATE(1302)] = 35119,
    [SMALL_STATE(1303)] = 35132,
    [SMALL_STATE(1304)] = 35145,
    [SMALL_STATE(1305)] = 35158,
    [SMALL_STATE(1306)] = 35171,
    [SMALL_STATE(1307)] = 35184,
    [SMALL_STATE(1308)] = 35197,
    [SMALL_STATE(1309)] = 35210,
    [SMALL_STATE(1310)] = 35223,
    [SMALL_STATE(1311)] = 35236,
    [SMALL_STATE(1312)] = 35249,
    [SMALL_STATE(1313)] = 35262,
    [SMALL_STATE(1314)] = 35275,
    [SMALL_STATE(1315)] = 35288,
    [SMALL_STATE(1316)] = 35301,
    [SMALL_STATE(1317)] = 35314,
    [SMALL_STATE(1318)] = 35327,
    [SMALL_STATE(1319)] = 35340,
    [SMALL_STATE(1320)] = 35353,
    [SMALL_STATE(1321)] = 35366,
    [SMALL_STATE(1322)] = 35379,
    [SMALL_STATE(1323)] = 35392,
    [SMALL_STATE(1324)] = 35405,
    [SMALL_STATE(1325)] = 35418,
    [SMALL_STATE(1326)] = 35431,
    [SMALL_STATE(1327)] = 35444,
    [SMALL_STATE(1328)] = 35457,
    [SMALL_STATE(1329)] = 35470,
    [SMALL_STATE(1330)] = 35483,
    [SMALL_STATE(1331)] = 35496,
    [SMALL_STATE(1332)] = 35509,
    [SMALL_STATE(1333)] = 35522,
    [SMALL_STATE(1334)] = 35535,
    [SMALL_STATE(1335)] = 35548,
    [SMALL_STATE(1336)] = 35561,
    [SMALL_STATE(1337)] = 35574,
    [SMALL_STATE(1338)] = 35587,
    [SMALL_STATE(1339)] = 35600,
    [SMALL_STATE(1340)] = 35613,
    [SMALL_STATE(1341)] = 35626,
    [SMALL_STATE(1342)] = 35639,
    [SMALL_STATE(1343)] = 35652,
    [SMALL_STATE(1344)] = 35665,
    [SMALL_STATE(1345)] = 35678,
    [SMALL_STATE(1346)] = 35691,
    [SMALL_STATE(1347)] = 35704,
    [SMALL_STATE(1348)] = 35717,
    [SMALL_STATE(1349)] = 35730,
    [SMALL_STATE(1350)] = 35743,
    [SMALL_STATE(1351)] = 35756,
    [SMALL_STATE(1352)] = 35769,
    [SMALL_STATE(1353)] = 35782,
    [SMALL_STATE(1354)] = 35795,
    [SMALL_STATE(1355)] = 35808,
    [SMALL_STATE(1356)] = 35821,
    [SMALL_STATE(1357)] = 35834,
    [SMALL_STATE(1358)] = 35847,
    [SMALL_STATE(1359)] = 35860,
    [SMALL_STATE(1360)] = 35873,
    [SMALL_STATE(1361)] = 35886,
    [SMALL_STATE(1362)] = 35899,
    [SMALL_STATE(1363)] = 35912,
    [SMALL_STATE(1364)] = 35925,
    [SMALL_STATE(1365)] = 35938,
    [SMALL_STATE(1366)] = 35951,
    [SMALL_STATE(1367)] = 35964,
    [SMALL_STATE(1368)] = 35977,
    [SMALL_STATE(1369)] = 35981,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1179),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1303),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1301),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(823),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(446),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1297),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1294),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(583),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1291),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1288),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1287),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1286),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(71),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(586),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1284),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1283),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1280),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1278),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1275),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(838),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1271),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(597),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(598),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(425),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1265),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1264),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1263),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1262),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(841),
    [69] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(449),
    [71] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(471),
    [73] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(470),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(470),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(469),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(508),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1048),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(468),
    [85] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(466),
    [87] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(466),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(463),
    [91] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(461),
    [93] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(461),
    [95] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(515),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(515),
    [99] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(457),
    [101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1116),
    [103] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(456),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(507),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1075),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1069),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1297),
    [113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(973),
    [115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(994),
    [117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(990),
    [119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(989),
    [121] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(63),
    [123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1288),
    [125] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1287),
    [127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(986),
    [129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1284),
    [131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1280),
    [133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1278),
    [135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1275),
    [137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(83),
    [139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(985),
    [141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(74),
    [143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(972),
    [145] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(32),
    [147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(597),
    [149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(425),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(511),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(841),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(270),
    [157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(956),
    [159] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(449),
    [162] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(471),
    [165] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [168] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [171] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(469),
    [174] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(508),
    [177] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1048),
    [180] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [183] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [186] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [189] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(463),
    [192] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [195] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [198] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [201] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [204] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(457),
    [207] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1116),
    [210] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(456),
    [213] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(507),
    [216] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1075),
    [219] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [222] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1297),
    [225] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [227] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(994),
    [230] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(990),
    [233] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [236] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [239] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1288),
    [242] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1287),
    [245] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [248] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [251] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(986),
    [254] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1284),
    [257] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [260] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1278),
    [263] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [266] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [269] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(985),
    [272] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [275] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(972),
    [278] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [281] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [284] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(597),
    [287] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [290] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(511),
    [293] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [296] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(270),
    [299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(961),
    [301] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(960),
    [303] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(959),
    [305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1003),
    [307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(998),
    [309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(449),
    [312] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(471),
    [315] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [321] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(469),
    [324] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(508),
    [327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1048),
    [330] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [333] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [339] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(463),
    [342] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [345] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [348] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [351] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [354] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(457),
    [357] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1116),
    [360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(456),
    [363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(507),
    [366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1075),
    [369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [372] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1297),
    [375] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [377] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(994),
    [380] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(990),
    [383] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [386] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [389] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1288),
    [392] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1287),
    [395] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [398] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(986),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1284),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1278),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(985),
    [422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(960),
    [425] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [428] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [431] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(597),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [437] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(511),
    [440] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(959),
    [443] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [446] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(270),
    [449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1020),
    [453] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(449),
    [456] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(471),
    [459] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [462] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [465] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(469),
    [468] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(508),
    [471] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1048),
    [474] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [477] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [480] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [483] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(463),
    [486] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [489] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [492] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [495] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [498] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(457),
    [501] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1116),
    [504] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(456),
    [507] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(507),
    [510] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1075),
    [513] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [516] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1297),
    [519] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [521] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(994),
    [524] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(990),
    [527] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [530] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [533] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1288),
    [536] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1287),
    [539] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [542] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [545] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(986),
    [548] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1284),
    [551] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [554] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1278),
    [557] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [560] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [563] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(985),
    [566] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [569] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [572] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(597),
    [575] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [578] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(511),
    [581] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [584] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(270),
    [587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1228),
    [589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1009),
    [591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1010),
    [593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1224),
    [597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(966),
    [599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(967),
    [601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(931),
    [603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(283),
    [605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(285),
    [609] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(295),
    [611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(276),
    [613] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(271),
    [615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(524),
    [617] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(513),
    [619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(720),
    [621] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(292),
    [623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1179),
    [625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [627] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1301),
    [630] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(823),
    [633] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(446),
    [636] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1297),
    [639] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1294),
    [642] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(583),
    [645] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1291),
    [648] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1288),
    [651] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1287),
    [654] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1286),
    [657] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [660] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [663] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(586),
    [666] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1284),
    [669] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1283),
    [672] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [675] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1278),
    [678] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [681] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [684] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(838),
    [687] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [690] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [693] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(597),
    [696] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(598),
    [699] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [702] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1265),
    [705] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1264),
    [708] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [711] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1262),
    [714] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1008),
    [721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(730),
    [723] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1297),
    [726] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [728] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1294),
    [731] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(583),
    [734] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1291),
    [737] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1288),
    [740] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1287),
    [743] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1286),
    [746] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [749] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [752] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(586),
    [755] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1284),
    [758] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1283),
    [761] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [764] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1278),
    [767] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [770] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [773] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(730),
    [776] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(838),
    [779] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [782] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [785] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(597),
    [788] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(598),
    [791] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [794] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1265),
    [797] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1264),
    [800] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [803] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1262),
    [806] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1363),
    [811] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1297),
    [814] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [816] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1294),
    [819] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(583),
    [822] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1291),
    [825] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1288),
    [828] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1287),
    [831] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1286),
    [834] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [837] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [840] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(586),
    [843] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1284),
    [846] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1283),
    [849] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1280),
    [852] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1278),
    [855] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [858] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [861] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(838),
    [864] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [867] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [870] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(597),
    [873] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(598),
    [876] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(425),
    [879] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1265),
    [882] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1264),
    [885] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1263),
    [888] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1262),
    [891] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [894] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1295),
    [896] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1270),
    [898] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1305),
    [900] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(73),
    [902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(76),
    [904] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(829),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(65),
    [910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(900),
    [914] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(817),
    [916] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(905),
    [918] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(951),
    [920] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1006),
    [922] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(449),
    [925] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(471),
    [928] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [931] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [934] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(469),
    [937] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(508),
    [940] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1048),
    [943] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [946] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [949] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [952] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(463),
    [955] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [958] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [961] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [964] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [967] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(457),
    [970] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1116),
    [973] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(456),
    [976] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(507),
    [979] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1075),
    [982] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [985] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [987] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [990] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(69),
    [993] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(511),
    [996] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(270),
    [999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [1001] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(454),
    [1003] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1005] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(479),
    [1007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(477),
    [1009] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(228),
    [1011] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1077),
    [1013] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1076),
    [1015] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(940),
    [1017] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(939),
    [1019] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1039),
    [1021] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(449),
    [1024] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(471),
    [1027] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [1030] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(470),
    [1033] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(469),
    [1036] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1077),
    [1039] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1076),
    [1042] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(468),
    [1045] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [1048] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(466),
    [1051] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(463),
    [1054] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [1057] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(461),
    [1060] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [1063] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(515),
    [1066] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(457),
    [1069] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1116),
    [1072] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(456),
    [1075] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(940),
    [1078] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1075),
    [1081] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1083] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1275),
    [1086] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(83),
    [1089] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [1092] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1271),
    [1095] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(270),
    [1098] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1100] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1102] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1104] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1106] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1108] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1110] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1112] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1114] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1116] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1118] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1120] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1122] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1124] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1126] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(868),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1234),
    [1130] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(84),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1138] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1142] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1144] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(397),
    [1146] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1180),
    [1148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1320),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1321),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(184),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(179),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1322),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1323),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1324),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(188),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(223),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(216),
    [1168] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(177),
    [1170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(168),
    [1172] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(215),
    [1174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1367),
    [1176] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1325),
    [1178] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1326),
    [1180] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1327),
    [1182] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1328),
    [1184] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(169),
    [1186] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(173),
    [1188] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1329),
    [1190] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(174),
    [1192] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(167),
    [1194] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(170),
    [1196] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(178),
    [1198] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1078),
    [1200] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1306),
    [1202] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1307),
    [1204] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(541),
    [1206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(540),
    [1208] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1308),
    [1210] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1309),
    [1212] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1310),
    [1214] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(767),
    [1216] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(766),
    [1218] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(762),
    [1220] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(537),
    [1222] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(536),
    [1224] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(761),
    [1226] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1366),
    [1228] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1311),
    [1230] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1312),
    [1232] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1313),
    [1234] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1314),
    [1236] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(533),
    [1238] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(532),
    [1240] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1315),
    [1242] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(525),
    [1244] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(523),
    [1246] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(521),
    [1248] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(465),
    [1250] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1070),
    [1252] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1154),
    [1254] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1152),
    [1256] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(321),
    [1258] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(326),
    [1260] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1151),
    [1262] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1150),
    [1264] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1148),
    [1266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(368),
    [1268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(365),
    [1270] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(364),
    [1272] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(331),
    [1274] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(328),
    [1276] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(359),
    [1278] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1121),
    [1280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1119),
    [1282] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1118),
    [1284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1117),
    [1286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1115),
    [1288] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(333),
    [1290] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(337),
    [1292] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1084),
    [1294] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(332),
    [1296] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(339),
    [1298] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(342),
    [1300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(314),
    [1302] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1304] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1306] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1211),
    [1308] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1348),
    [1310] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1349),
    [1312] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [1314] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(112),
    [1316] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1350),
    [1318] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1351),
    [1320] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1352),
    [1322] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(128),
    [1324] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(129),
    [1326] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(135),
    [1328] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(111),
    [1330] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(109),
    [1332] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(136),
    [1334] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1056),
    [1336] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1353),
    [1338] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1354),
    [1340] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1355),
    [1342] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1356),
    [1344] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(108),
    [1346] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(105),
    [1348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1357),
    [1350] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(103),
    [1352] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(107),
    [1354] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(110),
    [1356] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [1358] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1209),
    [1360] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1334),
    [1362] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1335),
    [1364] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(510),
    [1366] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(509),
    [1368] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1336),
    [1370] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1337),
    [1372] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1338),
    [1374] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(710),
    [1376] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(709),
    [1378] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(707),
    [1380] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(505),
    [1382] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(503),
    [1384] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(704),
    [1386] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1221),
    [1388] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1339),
    [1390] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1340),
    [1392] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1341),
    [1394] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1342),
    [1396] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(500),
    [1398] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(499),
    [1400] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1343),
    [1402] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(495),
    [1404] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(491),
    [1406] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(489),
    [1408] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(450),
    [1410] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1412] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1414] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1305),
    [1417] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(116),
    [1420] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(312),
    [1422] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1424] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1426] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [1429] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [1432] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1434] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1436] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1438] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1440] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1442] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1444] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1446] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1448] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(506),
    [1450] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1452] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1454] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(581),
    [1456] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(579),
    [1462] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1464] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1466] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [1468] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1470] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1472] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(584),
    [1474] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1476] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1478] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(578),
    [1480] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1482] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1484] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(585),
    [1486] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1488] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1490] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(551),
    [1492] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1494] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1496] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1498] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1500] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(90),
    [1502] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1504] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1506] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1508] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1510] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(546),
    [1512] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1514] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1516] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1518] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1520] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1522] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1524] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1526] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1528] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1530] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1532] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1534] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1536] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1538] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1540] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1542] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1544] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1546] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1548] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1550] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1552] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 12),
    [1554] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 12),
    [1556] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1558] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1560] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1562] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1564] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1566] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1568] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1570] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1572] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1574] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1576] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1578] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1580] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1582] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1584] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1586] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1588] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1590] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1592] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1594] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1596] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1600] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1602] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1604] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1606] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1608] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1610] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1612] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1614] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1616] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1618] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1620] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1622] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1624] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1626] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1628] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1630] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1632] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1634] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1636] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1638] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1640] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1642] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1644] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1648] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1652] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1654] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1656] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1658] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1660] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [1663] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(69),
    [1666] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 8),
    [1668] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 8),
    [1670] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 8),
    [1672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 8),
    [1674] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 6),
    [1676] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 6),
    [1678] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 6),
    [1680] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 6),
    [1682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(602),
    [1684] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(605),
    [1686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(604),
    [1688] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(601),
    [1690] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(89),
    [1692] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(603),
    [1694] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(568),
    [1696] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 6, 0, 8),
    [1698] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 6, 0, 8),
    [1700] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(606),
    [1702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(535),
    [1704] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1706] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(534),
    [1710] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 6),
    [1712] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 6),
    [1714] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1716] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1718] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1720] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1722] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1724] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1726] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1728] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1730] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1732] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1734] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1736] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1738] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1740] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1742] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1744] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1746] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1748] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1750] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1752] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1754] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1292),
    [1756] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1758] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1760] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1762] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1764] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(437),
    [1766] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1768] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1770] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1772] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1774] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1776] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1778] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1780] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1782] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(449),
    [1784] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(471),
    [1786] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(469),
    [1788] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1256),
    [1790] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(468),
    [1792] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(463),
    [1794] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(295),
    [1796] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(276),
    [1798] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [1800] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(513),
    [1802] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(292),
    [1804] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(968),
    [1806] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(989),
    [1808] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [1810] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(447),
    [1812] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(427),
    [1814] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(714),
    [1816] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(715),
    [1818] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(716),
    [1820] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(717),
    [1822] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1824] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1826] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [1829] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [1832] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(447),
    [1835] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1838] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(714),
    [1841] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(715),
    [1844] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(716),
    [1847] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(717),
    [1850] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1852] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1854] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1856] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1858] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(642),
    [1860] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1862] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1864] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(628),
    [1866] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1153),
    [1868] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1870] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1872] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1874] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1876] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1878] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1880] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1882] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [1885] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [1888] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(447),
    [1891] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1894] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(717),
    [1897] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1899] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1901] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1903] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1905] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(222),
    [1907] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(222),
    [1909] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1911] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1913] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1915] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1917] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1919] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1921] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1923] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1925] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [1927] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(989),
    [1930] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [1933] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(447),
    [1936] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(427),
    [1939] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(717),
    [1942] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1944] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1946] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1948] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1950] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [1952] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [1954] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [1956] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1958] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1960] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1962] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1964] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1966] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(999),
    [1968] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1970] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1972] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1974] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1976] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1978] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1980] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1982] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1984] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1986] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1988] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1990] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1992] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1994] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1996] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1051),
    [1998] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1051),
    [2000] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1057),
    [2002] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [2005] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [2008] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1043),
    [2010] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(86),
    [2012] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(118),
    [2014] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [2016] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [2018] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [2020] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [2022] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [2024] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [2026] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [2028] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(485),
    [2030] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(484),
    [2032] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(637),
    [2034] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(635),
    [2036] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(481),
    [2038] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(638),
    [2040] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(639),
    [2042] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(640),
    [2044] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(641),
    [2046] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [2048] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [2050] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [2052] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [2054] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [2056] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1025),
    [2058] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [2060] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [2062] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [2064] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(159),
    [2066] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [2068] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(926),
    [2070] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(80),
    [2072] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [2074] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(927),
    [2076] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [2078] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(158),
    [2080] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(280),
    [2082] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(911),
    [2084] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [2086] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(912),
    [2088] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(914),
    [2090] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [2092] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [2094] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2096] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [2098] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [2100] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1305),
    [2103] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(116),
    [2106] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2108] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2110] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [2112] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2114] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(835),
    [2116] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1305),
    [2118] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(116),
    [2120] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2122] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(14),
    [2124] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(454),
    [2126] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2128] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(479),
    [2130] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2132] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [2134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [2136] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [2138] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(806),
    [2140] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2142] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(648),
    [2144] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2146] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(650),
    [2148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(67),
    [2150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(68),
    [2152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(692),
    [2154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1303),
    [2156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(697),
    [2158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(183),
    [2160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(180),
    [2162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(752),
    [2164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(348),
    [2166] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2168] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [2170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(756),
    [2172] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(812),
    [2174] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(810),
    [2176] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(809),
    [2178] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(270),
    [2180] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2182] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(92),
    [2185] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(942),
    [2187] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(453),
    [2189] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2191] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(377),
    [2193] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(80),
    [2196] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [2199] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(146),
    [2201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [2203] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(67),
    [2206] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(68),
    [2209] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(126),
    [2211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(837),
    [2213] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2215] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2217] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(899),
    [2219] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(916),
    [2223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(947),
    [2225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(429),
    [2227] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1216),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(553),
    [2231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1215),
    [2233] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1120),
    [2237] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(488),
    [2239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(653),
    [2241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(624),
    [2243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(654),
    [2245] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [2247] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2249] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_type, 1, 0, 0),
    [2251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(870),
    [2253] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2255] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(947),
    [2258] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2260] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1210),
    [2262] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(87),
    [2264] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(930),
    [2268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(88),
    [2270] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2272] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2274] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2276] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2278] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2280] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(924),
    [2282] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(922),
    [2284] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2286] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1027),
    [2288] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2290] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(34),
    [2292] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(645),
    [2294] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2296] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(893),
    [2300] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [2302] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(565),
    [2304] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2306] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1082),
    [2308] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(944),
    [2310] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2312] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(711),
    [2314] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(371),
    [2316] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(356),
    [2318] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1149),
    [2320] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(627),
    [2323] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(397),
    [2327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(589),
    [2329] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(591),
    [2333] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(543),
    [2336] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2338] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(543),
    [2340] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2342] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(514),
    [2344] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(572),
    [2346] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(633),
    [2348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(952),
    [2350] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(633),
    [2352] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2354] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(526),
    [2356] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2358] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(565),
    [2361] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2363] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(593),
    [2365] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(594),
    [2367] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(643),
    [2369] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(287),
    [2371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(599),
    [2373] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(600),
    [2377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2379] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(539),
    [2383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(538),
    [2385] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2387] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(633),
    [2390] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2392] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(633),
    [2395] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2397] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2399] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2401] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2403] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2405] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2407] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(609),
    [2409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(627),
    [2411] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2413] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(610),
    [2415] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(281),
    [2417] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(560),
    [2419] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(278),
    [2421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(755),
    [2423] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(754),
    [2427] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(612),
    [2429] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(613),
    [2431] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(194),
    [2433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [2435] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(614),
    [2437] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(616),
    [2439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(695),
    [2441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(694),
    [2443] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(531),
    [2445] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(529),
    [2447] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2449] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(494),
    [2451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(144),
    [2453] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(810),
    [2456] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    [2458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2460] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2462] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(121),
    [2464] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(848),
    [2466] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1053),
    [2468] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(855),
    [2470] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2472] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2474] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(621),
    [2476] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(696),
    [2478] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(79),
    [2480] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(702),
    [2482] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [2484] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(706),
    [2486] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2488] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2490] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(544),
    [2492] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(843),
    [2494] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2496] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(643),
    [2499] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2501] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2503] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [2506] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2508] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1213),
    [2510] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1212),
    [2512] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1184),
    [2514] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(625),
    [2516] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [2518] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2520] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(411),
    [2522] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(858),
    [2524] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2526] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1000),
    [2528] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(458),
    [2530] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(903),
    [2532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2534] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(22),
    [2536] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(163),
    [2538] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(102),
    [2540] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2542] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [2544] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(60),
    [2546] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1014),
    [2548] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2550] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(907),
    [2553] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(621),
    [2556] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2558] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [2560] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [2563] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(55),
    [2567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(30),
    [2569] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(527),
    [2572] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2574] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2576] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1038),
    [2578] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2580] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2582] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(659),
    [2584] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2586] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2588] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2590] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2592] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(858),
    [2595] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(527),
    [2599] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2601] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2603] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(58),
    [2606] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2608] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2610] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(22),
    [2613] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(410),
    [2615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(873),
    [2617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(763),
    [2619] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(458),
    [2622] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2624] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2626] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(890),
    [2628] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(907),
    [2630] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(559),
    [2633] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2635] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2637] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(888),
    [2643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1062),
    [2645] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(47),
    [2647] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2649] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [2651] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(867),
    [2653] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2655] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(866),
    [2657] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2659] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(82),
    [2661] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(856),
    [2663] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2665] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2667] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(909),
    [2669] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(901),
    [2671] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2673] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2675] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2677] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(911),
    [2680] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(815),
    [2684] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1302),
    [2688] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2690] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2692] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2694] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [2696] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2698] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2700] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1232),
    [2703] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2705] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1232),
    [2707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(862),
    [2709] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2713] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2715] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2719] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2723] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2725] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(815),
    [2728] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2730] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(857),
    [2732] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2734] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2736] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(856),
    [2739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2741] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2743] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(867),
    [2746] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2748] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2750] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(47),
    [2753] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(965),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(832),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [2771] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_modifier, 1, 0, 0),
    [2773] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1067),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(35),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(234),
    [2791] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1217),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2795] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [2797] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2801] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(779),
    [2803] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [2809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1072),
    [2811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1071),
    [2813] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2817] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [2821] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [2823] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [2825] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2827] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2829] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1044),
    [2831] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [2833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2835] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(921),
    [2837] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(241),
    [2839] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(473),
    [2841] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(634),
    [2843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 7, 0, 0),
    [2845] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [2847] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2849] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [2851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [2853] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [2855] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [2857] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(550),
    [2859] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [2861] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(301),
    [2863] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(300),
    [2865] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [2867] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [2869] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [2871] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(381),
    [2873] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [2875] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 2, 0, 0),
    [2877] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [2881] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [2883] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [2885] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [2887] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(119),
    [2889] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [2891] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [2893] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 7),
    [2895] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [2897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [2899] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2901] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 7),
    [2903] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(518),
    [2905] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [2907] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [2909] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [2911] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [2913] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(749),
    [2915] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [2917] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1253),
    [2919] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1254),
    [2921] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1266),
    [2923] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1267),
    [2925] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [2927] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [2929] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [2931] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2933] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(459),
    [2935] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [2937] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [2939] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(293),
    [2941] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [2943] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(441),
    [2945] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(269),
    [2947] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(378),
    [2949] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(358),
    [2951] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(357),
    [2953] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(217),
    [2955] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(362),
    [2957] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(380),
    [2959] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [2961] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [2963] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [2965] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(351),
    [2967] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [2969] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(349),
    [2971] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(360),
    [2973] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [2975] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(379),
    [2977] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(16),
    [2979] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(19),
    [2981] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [2983] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [2985] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(404),
    [2987] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(408),
    [2989] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [2991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [2993] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(995),
    [2995] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(993),
    [2997] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(992),
    [2999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [3001] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(987),
    [3003] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [3005] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1268),
    [3007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(263),
    [3009] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3011] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3013] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [3015] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(436),
    [3017] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(162),
    [3019] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(886),
    [3021] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1004),
    [3023] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [3025] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3027] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(345),
    [3029] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1272),
    [3031] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [3033] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [3035] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [3037] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [3039] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1005),
    [3041] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(776),
    [3043] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1015),
    [3045] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1018),
    [3047] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [3049] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [3051] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(62),
    [3053] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [3055] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(770),
    [3057] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(563),
    [3059] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(564),
    [3061] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [3063] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(520),
    [3065] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [3067] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [3069] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [3071] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3073] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [3075] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(562),
    [3077] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [3079] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [3081] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3083] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [3085] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [3087] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [3089] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [3091] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(237),
    [3093] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(592),
    [3095] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [3097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(517),
    [3099] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(516),
    [3101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1277),
    [3103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1299),
    [3105] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [3107] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [3109] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [3111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(414),
    [3113] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [3115] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [3117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(794),
    [3119] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [3121] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3123] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [3125] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [3127] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [3129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(355),
    [3131] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [3135] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(232),
    [3137] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [3139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(361),
    [3141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(316),
    [3143] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(580),
    [3145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(814),
    [3147] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(288),
    [3149] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [3151] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [3153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(370),
    [3155] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [3157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(375),
    [3159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(913),
    [3161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(953),
    [3163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(800),
    [3165] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [3167] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 2, 0, 0),
    [3169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(969),
    [3171] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(367),
    [3175] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [3177] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(376),
    [3181] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(366),
    [3183] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(260),
    [3185] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [3189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(317),
    [3191] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(428),
    [3193] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1037),
    [3197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [3199] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(440),
    [3203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(424),
    [3205] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [3207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(889),
    [3209] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [3211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(344),
    [3213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(308),
    [3215] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(354),
    [3217] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(350),
    [3219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(751),
    [3221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(750),
    [3223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(748),
    [3225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(746),
    [3227] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(745),
    [3229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(744),
    [3231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(743),
    [3233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(742),
    [3235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(741),
    [3237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(738),
    [3239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(736),
    [3241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(734),
    [3243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(733),
    [3245] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(732),
    [3247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(731),
    [3249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(729),
    [3251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(728),
    [3253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(727),
    [3255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(726),
    [3257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(725),
    [3259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(372),
    [3261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(724),
    [3263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(723),
    [3265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(722),
    [3267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(487),
    [3269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(721),
    [3271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(325),
    [3273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [3275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(798),
    [3277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(253),
    [3279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(245),
    [3281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(392),
    [3283] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(887),
    [3285] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [3287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(227),
    [3289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [3291] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [3293] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(191),
    [3295] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [3297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [3299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [3301] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(201),
    [3303] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(202),
    [3305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [3307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [3309] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [3311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [3313] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [3315] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(208),
    [3317] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(211),
    [3319] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(212),
    [3321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(219),
    [3323] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(220),
    [3325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(221),
    [3327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(224),
    [3329] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(225),
    [3331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(226),
    [3333] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [3335] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(482),
    [3337] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [3339] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(256),
    [3341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(329),
    [3343] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(341),
    [3345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(265),
    [3347] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(262),
    [3349] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(691),
    [3351] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(690),
    [3353] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(689),
    [3355] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(687),
    [3357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(684),
    [3359] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(682),
    [3361] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(681),
    [3363] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(680),
    [3365] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(679),
    [3367] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(678),
    [3369] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(677),
    [3371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(675),
    [3373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(674),
    [3375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(673),
    [3377] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(672),
    [3379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(671),
    [3381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(670),
    [3383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(669),
    [3385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(666),
    [3387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(665),
    [3389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(664),
    [3391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(662),
    [3393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(661),
    [3395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(660),
    [3397] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1368),
    [3399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(171),
    [3401] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(43),
    [3403] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [3405] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(409),
    [3407] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(139),
    [3409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [3411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(124),
    [3413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(133),
    [3415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(134),
    [3417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [3419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(127),
    [3421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(131),
    [3423] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [3425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [3427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [3429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [3431] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(155),
    [3433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [3435] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [3437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(147),
    [3439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(122),
    [3441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [3443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [3445] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [3447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [3449] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [3451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(132),
    [3453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(130),
    [3455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(448),
    [3457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(439),
    [3459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(113),
    [3461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(433),
    [3463] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3465] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [3467] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(230),
    [3469] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1055),
    [3471] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(229),
    [3473] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [3475] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1369),
    [3477] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(801),
    [3479] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 3, 0, 0),
    [3481] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [3483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1219),
    [3485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(306),
    [3487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [3491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [3493] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(3),
    [3495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(863),
    [3499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(5),
    [3501] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [3503] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(264),
    [3505] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [3507] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [3509] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1059),
    [3511] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [3513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(2),
    [3515] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(25),
    [3517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [3519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [3521] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [3523] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(346),
    [3525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1225),
    [3527] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1031),
    [3529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(61),
    [3531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3533] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [3535] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [3537] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [3539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(497),
    [3541] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [3543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(218),
    [3545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(830),
    [3547] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(101),
    [3549] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [3551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(874),
    [3553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(632),
    [3555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(882),
    [3557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(455),
    [3559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(415),
    [3561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [3563] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [3565] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [3567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(988),
    [3569] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3571] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_anno, 1, 0, 0),
    [3573] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [3575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(52),
    [3577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1249),
    [3579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1079),
    [3581] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(777),
    [3583] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(478),
    [3585] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(629),
    [3587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [3589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(476),
    [3591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(99),
    [3593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [3595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(413),
    [3597] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3599] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [3601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1181),
    [3603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1182),
    [3605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(865),
    [3607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1023),
    [3609] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3611] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [3613] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [3615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(403),
    [3617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1214),
    [3619] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [3621] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [3623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [3625] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(233),
    [3627] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [3629] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1220),
    [3631] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(557),
    [3633] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(95),
    [3635] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(252),
    [3637] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(324),
    [3639] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(336),
    [3641] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(249),
    [3643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(558),
    [3645] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(255),
    [3647] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(242),
    [3649] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(861),
    [3651] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(322),
    [3653] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(309),
    [3655] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(854),
    [3657] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [3659] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(853),
    [3661] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(852),
    [3663] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(261),
    [3665] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(338),
    [3667] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(340),
    [3669] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(259),
    [3671] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(567),
    [3673] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(258),
    [3675] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(243),
    [3677] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(850),
    [3679] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(323),
    [3681] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(304),
    [3683] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(847),
    [3685] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(390),
    [3687] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(844),
    [3689] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(842),
    [3691] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(246),
    [3693] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(335),
    [3695] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(334),
    [3697] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(257),
    [3699] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(570),
    [3701] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(244),
    [3703] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(254),
    [3705] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(839),
    [3707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(319),
    [3709] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(305),
    [3711] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(834),
    [3713] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(386),
    [3715] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(833),
    [3717] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(831),
    [3719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(251),
    [3721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(330),
    [3723] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(320),
    [3725] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(250),
    [3727] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(573),
    [3729] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(248),
    [3731] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(247),
    [3733] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(826),
    [3735] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(327),
    [3737] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(307),
    [3739] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(811),
    [3741] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(389),
    [3743] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(807),
    [3745] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(805),
    [3747] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(549),
    [3749] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [3751] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1243),
    [3753] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(352),
    [3755] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(804),
    [3757] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(803),
    [3759] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3761] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
